<%
'#################################################################################
'## Copyright (C) 2000-01 Michael Anderson and Pierre Gorissen
'## 
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to 
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## 
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'## 
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'## 
'## Support can be obtained from support forums at:
'## http://forum.snitz.com 
'##
'## Correspondence and Marketing Questions can be sent to:
'## reinhold@bigfoot.com
'## 
'## or
'## 
'## Snitz Communications 
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#################################################################################
%>
<!--#INCLUDE FILE="config.asp" -->
<!--#INCLUDE FILE="inc_func_secure.asp" -->
<!--#INCLUDE FILE="inc_sha256.asp" -->
<!--#INCLUDE FILE="inc_header.asp" -->
<%

bolAUPage = chkAUPermissions(strAUAllow)
bolOverride = chkAUPermissions(strAUAnonOverride)
bolAUUA= chkAUPermissions(strAUUA)
bolAUIP= chkAUPermissions(strAUIP)
bolAULocal= chkAUPermissions(strAULocal)
bolFirstAlternating = false 'Change to 'true' to reverse row color alternation
intTotalActiveMembers = 0
intTotalActiveGuests = 0
intTotalActiveUsers = 0

if bolAUPage then
  'do nothing
else
  response.redirect "default.asp"
end if

'## Ls3k - Before we can do anything we need to get rid of those slackers who have left ;)
deleteInactiveUsers()

'## Ls3k - Get counts
strSql = "SELECT COUNT(AU_IP) AS CNT FROM " & strTablePrefix & "ACTIVE_USERS WHERE MEMBER_ID = -1"
set rs = my_conn.execute (strSql)
intTotalActiveGuests = rs("CNT")
rs.close
set rs = nothing

strSql = "SELECT COUNT(MEMBER_ID) AS CNT FROM " & strTablePrefix & "ACTIVE_USERS WHERE MEMBER_ID <> -1"
set rs = my_conn.execute (strSql)
intTotalActiveMembers = rs("CNT")
rs.close
set rs = nothing

intTotalActiveUsers = intTotalActiveMembers + intTotalActiveGuests

'## Ls3k - Ok, the page header stuff
response.write "      <table width=""100%"" align=""center"" border=""0"" bgColor=""" & strForumCellColor & """>" & VBNewLine & _
               "        <tr>" & VBNewLine & _
               "          <td>" & VBNewLine & _
               "            <font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & getCurrentIcon(strIconFolderOpen,"","") & "&nbsp;<a href=""default.asp"">" & fLang(strLangMOD_Ls3kAU_01000) & "</a>" & VBNewLine & _
               "            <br>" & VBNewLine & _
               "            " & getCurrentIcon(strIconBar,"","") & getCurrentIcon(strIconFolderOpen,"","") & "&nbsp;" & fLang(strLangMOD_Ls3kAU_01010) & " </font><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>(" & fLang(strLangMOD_Ls3kAU_01020) & " " & chkDate(DateToStr(strForumTimeAdjust)," ",true) & ")</font>" & VBNewLine & _
               "          </td>" & VBNewLine
if strAURefresh = "1" then
  doAutoReload()
end if
response.write "        </tr>" & VBNewLine & _
               "      </table>" & VBNewLine

'## Ls3k - Admin/Mod color key
  if strAUAdminColor <> "" or strAUModColor <> "" then
    response.write "            <table border=""0"" cellspacing=""0"" cellpadding=""2"" align=""center"" width=""100%"" bgColor=""" & strForumCellColor & """><tr><td align=""right""><br><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>[ <b><font color=""" & strAUAdminColor & """>" & fLang(strLangMOD_Ls3kAU_00050) & "</font></b> | <b><font color=""" & strAUModColor & """>" & fLang(strLangMOD_Ls3kAU_00060) & "</font></b> ]</font></td></tr></table>" & VBNewLine
  end if
  
'## Ls3k - Lets begin building the main table, header row info first, and determine colspan
colspan=4
response.write "      <table border=""0"" cellspacing=""0"" cellpadding=""0"" align=""center"" width=""100%"">" & VBNewLine & _
               "        <tr>" & VBNewLine & _
               "          <td bgcolor=""" & strTableBorderColor & """>" & VBNewLine & _
               "            <table border=""0"" width=""100%"" cellspacing=""1"" cellpadding=""3"">" & VBNewLine & _
               "              <tr>" & VBNewLine & _
               "                <td bgcolor=""" & strHeadCellColor & """ valign=""middle"" width=""5%"" nowrap>&nbsp;</td>" & VBNewLine & _
               "                <td bgcolor=""" & strHeadCellColor & """ valign=""middle"" nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """><b>" & fLang(strLangMOD_Ls3kAU_01030) & "</b></font></td>" & VBNewLine
if bolAUUA then
  colspan=colspan+1
  response.write "                <td bgcolor=""" & strHeadCellColor & """ align=center valign=""middle"" nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """><b>" & fLang(strLangMOD_Ls3kAU_01040) & "</b></font></td>" & VBNewLine
end if
if bolAUIP then
  colspan=colspan+1
  response.write "                 <td bgcolor=""" & strHeadCellColor & """ align=center valign=""middle"" nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """><b>" & fLang(strLangMOD_Ls3kAU_01050) & "</b></font></td>" & VBNewLine
end if
if bolAULocal then
  colspan=colspan+1
  response.write "                <td bgcolor=""" & strHeadCellColor & """ align=center valign=""middle"" nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """><b>" & fLang(strLangMOD_Ls3kAU_01060) & "</b></font></td>" & VBNewLine
end if
response.write "                <td bgcolor=""" & strHeadCellColor & """ align=center valign=""middle"" nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """><b>" & fLang(strLangMOD_Ls3kAU_01070) & "</b></font></td>" & VBNewLine & _
               "                <td bgcolor=""" & strHeadCellColor & """ align=center valign=""middle"" nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """><b>" & fLang(strLangMOD_Ls3kAU_01080) & "</b></font></td>" & VBNewLine & _
               "              </tr>" & VBNewLine

'## Ls3k - Get Online Members information, and print whatever we get
strSql = "SELECT ME.MEMBER_ID, ME.M_NAME, ME.M_AUHIDE, AU.AU_IP, AU.AU_LOGINTIME, AU.AU_LASTACTIVETIME, AU.AU_LASTPAGE, ME.M_ICQ, ME.M_YAHOO, ME.M_AIM, ME.M_MSN, ME.M_LEVEL, AU.AU_QUERYSTRING, AU.AU_USER_AGENT " & _
         "FROM " & strTablePrefix & "ACTIVE_USERS AU, " & strMemberTablePrefix & "MEMBERS ME " & _
         "WHERE AU.MEMBER_ID = ME.MEMBER_ID"
set rsAM = my_conn.execute (strSql)
if rsAM.EOF or rsAM.BOF then
else
  response.write "              <tr>" & VBNewLine & _
                 "                <td colspan=""" & colspan & """ bgcolor=""" & strCategoryCellColor & """>" & VBNewLine & _
                 "                  <font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """><b>" & fLang(strLangMOD_Ls3kAU_01090) & " : " & intTotalActiveMembers & "</b></font>" & VBNewLine & _
                 "                </td>" & VBNewLine & _
                 "              </tr>" & VBNewLine
  bolAlternating = bolFirstAlternating
  do until rsAM.EOF
    strLastPage = rsAM("AU_LASTPAGE") 
    strQS = rsAM("AU_QUERYSTRING")
    if bolAlternating then 
      CColor = strAltForumCellColor
    else
      CColor = strForumCellColor
    end if
    bolAlternating = not(bolAlternating)
    response.write "              <tr>" & VBNewLine & _
                   "                <td bgcolor=""" & CColor & """ valign=""middle"" width=""5%"" nowrap>"
    if (rsAM("M_AUHIDE")="1" or isNull(rsAM("M_AUHIDE"))) or strAUAnon = 0 or bolOverride then
      profileOptions()
    else
      response.write "&nbsp;"
    end if
    response.write "                </td>" & VBNewLine & _
                   "                <td bgcolor=""" & CColor & """ valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strDefaultFontColor & """>" & VBNewLine
    if (rsAM("M_AUHIDE")="1" or isNull(rsAM("M_AUHIDE"))) or strAUAnon = 0 or bolOverride then 'If not anonymous, then lets show em.
      if strUseExtendedProfile then
        response.write "                  <a href=""pop_profile.asp?mode=display&id="& rsAM("MEMBER_ID") & """>"
      else
        response.write "                  <a href=""JavaScript:openWindow2('pop_profile.asp?mode=display&id=" & rsAM("MEMBER_ID") & "')"">"
      end if
	  if rsAM("M_LEVEL") = 2 then  'If admin or mod, then lets hilight em.
        response.write "<b><font color=""" & strAUModColor & """>"
      elseif rsAM("M_LEVEL") = 3 then
        response.write "<b><font color=""" & strAUAdminColor & """>"
      end if
      response.write rsAM("M_NAME")
      if rsAM("M_LEVEL") = 2 or rsAM("M_LEVEL") = 3 then
        response.write "</font><b>"
      end if
	  response.write "</a>"
    else
      response.write "[" & fLang(strLangMOD_Ls3kAU_01100) & "]"
    end if
    response.write "                </font></td>" & VBNewLine
    if bolAUUA then
      response.write "                <td bgcolor=""" & CColor & """ align=center valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & fUserAgent(rsAM("AU_USER_AGENT")) & "</font></td>" & VBNewLine
    end if
    if bolAUIP then
      response.write "                <td bgcolor=""" & CColor & """ align=center valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strDefaultFontColor & """><a href=""http://www.dnsstuff.com/tools/whois.ch?ip=" & ChkString(rsAM("AU_IP"), "display") & """ target=""_blank"">" & ChkString(rsAM("AU_IP"), "display") & "</a></font></td>" & VBNewLine
    end if
    if bolAULocal then
      response.write "                <td bgcolor=""" & CColor & """ align=center valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strDefaultFontColor & """>" & WhatPage(strLastPage,strQS) & "</font></td>" & VBNewLine
    end if
    response.write "                <td bgcolor=""" & CColor & """ align=center valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """><b>" & chkDate(rsAM("AU_LOGINTIME"),"</b><br>",true) & "</font></td>" & VBNewLine & _
                   "                <td bgcolor=""" & CColor & """ align=center valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strDefaultFontColor & """>" & abs(DateDiff("n",StrToDate(rsAM("AU_LOGINTIME")),strForumTimeAdjust)) & " " & fLang(strLangMOD_Ls3kAU_01110) & "</font></td>" & VBNewLine & _
                   "              </tr>" & VBNewLine
	rsAM.movenext
  loop
  rsAM.close
  set rsAM = nothing
end if

'## Ls3k - Get Online Guest information
strSql = "SELECT AU_IP, AU_LOGINTIME, AU_LASTACTIVETIME, AU_LASTPAGE, AU_QUERYSTRING, AU_USER_AGENT " & _
         "FROM " & strTablePrefix & "ACTIVE_USERS WHERE MEMBER_ID = -1"
set rsAG = my_conn.execute (strSql)
if rsAG.EOF or rsAG.BOF then
  rsAG.close
  set rsAG = nothing
else
  response.write "              <tr>" & VBNewLine & _
                 "                <td colspan=""" & colspan & """ bgcolor=""" & strCategoryCellColor & """>" & VBNewLine & _
                 "                  <font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """><b>" & fLang(strLangMOD_Ls3kAU_01120) & " : " & intTotalActiveGuests & "</b></font>" & VBNewLine & _
                 "                </td>" & VBNewLine & _
                 "              </tr>" & VBNewLine
  bolAlternating = bolFirstAlternating
  do until rsAG.EOF
    strLastPage = rsAG("AU_LASTPAGE") 
    strQS = rsAG("AU_QUERYSTRING")
    c=c+1
    if bolAlternating then 
      CColor = strAltForumCellColor
    else
      CColor = strForumCellColor
    end if
    bolAlternating = not(bolAlternating)
    response.write "              <tr>" & VBNewLine & _
                   "                <td bgcolor=""" & CColor & """ valign=""middle"" width=""5%"" nowrap>&nbsp;</td>" & VBNewLine & _
                   "                <td bgcolor=""" & CColor & """ valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strDefaultFontColor & """>" & fLang(strLangMOD_Ls3kAU_01130) & c & "</font></td>" & VBNewLine
    if bolAUUA then
      response.write "                <td bgcolor=""" & CColor & """ align=center valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & fUserAgent(rsAG("AU_USER_AGENT")) & "</font></td>" & VBNewLine
    end if
    if bolAUIP then
      response.write "                <td bgcolor=""" & CColor & """ align=center valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strDefaultFontColor & """><a href=""http://www.dnsstuff.com/tools/whois.ch?ip=" & ChkString(rsAG("AU_IP"), "display") & """ target=""_blank"">" & ChkString(rsAG("AU_IP"), "display") & "</a></font></td>" & VBNewLine
    end if
    if bolAULocal then
      response.write "                <td bgcolor=""" & CColor & """ align=center valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strDefaultFontColor & """>" & WhatPage(strLastPage,strQS) & "</font></td>" & VBNewLine
    end if
    response.write "                <td bgcolor=""" & CColor & """ align=center valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """><b>" & chkDate(rsAG("AU_LOGINTIME"),"</b><br>",true) & "</font></td>" & VBNewLine & _
                   "                <td bgcolor=""" & CColor & """ align=center valign=middle nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strDefaultFontColor & """>" & abs(DateDiff("n",StrToDate(rsAG("AU_LOGINTIME")),strForumTimeAdjust)) & " " & fLang(strLangMOD_Ls3kAU_01140) & "</font></td>" & VBNewLine & _
                   "              </tr>" & VBNewLine
    rsAG.movenext
  loop
  rsAG.close
  set rsAG = nothing
end if

'## Ls3k - Closing Main Table
response.write "            </table>" & VBNewLine & _
               "          </td>" & VBNewLine & _
               "        </tr>" & VBNewLine & _
               "      </table>" & VBNewLine
WriteFooter

'#########################################################
'#
'#                     FUNCTIONS
'#
'#########################################################


function fUserAgent(ua)
  if instr(ua, "Opera") then
    if instr(ua, "Opera 3.") then
      strBrowser = "Opera 3.x"
    elseif instr(ua, "Opera 4.") then
      strBrowser = "Opera 4.x"
    elseif instr(ua, "Opera 5.") then
      strBrowser = "Opera 5.x"
    elseif instr(ua, "Opera 6.") then
      strBrowser = "Opera 6.x"
    else
      strBrowser = "Opera"
    end if
  elseif instr(ua, "MSIE") then
    if instr(ua, "MSIE 6.") then
      strBrowser = "Microsoft IE 6.x"
    elseif instr(ua, "MSIE 5.") then
      strBrowser = "Microsoft IE 5.x"
    elseif instr(ua, "MSIE 4.") then
      strBrowser = "Microsoft IE 4.x"
    elseif instr(ua, "MSIE 3.") then
      strBrowser = "Microsoft IE 3.x"
      if instr(ua, "MSIE 3.02") then
        strBrowser = "Microsoft IE 3.02"
      end if
    else
      strBrowser = "Microsoft IE"
    end if
  elseif instr(ua, "Mozilla") and instr(ua, "compatible") = 0 then
    if instr(ua, "Netscape7") then
      strBrowser = "Netscape 7.x"
    elseif instr(ua, "Netscape6") then
      strBrowser = "Netscape 6.x"
    elseif instr(ua, "Mozilla/4") then
      strBrowser = "Netscape Navigator 4.x"
    elseif instr(ua, "Mozilla/3") then
      strBrowser = "Netscape Navigator 3.x"
    elseif instr(ua, "Netscape") then
      strBrowser = "Netscape"
    else
      if instr(ua, "Mozilla/5") then
        strBrowser = Mid(ua, instr(ua, "rv:")+3)
        strBrowser = Mid(strBrowser, 1, instr(strBrowser, ")"))
        strBrowser = Mid(strBrowser, 1, Len(strBrowser)-1)
        strBrowser = "Mozilla " & strBrowser
      else
        strBrowser = "Mozilla"
      end if
    end if
  else
    strBrowser = fLang(strLangMOD_Ls3kAU_01150)
  end if

  if instr(ua, "Windows 95") or instr(ua, "Win95") then
    strSystem = "Windows 95"
  elseif instr(ua, "Win 9x 4.90") then
    strSystem = "Windows ME"
  elseif instr(ua, "Windows 98") or instr(ua, "Win98") then
    strSystem = "Windows 98"
  elseif instr(ua, "Windows 3.1") or instr(ua, "Win16") then
    strSystem = "Windows 3.x/Windows NT 3.x"
   elseif instr(ua, "NT 5.0") or instr(ua, "Windows 2000") then
    strSystem = "Windows 2000"
  elseif instr(ua, "NT 5.1") or instr(ua, "Windows XP") then
    strSystem = "Windows XP"
  elseif instr(ua, "NT") or instr(os, "NT") then
    strSystem = "Windows NT"
  elseif instr(ua, "Mac") then
    strSystem = "Mac"
    if instr(ua, "PowerPC") or instr(ua, "PPC") then
      strSystem = "Mac PPC"
    elseif instr(ua, "68000") or instr(ua, "68K") then
      strSystem = "Mac 68K"
    end if
  elseif instr(ua, "Linux") then
    strSystem = "Linux"
  elseif instr(ua, "X11") then
    strSystem = "UNIX"
  else
    strSystem = fLang(strLangMOD_Ls3kAU_01150)
  end if
  fUserAgent = strSystem & "<br>" & strBrowser
end function

function WhatPage(fScript, fQ)
  fQuery = fQ
  strPage = "<a href=""" & fScript 
  if trim(fQuery) <> "" then
    strPage = strPage & "?" & fQuery
  end if 
  strPage = strPage & """>"
  select case lcase(trim(fScript))
    case "active.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01160)
    case "cal.asp"
      strPage = strPage & strCalEventsCalendar
    case "members.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01170)
    case "search.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01180)
    case "faq.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01190)
    case "policy.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01200)
    case "register.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01210)
    case "active_users.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01220)
    case "default.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01230)
    case "members.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01240)
    case "post_info.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01241)
    case "sitenews.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01530)
    case "search2.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01540)
    case "cal.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01550)
    case "pop_flashgames.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01560)
    case "file_library.asp"
      strPage = strPage & fLang(strLangMOD_Ls3kAU_01570)
    case "pop_profile.asp"
      if instr(lcase(fQuery), "display") then
        strPage = strPage & fLang(strLangMOD_Ls3kAU_01250)
      else
        strPage = fLang(strLangMOD_Ls3kAU_01260)
      end if
    case "forum.asp"
      strQuery = fQuery
      fForum_ID = analyzeQuery(strQuery, "FORUM_ID")
      if fForum_ID = "" then
        strPage = fLang(strLangMOD_Ls3kAU_01270)
      else
        strSql = "SELECT F_SUBJECT FROM " & strTablePrefix & "FORUM WHERE FORUM_ID=" & fForum_ID
        set rst = my_conn.execute(strSql)
        if rst.EOF or rst.BOF then
          strPage = fLang(strLangMOD_Ls3kAU_01270)
        else
          fSubject = rst("F_SUBJECT")
          rst.close
          set rst = nothing
          if chkForumAccess(fForum_ID, MemberID, false) then
            strQuery = fQuery
			if lcase(analyzeQuery(strQuery, "ARCHIVE")) = "true" then
              strPage = fLang(strLangMOD_Ls3kAU_01280) & "<br><a href=""forum.asp?" & fQuery & """>"
            else
              strPage = fLang(strLangMOD_Ls3kAU_01290) & "<br><a href=""forum.asp?" & fQuery & """>"
            end if
            strPage = strPage & fSubject
          else
            strPage = fLang(strLangMOD_Ls3kAU_01300)
          end if
        end if
      end if
    case "topic.asp"
      strQuery = fQuery
      fTopic_ID = analyzeQuery(strQuery, "TOPIC_ID")
      if fTopic_ID = "" then
        strPage = fLang(strLangMOD_Ls3kAU_01270)
      else
	    strQuery = fQuery
	if left(fTopic_ID,2) = "==" then
	fTopic_ID = mid(fTopic_ID,2)
	end if
	if lcase(analyzeQuery(strQuery, "ARCHIVE")) = "true" then
          strSql = "SELECT FORUM_ID, TOPIC_ID, T_SUBJECT FROM " & strTablePrefix & "A_TOPICS WHERE TOPIC_ID=" & fTopic_ID
        else
          strSql = "SELECT FORUM_ID, TOPIC_ID, T_SUBJECT FROM " & strTablePrefix & "TOPICS WHERE TOPIC_ID=" & fTopic_ID
        end if
        set rst = my_conn.execute(strSql)
        if rst.EOF or rst.BOF then
          strPage = fLang(strLangMOD_Ls3kAU_01270) 
        else
          fSubject = rst("T_SUBJECT")
          fForum_ID = rst("FORUM_ID")
          rst.close
          set rst = nothing
          if chkForumAccess(fForum_ID, MemberID, false) then
            strQuery = fQuery
			if lcase(analyzeQuery(strQuery, "ARCHIVE")) = "true" then
              strPage = fLang(strLangMOD_Ls3kAU_01310) & "<br><a href=""topic.asp?" & fQuery & """>"
            else
              strPage = fLang(strLangMOD_Ls3kAU_01320) & "<br><a href=""topic.asp?" & fQuery & """>"
            end if
            strPage = strPage & fSubject
          else
            strOnlineLocation = fLang(strLangMOD_Ls3kAU_01330)
          end if
        end if
      end if
    case "post.asp"
      strQuery = fQuery
      fMethod = analyzeQuery(strQuery, "method")
	  if lcase(fMethod) = "topicquote" OR lcase(fMethod) = "replyquote" then
	    fMethod = "reply"
	  end if
      select case lcase(fMethod)
        case "reply"
          strQuery = fQuery
          fTopic_ID = analyzeQuery(strQuery, "TOPIC_ID")
          strQuery = fQuery
          fForum_ID = analyzeQuery(strQuery, "FORUM_ID")
          if fTopic_ID = "" or fForum_ID = "" then
            strPage = fLang(strLangMOD_Ls3kAU_01270)
          else
            strSql = "SELECT T_SUBJECT FROM " & strTablePrefix & "TOPICS WHERE TOPIC_ID=" & fTopic_ID
            set rst = my_conn.execute(strSql)
            if rst.EOF or rst.BOF then
              strPage = fLang(strLangMOD_Ls3kAU_01270)
            else
              fSubject = rst("T_SUBJECT")
              rst.close
              set rst = nothing
              if chkForumAccess(fForum_ID, MemberID, false) then
                strPage = fLang(strLangMOD_Ls3kAU_01340) & "<br><a href=""link.asp?TOPIC_ID=" & fTopic_ID & """>"
                strPage = strPage & fSubject
              else
                strOnlineLocation = fLang(strLangMOD_Ls3kAU_01350)
              end if
            end if
          end if
        case "edit"
          strQuery = fQuery
          fTopic_ID = analyzeQuery(strQuery, "TOPIC_ID")
          strQuery = fQuery
          fForum_ID = analyzeQuery(strQuery, "FORUM_ID")
          if fTopic_ID = "" or fForum_ID = "" then
            strPage = fLang(strLangMOD_Ls3kAU_01270)
          else
            strSql = "SELECT T_SUBJECT FROM " & strTablePrefix & "TOPICS WHERE TOPIC_ID=" & fTopic_ID
            set rst = my_conn.execute(strSql)
            if rst.EOF or rst.BOF then
              strPage = fLang(strLangMOD_Ls3kAU_01270)
            else
              fSubject = rst("T_SUBJECT")
              rst.close
              set rst = nothing
              if chkForumAccess(fForum_ID, MemberID, false) then
                strPage = fLang(strLangMOD_Ls3kAU_01351) & "<br><a href=""link.asp?TOPIC_ID=" & fTopic_ID & """>"
                strPage = strPage & fSubject
              else
                strOnlineLocation = fLang(strLangMOD_Ls3kAU_01352)
              end if
            end if
          end if
        case "topic"
          strQuery = fQuery
          fForum_ID = analyzeQuery(strQuery, "FORUM_ID")
          if fForum_ID = "" then
            strPage = fLang(strLangMOD_Ls3kAU_01270)
          else
            strSql = "SELECT F_SUBJECT FROM " & strTablePrefix & "FORUM WHERE FORUM_ID=" & fForum_ID
            set rst = my_conn.execute(strSql)
            if rst.EOF or rst.BOF then
              strPage = fLang(strLangMOD_Ls3kAU_01270)
            else
              fSubject = rst("F_SUBJECT")
              rst.close
              set rst = nothing
              if chkForumAccess(fForum_ID, MemberID, false) then
                strPage = fLang(strLangMOD_Ls3kAU_01360) & "<br><a href=""link.asp?FORUM_ID=" & fForum_ID & """>"
                strPage = strPage & fSubject
              else
                strOnlineLocation = fLang(strLangMOD_Ls3kAU_01370)
              end if
            end if
          end if
        case "edittopic"
          strQuery = fQuery
          fTopic_ID = analyzeQuery(strQuery, "TOPIC_ID")
          strQuery = fQuery
          fForum_ID = analyzeQuery(strQuery, "FORUM_ID")
          if fTopic_ID = "" or fForum_ID = "" then
            strPage = fLang(strLangMOD_Ls3kAU_01270)
          else
            strSql = "SELECT T_SUBJECT FROM " & strTablePrefix & "TOPICS WHERE TOPIC_ID=" & fTopic_ID
            set rst = my_conn.execute(strSql)
            if rst.EOF or rst.BOF then
              strPage = fLang(strLangMOD_Ls3kAU_01270)
            else
              fSubject = rst("T_SUBJECT")
              rst.close
              set rst = nothing
              if chkForumAccess(fForum_ID, MemberID, false) then
                strPage = fLang(strLangMOD_Ls3kAU_01371) & "<br><a href=""link.asp?TOPIC_ID=" & fTopic_ID & """>"
                strPage = strPage & fSubject
              else
                strOnlineLocation = fLang(strLangMOD_Ls3kAU_01372)
              end if
            end if
          end if
        case else
          strPage = strPage & fLang(strLangMOD_Ls3kAU_01380)
      end select
    case else
      strPage = strPage & Mid(fScript, 1, instr(fScript, ".")-1)
  end select

  strPage = strPage & "</a>"
  if lcase(instr(fscript, "admin_")) > 0 Then
    strPage = fLang(strLangMOD_Ls3kAU_01380)    
  end if
  WhatPage = strPage
end function

sub doAutoReload()
  '## Do Cookie stuffs with reload
  nRefreshTime = Request.Cookies(strTempCookieType & "Reload")
  if Request.form("cookie") = "1" then
    if strSetCookieToForum = 1 then
      Response.Cookies(strTempCookieType & "Reload").Path = strTempCookieType
    end if
    Response.Cookies(strTempCookieType & "Reload") = Request.Form("RefreshTime")
    Response.Cookies(strTempCookieType & "Reload").expires = strForumTimeAdjust + 365
    nRefreshTime = Request.Form("RefreshTime")
  end if
  if nRefreshTime = "" then
    nRefreshTime = 0
  end if
  ActiveSince = Request.Cookies(strTempCookieType & "ActiveSince")
  '## Do Cookie stuffs with show last date
  if Request.form("cookie") = "2" then
    ActiveSince = Request.Form("ShowSinceDateTime")
    if strSetCookieToForum = 1 then
      Response.Cookies(strTempCookieType & "ActiveSince").Path = strTempCookieType
    end if
    Response.Cookies(strTempCookieType & "ActiveSince") = ActiveSince
  end if
  response.write "          <script language=""JavaScript"">"& VBNewLine & _
                 "            <!--"& VBNewLine & _
                 "            function autoReload()"& VBNewLine & _
                 "            {"& VBNewLine & _
                 "              document.ReloadFrm.submit()"& VBNewLine & _
                 "            }"& VBNewLine & _
                 "            //-->"& VBNewLine & _
                 "          </script>"& VBNewLine & _
                 "          <script language=""JavaScript"">"& VBNewLine & _
                 "            <!--"& VBNewLine & _
                 "            function SetLastDate()"& VBNewLine & _
                 "            {"& VBNewLine & _
                 "              document.LastDateFrm.submit()"& VBNewLine & _
                 "            }"& VBNewLine & _
                 "            //-->"& VBNewLine & _
                 "          </script>"& VBNewLine & _
                 "          <script language=""JavaScript"">"& VBNewLine & _
                 "            <!--"& VBNewLine & _
                 "            function jumpTo(s) {if (s.selectedIndex != 0) top.location.href = s.options[s.selectedIndex].value;return 1;}"& VBNewLine & _
                 "            // -->"& VBNewLine & _
                 "            </script>"& VBNewLine & _
                 "          <td align=""right""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>"& VBNewLine & _
		 "            <form name=""ReloadFrm"" action=""active_users.asp"
  if request.QueryString("whichpage") <> "" then
    response.write "?whichpage=" & request.QueryString("whichpage")
  end if
  response.write """ method=""post""><br>"& VBNewLine & _
                 "              <select name=""RefreshTime"" size=""1"" onchange=""autoReload();"">"& VBNewLine & _
                 "                <option value=""0"""
  if nRefreshTime = "0" then 
    response.Write " SELECTED" 
  end if
  response.write ">" & fLang(strLangMOD_Ls3kAU_01390) & "</option>"& VBNewLine & _
                 "                <option value=""1"""
  if nRefreshTime = "1" then 
    response.Write " SELECTED" 
  end if
  response.write ">" & fLang(strLangMOD_Ls3kAU_01400) & "</option>"& VBNewLine & _
                 "                <option value=""5"""
  if nRefreshTime = "5" then 
    response.Write " SELECTED" 
  end if
  response.write ">" & fLang(strLangMOD_Ls3kAU_01410) & "</option>"& VBNewLine & _
                 "                <option value=""10"""
  if nRefreshTime = "10" then 
    response.Write " SELECTED" 
  end if
  response.write ">" & fLang(strLangMOD_Ls3kAU_01420) & "</option>"& VBNewLine & _
                 "                <option value=""15"""
  if nRefreshTime = "15" then 
    response.Write " SELECTED" 
  end if
  response.write ">" & fLang(strLangMOD_Ls3kAU_01430) & "</option>"& VBNewLine & _
                 "                <option value=""30"""
  if nRefreshTime = "30" then 
    response.Write " SELECTED" 
  end if
  response.write ">" & fLang(strLangMOD_Ls3kAU_01440) & "</option>"& VBNewLine & _
                 "              </select>"& VBNewLine & _
                 "              <input type=""hidden"" name=""Cookie"" value=""1"">"& VBNewLine & _
                 "            </form>"& VBNewLine & _
                 "            <script>"& VBNewLine & _
                 "            <!--"& VBNewLine & _
                 "            if (document.ReloadFrm.RefreshTime.options[document.ReloadFrm.RefreshTime.selectedIndex].value > 0) {"& VBNewLine & _
                 "              reloadTime = 60000 * document.ReloadFrm.RefreshTime.options[document.ReloadFrm.RefreshTime.selectedIndex].value"& VBNewLine & _
                 "              self.setInterval('autoReload()', 60000 * document.ReloadFrm.RefreshTime.options[document.ReloadFrm.RefreshTime.selectedIndex].value)"& VBNewLine & _
                 "            }"& VBNewLine & _
                 "            //-->"& VBNewLine & _
                 "            </script>"& VBNewLine & _
		 "		<p><form action=""active_users.asp"" method=""post""><input name=""button"" type=""submit"" value=""Refresh User List"" class=""p""></form></p>"& VBNewLine & _
                 "          </td>"& VBNewLine
end sub

function analyzeQuery(strQuery, varName)
  strQuery = Mid(strQuery, instr(1,strQuery, varName,1)+1+Len(varName))
  if instr(strQuery, "&") then
    strQuery = Mid(strQuery, 1, instr(strQuery, "&"))
    strQuery = Mid(strQuery, 1, Len(strQuery)-1)
  end if
  analyzeQuery = strQuery 
end function

sub profileOptions()
  if strUseExtendedProfile then
    response.write "                  <a href=""pop_profile.asp?mode=display&id=" & rsAM("MEMBER_ID") & """>"
  else
    response.write "                  <a href=""JavaScript:openWindow3('pop_profile.asp?mode=display&id=" & rsAM("MEMBER_ID") & "')"">"
  end if
  response.write getCurrentIcon(strIconProfile,fLang(strLangMOD_Ls3kAU_01460) & " " & rsAM("M_NAME") & fLang(strLangMOD_Ls3kAU_01470),"hspace=""0""") & "</a>" & VBNewLine
  if strICQ = "1" and Trim(rsAM("M_ICQ")) <> "" then 
    response.write "                  <a href=""JavaScript:openWindow('pop_messengers.asp?mode=ICQ&ICQ=" & ChkString(rsAM("M_ICQ"), "JSurlpath") & "&M_NAME=" & ChkString(rsAM("M_NAME"),"display") & "')"">" & getCurrentIcon(strIconIcq,fLang(strLangMOD_Ls3kAU_01450) & " " & ChkString(rsAM("M_NAME"),"display") & " " & fLang(strLangMOD_Ls3kAU_01480),"align=""absmiddle"" hspace=""0""") & "</a>" & VBNewLine
  end if 
  if strYAHOO = "1" and Trim(rsAM("M_YAHOO")) <> "" then 
    response.write "                  <a href=""JavaScript:openWindow('http://edit.yahoo.com/config/send_webmesg?.target=" & ChkString(rsAM("M_YAHOO"), "JSurlpath") & "&.src=pg')"">" & getCurrentIcon(strIconYahoo,fLang(strLangMOD_Ls3kAU_01450) & " " & ChkString(rsAM("M_NAME"),"display") & " " & fLang(strLangMOD_Ls3kAU_01490),"align=""absmiddle"" hspace=""0""") & "</a>" & VBNewLine
  end if
  if strAIM = "1" and Trim(rsAM("M_AIM")) <> "" then 
    response.write "                  <a href=""JavaScript:openWindow('pop_messengers.asp?mode=AIM&AIM=" & ChkString(rsAM("M_AIM"), "JSurlpath") & "&M_NAME=" & ChkString(rsAM("M_NAME"),"JSurlpath") & "')"">" & getCurrentIcon(strIconAIM,fLang(strLangMOD_Ls3kAU_01450) & " " & ChkString(rsAM("M_NAME"),"display") & " " & fLang(strLangMOD_Ls3kAU_01500),"align=""absmiddle"" hspace=""0""") & "</a>" & VBNewLine
  end if
  if strMSN = "1" and Trim(rsAM("M_MSN")) <> "" then
    response.write "		      <a href=""JavaScript:openWindow('pop_messengers.asp?mode=MSN&ID=" & rsAM("MEMBER_ID") & "')""" & dWStatus("Click to see " & ChkString(rsAM("M_NAME"),"display") & "'s MSN Messenger address") & ">" & getCurrentIcon(strIconMSNM,fLang(strLangMOD_Ls3kAU_01510) & " " & ChkString(Members_MemberName,"display") & fLang(strLangMOD_Ls3kAU_01520),"align=""absmiddle"" hspace=""0""") & "</a>" & vbNewLine
  end if
end sub
%>