<%
'****************************************************************
'  cal_config.asp                                                
'  EVENTS CALENDAR (Recurring Dates) MOD                         
'  for Snitz Forums 3.4.03                                       
'  by red1                                                       
'----------------------------------------------------------------
'Converted to ServerHacker V8                                    
'					by RLambert                                  
'                                                                
'  Calendar settings and text strings                            
'****************************************************************

' FORUM_ID where you want to post events
' You can enter more than one value (separate with commas)
' e.g. arrCalForumID = Array(1, 2, 5, 10)

arrCalForumID = Array(3)
'----------------------------------------------------------------

' Member level allowed to post events
' Admins only = 4, Admins and Moderators = 3, All Members = 2

Const intCalMLev = 3
Const intAllowedtoPostEvent = 3 'Legacy, cal_constants.asp
'----------------------------------------------------------------

' Maximum number of dates for recurring events
' Do not set this too high

Const intCalMaxRecords = 90
'----------------------------------------------------------------

' Lower Limit for Start Year. 
' Change this if you need to enter dates earlier than 1930 

Const intCalStartYear = 1930
'----------------------------------------------------------------

' Upper Limit for End Year. 
' Change this if you need to enter dates later than 2029 

Const intCalEndYear = 2060
'----------------------------------------------------------------

' The Number of Upcoming/Recent Events to Display
' Default is 5

Const intCalEventstoDisplay = 5
Const intEventstoDisplay = 5        'Legacy, cal_constants.asp
'----------------------------------------------------------------

' Show Birthdays. Set to TRUE or FALSE
Const blnCalShowBDays = TRUE

'### The Number of Events per Page in the Events List ###
Const intEventsPageSize = 15



'****************************************************************
'International Support
'****************************************************************

' First day of the week 
' Sunday = 1, Monday = 2, Tuesday = 3, Wednesday = 4, Thursday = 5, Friday = 6, Saturday = 7 

Const intCalFirstDayofWeek = 1
Const intFirstDayofWeek = 1 'Legacy, cal_constants.asp
'----------------------------------------------------------------

' Text Strings 

Const strCalEventsCalendar      = "Events Calendar"
Const strCalDaily               = "Daily"
Const strCalWeekly              = "Weekly"
Const strCalMonthly             = "Monthly"
Const strCalYearly              = "Yearly"
Const strCalEventsList          = "Events List"
Const strCalTodayIs             = "Today is "
Const strCalEventsFor           = "Events for "
Const strCalPostedBy            = "Posted by "
Const strCalAddEvent            = "Add an event: "
Const strCalGo                  = "Go"
Const strCalUpcoming            = "Upcoming Events"
Const strCalRecent              = "Recent Events"
Const strCalNoUpcoming          = "No Upcoming Events"
Const strCalNoRecent            = "No Recent Events"
Const strCalNoEvents            = "No events today"
Const strCalEvent               = "Event: "
Const strCalPastEvents          = "Past Events"
Const strCalFutureEvents        = "Future Events"
Const strCalDisplay             = "Display: "
Const strCalAllForums           = "All"
Const strCalNoFutureEvents      = "There are no future events"
Const strCalNoPastEvents        = "There are no past events"
Const strCalDate                = "Date"
Const strCalTitle               = "Title"
Const strCalPrevWeek            = "Previous Week"
Const strCalNextWeek            = "Next Week"
Const strCalPrevMonth           = "Previous Month"
Const strCalNextMonth           = "Next Month"
Const strCalPrevYear            = "Previous Year"
Const strCalNextYear            = "Next Year"
Const strCalStartDate           = "Start Date"
Const strCalEndDate             = "End Date"
Const strCalRecurring           = "Recurring"
Const strCalEdit                = "Edit Date"
Const strCalDelete              = "Delete Date/Topic"
Const strCalDatePicker          = "Choose Date"
Const strCalBDay                = "Birthday"

'Legacy support - from cal_constants.asp
Const strCalEventTitle          = "Event Title: "
Const strCalEventDate           = "Event Date: "
Const strCalEventDetails        = "Event Details: "
Const strCalNewEvent            = "New Event"
Const strCalJumptoMonth         = "Jump to Month: "
Const strCalJumptoYear          = "Jump to Year: "
Const strCalJumpToPage          = "Jump to Page: "
Const strCalInvalidDate         = "Invalid Date"
Const strCalReply               = "Reply to Topic"
Const strCalLockTopic           = "Lock Topic"
Const strCalUnLockTopic         = "UnLock Topic"
Const strCalReplySingular       = "Reply"
Const strCalReplyPlural         = "Replies"
'End Legacy support



'----------------------------------------------------------------

' Error messages 

Const strCalNotAllowed          = "You are not allowed to post an event. "
Const strCalError0              = "Events are not allowed in this forum."
Const strCalError1              = "Invalid Start Date. "
Const strCalError2              = "Invalid End Date. "
Const strCalError3              = "The End Date cannot be earlier than the Start Date. "
strCalError4                    = "Recurring Events cannot have more than " & intCalMaxRecords & " dates. "

'----------------------------------------------------------------

' Icons 

Const strCalIconEvent           = "cal_icon_event.gif|16|16"
Const strCalIconLeftArrow       = "cal_icon_leftarrow.gif|6|10"
Const strCalIconRightArrow      = "cal_icon_rightarrow.gif|6|10"
Const strCalIconBDay            = "cal_icon_cake.gif|16|16"


'----------------------------------------------------------------

' Calendar version

Const strCalVersion             = "(recurring dates) beta 2"

'----------------------------------------------------------------
%>

