<%
'****************************************************************
'  cal_functions.asp                                             
'  EVENTS CALENDAR (Recurring Dates) MOD                         
'  for Snitz Forums 3.4.03                                       
'  by red1                                                       
'----------------------------------------------------------------
'Converted to ServerHacker V8                                    
'					by RLambert                                  
'                                                                
'  Functions used by the calendar                                
'****************************************************************









'*****************************************************************
Sub DrawMonth(dateToDraw, enableHiLite, enableArrows, enableYearDisplay)
'*****************************************************************

'Table Header with Month Name and Year
Response.Write  "<table border=""0"" cellSpacing=""0"" cellPadding=""0"">" & _
                "<tr><td bgColor="& strPopupBorderColor &">" & _
                "<table border=""0"" cellSpacing=""1"" cellPadding=""0"">" & vbnewline & _
                "<tr align=""center""><td bgColor=""" & strCategoryCellColor & """>"
If enableArrows = 1 then Response.Write  _
                "<a href=?date=" & DateAdd("m", -1, datetoDraw) & " style=""text-decoration:none;"" title=""" & strCalPrevMonth & """>" & getCurrentIcon(strCalIconLeftArrow,strCalPrevMonth,"") & "</a>&nbsp;"
Response.Write  "<b><a href=""cal.asp?view=monthly&month="& Month(dateToDraw) & "&year=" & Year(dateToDraw)  & """ style=""text-decoration:none"">" & _
                "<font size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """>" & MonthName(Month(dateToDraw))
If enableYearDisplay = 1 then Response.Write _
                "&nbsp;" & Year(dateToDraw)
Response.Write  "</font></a></b>"
If enableArrows = 1 then Response.Write _
                "&nbsp;<a href=?date=" & DateAdd("m", 1, datetoDraw) & " style=""text-decoration:none;"" title=""" & strCalNextMonth & """>" & getCurrentIcon(strCalIconRightArrow,strCalNextMonth,"") & "</a>"
Response.Write  "</td></tr>" & _
                "<tr><td><table width=""158px"" Height=""140px"" class=""cal_smallcalendar"" cellSpacing=""0"" cellPadding=""4"">" & vbnewline


'Days of the week
Response.Write  "<tr>"
dayofWeek = intCalFirstDayofWeek - 1
For i = 1 to 7
 '   Response.Write  "<td>" & WeekDayName(dayofWeek mod 7 + 1, True) & "</td>"
	Response.Write 	"	<TD>" & Left(WeekDayName(dayofWeek mod 7 + 1),1) & "</TD>"
    dayofWeek = dayofWeek + 1
Next
Response.Write  "</tr>" & vbnewline


'Get the first and last days of the month
dtMonthStart = DateSerial(Year(dateToDraw), Month(dateToDraw), 1)
dtMonthEnd = DateSerial(Year(dateToDraw), Month(dateToDraw)+1, 1-1)


'Set the moving date to the first day of the month
dateCursor = dtMonthStart


'Move to the first day of the week
Do Until Weekday(dateCursor) = intCalFirstDayofWeek
    dateCursor = DateAdd("d", -1, dateCursor)
Loop


strSql =    "SELECT E.EVENT_DATE, T.FORUM_ID " & _
            "FROM " & _
                strTablePrefix & "TOPICS T " & _
            "INNER JOIN " & _
                strTablePrefix & "CAL_EVENTS E ON T.TOPIC_ID = E.TOPIC_ID " & _
            "WHERE T.FORUM_ID IN (" & arrRqCalForumID & ") " & _
            "AND   E.EVENT_DATE BETWEEN '" & datetostr(DateSerial(Year(dateToDraw), Month(dateToDraw), 1)) & "' " & _
            "AND                        '" & datetostr(DateSerial(Year(dateToDraw), Month(dateToDraw)+1, 1 - 1)) & "' " & _
            "GROUP BY E.EVENT_DATE, T.FORUM_ID " & _
            "ORDER BY EVENT_DATE Asc"

set rs = Server.CreateObject("ADODB.Recordset")
rs.open StrSql, My_conn


'Load all the dates into a string
If not rs.EOF then strDates = rs.GetString(,,,",") else blnNoDates = TRUE 

'***************************************************************
' Linux Users: Comment the line above and uncomment the line below
'***************************************************************

'Load all the dates into an array
'If not rs.EOF then arrDates = rs.GetRows else blnNoDates = TRUE


'Since we already have the data, we can close the recordset
rs.close
set rs = nothing


'There are as many as 6 weeks in a month!
for i = 1 to 6
    Response.Write "<tr>"

    '7 days in a week
    For j = 1 to 7

        'Only draw the date if it falls within the month
        If dateCursor < dtMonthStart or dateCursor > dtMonthEnd then

            Response.Write "<td></td>"

        Else

            'Set the event flag to FALSE
            blnEvent = FALSE


            'Check if there are events for this date
            If not blnNoDates then If Instr(1, strDates, datetostr(dateCursor)) > 0 then blnEvent = TRUE
            
            '***************************************************************
            ' Linux Users: Comment the line above and uncomment the lines below
            '***************************************************************

            'Check if there are events for this date
            'If not blnNoDates then
            '    For each dtDate in arrDates
            '        If dtDate = datetostr(dateCursor) then
            '            blnEvent = TRUE
            '            Exit For
            '        End if
            '    Next
            'End if

            Response.Write  "<td bgcolor=""" & strForumCellColor & """ onMouseOver=""mOvr(this,'" & strOnHoverCellColor & "')"" onMouseOut=""mOut(this,'" & strOutHoverCellColor & "')"""
                If blnEvent then Response.Write " class=""isevent"""
                If dateCursor = DateValue(strForumTimeAdjust) then Response.Write " id=""cal_datetoday"""
                If dateCursor = dateTodraw and enablehilite = 1 then Response.Write " style=""background:yellow"""
            	If strDisableHoverColors = "1" Then
			Response.Write " bgcolor=""" & strForumCellColor & """ align=""center"" valign=""middle"""
		Else 
			Response.Write " align=""center"" valign=""middle""" 
		End If
            Response.Write  ">"

            Response.Write "<a href=""cal.asp?date=" & dateCursor & """>"

                Response.Write Day(dateCursor)

            Response.Write  "</a></td>"

        End if

        dateCursor = DateAdd ("d", 1, dateCursor)

    Next

    Response.Write "</tr>" & vbnewline

Next


Response.Write  "</table></td></tr></table></td></tr></table>" & vbnewline


End Sub 'DrawMonth




'*****************************************************************
Sub DrawMonth2(dateToDraw, enableHiLite, enableArrows, enableYearDisplay)
'*****************************************************************
'Table Header with Month Name and Year
Response.Write  "<table width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""0"">" & _
                "<tr><td bgColor="& strTableBorderColor &">" & _
                "<table width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""2"">" & vbnewline & _
                "<TR><TD bgcolor="& strTableBorderColor &"></TD></TR>" & vbnewline & _
                "<tr align=""center""><td bgColor=""" & strCategoryCellColor & """>"
If enableArrows = 1 then Response.Write  _
                "<a href=?date=" & DateAdd("m", -1, datetoDraw) & " style=""text-decoration:none;"" title=""" & strCalPrevMonth & """>" & getCurrentIcon(strCalIconLeftArrow,strCalPrevMonth,"") & "</a>&nbsp;"
Response.Write  "<b><a href=""cal.asp?view=monthly&month="& Month(dateToDraw) & "&year=" & Year(dateToDraw)  & """ style=""text-decoration:none"">" & _
                "<font size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """>" & MonthName(Month(dateToDraw))
If enableYearDisplay = 1 then Response.Write _
                "&nbsp;" & Year(dateToDraw)
Response.Write  "</font></a></b>"
If enableArrows = 1 then Response.Write _
                "&nbsp;<a href=?date=" & DateAdd("m", 1, datetoDraw) & " style=""text-decoration:none;"" title=""" & strCalNextMonth & """>" & getCurrentIcon(strCalIconRightArrow,strCalNextMonth,"") & "</a>"
Response.Write  "</td></tr>" & _
		"<TR><TD bgcolor="& strTableBorderColor &"></TD></TR>" & vbnewline & _
                "<tr><td bgcolor="& strForumCellColor &"><table width=""100%"" class=""cal_smallcalendar"" cellSpacing=""0"" cellPadding=""2"">" & vbnewline


'Days of the week
Response.Write  "<tr>"
dayofWeek = intCalFirstDayofWeek - 1
For i = 1 to 7
 '   Response.Write  "<td>" & WeekDayName(dayofWeek mod 7 + 1, True) & "</td>"
	Response.Write 	"	<TD>" & Left(WeekDayName(dayofWeek mod 7 + 1),1) & "</TD>"
    dayofWeek = dayofWeek + 1
Next
Response.Write  "</tr>" & vbnewline


'Get the first and last days of the month
dtMonthStart = DateSerial(Year(dateToDraw), Month(dateToDraw), 1)
dtMonthEnd = DateSerial(Year(dateToDraw), Month(dateToDraw)+1, 1-1)


'Set the moving date to the first day of the month
dateCursor = dtMonthStart


'Move to the first day of the week
Do Until Weekday(dateCursor) = intCalFirstDayofWeek
    dateCursor = DateAdd("d", -1, dateCursor)
Loop


strSql =    "SELECT E.EVENT_DATE, T.FORUM_ID " & _
            "FROM " & _
                strTablePrefix & "TOPICS T " & _
            "INNER JOIN " & _
                strTablePrefix & "CAL_EVENTS E ON T.TOPIC_ID = E.TOPIC_ID " & _
            "WHERE T.FORUM_ID IN (" & arrRqCalForumID & ") " & _
            "AND   E.EVENT_DATE BETWEEN '" & datetostr(DateSerial(Year(dateToDraw), Month(dateToDraw), 1)) & "' " & _
            "AND                        '" & datetostr(DateSerial(Year(dateToDraw), Month(dateToDraw)+1, 1 - 1)) & "' " & _
            "GROUP BY E.EVENT_DATE, T.FORUM_ID " & _
            "ORDER BY EVENT_DATE Asc"

set rs = Server.CreateObject("ADODB.Recordset")
rs.open StrSql, My_conn


'Load all the dates into a string
If not rs.EOF then strDates = rs.GetString(,,,",") else blnNoDates = TRUE 

'***************************************************************
' Linux Users: Comment the line above and uncomment the line below
'***************************************************************

'Load all the dates into an array
'If not rs.EOF then arrDates = rs.GetRows else blnNoDates = TRUE


'Since we already have the data, we can close the recordset
rs.close
set rs = nothing


'There are as many as 6 weeks in a month!
for i = 1 to 6
    Response.Write "<tr>"

    '7 days in a week
    For j = 1 to 7

        'Only draw the date if it falls within the month
        If dateCursor < dtMonthStart or dateCursor > dtMonthEnd then

            Response.Write "<td></td>"

        Else

            'Set the event flag to FALSE
            blnEvent = FALSE


            'Check if there are events for this date
            If not blnNoDates then If Instr(1, strDates, datetostr(dateCursor)) > 0 then blnEvent = TRUE
            
            '***************************************************************
            ' Linux Users: Comment the line above and uncomment the lines below
            '***************************************************************

            'Check if there are events for this date
            'If not blnNoDates then
            '    For each dtDate in arrDates
            '        If dtDate = datetostr(dateCursor) then
            '            blnEvent = TRUE
            '            Exit For
            '        End if
            '    Next
            'End if

            Response.Write  "<td bgcolor=""" & strForumCellColor & """ onMouseOver=""mOvr(this,'" & strOnHoverCellColor & "')"" onMouseOut=""mOut(this,'" & strOutHoverCellColor & "')"""
                If blnEvent then Response.Write " class=""isevent"""
                If dateCursor = DateValue(strForumTimeAdjust) then Response.Write " id=""cal_datetoday"""
                If dateCursor = dateTodraw and enablehilite = 1 then Response.Write " style=""background:yellow"""
            	If strDisableHoverColors = "1" Then
			Response.Write " bgcolor=""" & strForumCellColor & """ align=""center"" valign=""middle"""
		Else 
			Response.Write " align=""center"" valign=""middle""" 
		End If
            Response.Write  ">"

            Response.Write "<a href=""cal.asp?date=" & dateCursor & """>"

                Response.Write Day(dateCursor)

            Response.Write  "</a></td>"

        End if

        dateCursor = DateAdd ("d", 1, dateCursor)

    Next

    Response.Write "</tr>" & vbnewline

Next


Response.Write  "</table></td></tr></table></td></tr></table>" & vbnewline


End Sub 'DrawMonth2










'*****************************************************************
  Sub DrawMonthWeekly(dateToDraw)
' Month Calendar for the weekly view 
'*****************************************************************

'Table Heading with Month Name and Year
Response.Write  "<table border=""0"" cellSpacing=""0"" cellPadding=""0"">" & vbnewline & _
                "<tr><td bgColor="& strPopupBorderColor &">" & vbnewline & _
                "<table border=""0"" cellSpacing=""1"" cellPadding=""0"">" & vbnewline & _
                "<tr align=""center"">" & vbnewline & _
                "   <td bgColor=""" & strCategoryCellColor & """>" & vbnewline & _
                "       <a href=""cal.asp?view=weekly&month=" & Month(DateAdd("m", -1, datetoDraw)) & "&year=" & Year(DateAdd("m", -1, datetoDraw)) & """ style=""text-decoration:none;"" title=""" & strCalPrevMonth & """>" & getCurrentIcon(strCalIconLeftArrow,strCalPrevMonth,"") & "</a>&nbsp;" & vbnewline & _
                "   <b><a href=""cal.asp?view=monthly&month="& Month(dateToDraw) & "&year=" & Year(dateToDraw) & """ style=""text-decoration:none"">" & vbnewline & _
                "       <font size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """>" & MonthName(Month(dateToDraw)) & "&nbsp;" & Year(dateToDraw) & "</font></a></b>" & vbnewline & _
                "       &nbsp;<a href=""cal.asp?view=weekly&month=" & Month(DateAdd("m", 1, datetoDraw)) & "&year=" & Year(DateAdd("m", 1, datetoDraw)) & """ style=""text-decoration:none;"" title=""" & strCalNextMonth & """>" & getCurrentIcon(strCalIconRightArrow,strCalNextMonth,"") & "</a>" & vbnewline & _
                "</tr>" & vbnewline & _
                "<tr><td>" & vbnewline & _
                "<table width=""158px"" height=""140px"" bgColor="""& strAltForumCellColor &""" class=""cal_smallcalendar"" cellSpacing=""2"" cellPadding=""0"">" & vbnewline


'Days of the week
Response.Write  "<tr>"
dayofWeek = intCalFirstDayofWeek - 1
For i = 1 to 7
 '   Response.Write  "<td>" & WeekDayName(dayofWeek mod 7 + 1, True) & "</td>"
	Response.Write 	"	<TD>" & Left(WeekDayName(dayofWeek mod 7 + 1),1) & "</TD>"
    dayofWeek = dayofWeek + 1
Next
Response.Write  "</tr>" & vbnewline


'Get the first and last days of the month
dtMonthStart = DateSerial(Year(dateToDraw), Month(dateToDraw), 1)
dtMonthEnd = DateSerial(Year(dateToDraw), Month(dateToDraw)+1, 1-1)


'Set the moving date to the first day of the month
dateCursor = dtMonthStart


'If first day of the month is not Sunday (or Monday or whatever) step back to the last Sunday (Monday or whatever) of the previous month
Do Until Weekday(dateCursor) = intCalFirstDayofWeek
    dateCursor = DateAdd("d", -1, dateCursor)
Loop


strSql =    "SELECT E.EVENT_DATE, T.FORUM_ID " & _
            "FROM " & _
                strTablePrefix & "TOPICS T " & _
            "INNER JOIN " & _
                strTablePrefix & "CAL_EVENTS E ON T.TOPIC_ID = E.TOPIC_ID  " & _
            "WHERE T.FORUM_ID IN (" & arrRqCalForumID & ") " & _
            "AND E.EVENT_DATE BETWEEN '" & datetostr(DateSerial(Year(dateToDraw), Month(dateToDraw), 1)) & "' " & _
            "AND '" & datetostr(DateSerial(Year(dateToDraw), Month(dateToDraw)+1, 1 - 1)) & "' " & _
            "GROUP BY E.EVENT_DATE, T.FORUM_ID " & _
            "ORDER BY EVENT_DATE Asc"

set rs = Server.CreateObject("ADODB.Recordset")
rs.open StrSql, My_conn


'Load all the dates into a string
If not rs.EOF then strDates = rs.GetString(,,,",") Else blnNoDates = TRUE

'***************************************************************
' Linux Users: Comment the line above and uncomment the line below
'***************************************************************

'Load all the dates into an array
'If not rs.EOF then arrDates = rs.GetRows Else blnNoDates = TRUE


'Since we already have the data, we can close the recordset
rs.close
set rs = nothing


'Move to the first day of the week
firstdayofWeek = dateToDraw
Do Until Weekday(firstdayofweek) = intCalFirstdayofweek
    firstdayofWeek = DateAdd("d",-1,firstdayofWeek)
Loop


'6 Weeks in a month
for i = 1 to 6
    Response.Write  "<tr>" & vbnewline

    '7 days in a week
    For j = 1 to 7

            'Set the event flag to false
            blnEvent = FALSE

           
            'Check if there are events for this date
            If not blnNoDates then If Instr(1,strDates,datetostr(dateCursor)) > 0 then blnEvent = TRUE

            '***************************************************************
            ' Linux Users: Comment the line above and uncomment the line below
            '***************************************************************

            'Check if there are events for this date
            'If not blnNoDates then
            '    For each dtDate in arrDates
            '        If dtDate = datetostr(dateCursor) then
            '            blnEvent = TRUE
            '            exit for
            '        End if
            '    Next
            'End If            


            Response.Write  "<td bgcolor=""" & strForumCellColor & """ onMouseOver=""mOvr(this,'" & strOnHoverCellColor & "')"" onMouseOut=""mOut(this,'" & strOutHoverCellColor & "')"""
                If blnEvent then Response.Write " class=""isevent"""
                If dateCursor = DateValue(strForumTimeAdjust) then Response.Write " id=""cal_datetoday"""
                If dateCursor > firstdayofweek -1 and dateCursor < firstdayofweek + 7 then Response.Write " style=""background:none"""
            Response.Write ">"

            Response.Write "<a href=""cal.asp?view=weekly&date=" & dateCursor & """>"

            If dateCursor < dtMonthStart or dateCursor > dtMonthEnd then Response.Write "<span class=""cal_datedisabled"">"
            
                Response.Write Day(dateCursor)
          
            If dateCursor < dtMonthStart or dateCursor > dtMonthEnd then Response.Write "</span>"
          
            Response.Write  "</a>" 

            Response.Write "</td>"
           
            dateCursor = DateAdd ("d", 1, dateCursor)
    
    Next

    Response.Write "</tr>" & vbnewline
    
Next

Response.Write  "</tr></table></tr></table></td></tr></table>"


End Sub 'DrawMonthWeekly










'*****************************************************************
Sub DrawMonthTopic(Topic_ID)
' Month Calendar when viewing topics 
'*****************************************************************

'Get the date input
If Request.QueryString("date") <> "" then
    dateHolder = DateSerial(Year(Request.QueryString("date")), Month(Request.QueryString("date")), 1)
ElseIf Request.QueryString("month") <> "" and Request.QueryString("year") <> "" Then
    dateHolder = DateSerial(Request.QueryString("year"), Request.QueryString("month"), 1)
End If

'Get the Dates for this Topic
strSql = "SELECT EVENT_DATE FROM " & strTablePrefix & "CAL_EVENTS " & _
         "WHERE TOPIC_ID = " & Topic_ID & " "

If dateHolder <> "" then _
    strSql = strSql & "AND EVENT_DATE BETWEEN '" & DateToStr(dateHolder) & "' AND '" & DateToStr(DateSerial(Year(dateHolder), Month(dateHolder) + 1, 1-1)) & "' "

strSql = strSql & "GROUP BY EVENT_DATE " & _
                  "ORDER BY EVENT_DATE Asc"

set rs = Server.CreateObject("ADODB.Recordset")
rs.open StrSql, My_conn

If rs.EOF then 
    blnNoDates = TRUE
    dateToDraw = dateHolder
Else
    arrDates = rs.Getrows
    If dateHolder <> "" then dateToDraw = dateHolder Else dateToDraw = StrToDate(arrDates(0,0))
End if

rs.Close
set rs = nothing

'Table Header with Month Name and Year
Response.Write  "<FORM action=""topic.asp"" method=""get"" name=""selectdate"">" & vbnewline & _ 
                "<INPUT type=""hidden"" name=""TOPIC_ID"" value=""" & Topic_ID & """>" 

Response.Write  "<table border=""0"" cellSpacing=""0"" cellPadding=""0"">" & _
                "  <tr><td bgColor="& strPopupBorderColor &">" & _
                "    <table border=""0"" cellSpacing=""1"" cellPadding=""4"">" & vbnewline & _
                "      <tr align=""center""><td bgColor=""" & strCategoryCellColor & """>"& _
                "         <a href=cal.asp?date=" & DateAdd("m", -1, datetoDraw) & " style=""text-decoration:none;"" title=""" & strCalPrevMonth & """>" & getCurrentIcon(strCalIconLeftArrow,strCalPrevMonth,"") & "</a>&nbsp;"& _
                "         <b><a href=""cal.asp?view=monthly&month="& Month(dateToDraw) & "&year=" & Year(dateToDraw)  & """ style=""text-decoration:none"">" & _
                "         <font size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """>" & MonthName(Month(dateToDraw)) & "&nbsp;" & Year(dateToDraw) & "</font></a></b>"& _
                "         &nbsp;<a href=cal.asp?date=" & DateAdd("m", 1, datetoDraw) & " style=""text-decoration:none;"" title=""" & strCalNextMonth & """>" & getCurrentIcon(strCalIconRightArrow,strCalNextMonth,"") & "</a>"& _
                "      </td></tr>" & _
                "  <tr><td bgColor=""" & strForumCellColor & """><table width=""158px"" class=""cal_smallcalendar"" cellSpacing=""0"" cellPadding=""4"">" & vbnewline


'Days of the week
Response.Write  "   <tr>"
dayofWeek = intCalFirstDayofWeek - 1
For i = 1 to 7
    Response.Write  "<td>" & WeekDayName(dayofWeek mod 7 + 1, True) & "</td>"
    dayofWeek = dayofWeek + 1
Next
Response.Write  "</tr>" & vbnewline


'Get the first and last days of the month
dtMonthStart = DateSerial(Year(dateToDraw), Month(dateToDraw), 1)
dtMonthEnd = DateSerial(Year(dateToDraw), Month(dateToDraw)+1, 1-1)


'Set the moving date to the first day of the month
dateCursor = dtMonthStart


'Move to the first day of the week
Do Until Weekday(dateCursor) = intCalFirstDayofWeek
    dateCursor = DateAdd("d", -1, dateCursor)
Loop


'There are as many as 6 weeks in a month!
for i = 1 to 6
    Response.Write "    <tr>"

    '7 days in a week
    For j = 1 to 7

        'Only draw the date if it falls within the month
        If dateCursor < dtMonthStart or dateCursor > dtMonthEnd then

            Response.Write "<td></td>"

        Else

            'Set the event flag to FALSE
            blnEvent = FALSE


            'Check If there are events for this date
            If not blnNoDates then
                For each dtDate in arrDates
                    If dtDate = datetostr(dateCursor) then
                        blnEvent = TRUE
                        Exit For
                    End if
                Next
            End If      


            Response.Write  "<td"
                If dateCursor = DateValue(strForumTimeAdjust) then Response.write " id=""datetoday"""
                If blnEvent then Response.Write " class=""isevent"""
            Response.Write ">"
            Response.Write "<a href=""cal.asp?date=" & dateCursor & """>"
                Response.Write Day(dateCursor)
            Response.Write  "</a></td>"

        End if
        dateCursor = DateAdd ("d", 1, dateCursor)
    Next
    Response.Write "</tr>" & vbnewline
Next

Response.Write  "</table></td></tr></table></td></tr></table></FORM>" & vbnewline


End Sub 'DrawMonthTopic










'*****************************************************************
 Sub WriteUpcomingEvents
'*****************************************************************

strSql = "SELECT "
If strDBtype = "access" or strDBtype = "sqlserver" then strSql = strSql & "TOP " & intCalEventstoDisplay & " "
strSql = strSql &   "T.TOPIC_ID, " & _
                    "T.T_SUBJECT, " & _
                    "T.FORUM_ID, " & _
                    "T.T_STATUS, " & _
                    "E.EVENT_DATE, " & _
                    "C.CAT_MODERATION, " & _
                    "F.F_MODERATION " & _
    "FROM ((" & _ 
        strTablePrefix & "TOPICS AS T " & _
    "INNER JOIN " & _
        strTablePrefix & "CAL_EVENTS AS E ON E.TOPIC_ID = T.TOPIC_ID) " & _
    "INNER JOIN " & _
        strTablePrefix & "CATEGORY AS C ON C.CAT_ID = T.CAT_ID) " & _
    "INNER JOIN " & _
            strTablePrefix & "FORUM AS F ON F.FORUM_ID = T.FORUM_ID " & _
    "WHERE T.T_ISEVENT=1 " & _
    "AND   E.EVENT_DATE > '" & DateToStr(DateValue(strForumTimeAdjust)) & "' " & _
    "AND   T.FORUM_ID IN (" & arrRqCalForumID & ")" &  _
    "ORDER BY E.EVENT_DATE Asc"


set rs = Server.CreateObject("ADODB.Recordset")
rs.MaxRecords = intCalEventstoDisplay
rs.open StrSql, My_conn


If rs.EOF then
    Response.Write "" & strCalNoUpcoming & "" & vbnewline

Else Do Until rs.EOF
    Topic_ID = rs("TOPIC_ID")
    Topic_Subject = rs("T_SUBJECT")
    Forum_ID = rs("FORUM_ID")
    Topic_Status = rs("T_STATUS")
    Event_Date = StrToDate(rs("EVENT_DATE"))
    Cat_Moderation = rs("CAT_MODERATION")
    Forum_Moderation = rs("F_MODERATION")


    '*****************************************************************
    'Code for Topic Moderation and Private Forums
    If mLev = 4 then
        AdminAllowed = 1
        ForumChkSkipAllowed = 1
    ElseIf mLev = 3 then
        If chkForumModerator(Forum_ID, chkString(strDBNTUserName,"decode")) = "1" then
            AdminAllowed = 1
            ForumChkSkipAllowed = 1
        Else
            If lcase(strNoCookies) = "1" then
                AdminAllowed = 1
                ForumChkSkipAllowed = 0
            Else
                AdminAllowed = 0
                ForumChkSkipAllowed = 0
            End if
        End if
    ElseIf lcase(strNoCookies) = "1" then
        AdminAllowed = 1
        ForumChkSkipAllowed = 0
    Else   
        AdminAllowed = 0
        ForumChkSkipAllowed = 0
    End if

    If strPrivateForums = "1" and ForumChkSkipAllowed <> "1" then
        forumAccess = ChkForumAccess(Forum_ID, MemberID, false)
    Else
        forumAccess = true
    End if
    
    If strModeration > 0 and Cat_Moderation > 0 and Forum_Moderation > 0 and AdminAllowed = 0 then
            Moderation = "Y"
    Else
            Moderation = "N"
    End if
    '*****************************************************************


    If forumAccess and not(Moderation = "Y" and Topic_Status > 1 and Topic_Author <> MemberID) then
	Response.Write	"<table border=""0"" cellspacing="""" cellpadding=""4""><tr><td valign=""top""><img src=""" & strImageUrl & "task.gif""></img></td><td valign=""top""><font size=""" & strFooterFontSize & """>" & MonthName(Month(Event_Date)) & "&nbsp;" & Day(Event_Date) & " will be:<br>" & vbnewline & _
			"<SPAN class=""spnMessageText""><a href=""topic.asp?TOPIC_ID=" & Topic_ID & """>" & Topic_Subject & "</a></font></td></tr></table>"
    else
	Response.Write	"<table border=""0"" cellspacing="""" cellpadding=""4""><tr><td valign=""top""><img src=""" & strImageUrl & "task.gif""></img></td><td valign=""top""><font size=""" & strFooterFontSize & """>" & "On&nbsp;" & MonthName(Month(Event_Date)) & "&nbsp;" & Day(Event_Date) & ":<br>" & vbnewline & _
			"<SPAN class=""spnMessageText""><a href=""topic.asp?TOPIC_ID=" & Topic_ID & """>" & Topic_Subject & "</a></font></td></tr></table>"
    End if

    rs.movenext

Loop End if

rs.close
set rs = nothing


End Sub 'WriteUpcomingEvents










'*****************************************************************
 Sub WriteRecentEvents
'*****************************************************************

strSql = "SELECT "
If strDBtype = "access" or strDBtype = "sqlserver" then strSql = strSql & "TOP " & intCalEventstoDisplay & " "
strSql = strSql &   "T.TOPIC_ID, " & _
                    "T.T_SUBJECT, " & _
                    "T.FORUM_ID, " & _
                    "T.T_STATUS, " & _
                    "E.EVENT_DATE, " & _
                    "C.CAT_MODERATION, " & _
                    "F.F_MODERATION " & _
    "FROM ((" & _ 
        strTablePrefix & "TOPICS AS T " & _
    "INNER JOIN " & _
        strTablePrefix & "CAL_EVENTS AS E ON E.TOPIC_ID = T.TOPIC_ID) " & _
    "INNER JOIN " & _
        strTablePrefix & "CATEGORY AS C ON C.CAT_ID = T.CAT_ID) " & _
    "INNER JOIN " & _
            strTablePrefix & "FORUM AS F ON F.FORUM_ID = T.FORUM_ID " & _
    "WHERE T.T_ISEVENT=1 " & _
    "AND   E.EVENT_DATE < '" & DateToStr(DateValue(strForumTimeAdjust)) & "' " & _
    "AND   T.FORUM_ID IN (" & arrRqCalForumID & ")" &  _
    "ORDER BY E.EVENT_DATE Desc"


set rs = Server.CreateObject("ADODB.Recordset")
rs.MaxRecords = intCalEventstoDisplay
rs.open StrSql, My_conn


If rs.EOF then
    Response.Write "" & strCalNoRecent & "" & vbnewline

Else Do Until rs.EOF
    Topic_ID = rs("TOPIC_ID")
    Topic_Subject = rs("T_SUBJECT")
    Forum_ID = rs("FORUM_ID")
    Topic_Status = rs("T_STATUS")
    Event_Date = StrToDate(rs("EVENT_DATE"))
    Cat_Moderation = rs("CAT_MODERATION")
    Forum_Moderation = rs("F_MODERATION")


    '*****************************************************************
    'Code for Topic Moderation and Private Forums
    If mLev = 4 then
        AdminAllowed = 1
        ForumChkSkipAllowed = 1
    ElseIf mLev = 3 then
        If chkForumModerator(Forum_ID, chkString(strDBNTUserName,"decode")) = "1" then
            AdminAllowed = 1
            ForumChkSkipAllowed = 1
        Else
            If lcase(strNoCookies) = "1" then
                AdminAllowed = 1
                ForumChkSkipAllowed = 0
            Else
                AdminAllowed = 0
                ForumChkSkipAllowed = 0
            End if
        End if
    ElseIf lcase(strNoCookies) = "1" then
        AdminAllowed = 1
        ForumChkSkipAllowed = 0
    Else   
        AdminAllowed = 0
        ForumChkSkipAllowed = 0
    End if

    If strPrivateForums = "1" and ForumChkSkipAllowed <> "1" then
        forumAccess = ChkForumAccess(Forum_ID, MemberID, false)
    Else
        forumAccess = true
    End if
    
    If strModeration > 0 and Cat_Moderation > 0 and Forum_Moderation > 0 and AdminAllowed = 0 then
            Moderation = "Y"
    Else
            Moderation = "N"
    End if
    '*****************************************************************


    If forumAccess and not(Moderation = "Y" and Topic_Status > 1 and Topic_Author <> MemberID) then
        Response.Write  "<table border=""0"" cellspacing="""" cellpadding=""4""><tr><td valign=""top""><img src=""" & strImageUrl & "task.gif""></img></td><td valign=""top""><font size=""" & strFooterFontSize & """>" & MonthName(Month(Event_Date)) & "&nbsp;" & Day(Event_Date) & " was:<br>" & vbnewline & _
                        "<SPAN class=""spnMessageText""><a href=""topic.asp?TOPIC_ID=" & Topic_ID & """>" & Topic_Subject & "</a></font></td></tr></table>"
    else
        Response.Write  "<table border=""0"" cellspacing="""" cellpadding=""4""><tr><td valign=""top""><img src=""" & strImageUrl & "task.gif""></img></td><td valign=""top""><font size=""" & strFooterFontSize & """>" & MonthName(Month(Event_Date)) & "&nbsp;" & Day(Event_Date) & " was:<br>" & vbnewline & _
                        "<SPAN class=""spnMessageText""><a href=""topic.asp?TOPIC_ID=" & Topic_ID & """>" & Topic_Subject & "</a></font></td></tr></table>"

    End if

    rs.MoveNext

Loop End if

rs.close
set rs = nothing


End Sub 'WriteRecentEvents




'### Birthday Mod - Must Use Birthdate in Member Profile - Huntress Beta v2.2 ###
'#######################################################
sub PrepBdayTables                                   '##
'#######################################################

todaysdate = now()

strSql = " SELECT BT_TS FROM " & strTablePrefix & "BIRTHDAY_TS "
set rs = my_Conn.Execute(strSql)

if rs.EOF then
	'do nothing - show no errors to user. If birthdays not showing, check here!!!
else 	
	if rs("BT_TS") <> FormatDateTime(todaysdate,vbShortDate) then
		strSql = " UPDATE " & strTablePrefix & "BIRTHDAY_TS SET BT_TS = '" & FormatDateTime(todaysdate,vbShortDate) & "'"
		my_Conn.Execute (strSql)

		strSql = " DELETE FROM " & strTablePrefix & "MEMBERS_BDATES "
		my_conn.execute (strSql)

		strSql = " INSERT INTO " & strTablePrefix & "MEMBERS_BDATES(MEMBER_ID, M_NAME, DOB) " & _
				  " SELECT MEMBER_ID, M_NAME, M_DOB " & _
		         " FROM " & strTablePrefix & "MEMBERS " & _
		         " WHERE M_LASTPOSTDATE > '" & DateToStr(DateAdd("d",-31,todaysdate)) & "' AND M_DOB <> '' And M_DOB Is Not Null "
		my_conn.execute (strSql)

		if strDBType = "access" then
			strSql = " SELECT MB_ID, DOB FROM " & strTablePrefix & "MEMBERS_BDATES " & _
					  " ORDER BY MID(DOB,5,4) "
			set MBrs = my_Conn.Execute(strSql)
		else
			strSql = " SELECT MB_ID, DOB FROM " & strTablePrefix & "MEMBERS_BDATES " & _
					  " ORDER BY SUBSTRING(DOB,5,4) "
			set MBrs = my_Conn.Execute(strSql)
		end if

		CurYYYYMMDD = left(DateToStr(dateadd("d",BdayDays,todaysdate)),8)
		
		do while not MBrs.EOF
			'deal with that damn leap year baby :) - February 29th birthdays changed to March 1st on non leap years
			if mid(MBrs("DOB"),5,4) = "0229" and mid(datetostr(todaysdate),1,4) mod 4 <> 0 then
				mbDOB = "0301"
			else
				mbDOB = mid(MBrs("DOB"),5,4)
			end if
			'set the year for the next occurance of members birthday
			if clng((left(MBrs("DOB"),4) & mbDOB)) > clng(CurYYYYMMDD) then
				newdate = year(DateAdd("yyyy",-1,todaysdate)) & mbDOB
				strSql = " UPDATE " & strTablePrefix & "MEMBERS_BDATES " & _
				         " SET DOB = '" & newdate & "'" & _
				         " WHERE MB_ID = " & MBrs("MB_ID")
				my_Conn.Execute (strSql)
			else
				newdate = mid(datetostr(todaysdate),1,4) & mbDOB
				strSql = " UPDATE " & strTablePrefix & "MEMBERS_BDATES " & _
				         " SET DOB = '" & newdate & "'" & _
				         " WHERE MB_ID = " & MBrs("MB_ID")
				my_Conn.Execute (strSql)
			end if
			MBrs.movenext
		loop
		MBrs.close
		set MBrs = nothing
	end if
end if
rs.close
set rs = nothing

End sub '### PrepBdayTables ###



'#######################################################
sub WriteBirthdays                                   '##
'#######################################################

strSql = " SELECT * FROM " & strTablePrefix & "MEMBERS_BDATES ORDER BY DOB "
set rs = my_Conn.Execute(strSql)

strSql = "SELECT " & strMemberTablePrefix & "MEMBERS.M_AGE"
strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS"

set rsAge = my_Conn.Execute (strSql)

'## Forum_SQL

if rs.EOF then
	'no birthdays at all :D
else 	
		'todays birthdays
		Response.Write 	"<TABLE width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""0"">" & vbnewline & _
				"<TR><TD bgColor="""& strTableBorderColor &""">" & vbNewLine
		Response.Write 	"	<TABLE width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""2"" class=""smalleventslist"">" & vbNewLine & _
				"	<TR><TD colspan=""3"" bgcolor="& strTableBorderColor &"></TD></TR>" & vbnewline & _
				"	<TR align=center>" & vbnewline & _
				"		<TD colspan=""3"" bgColor=""" & strCategoryCellColor & """><FONT face=" & strDefaultFontFace & " size=" & strDefaultFontSize & " color=" & strCategoryFontColor & ">" & vbNewLine & _ 
				"			<B>Today's Birthdays</TD></TR>" & vbNewLine & _
				"	<TR><TD colspan=""3"" bgcolor="& strTableBorderColor &"> " & vbNewLine
bTodayFound = False
	do while not(rs.EOF)
		if DateToStr(rs("DOB")&"235900") > DateToStr(todaysdate) and DateToStr(rs("DOB")&"000000") < DateToStr(todaysdate) then
			bTodayFound = true
			Response.Write "<TR><TD bgcolor="& strForumCellColor &" width=""1"">"
			Response.Write "<img src=""" & StrImageURL & "bdaycake.gif"" border=""0"" hspace=""4"" vspace=""2"">"
			Response.Write "</td><td colspan=""2"" bgcolor="& strForumCellColor &" width=""99%"">"
			Response.Write "<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """><span class=""spnMessageText""><a href=""pop_profile.asp?mode=display&id="& rs("member_id") & """>" & rs("M_NAME") & "</a></span></FONT><br>"
			Response.Write "<font face=" & strDefaultFontFace & " size=" & strFooterFontSize & " color=" & strDefaultFontColor & ">" & ChkDate(rs("DOB"),"",false) & "&nbsp;</FONT>"
			Response.Write "</TD></TR>"
		end if
		rs.Movenext
	loop
	if bTodayFound = False then
			Response.Write	"<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write	"<font face=" & strDefaultFontFace & " size=" & strFooterFontSize - 1 & " color=" & strDefaultFontColor & "></FONT>"
			Response.Write	"</TD></TR>"
			Response.Write	"<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write	"<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """>&nbsp;&nbsp;No Birthdays Today</FONT>"
			Response.Write	"</TD></TR>"	
			Response.Write	"<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write	"</TD></TR>"
	end if
			Response.Write	"<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write	"<font face=" & strDefaultFontFace & " size=" & strFooterFontSize - 1 & " color=" & strDefaultFontColor & "></FONT>"
			Response.Write	"</TD></TR>"
			Response.Write	"</TD></TR></TABLE>"
			Response.Write	"</TD></TR></TABLE>"
	rs.movefirst
		'upcoming birthdays
			Response.Write 	"<TABLE width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""0"">" & vbnewline & _
					"<TR><TD bgColor="""& strTableBorderColor &""">" & vbNewLine
			Response.Write	"	<TABLE width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""2"" class=""smalleventslist"">" & vbNewLine & _
					"	<TR><TD colspan=""3"" bgcolor="& strTableBorderColor &"></TD></TR>" & vbnewline & _
					"	<TR align=center>" & vbnewline & _
					"		<TD colspan=""3"" bgColor=""" & strCategoryCellColor & """><FONT face=" & strDefaultFontFace & " size=" & strDefaultFontSize & " color=" & strCategoryFontColor & ">" & vbNewLine & _ 
					"			<B>Upcoming Birthdays</TD></TR>" & vbNewLine & _
					"	<TR><TD colspan=""3"" bgcolor="& strTableBorderColor &"> " & vbNewLine
bUpcomingFound = False
	do while not(rs.EOF)
		if DateToStr(rs("DOB")&"000000") > DateToStr(todaysdate) and DateToStr(rs("DOB")&"000000") < DateToStr(DateAdd("d",BdayDays,todaysdate)) then
			bUpcomingFound = true
			Response.Write	"<TR><TD bgcolor="& strForumCellColor &" width=""1%"">"
			Response.Write	"<img src=""" & StrImageURL & "bdayprsbox.gif"" border=""0"" hspace=""4"" vspace=""2"">"
			Response.Write	"</td><td colspan=""2"" bgcolor="& strForumCellColor &" width=""99%"">"
			Response.Write	"<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """><span class=""spnMessageText""><a href=""pop_profile.asp?mode=display&id="& rs("member_id") & """>" & rs("M_NAME") & "</a></span></FONT><br>"
			Response.Write	"<font face=" & strDefaultFontFace & " size=" & strFooterFontSize & " color=" & strDefaultFontColor & ">" & ChkDate(rs("DOB"),"",false) & "</FONT>"
			Response.Write	"</TD></TR>"
		end if
		rs.Movenext
	loop
	if bUpcomingFound = False then
			Response.Write	"<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write	"<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """>&nbsp;&nbsp;No Upcoming Birthdays</FONT>"
			Response.Write	"</TD></TR>"	
			Response.Write	"<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write	"</TD></TR>"
	end if
			Response.Write	"<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write	"<font face=" & strDefaultFontFace & " size=" & strFooterFontSize - 1 & " color=" & strDefaultFontColor & "></FONT>"
			Response.Write	"</TD></TR></TABLE>" & vbNewLine
			Response.Write	"</TD></TR></TABLE>" & vbNewLine
	rs.movefirst
		'recent birthdays
		Response.Write 	"<TABLE width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""0"">" & vbnewline & _
				"<TR><TD bgColor="""& strTableBorderColor &""">" & vbNewLine
		Response.Write 	"	<TABLE width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""2"" class=""smalleventslist"">" & vbNewLine & _
				"	<TR><TD colspan=""3"" bgcolor="& strTableBorderColor &"></TD></TR>" & vbnewline & _
				"	<TR align=center>" & vbnewline & _
				"		<TD colspan=""3"" bgColor=""" & strCategoryCellColor & """><FONT face=" & strDefaultFontFace & " size=" & strDefaultFontSize & " color=" & strCategoryFontColor & ">" & vbNewLine & _ 
				"			<B>Recent Birthdays</TD></TR>" & vbNewLine & _
				"	<TR><TD colspan=""3"" bgcolor="& strTableBorderColor &"> " & vbNewLine
bRecentFound = False
	do while not(rs.EOF)
		if DateToStr(rs("DOB")&"235900") < DateToStr(todaysdate) and DateToStr(rs("DOB")&"000000") > DateToStr(DateAdd("d",-BdayDays,todaysdate)) then
			bRecentFound = true
			Response.Write	"</TD></TR>"
			Response.Write	"<TR><TD bgcolor="& strForumCellColor &" width=""1"">"
			Response.Write	"<img src=""" & StrImageURL & "bdayprsbox2.gif"" border=""0"" hspace=""4"" vspace=""2"">"
			Response.Write	"</td><td colspan=""2"" bgcolor="& strForumCellColor &" width=""99%"">"
			Response.Write	"<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """><span class=""spnMessageText""><a href=""pop_profile.asp?mode=display&id="& rs("member_id") & """>" & rs("M_NAME") & "</a></span></FONT><br>"
			Response.Write	"<font face=" & strDefaultFontFace & " size=" & strFooterFontSize & " color=" & strDefaultFontColor & ">" & ChkDate(mid(datetostr(todaysdate),1,4) & mid(rs("DOB"),5,4),"",false) & "</FONT>"
			Response.Write	"</TD></TR>"
		end if
		rs.Movenext
	loop
	if bRecentFound = False then
			Response.Write "<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write "<font face=" & strDefaultFontFace & " size=" & strFooterFontSize - 1 & " color=" & strDefaultFontColor & "></FONT>"
			Response.Write "</TD></TR>"
			Response.Write "<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write "<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """>&nbsp;&nbsp;No Recent Birthdays</FONT>"
			Response.Write "</TD></TR>"	
			Response.Write "<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write "</TD></TR>"
	end if
			Response.Write "<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write "<font face=" & strDefaultFontFace & " size=" & strFooterFontSize - 1 & " color=" & strDefaultFontColor & "></FONT>"
			Response.Write "</TD></TR></TABLE>" & vbNewLine & _
					"</TD></TR></TABLE>" & vbNewLine
end if

rs.close
set rs = nothing

rsAge.close
set rsAge = nothing

End sub '### WriteBirthdays ###
'### Birthday Mod - Must Use Birthdate in Member Profile - Huntress Beta v2.2 ###





'#######################################################
sub WriteBirthdays2                                  '##
'#######################################################

strSql = " SELECT * FROM " & strTablePrefix & "MEMBERS_BDATES ORDER BY DOB "
set rs = my_Conn.Execute(strSql)

if rs.EOF then
	'no birthdays at all :D
else 	
		'todays birthdays
		Response.Write 	"<TABLE width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""0"">" & vbnewline & _
				"<TR><TD bgColor="""& strTableBorderColor &""">" & vbNewLine
		Response.Write 	"	<TABLE width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""4"" class=""smalleventslist"">" & vbNewLine & _
				"	<TR><TD colspan=""3"" bgcolor="& strForumCellColor &"> " & vbNewLine
			Response.Write "<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write "</TD></TR>"
bTodayFound = False
	do while not(rs.EOF)
		if DateToStr(rs("DOB")&"235900") > DateToStr(todaysdate) and DateToStr(rs("DOB")&"000000") < DateToStr(todaysdate) then
			bTodayFound = true
			Response.Write "<TR><TD bgcolor="& strForumCellColor &" width=""1%"" nowrap>"
			Response.Write "&nbsp;&nbsp;<img src=""" & StrImageURL & "bdaycake.gif"" border=""0"">"
			Response.Write "</td><td bgcolor="& strForumCellColor &" width=""50%"">"
			Response.Write "<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><span class=""spnMessageText""><a href=""pop_profile.asp?mode=display&id="& rs("member_id") & """>" & rs("M_NAME") & "</a></span></FONT>"
			Response.Write "</TD><TD align=""right"" bgcolor="& strForumCellColor &" width=""50%"" nowrap>"
			Response.Write "<font face=" & strDefaultFontFace & " size=" & stDefaultFontSize & " color=" & strDefaultFontColor & ">" & ChkDate(rs("DOB"),"",false) & "&nbsp;</FONT>"
			Response.Write "</TD></TR>"
		end if
		rs.Movenext
	loop
	if bTodayFound = False then
			Response.Write "<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write "<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>No Birthdays Today</FONT>"
			Response.Write "</TD></TR>"
	end if
			Response.Write 	"	</TD></TR></TABLE>" & vbNewLine & _
					"</TD></TR></TABLE>" & vbNewLine
	rs.movefirst

end if

rs.close
set rs = nothing

End sub '### WriteBirthdays2 ###



'#######################################################
sub WriteBirthdays3                                  '##
'#######################################################

strSql = " SELECT * FROM " & strTablePrefix & "MEMBERS_BDATES ORDER BY DOB "
set rs = my_Conn.Execute(strSql)

if rs.EOF then
	'no birthdays at all :D
else
		'upcoming birthdays
		Response.Write 	"<TABLE width=""100%"" border=""0"" cellSpacing=""1"" cellPadding=""0"" bgColor=""" & strTableBorderColor & """>" & vbnewline & _
				"<TR><TD bgcolor=""" & strTableBorderColor & """>" & vbNewLine
		Response.Write 	"	<TABLE width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""4"" class=""smalleventslist"">" & vbNewLine & _
				"	<TR align=center>" & vbnewline & _
				"		<TD colspan=""3"" bgColor=""" & strCategoryCellColor & """><FONT face=" & strDefaultFontFace & " size=" & strDefaultFontSize & " color=" & strCategoryFontColor & ">" & vbNewLine & _ 
				"			<B>Upcoming Birthdays</TD></TR>" & vbNewLine
		Response.Write 	"	<TR><TD colspan=""3"" bgcolor="& strTableBorderColor &"></TD></TR>" & vbnewline
bUpcomingFound = False
	do while not(rs.EOF)
		if DateToStr(rs("DOB")&"000000") > DateToStr(todaysdate) and DateToStr(rs("DOB")&"000000") < DateToStr(DateAdd("d",BdayDays,todaysdate)) then
			bUpcomingFound = true
			Response.Write "<TR><TD bgcolor="& strForumCellColor &" width=""1%"" nowrap>"
			Response.Write "&nbsp;&nbsp;<img src=""" & StrImageURL & "bdayprsbox.gif"" border=""0"">"
			Response.Write "</td><td bgcolor="& strForumCellColor &" width=""50%"">"
			Response.Write "<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """><span class=""spnMessageText""><a href=""pop_profile.asp?mode=display&id="& rs("member_id") & """>" & rs("M_NAME") & "</a></span></FONT>"
			Response.Write "</TD><TD align=""right"" bgcolor="& strForumCellColor &" width=""50%"" nowrap>"
			Response.Write "<font face=" & strDefaultFontFace & " size=" & strFooterFontSize & " color=" & strDefaultFontColor & ">" & ChkDate(rs("DOB"),"",false) & "&nbsp;</FONT>"
			Response.Write "</TD></TR>"
		end if
		rs.Movenext
	loop
	if bUpcomingFound = False then
			Response.Write "<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write "<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """>&nbsp;&nbsp;No Upcoming Birthdays</FONT>"
			Response.Write "</TD></TR>"
	end if
			Response.Write 	"	</TD></TR></TABLE>" & vbNewLine & _
					"</TD></TR></TABLE><br>" & vbNewLine
	rs.movefirst
		'recent birthdays
		Response.Write 	"<TABLE width=""100%"" border=""0"" cellSpacing=""1"" cellPadding=""0"" bgColor=""" & strPopupBorderColor & """>" & vbnewline & _
				"  <TR><TD>" & vbNewLine
		Response.Write 	"	<TABLE width=""100%"" border=""0"" cellSpacing=""0"" cellPadding=""4"">" & vbNewLine & _
				"	<TR align=center>" & vbnewline & _
				"		<TD colspan=""3"" bgColor=""" & strCategoryCellColor & """><FONT face=" & strDefaultFontFace & " size=" & strDefaultFontSize & " color=" & strCategoryFontColor & ">" & vbNewLine & _ 
				"			<B>Recent Birthdays</TD></TR>" & vbNewLine
		Response.Write 	"	<TR><TD colspan=""3"" bgcolor="& strPopupborderColor &"></TD></TR>" & vbnewline
bRecentFound = False
	do while not(rs.EOF)
		if DateToStr(rs("DOB")&"235900") < DateToStr(todaysdate) and DateToStr(rs("DOB")&"000000") > DateToStr(DateAdd("d",-BdayDays,todaysdate)) then
			bRecentFound = true
			Response.Write "</TD></TR>"
			Response.Write "<TR><TD bgcolor="& strForumCellColor &" width=""1%"" nowrap>"
			Response.Write "&nbsp;&nbsp;<img src=""" & StrImageURL & "bdayprsbox2.gif"" border=""0"">"
			Response.Write "</td><td bgcolor="& strForumCellColor &" width=""50%"">"
			Response.Write "<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """><span class=""spnMessageText""><a href=""pop_profile.asp?mode=display&id="& rs("member_id") & """>" & rs("M_NAME") & "</a></span></FONT>"
			Response.Write "</TD><TD align=""right"" bgcolor="& strForumCellColor &" width=""50%"" nowrap>"
			Response.Write "<font face=" & strDefaultFontFace & " size=" & strFooterFontSize & " color=" & strDefaultFontColor & ">" & ChkDate(mid(datetostr(todaysdate),1,4) & mid(rs("DOB"),5,4),"",false) & "&nbsp;</FONT>"
			Response.Write "</TD></TR>"	
		end if
		rs.Movenext
	loop
	if bRecentFound = False then
			Response.Write "<TR><TD colspan=""3"" bgcolor="& strForumCellColor &">"
			Response.Write "<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """>&nbsp;&nbsp;No Recent Birthdays</FONT>"
			Response.Write "</TD></TR>"
	end if
			Response.Write 	"	</TD></TR></TABLE>" & vbNewLine & _
					"</TD></TR></TABLE>" & vbNewLine
end if

rs.close
set rs = nothing

End sub '### WriteBirthdays3 ###
'### Birthday Mod - Must Use Birthdate in Member Profile - Huntress Beta v2.2 ###
%>