<%
'#################################################################################
'## Copyright (C) 2000-02 Michael Anderson, Pierre Gorissen,
'##                       Huw Reddick and Richard Kinser
'##
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'##
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'##
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'##
'## Support can be obtained from support forums at:
'## http://forum.snitz.com
'##
'## Correspondence and Marketing Questions can be sent to:
'## reinhold@bigfoot.com
'##
'## or
'##
'## Snitz Communications
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#################################################################################

' ////////////////////// START CUSTOM FUNCTIONS  ////////////////////////////

Function SQLBless(s)
	' Creates a safe string with embedded apostophe's so SQL can parse correctly

	dim tmp
	
	tmp = s
	
	tmp = replace(tmp, "", "'")
	tmp = replace(tmp, "`", "'")
	tmp = replace(tmp, "'", "''")

	SQLBless = tmp
end function

function RemoveCode(fString)

	'CleanCode(fString)   ' Pre-process:  convert html to forum code...
	
	if fString = "" then 
		fString = " "
	else 
		if strAllowForumCode = "1" then
			fString = replace(fString, "[b]", "", 1, -1, 1)
			fString = replace(fString, "[/b]", "", 1, -1, 1)
		    fString = replace(fString, "[s]", "", 1, -1, 1)
		    fString = replace(fString, "[/s]", "", 1, -1, 1)
			fString = replace(fString, "[u]", "", 1, -1, 1)
			fString = replace(fString, "[/u]", "", 1, -1, 1)
			fString = replace(fString, "[i]", "", 1, -1, 1)
			fString = replace(fString, "[/i]", "", 1, -1, 1)
			fString = replace(fString, "[font=Andale Mono]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Andale Mono]", "", 1, -1, 1)
			fString = replace(fString, "[font=Arial]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Arial]", "", 1, -1, 1)
			fString = replace(fString, "[font=Arial Black]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Arial Black]", "", 1, -1, 1)
			fString = replace(fString, "[font=Book Antiqua]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Book Antiqua]", "", 1, -1, 1)
			fString = replace(fString, "[font=Century Gothic]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Century Gothic]", "", 1, -1, 1)
			fString = replace(fString, "[font=Comic Sans MS]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Comic Sans MS]", "", 1, -1, 1)
			fString = replace(fString, "[font=Courier New]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Courier New]", "", 1, -1, 1)
			fString = replace(fString, "[font=Georgia]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Georgia]", "", 1, -1, 1)
			fString = replace(fString, "[font=Impact]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Impact]", "", 1, -1, 1)
			fString = replace(fString, "[font=Tahoma]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Tahoma]", "", 1, -1, 1)
			fString = replace(fString, "[font=Times New Roman]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Times New Roman]", "", 1, -1, 1)
			fString = replace(fString, "[font=Trebuchet MS]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Trebuchet MS]", "", 1, -1, 1)
			fString = replace(fString, "[font=Script MT Bold]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Script MT Bold]", "", 1, -1, 1)
			fString = replace(fString, "[font=Stencil]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Stencil]", "", 1, -1, 1)
			fString = replace(fString, "[font=Verdana]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Verdana]", "", 1, -1, 1)
			fString = replace(fString, "[font=Lucida Console]", "", 1, -1, 1)
			fString = replace(fString, "[/font=Lucida Console]", "", 1, -1, 1)
		    
		      fString = replace(fString, "[red]", "", 1, -1, 1)
		      fString = replace(fString, "[/red]", "", 1, -1, 1)
		      fString = replace(fString, "[green]", "", 1, -1, 1)
		      fString = replace(fString, "[/green]", "", 1, -1, 1)
		      fString = replace(fString, "[blue]", "", 1, -1, 1)
		      fString = replace(fString, "[/blue]", "", 1, -1, 1)
		      fString = replace(fString, "[white]", "", 1, -1, 1)
		      fString = replace(fString, "[/white]", "", 1, -1, 1)
		      fString = replace(fString, "[purple]", "", 1, -1, 1)
		      fString = replace(fString, "[/purple]", "", 1, -1, 1)
	  	      fString = replace(fString, "[yellow]", "", 1, -1, 1)
	  	      fString = replace(fString, "[/yellow]", "", 1, -1, 1)
		      fString = replace(fString, "[violet]", "", 1, -1, 1)
		      fString = replace(fString, "[/violet]", "", 1, -1, 1)
		      fString = replace(fString, "[brown]", "", 1, -1, 1)
		      fString = replace(fString, "[/brown]", "", 1, -1, 1)
		      fString = replace(fString, "[black]", "", 1, -1, 1)
		      fString = replace(fString, "[/black]", "", 1, -1, 1)
		      fString = replace(fString, "[pink]", "", 1, -1, 1)
		      fString = replace(fString, "[/pink]", "", 1, -1, 1)
		      fString = replace(fString, "[orange]", "", 1, -1, 1)
		      fString = replace(fString, "[/orange]", "", 1, -1, 1)
		      fString = replace(fString, "[gold]", "", 1, -1, 1)
		      fString = replace(fString, "[/gold]", "", 1, -1, 1)

		      fString = replace(fString, "[beige]", "", 1, -1, 1)
		      fString = replace(fString, "[/beige]", "", 1, -1, 1)
		      fString = replace(fString, "[teal]", "", 1, -1, 1)
		      fString = replace(fString, "[/teal]", "", 1, -1, 1)
		      fString = replace(fString, "[navy]", "", 1, -1, 1)
		      fString = replace(fString, "[/navy]", "", 1, -1, 1)
		      fString = replace(fString, "[maroon]", "", 1, -1, 1)
		      fString = replace(fString, "[/maroon]", "", 1, -1, 1)
		      fString = replace(fString, "[limegreen]", "", 1, -1, 1)
		      fString = replace(fString, "[/limegreen]", "", 1, -1, 1)

			fString = replace(fString, "[h1]", "", 1, -1, 1)
			fString = replace(fString, "[/h1]", "", 1, -1, 1)
			fString = replace(fString, "[h2]", "", 1, -1, 1)
			fString = replace(fString, "[/h2]", "", 1, -1, 1)
			fString = replace(fString, "[h3]", "", 1, -1, 1)
			fString = replace(fString, "[/h3]", "", 1, -1, 1)
			fString = replace(fString, "[h4]", "", 1, -1, 1)
			fString = replace(fString, "[/h4]", "", 1, -1, 1)
			fString = replace(fString, "[h5]", "", 1, -1, 1)
			fString = replace(fString, "[/h5]", "", 1, -1, 1)
			fString = replace(fString, "[h6]", "", 1, -1, 1)
			fString = replace(fString, "[/h6]", "", 1, -1, 1)
			fString = replace(fString, "[size=1]", "", 1, -1, 1)
			fString = replace(fString, "[/size=1]", "", 1, -1, 1)
			fString = replace(fString, "[size=2]", "", 1, -1, 1)
			fString = replace(fString, "[/size=2]", "", 1, -1, 1)
			fString = replace(fString, "[size=3]", "", 1, -1, 1)
			fString = replace(fString, "[/size=3]", "", 1, -1, 1)
			fString = replace(fString, "[size=4]", "", 1, -1, 1)
			fString = replace(fString, "[/size=4]", "", 1, -1, 1)
			fString = replace(fString, "[size=5]", "", 1, -1, 1)
			fString = replace(fString, "[/size=5]", "", 1, -1, 1)
			fString = replace(fString, "[size=6]", "", 1, -1, 1)
			fString = replace(fString, "[/size=6]", "", 1, -1, 1)
			fString = replace(fString, "[br]", "", 1, -1, 1)
		    fString = replace(fString, "[left]", "", 1, -1, 1)
		    fString = replace(fString, "[/left]", "", 1, -1, 1)
			fString = replace(fString, "[center]", "", 1, -1, 1)
			fString = replace(fString, "[/center]", "", 1, -1, 1)
		    fString = replace(fString, "[right]", "", 1, -1, 1)
		    fString = replace(fString, "[/right]", "", 1, -1, 1)
			fString = replace(fString, "[list]", "", 1, -1, 1)
			fString = replace(fString, "[/list]", "", 1, -1, 1)
			fString = replace(fString, "[list=1]", "", 1, -1, 1)
			fString = replace(fString, "[/list=1]", "", 1, -1, 1)
			fString = replace(fString, "[list=a]", "", 1, -1, 1)
			fString = replace(fString, "[/list=a]", "", 1, -1, 1)
			fString = replace(fString, "[*]", "", 1, -1, 1)
			fString = replace(fString, "[/*]", "", 1, -1, 1)
			fString = replace(fString, "[quote]", "", 1, -1, 1)
			fString = replace(fString, "[/quote]", "", 1, -1, 1)
			fString = replace(fString, "[code]", "", 1, -1, 1)
			fString = replace(fString, "[/code]", "", 1, -1, 1)

		      fString = replace(fString, "<font color=red>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=red>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=green>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=green>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=blue>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=blue>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=white>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=white>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=purple>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=purple>", "", 1, -1, 1)
	  	      fString = replace(fString, "<font color=yellow>", "", 1, -1, 1)
	  	      fString = replace(fString, "</font id=yellow>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=violet>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=violet>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=brown>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=brown>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=black>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=black>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=pink>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=pink>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=orange>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=orange>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=gold>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=gold>", "", 1, -1, 1)

		      fString = replace(fString, "<font color=beige>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=beige>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=teal>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=teal>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=navy>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=navy>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=maroon>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=maroon>", "", 1, -1, 1)
		      fString = replace(fString, "<font color=limegreen>", "", 1, -1, 1)
		      fString = replace(fString, "</font id=limegreen>", "", 1, -1, 1)
		      
			fString = replace(fString, "<h1>", "", 1, -1, 1)
			fString = replace(fString, "</h1>", "", 1, -1, 1)
			fString = replace(fString, "<h2>", "", 1, -1, 1)
			fString = replace(fString, "</h2>", "", 1, -1, 1)
			fString = replace(fString, "<h3>", "", 1, -1, 1)
			fString = replace(fString, "</h3>", "", 1, -1, 1)
			fString = replace(fString, "<h4>", "", 1, -1, 1)
			fString = replace(fString, "</h4>", "", 1, -1, 1)
			fString = replace(fString, "<h5>", "", 1, -1, 1)
			fString = replace(fString, "</h5>", "", 1, -1, 1)
			fString = replace(fString, "<h6>", "", 1, -1, 1)
			fString = replace(fString, "</h6>", "", 1, -1, 1)
			fString = replace(fString, "<font size=1>", "", 1, -1, 1)
			fString = replace(fString, "</font id=size1>", "", 1, -1, 1)
			fString = replace(fString, "<font size=2>", "", 1, -1, 1)
			fString = replace(fString, "</font id=size2>", "", 1, -1, 1)
			fString = replace(fString, "<font size=3>", "", 1, -1, 1)
			fString = replace(fString, "</font id=size3>", "", 1, -1, 1)
			fString = replace(fString, "<font size=4>", "", 1, -1, 1)
			fString = replace(fString, "</font id=size4>", "", 1, -1, 1)
			fString = replace(fString, "<font size=5>", "", 1, -1, 1)
			fString = replace(fString, "</font id=size5>", "", 1, -1, 1)
			fString = replace(fString, "<font size=6>", "", 1, -1, 1)
			fString = replace(fString, "</font id=size6>", "", 1, -1, 1)
			fString = replace(fString, "<br>"," ", 1, -1, 1)
		    fString = replace(fString, "<div align=left>", "", 1, -1, 1)
		    fString = replace(fString, "</div id=left>", "", 1, -1, 1)
			fString = replace(fString, "<center>","", 1, -1, 1)
			fString = replace(fString, "</center>","", 1, -1, 1)
		    fString = replace(fString, "<div align=right>", "", 1, -1, 1)
		    fString = replace(fString, "</div id=right>", "", 1, -1, 1)
			fString = replace(fString, "<ul>","", 1, -1, 1)
			fString = replace(fString, "</ul>","", 1, -1, 1)
			fString = replace(fString, "<ol type=1>","", 1, -1, 1)
			fString = replace(fString, "</ol id=1>","", 1, -1, 1)
			fString = replace(fString, "<ol type=a>","", 1, -1, 1)
			fString = replace(fString, "</ol id=a>","", 1, -1, 1)
			fString = replace(fString, "<li>","", 1, -1, 1)
			fString = replace(fString, "</li>","", 1, -1, 1)
			fString = replace(fString, "<BLOCKQUOTE id=quote><font size=" & strFooterFontSize & " face=""" & strDefaultFontFace & """ id=quote>quote:<hr height=1 noshade id=quote>","", 1, -1, 1)
			fString = replace(fString, "<hr height=1 noshade id=quote></BLOCKQUOTE id=quote></font id=quote><font face=""" & strDefaultFontFace & """ size=" & strDefaultFontSize & " id=quote>","", 1, -1, 1)
			fString = replace(fString, "<pre id=code><font face=courier size=" & strDefaultFontSize & " id=code>","", 1, -1, 1)
			fString = replace(fString, "</font id=code></pre id=code>","", 1, -1, 1)
			
			if strIMGInPosts = "1" then
				fString = replace(fString, "[img]", "", 1, -1, 1)
				fString = replace(fString, "[img=right]", "", 1, -1, 1)
				fString = replace(fString, "[img=left]", "", 1, -1, 1)
				fString = replace(fString, "[/img]", "", 1, -1, 1)
				fString = replace(fString, "[/img=right]", "", 1, -1, 1)
				fString = replace(fString, "[/img=left]", "", 1, -1, 1)
			end if
		end if
		if strIcons = "1" then
			fString= replace(fString, "<img src=icon_smile_angry.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_blackeye.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_dead.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_dead.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_shock.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_shock.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_shock.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_blush.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_sad.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_shy.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_evil.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_big.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_cool.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_sleepy.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_clown.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_clown.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_clown.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_tongue.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_tongue.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_wink.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_8ball.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_question.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_approve.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_dissapprove.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_dissapprove.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_kisses.gif border=0 align=middle>", "", 1, -1, 1)
			fString= replace(fString, "<img src=icon_smile_kisses.gif border=0 align=middle>", "", 1, -1, 1)
		end if
	end if
	fString = Replace(fString, "'", "'")
	fString = Replace(fString, """", "'")
	
	'fString = FormatStr(fString)
	
	fString = Replace(fString, CHR(13), " ")
	fString = Replace(fString, CHR(10) & CHR(10), " ")
	fString = Replace(fString, CHR(10), " ")
	fString = Replace(fString, "<div>", " ")
	
	if strBadWordFilter = 1 then
		fString = ChkBadWords(fString)
	end if
	
	fString = RemoveURLs(fString)
	fString = RemoveIMGs(fString)
	
	RemoveCode = fString
	
end function







function RemoveURLs(fString)

	newstring = fstring
			
	do until not Instr(1, newstring, "[url=") > 0
		StartPosition = Instr(newstring, "[url=")
		EndPosition = Instr(1, newstring, "[/url]") + 6
		Count = EndPosition - StartPosition
		replacestring = Mid(newstring, StartPosition, Count)
		newstring = Replace(newstring, replacestring, "")		
	loop

	RemoveURLs = newstring			
			
end function

function RemoveIMGs(fString)

	newstring = fstring
	
	do until not Instr(1, newstring, "<img") > 0
		StartPosition = Instr(newstring, "<img")
		EndPosition = Instr(1, newstring, ">") + 1
		Count = EndPosition - StartPosition
		replacestring = Mid(newstring, StartPosition, Count)
		newstring = Replace(newstring, replacestring, "")
	loop
			
	RemoveIMGs = newstring

end function


Function stripHTML(fString)

 dim arysplit,i,j, strOutput
 arysplit=split(fString,"<")
 
  if len(arysplit(0))>0 then j=1 else j=0

  for i=j to ubound(arysplit)
     if instr(arysplit(i),">") then
       arysplit(i)=mid(arysplit(i),instr(arysplit(i),">")+1)
     else
       arysplit(i)="<" & arysplit(i)
     end if
  next

  strOutput = join(arysplit, "")
  strOutput = mid(strOutput, 2-j)
  strOutput = replace(strOutput,">",">")
  strOutput = replace(strOutput,"<","<")

  stripHTML = strOutput
  
End Function

Function stripForumCode(fString)

 dim arysplit,i,j, strOutput
 arysplit=split(fString,"[")
 
  if len(arysplit(0))>0 then j=1 else j=0

  for i=j to ubound(arysplit)
     if instr(arysplit(i),"]") then
       arysplit(i)=mid(arysplit(i),instr(arysplit(i),"]")+1)
     else
       arysplit(i)="[" & arysplit(i)
     end if
  next

  strOutput = join(arysplit, "")
  strOutput = mid(strOutput, 2-j)
  strOutput = replace(strOutput,"]","]")
  strOutput = replace(strOutput,"[","[")

  stripForumCode = strOutput
  
End Function

Function stripALL(fString)

 dim arysplit,i,j, strOutput
 arysplit=split(fString,"<")
 
  if len(arysplit(0))>0 then j=1 else j=0

  for i=j to ubound(arysplit)
     if instr(arysplit(i),">") then
       arysplit(i)=mid(arysplit(i),instr(arysplit(i),">")+1)
     else
       arysplit(i)="<" & arysplit(i)
     end if
  next

  strOutput = join(arysplit, "")
  strOutput = mid(strOutput, 2-j)
  strOutput = replace(strOutput,">",">")
  strOutput = replace(strOutput,"<","<")

 arysplit=split(strOutput,"[")
 
  if len(arysplit(0))>0 then j=1 else j=0

  for i=j to ubound(arysplit)
     if instr(arysplit(i),"]") then
       arysplit(i)=mid(arysplit(i),instr(arysplit(i),"]")+1)
     else
       arysplit(i)="[" & arysplit(i)
     end if
  next

  strOutput = join(arysplit, "")
  strOutput = mid(strOutput, 2-j)
  strOutput = replace(strOutput,"]","]")
  strOutput = replace(strOutput,"[","[")

  stripALL = strOutput
  
End Function

' ////////////////////// END CUSTOM FUNCTIONS  //////////////////////////////////////////////////
%>