<%
'#########################################################################################
'## Copyright (C) 2000-01 Michael Anderson and Pierre Gorissen
'## 
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to 
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## 
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'## 
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'## 
'## Support can be obtained from support forums at:
'## http://forum.snitz.com 
'##
'## Correspondence and Marketing Questions can be sent to:
'## reinhold@bigfoot.com
'## 
'## or
'## 
'## Snitz Communications 
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#########################################################################################

function chkUrls(fString, fTestTag, fType)

Dim strArray
Dim Counter
Dim strTempString

strTempString = fString
if Instr(1, fString, fTestTag) > 0 then
	strArray = Split(fString, fTestTag, -1)
	strTempString = strArray(0)
	for counter = 1 to UBound(strArray)
		if ((strArray(counter-1) = "" or len(strArray(counter-1)) < 5) and strArray(counter)<> "") then
			strTempString = strTempString & edit_hrefs("" & fTestTag & strArray(counter), fType)
		elseif ((UCase(right(strArray(counter-1),6)) <> "HREF=""") and (UCase(right(strArray(counter-1),5)) <> "[URL]") and (UCase(right(strArray(counter-1),6)) <> "[URL=""") and (UCase(right(strArray(counter-1),7)) <> "FILE:///") and (UCase(right(strArray(counter-1),7)) <> "HTTP://") and (UCase(right(strArray(counter-1),8)) <> "HTTPS://") and (UCase(right(strArray(counter-1),5)) <> "SRC=""") and (UCase(right(strArray(counter-1),5)) <> "SRC=""") and strArray(counter)<> "") then
			strTempString = strTempString & edit_hrefs("" & fTestTag & strArray(counter), fType)
		else
			strTempString = strTempString & fTestTag & strArray(counter)
		end if
	next
end if

chkUrls = strTempString

end function


function chkMail(fString, fTestTag, fType)

Dim strArray
Dim Counter
Dim strTempString

strTempString = fString

if Instr(1, fString, fTestTag) > 0 then
	strArray = Split(fString, fTestTag, -1)
	strTempString = ""
'	strTempString = strArray(0)
	for counter = 0 to UBound(strArray)
		if (Instr(strArray(counter), "@") > 0) and not(Instr(strArray(counter), "mailto:") > 0) and not(Instr(UCase(strArray(counter)), "[URL") > 0) then
			strTempString = strTempString & edit_hrefs("" & fTestTag & strArray(counter), fType)
		else
			strTempString = strTempString & fTestTag & strArray(counter)
		end if
	next
end if

chkMail = strTempString

end function


function FormatStrOld(fString)
	on Error resume next
	fString = Replace(fString, CHR(13), "")
	fString = Replace(fString, CHR(10) & CHR(10), "</P><P>")
	fString = Replace(fString, CHR(10), "<BR>")
	if strBadWordFilter = 1 then
		fString = ChkBadWords(fString)
	end if
	fString = ChkUrls(fString,"http://", 1)
	fString = ChkUrls(fString,"https://", 2)
	fString = ChkUrls(fString,"file:///", 3)
	fString = ChkUrls(fString,"www.", 4)
	fString = ChkUrls(fString,"mailto:",5)
	fString = ChkMail(fString," ",5)

	'fString = edit_hrefs(fString, 5)
	fString = ReplaceUrls(fString)
	FormatStrOld = fString
end function

function doublenum(fNum)
	if fNum > 9 then 
		doublenum = fNum 
	else 
		doublenum = "0" & fNum
	end if
end function

function widenum(fNum)
	if fNum > 9 then 
		widenum = "" 
	else 
		widenum = "&nbsp;"
	end if
end function

function chked(fYN)
   if fYN = "yes" or fYN = "1" or fYN = 1 then '**
      chked = " Checked"
   else 
      chked = ""
   end if    
end function

function doCode(fString, fOTag, fCTag, fROTag, fRCTag)
	fOTagPos = Instr(1, fString, fOTag, 1)
	fCTagPos = Instr(1, fString, fCTag, 1)
	while (fCTagPos > 0 and fOTagPos > 0)
		fString = replace(fString, fOTag, fROTag, 1, 1, 1)
		fString = replace(fString, fCTag, fRCTag, 1, 1, 1)
		fOTagPos = Instr(1, fString, fOTag, 1)
		fCTagPos = Instr(1, fString, fCTag, 1)
	wend
	doCode = fString
end function

function CleanCode(fString)
	if fString = "" then 
		fString = " "
	else 
		if strAllowForumCode = "1" then
			fString = replace(fString, "<marquee id='marquee'>", "[marquee]", 1, -1, 1)
			fString = replace(fString, "</marquee id='marquee'>", "[/marquee]", 1, -1, 1)
			fString = replace(fString, "<sup>", "[sup]", 1, -1, 1)
			fString = replace(fString, "</sup>", "[/sup]", 1, -1, 1)
			fString = replace(fString, "<sub>", "[sub]", 1, -1, 1)
			fString = replace(fString, "</sub>", "[/sub]", 1, -1, 1)
			fString = replace(fString, "<tt>", "[tt]", 1, -1, 1)
			fString = replace(fString, "</tt>", "[/tt]", 1, -1, 1)
			fString = replace(fString, "<span id='hl' style='background-color: #FFFF00'>", "[hl]", 1, -1, 1)
			fString = replace(fString, "<b></b></span id='hl' >", "[/hl]", 1, -1, 1)
			fString = replace(fString, "<style type='text/css' id='bigchar'> #BIGCHAR {background: " & strDefaultFontColor & "; color: " & strAltForumCellColor & "; font-size: 16pt; font-family:" & strDefaultFontFace & ";	} </style><SPAN ID='bigchar'>", "[bigchar]", 1, -1, 1)
			fString = replace(fString, "</SPAN id='bigchar'>", "[/bigchar]", 1, -1, 1)
			fString = replace(fString, "<pre id='pre'><font size=" & strDefaultFontSize & " face=""" & strDefaultFontFace & """>", "[pre]", 1, -1, 1)
			fString = replace(fString, "</font></pre id='pre'>", "[/pre]", 1, -1, 1)
			fString = replace(fString, "<hr>","[hr]", 1, -1, 1)
			fString = replace(fString, "<b>","[b]", 1, -1, 1)
			fString = replace(fString, "</b>","[/b]", 1, -1, 1)
			fString = replace(fString, "<s>", "[s]", 1, -1, 1)
		    fString = replace(fString, "</s>", "[/s]", 1, -1, 1)
			fString = replace(fString, "<u>","[u]", 1, -1, 1)
			fString = replace(fString, "</u>","[/u]", 1, -1, 1)
			fString = replace(fString, "<i>","[i]", 1, -1, 1)
			fString = replace(fString, "</i>","[/i]", 1, -1, 1)
			fString = replace(fString, "<font face='Andale Mono'>", "[font=Andale Mono]", 1, -1, 1)
			fString = replace(fString, "</font id='Andale Mono'>", "[/font=Andale Mono]", 1, -1, 1)
			fString = replace(fString, "<font face='Arial'>", "[font=Arial]", 1, -1, 1)
			fString = replace(fString, "</font id='Arial'>", "[/font=Arial]", 1, -1, 1)
			fString = replace(fString, "<font face='Arial Black'>", "[font=Arial Black]", 1, -1, 1)
			fString = replace(fString, "</font id='Arial Black'>", "[/font=Arial Black]", 1, -1, 1)
			fString = replace(fString, "<font face='Book Antiqua'>", "[font=Book Antiqua]", 1, -1, 1)
			fString = replace(fString, "</font id='Book Antiqua'>", "[/font=Book Antiqua]", 1, -1, 1)
			fString = replace(fString, "<font face='Century Gothic'>", "[font=Century Gothic]", 1, -1, 1)
			fString = replace(fString, "</font id='Century Gothic'>", "[/font=Century Gothic]", 1, -1, 1)
			fString = replace(fString, "<font face='Comic Sans MS'>", "[font=Comic Sans MS]", 1, -1, 1)
			fString = replace(fString, "</font id='Comic Sans MS'>", "[/font=Comic Sans MS]", 1, -1, 1)
			fString = replace(fString, "<font face='Courier New'>", "[font=Courier New]", 1, -1, 1)
			fString = replace(fString, "</font id='Courier New'>", "[/font=Courier New]", 1, -1, 1)
			fString = replace(fString, "<font face='Georgia'>", "[font=Georgia]", 1, -1, 1)
			fString = replace(fString, "</font id='Georgia'>", "[/font=Georgia]", 1, -1, 1)
			fString = replace(fString, "<font face='Impact'>", "[font=Impact]", 1, -1, 1)
			fString = replace(fString, "</font id='Impact'>", "[/font=Impact]", 1, -1, 1)
			fString = replace(fString, "<font face='Tahoma'>", "[font=Tahoma]", 1, -1, 1)
			fString = replace(fString, "</font id='Tahoma'>", "[/font=Tahoma]", 1, -1, 1)
			fString = replace(fString, "<font face='Times New Roman'>", "[font=Times New Roman]", 1, -1, 1)
			fString = replace(fString, "</font id='Times New Roman'>", "[/font=Times New Roman]", 1, -1, 1)
			fString = replace(fString, "<font face='Trebuchet MS'>", "[font=Trebuchet MS]", 1, -1, 1)
			fString = replace(fString, "</font id='Trebuchet MS'>", "[/font=Trebuchet MS]", 1, -1, 1)
			fString = replace(fString, "<font face='Script MT Bold'>", "[font=Script MT Bold]", 1, -1, 1)
			fString = replace(fString, "</font id='Script MT Bold'>", "[/font=Script MT Bold]", 1, -1, 1)
			fString = replace(fString, "<font face='Stencil'>", "[font=Stencil]", 1, -1, 1)
			fString = replace(fString, "</font id='Stencil'>", "[/font=Stencil]", 1, -1, 1)
			fString = replace(fString, "<font face='Verdana'>", "[font=Verdana]", 1, -1, 1)
			fString = replace(fString, "</font id='Verdana'>", "[/font=Verdana]", 1, -1, 1)
			fString = replace(fString, "<font face='Lucida Console'>", "[font=Lucida Console]", 1, -1, 1)
			fString = replace(fString, "</font id='Lucida Console'>", "[/font=Lucida Console]", 1, -1, 1)
		    
		    fString = replace(fString, "<font color=red>", "[red]", 1, -1, 1)
		    fString = replace(fString, "</font id=red>", "[/red]", 1, -1, 1)
		    fString = replace(fString, "<font color=green>", "[green]", 1, -1, 1)
		    fString = replace(fString, "</font id=green>", "[/green]", 1, -1, 1)
		    fString = replace(fString, "<font color=blue>", "[blue]", 1, -1, 1)
		    fString = replace(fString, "</font id=blue>", "[/blue]", 1, -1, 1)
		    fString = replace(fString, "<font color=white>", "[white]", 1, -1, 1)
		    fString = replace(fString, "</font id=white>", "[/white]", 1, -1, 1)
		    fString = replace(fString, "<font color=purple>", "[purple]", 1, -1, 1)
		    fString = replace(fString, "</font id=purple>", "[/purple]", 1, -1, 1)
	  	    fString = replace(fString, "<font color=yellow>", "[yellow]", 1, -1, 1)
	  	    fString = replace(fString, "</font id=yellow>", "[/yellow]", 1, -1, 1)
		    fString = replace(fString, "<font color=violet>", "[violet]", 1, -1, 1)
		    fString = replace(fString, "</font id=violet>", "[/violet]", 1, -1, 1)
		    fString = replace(fString, "<font color=brown>", "[brown]", 1, -1, 1)
		    fString = replace(fString, "</font id=brown>", "[/brown]", 1, -1, 1)
		    fString = replace(fString, "<font color=black>", "[black]", 1, -1, 1)
		    fString = replace(fString, "</font id=black>", "[/black]", 1, -1, 1)
		    fString = replace(fString, "<font color=pink>", "[pink]", 1, -1, 1)
		    fString = replace(fString, "</font id=pink>", "[/pink]", 1, -1, 1)
		    fString = replace(fString, "<font color=orange>", "[orange]", 1, -1, 1)
		    fString = replace(fString, "</font id=orange>", "[/orange]", 1, -1, 1)
		    fString = replace(fString, "<font color=gold>", "[gold]", 1, -1, 1)
		    fString = replace(fString, "</font id=gold>", "[/gold]", 1, -1, 1)
		    fString = replace(fString, "<font color=beige>", "[beige]", 1, -1, 1)
		    fString = replace(fString, "</font id=beige>", "[/beige]", 1, -1, 1)
		    fString = replace(fString, "<font color=teal>", "[teal]", 1, -1, 1)
		    fString = replace(fString, "</font id=teal>", "[/teal]", 1, -1, 1)
		    fString = replace(fString, "<font color=navy>", "[navy]", 1, -1, 1)
		    fString = replace(fString, "</font id=navy>", "[/navy]", 1, -1, 1)
		    fString = replace(fString, "<font color=maroon>", "[maroon]", 1, -1, 1)
		    fString = replace(fString, "</font id=maroon>", "[/maroon]", 1, -1, 1)
		    fString = replace(fString, "<font color=limegreen>", "[limegreen]", 1, -1, 1)
		    fString = replace(fString, "</font id=limegreen>", "[/limegreen]", 1, -1, 1)

			fString = replace(fString, "<h1>", "[h1]", 1, -1, 1)
			fString = replace(fString, "</h1>", "[/h1]", 1, -1, 1)
			fString = replace(fString, "<h2>", "[h2]", 1, -1, 1)
			fString = replace(fString, "</h2>", "[/h2]", 1, -1, 1)
			fString = replace(fString, "<h3>", "[h3]", 1, -1, 1)
			fString = replace(fString, "</h3>", "[/h3]", 1, -1, 1)
			fString = replace(fString, "<h4>", "[h4]", 1, -1, 1)
			fString = replace(fString, "</h4>", "[/h4]", 1, -1, 1)
			fString = replace(fString, "<h5>", "[h5]", 1, -1, 1)
			fString = replace(fString, "</h5>", "[/h5]", 1, -1, 1)
			fString = replace(fString, "<h6>", "[h6]", 1, -1, 1)
			fString = replace(fString, "</h6>", "[/h6]", 1, -1, 1)
			fString = replace(fString, "<font size=1>", "[size=1]", 1, -1, 1)
			fString = replace(fString, "</font id=size1>", "[/size=1]", 1, -1, 1)
			fString = replace(fString, "<font size=2>", "[size=2]", 1, -1, 1)
			fString = replace(fString, "</font id=size2>", "[/size=2]", 1, -1, 1)
			fString = replace(fString, "<font size=3>", "[size=3]", 1, -1, 1)
			fString = replace(fString, "</font id=size3>", "[/size=3]", 1, -1, 1)
			fString = replace(fString, "<font size=4>", "[size=4]", 1, -1, 1)
			fString = replace(fString, "</font id=size4>", "[/size=4]", 1, -1, 1)
			fString = replace(fString, "<font size=5>", "[size=5]", 1, -1, 1)
			fString = replace(fString, "</font id=size5>", "[/size=5]", 1, -1, 1)
			fString = replace(fString, "<font size=6>", "[size=6]", 1, -1, 1)
			fString = replace(fString, "</font id=size6>", "[/size=6]", 1, -1, 1)
			fString = replace(fString, "<br>","[br]", 1, -1, 1)
			fString = replace(fString, "[/URL]", "[/url]", 1, -1, 1)
			fString = replace(fString, "[URL", "[url", 1, -1, 1)
		    fString = replace(fString, "<div align=left>", "[left]", 1, -1, 1)
		    fString = replace(fString, "</div id=left>", "[/left]", 1, -1, 1)
			fString = replace(fString, "<center>","[center]", 1, -1, 1)
			fString = replace(fString, "</center>","[/center]", 1, -1, 1)
		    fString = replace(fString, "<div align=right>", "[right]", 1, -1, 1)
		    fString = replace(fString, "</div id=right>", "[/right]", 1, -1, 1)
			fString = replace(fString, "<ul>","[list]", 1, -1, 1)
			fString = replace(fString, "</ul>","[/list]", 1, -1, 1)
			fString = replace(fString, "<ol type=1>","[list=1]", 1, -1, 1)
			fString = replace(fString, "</ol id=1>","[/list=1]", 1, -1, 1)
			fString = replace(fString, "<ol type=a>","[list=a]", 1, -1, 1)
			fString = replace(fString, "</ol id=a>","[/list=a]", 1, -1, 1)
			fString = replace(fString, "<li>","[*]", 1, -1, 1)
			fString = replace(fString, "</li>","[/*]", 1, -1, 1)
			fString = replace(fString, "<BLOCKQUOTE id=quote><font color=""black"" size=" & strFooterFontSize & " face=""verdana"">quote:</font><font size=" & strFooterFontSize & " face=""verdana"" color=""#808080"" id=quote><hr size=" & strFooterFontSize & " noshade id=quote>","[quote]", 1, -1, 1)
			fString = replace(fString, "<hr size=" & strFooterFontSize & " noshade id=quote></font id=quote></BLOCKQUOTE id=quote>","[/quote]", 1, -1, 1)
			fString = replace(fString, "<center id=code><textarea class=""code"" cols=""60"" rows=""4"" readonly id=code>","[code]", 1, -1, 1)
			fString = replace(fString, "</textarea id=code></center id=code>","[/code]", 1, -1, 1)
'Crash: start add-on
			'Additional inclusion of FLASH
			if mlev = 3 or mlev = 4 then
			fString = replace(fString, "<EMBED WIDTH=""","[flash ", 1, -1, 1)
			fString = replace(fString, """ HEIGHT=""",":", 1, -1, 1)
			fString = replace(fString, """ SRC=""","]", 1, -1, 1)
			fString = replace(fString, """ HIDDEN=""false"" AUTOSTART=""true"" LOOP=""false"" volume=""100""></EMBED>","[/flash]", 1, -1, 1)
			end if
			'WARNING FLASH CAN BE USED TO SLOW OR EVEN STOP YOUR FORUM!
			'End Additional inclusion of FLASH
			'Speech Icons
			fString = replace(fString, "<img src=""" & strImageURL & "speech/icon_speech_duh.gif"" border=""0"">", "[duh]", 1, -1, 1)
			fString = replace(fString, "<img src=""" & strImageURL & "speech/icon_speech_oops.gif"" border=""0"">", "[oops]", 1, -1, 1)
			fString = replace(fString, "<img src=""" & strImageURL & "speech/icon_speech_sigh.gif"" border=""0"">", "[sigh]", 1, -1, 1)
			fString = replace(fString, "<img src=""" & strImageURL & "speech/icon_speech_ugh.gif"" border=""0"">", "[ugh]", 1, -1, 1)
			fString = replace(fString, "<img src=""" & strImageURL & "speech/icon_speech_wow.gif"" border=""0"">", "[wow]", 1, -1, 1)
			fString = replace(fString, "<img src=""" & strImageURL & "speech/icon_speech_yeah.gif"" border=""0"">", "[yeah]", 1, -1, 1)
			fString = replace(fString, "<img src=""" & strImageURL & "speech/icon_speech_ok.gif"" border=""0"">", "[ok]", 1, -1, 1)
			fString = replace(fString, "<img src=""" & strImageURL & "speech/icon_speech_yes.gif"" border=""0"">", "[yes]", 1, -1, 1)
			fString = replace(fString, "<img src=""" & strImageURL & "speech/icon_speech_no.gif"" border=""0"">", "[no]", 1, -1, 1)
			'ZipFile tags
			fString = replace(fString, "<a href='download/", "[zip]", 1, -1, 1)
			fString = replace(fString, "'><img src='images/icon_zip.gif' border='0'></a>", "[/zip]", 1, -1, 1)
			'Edited by tags
			fString = replace(fString, "<font color='green'><b>Edited by Crash:</b> ", "[editadmin]", 1, -1, 1)
			fString = replace(fString, "</font>", "[/editadmin]", 1, -1, 1)
			fString = replace(fString, "<font color='purple'><b>Edited by Moderator:</b> ", "[editmod]", 1, -1, 1)
			fString = replace(fString, "</font>", "[/editmod]", 1, -1, 1)
			'Warn Member tags
			fString = replace(fString, "<font color='red'><b>This Member received a Warning!</b></font>", "[warning]", 1, -1, 1)
'Crash: end add-on

'			fString = replace(fString,"<a href='","[url=", 1, -1, 1)
'			fString = replace(fString,"' target=_blank>", "]", 1, -1, 1)
'			fString = replace(fString,"</a>","[/url]", 1, -1, 1)
		if stricons = "1" then
'Smile Editing mod By Eric J starts here
        	strsql = "SELECT S_URL, S_CODE FROM " & strTablePrefix & "SMILES"
            set drs = my_conn.execute(strsql)
            Do until drs.eof
            smile_url = drs("S_URL")
            smile_code = drs("S_CODE")
			drs.movenext
            loop
            set drs=nothing
        'Ends
		end if

			if strIMGInPosts = "1" then
				fString = replace(fString, "<img src=""","[img]", 1, -1, 1)
				fString = replace(fString, "<img align=right src=""","[img=right]", 1, -1, 1)
				fString = replace(fString, "<img align=left src=""","[img=left]", 1, -1, 1)
				fString = replace(fString, """ border=0>","[/img]", 1, -1, 1)
				fString = replace(fString, """ id=right border=0>","[/img=right]", 1, -1, 1)
				fString = replace(fString, """ id=left border=0>","[/img=left]", 1, -1, 1)
			end if
		end if
	end if
	fString = Replace(fString, "'", "'")
	CleanCode = fString
end function

function Smile(fString)
'Smile Editing Mod by Eric J starts here
        	strsql = "Select s_url, s_code from " & strTablePrefix & "smiles"  'Bug
            set drs = my_conn.execute(strsql)
            Do until drs.eof
            smile_url = drs("s_url")
            smile_code = drs("s_code")
			
				fString = replace(fString, "["&smile_code&"]", "<img src=""" & strForumurl & strImageURL &smile_url&""" border=0>")
			drs.movenext
            loop
            set drs=nothing
	Smile = fString
'Ends here
end function

function chkNameBadWords(fString)
	bwords = split(strBadWords, "|")
	for i = 0 to ubound(bwords)
		if instr(fString, bwords(i)) <> 0 then
			Err_Msg = Err_Msg & "<li>Username may not contain the word <b>" & bwords(i) & "</b></li>"
			exit function
		end if
	next
end function

function chkBadWords(pString)
	fString = trim(pString)
	if fString = "" or IsNull(fString) then fString = " "
	bwords = split(strBadWords, "|")
	for i = 0 to ubound(bwords)
		fString = Replace(fString, bwords(i), string(len(bwords(i)),"*"), 1,-1,1) 
	next
	chkBadWords = fString
end function


function HTMLEncode(pString)
	fString = trim(pString)
	if fString = "" or IsNull(fString) then fString = " "
	fString = replace(fString, ">", "&gt;")
	fString = replace(fString, "<", "&lt;")
	HTMLEncode = fString
end function

function HTMLDecode(pString)
	fString = trim(pString)
	if fString = "" then fString = " "
	fString = replace(fString, "&gt;", ">")
	fString = replace(fString, "&lt;", "<")
	HTMLDecode = fString
end function

function chkString(pString,fField_Type) '## Types - name, password, title, message, url, urlpath, email, number, list
	fString = trim(pString)
	if fString = "" then
		fString = " "
	else
'		chkBadWords(fString)
	end if
'############ Archive #######################
	if fField_Type = "archive" then
		fString = Replace(fString, "'", "''")
		chkString = fString
		exit function
	end if
	if fField_Type = "displayimage" then
			fString = Replace(fString, " ", "")
			fString = Replace(fString, """", "")		
			fString = Replace(fString, "<", "")		
			fString = Replace(fString, ">", "")		
			chkString = fString		
			exit function	
	end if
	if fField_Type = "title" then
		if strAllowHTML <> "1" then
			fString = HTMLEncode(fString)
		end if
		chkBadWords(fString)
		chkString = fString

	end if
	if fField_Type = "password" then
		fString = trim(fString)
		chkString = fString
	end if
	if fField_Type = "decode" then
		fString = HTMLDecode(fString)
		chkString = fString
		exit function
	end if
	if fField_Type = "urlpath" then
		fString = Server.URLEncode(fString)
		chkString = fString
		exit function
	end if
	if fField_Type = "SQLString" then
		fString = Replace(fString, "'", "''")
		fString = HTMLEncode(fString)
		chkString = fString
		exit function
	end if
	if fField_Type = "JSurlpath" then
		fString = Replace(fString, "'", "\'")
		fString = Server.URLEncode(fString)
		chkString = fString
		exit function
	end if
	if fField_Type = "edit" then		
		if strAllowHTML <> "1" then			
			fString = HTMLEncode(fString)		
		end if		
		fString = Replace(fString, """", "&quot;")		
		ChkString = fString		
		exit function	
	end if
	if fField_Type = "display" then
		if strAllowHTML <> "1" then
			fString = HTMLEncode(fString)
		end if
		chkString = fString
		exit function
	elseif fField_Type = "message" then
		if strAllowHTML <> "1" then
			fString = HTMLEncode(fString)
		end if
	elseif fField_Type = "preview" then
		if strAllowHTML <> "1" then
			fString = HTMLEncode(fString)
		end if
	elseif fField_Type = "hidden" then
		fString = HTMLEncode(fString)
	end if
	if strAllowForumCode = "1" and fField_Type <> "signature" then
		fString = doCode(fString, "[marquee]", "[/marquee]", "<marquee id='marquee'>", "</marquee id='marquee'>")
		fString = doCode(fString, "[sup]", "[/sup]", "<sup>", "</sup>")
		fString = doCode(fString, "[sub]", "[/sub]", "<sub>", "</sub>")
		fString = doCode(fString, "[tt]", "[/tt]", "<tt>", "</tt>")
		fString = doCode(fString, "[hl]", "[/hl]", "<span id='hl' style='background-color: #FFFF00'>", "<b></b></span id='hl'>")
		fString = doCode(fString, "[bigchar]", "[/bigchar]", "<style type='text/css' id='bigchar'> #BIGCHAR {background: " & strDefaultFontColor & "; color: " & strAltForumCellColor & "; font-size: 16pt; font-family:" & strDefaultFontFace & ";	} </style><SPAN ID='bigchar'>", "</SPAN id='bigchar'>")
		fString = doCode(fString, "[pre]", "[/pre]", "<pre id='pre'><font size=" & strDefaultFontSize & " face=""" & strDefaultFontFace & """>", "</font></pre id='pre'>")
		fString = replace(fString, "[hr]", "<hr>", 1, -1, 1)
	
		fString = doCode(fString, "[b]", "[/b]", "<b>", "</b>")
		fString = doCode(fString, "[s]", "[/s]", "<s>", "</s>")
		fString = doCode(fString, "[strike]", "[/strike]", "<s>", "</s>")
		fString = doCode(fString, "[u]", "[/u]", "<u>", "</u>")
		fString = doCode(fString, "[i]", "[/i]", "<i>", "</i>")
'Crash: start add-on
		'Additional inclusion of FLASH
		if mlev = 3 or mlev = 4 then
		fString = doCode(fString, "[flash ",":","<EMBED WIDTH=""",""" HEIGHT=""")
		fString = doCode(fString, "]","[/flash]",""" SRC=""",""" HIDDEN=""false"" AUTOSTART=""true"" LOOP=""false"" volume=""100""></EMBED>")
		end if
		'End Additional inclusion of FLASH
		'Speech Icons
		fString = replace(fString, "[duh]", "<img src=""" & strImageURL & "speech/icon_speech_duh.gif"" border=""0"">", 1, -1, 1)
		fString = replace(fString, "[oops]", "<img src=""" & strImageURL & "speech/icon_speech_oops.gif"" border=""0"">", 1, -1, 1)
		fString = replace(fString, "[sigh]", "<img src=""" & strImageURL & "speech/icon_speech_sigh.gif"" border=""0"">", 1, -1, 1)
		fString = replace(fString, "[ugh]", "<img src=""" & strImageURL & "speech/icon_speech_ugh.gif"" border=""0"">", 1, -1, 1)
		fString = replace(fString, "[wow]", "<img src=""" & strImageURL & "speech/icon_speech_wow.gif"" border=""0"">", 1, -1, 1)
		fString = replace(fString, "[yeah]", "<img src=""" & strImageURL & "speech/icon_speech_yeah.gif"" border=""0"">", 1, -1, 1)
		fString = replace(fString, "[ok]", "<img src=""" & strImageURL & "speech/icon_speech_ok.gif"" border=""0"">", 1, -1, 1)
		fString = replace(fString, "[yes]", "<img src=""" & strImageURL & "speech/icon_speech_yes.gif"" border=""0"">", 1, -1, 1)
		fString = replace(fString, "[no]", "<img src=""" & strImageURL & "speech/icon_speech_no.gif"" border=""0"">", 1, -1, 1)
		'Zip File
		fString = doCode(fString, "[zip]", "[/zip]", "<a href='download/", "'><img src='images/icon_zip.gif' border='0'></a>")
		'Edited by tags
		fString = doCode(fString, "[editadmin]", "[/editadmin]", "<font color='green'><b>Edited by Crash:</b> ", "</font>")
		fString = doCode(fString, "[editmod]", "[/editmod]", "<font color='purple'><b>Edited by Moderator:</b> ", "</font>")
		'Warning tags
		fString = replace(fString, "[warning]", "<font color='red'><b>This Member received a Warning!</b></font>", 1, -1, 1)
'Crash: end add-on		
		if fField_Type <> "title" then
			fString = doCode(fString, "[font=Andale Mono]", "[/font=Andale Mono]", "<font face='Andale Mono'>", "</font id='Andale Mono'>")
			fString = doCode(fString, "[font=Arial]", "[/font=Arial]", "<font face='Arial'>", "</font id='Arial'>")
			fString = doCode(fString, "[font=Arial Black]", "[/font=Arial Black]", "<font face='Arial Black'>", "</font id='Arial Black'>")
			fString = doCode(fString, "[font=Book Antiqua]", "[/font=Book Antiqua]", "<font face='Book Antiqua'>", "</font id='Book Antiqua'>")
			fString = doCode(fString, "[font=Century Gothic]", "[/font=Century Gothic]", "<font face='Century Gothic'>", "</font id='Century Gothic'>")
			fString = doCode(fString, "[font=Courier New]", "[/font=Courier New]", "<font face='Courier New'>", "</font id='Courier New'>")
			fString = doCode(fString, "[font=Comic Sans MS]", "[/font=Comic Sans MS]", "<font face='Comic Sans MS'>", "</font id='Comic Sans MS'>")
			fString = doCode(fString, "[font=Georgia]", "[/font=Georgia]", "<font face='Georgia'>", "</font id='Georgia'>")
			fString = doCode(fString, "[font=Impact]", "[/font=Impact]", "<font face='Impact'>", "</font id='Impact'>")
			fString = doCode(fString, "[font=Tahoma]", "[/font=Tahoma]", "<font face='Tahoma'>", "</font id='Tahoma'>")
			fString = doCode(fString, "[font=Times New Roman]", "[/font=Times New Roman]", "<font face='Times New Roman'>", "</font id='Times New Roman'>")
			fString = doCode(fString, "[font=Trebuchet MS]", "[/font=Trebuchet MS]", "<font face='Trebuchet MS'>", "</font id='Trebuchet MS'>")
			fString = doCode(fString, "[font=Script MT Bold]", "[/font=Script MT Bold]", "<font face='Script MT Bold'>", "</font id='Script MT Bold'>")
			fString = doCode(fString, "[font=Stencil]", "[/font=Stencil]", "<font face='Stencil'>", "</font id='Stencil'>")
			fString = doCode(fString, "[font=Verdana]", "[/font=Verdana]", "<font face='Verdana'>", "</font id='Verdana'>")
			fString = doCode(fString, "[font=Lucida Console]", "[/font=Lucida Console]", "<font face='Lucida Console'>", "</font id='Lucida Console'>")

			fString = doCode(fString, "[red]", "[/red]", "<font color=red>", "</font id=red>")
			fString = doCode(fString, "[green]", "[/green]", "<font color=green>", "</font id=green>")
			fString = doCode(fString, "[blue]", "[/blue]", "<font color=blue>", "</font id=blue>")
			fString = doCode(fString, "[white]", "[/white]", "<font color=white>", "</font id=white>")
			fString = doCode(fString, "[purple]", "[/purple]", "<font color=purple>", "</font id=purple>")
			fString = doCode(fString, "[yellow]", "[/yellow]", "<font color=yellow>", "</font id=yellow>")
			fString = doCode(fString, "[violet]", "[/violet]", "<font color=violet>", "</font id=violet>")
			fString = doCode(fString, "[brown]", "[/brown]", "<font color=brown>", "</font id=brown>")
			fString = doCode(fString, "[black]", "[/black]", "<font color=black>", "</font id=black>")
			fString = doCode(fString, "[pink]", "[/pink]", "<font color=pink>", "</font id=pink>")
			fString = doCode(fString, "[orange]", "[/orange]", "<font color=orange>", "</font id=orange>")
			fString = doCode(fString, "[gold]", "[/gold]", "<font color=gold>", "</font id=gold>")

			fString = doCode(fString, "[beige]", "[/beige]", "<font color=beige>", "</font id=beige>")
			fString = doCode(fString, "[teal]", "[/teal]", "<font color=teal>", "</font id=teal>")
			fString = doCode(fString, "[navy]", "[/navy]", "<font color=navy>", "</font id=navy>")
			fString = doCode(fString, "[maroon]", "[/maroon]", "<font color=maroon>", "</font id=maroon>")
			fString = doCode(fString, "[limegreen]", "[/limegreen]", "<font color=limegreen>", "</font id=limegreen>")

			fString = doCode(fString, "[h1]", "[/h1]", "<h1>", "</h1>")
			fString = doCode(fString, "[h2]", "[/h2]", "<h2>", "</h2>")
			fString = doCode(fString, "[h3]", "[/h3]", "<h3>", "</h3>")
			fString = doCode(fString, "[h4]", "[/h4]", "<h4>", "</h4>")
			fString = doCode(fString, "[h5]", "[/h5]", "<h5>", "</h5>")
			fString = doCode(fString, "[h6]", "[/h6]", "<h6>", "</h6>")
			fString = doCode(fString, "[size=1]", "[/size=1]", "<font size=1>", "</font id=size1>")
			fString = doCode(fString, "[size=2]", "[/size=2]", "<font size=2>", "</font id=size2>")
			fString = doCode(fString, "[size=3]", "[/size=3]", "<font size=3>", "</font id=size3>")
			fString = doCode(fString, "[size=4]", "[/size=4]", "<font size=4>", "</font id=size4>")
			fString = doCode(fString, "[size=5]", "[/size=5]", "<font size=5>", "</font id=size5>")
			fString = doCode(fString, "[size=6]", "[/size=6]", "<font size=6>", "</font id=size6>")
			fString = doCode(fString, "[list]", "[/list]", "<ul>", "</ul>")
			fString = doCode(fString, "[list=1]", "[/list=1]", "<ol type=1>", "</ol id=1>")
			fString = doCode(fString, "[list=a]", "[/list=a]", "<ol type=a>", "</ol id=a>")
			fString = doCode(fString, "[*]", "[/*]", "<li>", "</li>")
			fString = doCode(fString, "[left]", "[/left]", "<div align=left>", "</div id=left>")
			fString = doCode(fString, "[center]", "[/center]", "<center>", "</center>")
			fString = doCode(fString, "[centre]", "[/centre]", "<center>", "</center>")
			fString = doCode(fString, "[right]", "[/right]", "<div align=right>", "</div id=right>")
			fString = doCode(fString, "[code]", "[/code]", "<center id=code><textarea class=""code"" cols=""60"" rows=""4"" readonly id=code>", "</textarea id=code></center id=code>")
			fString = doCode(fString, "[quote]", "[/quote]", "<BLOCKQUOTE id=quote><font color=""black"" size=" & strFooterFontSize & " face=""verdana"">quote:</font><font size=" & strFooterFontSize & " face=""verdana"" color=""#808080"" id=quote><hr size=" & strFooterFontSize & " noshade id=quote>", "<hr size=" & strFooterFontSize & " noshade id=quote></font id=quote></BLOCKQUOTE id=quote>")
			fString = replace(fString, "[br]", "<br>", 1, -1, 1)
			if strIMGInPosts = "1" then
				fString = ReplaceImageTags(fString)
			end if
		end if
	end if
	if strIcons = "1" and _
	fField_Type <> "title" and _
	fField_Type <> "hidden" then
		fString= smile(fString)
	end if
	if fField_Type <> "hidden" and _
	fField_Type <> "preview" and _
	fField_Type <> "title" then
		fString = Replace(fString, "'", "''")
	end if
	chkString = fString
end function

function chkNotEmpty(fString)
  dim i, ch
  for i = 1 to Len(fString)
    select case Mid(fString, i, 1)
		case vbTab, vbLf, vbCr, vbNewline
			chkNotEmpty = false
		case else
			chkNotEmpty = true
			exit for
	end select 
  next
end function

function chkDateTime(fDateTime)
	if fDateTime = "" then
		exit function
	end if
	if IsDate(fDateTime) then
		select case strDateType
			case "dmy"
				chkDateTime = Mid(fDateTime,7,2) & "/" & _
				Mid(fDateTime,5,2) & "/" & _
				Mid(fDateTime,1,4)
			case "mdy"
				chkDateTime = Mid(fDateTime,5,2) & "/" & _
				Mid(fDateTime,7,2) & "/" & _
				Mid(fDateTime,1,4)
			case "ymd"
				chkDateTime = Mid(fDateTime,1,4) & "/" & _
				Mid(fDateTime,5,2) & "/" & _
				Mid(fDateTime,7,2)
			case "ydm"
				chkDateTime =Mid(fDateTime,1,4) & "/" & _
				Mid(fDateTime,7,2) & "/" & _
				Mid(fDateTime,5,2)
			case "dmmy"
				chkDateTime = Mid(fDateTime,7,2) & " " & _
				Monthname(Mid(fDateTime,5,2),1) & " " & _
				Mid(fDateTime,1,4)
			case "mmdy"
				chkDateTime = Monthname(Mid(fDateTime,5,2),1) & " " & _
				Mid(fDateTime,7,2) & " " & _
				Mid(fDateTime,1,4)
			case "ymmd"
				chkDateTime = Mid(fDateTime,1,4) & " " & _
				Monthname(Mid(fDateTime,5,2),1) & " " & _
				Mid(fDateTime,7,2)
			case "ydmm"
				chkDateTime = Mid(fDateTime,1,4) & " " & _
				Mid(fDateTime,7,2) & " " & _
				Monthname(Mid(fDateTime,5,2),1)
			case "dmmmy"
				chkDateTime = Mid(fDateTime,7,2) & " " & _
				Monthname(Mid(fDateTime,5,2),0) & " " & _
				Mid(fDateTime,1,4)
			case "mmmdy"
				chkDateTime = Monthname(Mid(fDateTime,5,2),0) & " " & _
				Mid(fDateTime,7,2) & " " & _
				Mid(fDateTime,1,4)
			case "ymmmd"
				chkDateTime = Mid(fDateTime,1,4) & " " & _
				Monthname(Mid(fDateTime,5,2),0) & " " & _
				Mid(fDateTime,7,2)
			case "ydmmm"
				chkDateTime = Mid(fDateTime,1,4) & " " & _
				Mid(fDateTime,7,2) & " " & _
				Monthname(Mid(fDateTime,5,2),0)
			case else
				chkDateTime = doublenum(Mid(fDateTime,5,2)) & "/" & _
				Mid(fDateTime,7,2) & "/" & _
				Mid(fDateTime,1,4)
		end select
		if strTimeType = 12 then
			if cint(Mid(fDateTime, 9,2)) > 12 then
				chkDateTime = chkDateTime & " " & _
				(cint(Mid(fDateTime, 9,2)) -12) & ":" & _
				Mid(fDateTime, 11,2) & ":" & _
				Mid(fDateTime, 13,2) & " " & "PM"
			elseif cint(Mid(fDateTime, 9,2)) = 12 then
				chkDateTime = chkDateTime & " " & _
				cint(Mid(fDateTime, 9,2)) & ":" & _
				Mid(fDateTime, 11,2) & ":" & _
				Mid(fDateTime, 13,2) & " " & "PM"
			elseif cint(Mid(fDateTime, 9,2)) = 0 then
				chkDateTime = chkDateTime & " " & _
				(cint(Mid(fDateTime, 9,2)) +12) & ":" & _
				Mid(fDateTime, 11,2) & ":" & _
				Mid(fDateTime, 13,2) & " " & "AM"
			else
				chkDateTime = chkDateTime & " " & _
				Mid(fDateTime, 9,2) & ":" & _
				Mid(fDateTime, 11,2) & ":" & _
				Mid(fDateTime, 13,2) & " " & "AM"
			end if
		else
			chkDateTime = chkDateTime & " " & _
			Mid(fDateTime, 9,2) & ":" & _
			Mid(fDateTime, 11,2) & ":" & _
			Mid(fDateTime, 13,2) 
		end if
	end if
end function

function chkDateFormat(strDateTime)
	chkDateFormat = isdate("" & Mid(strDateTime, 7,2) & "/" & Mid(strDateTime, 5,2) & "/" & Mid(strDateTime, 1,4) & " " & Mid(strDateTime, 9,2) & ":" & Mid(strDateTime, 11,2) & ":" & Mid(strDateTime, 13,2) & "")
end function

'### Active Users MOD 4.00

'### Crash: replaced the function

'function StrToDate(strDateTime)
'  Dim controlDate, testDate

'  if ChkDateFormat(strDateTime) then 
    'Testing for server format
'    controlDate = DateToStr(Now())
'    testDate =  DateToStr(cdate("" & Mid(controlDate, 5,2) & "/" & Mid(controlDate, 7,2) & "/" & Mid(controlDate, 1,4) & " " & Mid(controlDate, 9,2) & ":" & Mid(controlDate, 11,2) & ":" & Mid(controlDate, 13,2) & ""))

'    if strComp(testDate,controlDate)=0 Then
'      StrToDate = cdate("" & Mid(strDateTime, 5,2) & "/" & Mid(strDateTime, 7,2) & "/" & Mid(strDateTime, 1,4) & " " & Mid(strDateTime, 9,2) & ":" & Mid(strDateTime, 11,2) & ":" & Mid(strDateTime, 13,2) & "")
'    else
'      StrToDate = cdate("" & Mid(strDateTime, 7,2) & "/" & Mid(strDateTime, 5,2) & "/" & Mid(strDateTime, 1,4) & " " & Mid(strDateTime, 9,2) & ":" & Mid(strDateTime, 11,2) & ":" & Mid(strDateTime, 13,2) & "")
'    end if

'  else
'    tmpDate = DatePart("m",strForumTimeAdjust) & "/" & DatePart("d",strForumTimeAdjust) & "/" & DatePart("yyyy",strForumTimeAdjust) & " " & DatePart("h",strForumTimeAdjust) & ":" & DatePart("n",strForumTimeAdjust) & ":" & DatePart("s",strForumTimeAdjust)
'    StrToDate = "" & tmpDate
'  end if
'end function

'### Active Users MOD 4.00
'function StrToDate(strDateTime)
'	if ChkDateFormat(strDateTime) then
 		'Testing for server format
'		If strComp(Month("04/05/2002"),"4")=0 Then
'			StrToDate = cdate("" & Mid(strDateTime, 5,2) & "/" & Mid(strDateTime, 7,2) & "/" & Mid(strDateTime, 1,4) & " " & Mid(strDateTime, 9,2) & ":" & Mid(strDateTime, 11,2) & ":" & Mid(strDateTime, 13,2) & "")
'		Else
'			StrToDate = cdate("" & Mid(strDateTime, 7,2) & "/" & Mid(strDateTime, 5,2) & "/" & Mid(strDateTime, 1,4) & " " & Mid(strDateTime, 9,2) & ":" & Mid(strDateTime, 11,2) & ":" & Mid(strDateTime, 13,2) & "")
'		End If
'	else
'		tmpDate = DatePart("m",strForumTimeAdjust) & "/" & DatePart("d",strForumTimeAdjust) & "/" & DatePart("yyyy",strForumTimeAdjust) & " " & DatePart("h",strForumTimeAdjust) & ":" & DatePart("n",strForumTimeAdjust) & ":" & DatePart("s",strForumTimeAdjust)
'		StrToDate = "" & tmpDate
'	end if
'end function
'### Active Users MOD 4.00

'Crash: below is a new Function to use the correct displaying of dates in the Events Calendar
	function StrToDate(strDateTime)
		if ChkDateFormat(strDateTime) then
			StrToDate = cdate("" & MonthName(cint(Mid(strDateTime, 5,2))) & " " & Mid(strDateTime, 7,2) & ", " & Mid(strDateTime, 1,4) & " " & Mid(strDateTime, 9,2) & ":" & Mid(strDateTime, 11,2) & ":" & Mid(strDateTime, 13,2) & "")
		else
			StrToDate = "" & strForumTimeAdjust
		end if
	end function
'END of new Function

function NewStrToDate(strDateTime)
	if ChkDateFormat(strDateTime) then
		StrToDate = cdate("" & Mid(strDateTime, 7,2) & "/" & Mid(strDateTime, 5,2) & "/" & Mid(strDateTime, 1,4) & " " & Mid(strDateTime, 9,2) & ":" & Mid(strDateTime, 11,2) & ":" & Mid(strDateTime, 13,2) & "")
	else
		tmpDate = DatePart("m",strForumTimeAdjust) & "/" & DatePart("d",strForumTimeAdjust) & "/" & DatePart("yyyy",strForumTimeAdjust) & " " & DatePart("h",strForumTimeAdjust) & ":" & DatePart("n",strForumTimeAdjust) & ":" & DatePart("s",strForumTimeAdjust)
		StrToDate = "" & tmpDate
	end if
end function

function DateToStr(dtDateTime)
	if not isDate(strForumTimeAdjust) then
		strForumTimeAdjust = strToDate(strForumTimeAdjust)
	end if

	DateToStr = year(dtDateTime) & doublenum(Month(dtdateTime)) & doublenum(Day(dtdateTime)) & doublenum(Hour(dtdateTime)) & doublenum(Minute(dtdateTime)) & doublenum(Second(dtdateTime)) & ""
end function

function ReadLastHereDate(UserName)
 
	dim TempLastHereDate
	dim rs_date
	dim strSql
 
'	if UserName = "" then
'		exit function
'	end if
 
	if not isDate(strForumTimeAdjust) then
		strForumTimeAdjust = strToDate(strForumTimeAdjust)
	end if
 
	'## Forum_SQL
	strSql = "SELECT " & strMemberTablePrefix & "MEMBERS.M_LASTHEREDATE "
	strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " WHERE " & strMemberTablePrefix & "MEMBERS." & strDBNTSQLName & " = '" & ChkString(UserName, "SQLString") & "' "
 
	Set rs_date = Server.CreateObject("ADODB.Recordset")
	rs_date.open strSql, my_Conn
 
	if (rs_date.BOF and rs_date.EOF) then
		ReadLastHereDate = DateToStr(DateAdd("d",-10,strForumTimeAdjust))
	else
		TempLastHereDate = StrToDate(rs_date("M_LASTHEREDATE"))
		if TempLastHereDate = "" or IsNull(TempLastHereDate) then
			ReadLastHereDate = DateToStr(DateAdd("d",-10,strForumTimeAdjust))
		else
			ReadLastHereDate = rs_date("M_LASTHEREDATE")
		end if
	end if
 
	rs_date.close
	set rs_date = nothing
 
	'## Forum_SQL - Do DB Update
	strSql = "UPDATE " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " SET M_LASTHEREDATE = '" & DateToStr(strForumTimeAdjust) & "'"
	strSql = strSql & ",    M_LAST_IP = '" & Request.ServerVariables("REMOTE_ADDR") & "'"
	strSql = strSql & " WHERE " & strMemberTablePrefix & "MEMBERS." & strDBNTSQLName & " = '" & ChkString(UserName, "SQLString") & "' "
 
	my_conn.Execute (strSql)
 
end function

function getMemberID(fUser_Name)
	'BugFixed searching for deleted members
	'## Forum_SQL
	strSql = "SELECT " & strMemberTablePrefix & "MEMBERS.MEMBER_ID "
	strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " WHERE " & strDBNTSQLName & " = '" & ChkString(fUser_Name, "SQLString") & "'"

	Set rsGetMemberID = Server.CreateObject("ADODB.Recordset")
	rsGetMemberID.open strSql, my_Conn

	if not rsGetMemberID.eof then
	getMemberID = rsGetMemberID("MEMBER_ID")
	else
	getMemberID = 0
	end if
	
	rsGetMemberID.close
	set rsGetMemberID = nothing
end function

function chkDate1(tDate)
	dim fdate
	fdate = tdate
	if fDate = "" then
		exit function
	end if
'	if IsDate(fDate) then
'## Local Time Display
	fDate = DateToStr(DateAdd("n", intForumBias -intLocalBias - DayLightSave + intForumDaylAdjust, strToDate(fDate)))
'## Local Time Display
		select case strDateType
			case "dmy"
				chkDate1 = Mid(fDate,7,2) & "/" & _
				Mid(fDate,5,2) & "/" & _
				Mid(fDate,1,4)
			case "mdy"
				chkDate1 = Mid(fDate,5,2) & "/" & _
				Mid(fDate,7,2) & "/" & _
				Mid(fDate,1,4)
			case "ymd"
				chkDate1 = Mid(fDate,1,4) & "/" & _
				Mid(fDate,5,2) & "/" & _
				Mid(fDate,7,2)
			case "ydm"
				chkDate1 =Mid(fDate,1,4) & "/" & _
				Mid(fDate,7,2) & "/" & _
				Mid(fDate,5,2)
			case "dmmy"
				chkDate1 = Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),1) & " " & _
				Mid(fDate,1,4)
			case "mmdy"
				chkDate1 = Monthname(Mid(fDate,5,2),1) & " " & _
				Mid(fDate,7,2) & " " & _
				Mid(fDate,1,4)
			case "ymmd"
				chkDate1 = Mid(fDate,1,4) & " " & _
				Monthname(Mid(fDate,5,2),1) & " " & _
				Mid(fDate,7,2)
			case "ydmm"
				chkDate1 = Mid(fDate,1,4) & " " & _
				Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),1)
			case "dmmmy"
				chkDate1 = Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),0) & " " & _
				Mid(fDate,1,4)
			case "mmmdy"
				chkDate1 = Monthname(Mid(fDate,5,2),0) & " " & _
				Mid(fDate,7,2) & " " & _
				Mid(fDate,1,4)
			case "ymmmd"
				chkDate1 = Mid(fDate,1,4) & " " & _
				Monthname(Mid(fDate,5,2),0) & " " & _
				Mid(fDate,7,2)
			case "ydmmm"
				chkDate1 = Mid(fDate,1,4) & " " & _
				Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),0)
			case else
				chkDate1 = Mid(fDate,5,2) & "/" & _
				Mid(fDate,7,2) & "/" & _
				Mid(fDate,1,4)
		End Select
'	end if
end function

function DisplayDate(tDate)
	dim fdate
	fdate = tdate
	if fDate = "" then
		exit function
	end if
'	if IsDate(fDate) then
		select case strDateType
			case "dmy"
				DisplayDate = Mid(fDate,7,2) & "/" & _
				Mid(fDate,5,2) & "/" & _
				Mid(fDate,1,4)
			case "mdy"
				DisplayDate = Mid(fDate,5,2) & "/" & _
				Mid(fDate,7,2) & "/" & _
				Mid(fDate,1,4)
			case "ymd"
				DisplayDate = Mid(fDate,1,4) & "/" & _
				Mid(fDate,5,2) & "/" & _
				Mid(fDate,7,2)
			case "ydm"
				DisplayDate =Mid(fDate,1,4) & "/" & _
				Mid(fDate,7,2) & "/" & _
				Mid(fDate,5,2)
			case "dmmy"
				DisplayDate = Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),1) & " " & _
				Mid(fDate,1,4)
			case "mmdy"
				DisplayDate = Monthname(Mid(fDate,5,2),1) & " " & _
				Mid(fDate,7,2) & " " & _
				Mid(fDate,1,4)
			case "ymmd"
				DisplayDate = Mid(fDate,1,4) & " " & _
				Monthname(Mid(fDate,5,2),1) & " " & _
				Mid(fDate,7,2)
			case "ydmm"
				DisplayDate = Mid(fDate,1,4) & " " & _
				Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),1)
			case "dmmmy"
				DisplayDate = Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),0) & " " & _
				Mid(fDate,1,4)
			case "mmmdy"
				DisplayDate = Monthname(Mid(fDate,5,2),0) & " " & _
				Mid(fDate,7,2) & " " & _
				Mid(fDate,1,4)
			case "ymmmd"
				DisplayDate = Mid(fDate,1,4) & " " & _
				Monthname(Mid(fDate,5,2),0) & " " & _
				Mid(fDate,7,2)
			case "ydmmm"
				DisplayDate = Mid(fDate,1,4) & " " & _
				Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),0)
			case else
				DisplayDate = Mid(fDate,5,2) & "/" & _
				Mid(fDate,7,2) & "/" & _
				Mid(fDate,1,4)
		End Select
'	end if
end function

function DisplayDate1(tDate)
	dim fdate
	fdate = tdate
	if fDate = "" then
		exit function
	end if
'	if IsDate(fDate) then
		select case strDateType
			case "dmy"
				DisplayDate1 = Mid(fDate,7,2) & "/" & _
				Mid(fDate,5,2) & "/" & _
				Mid(fDate,1,4)
			case "mdy"
				DisplayDate1 = Mid(fDate,5,2) & "/" & _
				Mid(fDate,7,2) & "/" & _
				Mid(fDate,1,4)
			case "ymd"
				DisplayDate1 = Mid(fDate,1,4) & "/" & _
				Mid(fDate,5,2) & "/" & _
				Mid(fDate,7,2)
			case "ydm"
				DisplayDate1 =Mid(fDate,1,4) & "/" & _
				Mid(fDate,7,2) & "/" & _
				Mid(fDate,5,2)
			case "dmmy"
				DisplayDate1 = Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),1) & " " & _
				Mid(fDate,1,4)
			case "mmdy"
				DisplayDate1 = Monthname(Mid(fDate,5,2),1) & " " & _
				Mid(fDate,7,2) & " " & _
				Mid(fDate,1,4)
			case "ymmd"
				DisplayDate1 = Mid(fDate,1,4) & " " & _
				Monthname(Mid(fDate,5,2),1) & " " & _
				Mid(fDate,7,2)
			case "ydmm"
				DisplayDate1 = Mid(fDate,1,4) & " " & _
				Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),1)
			case "dmmmy"
				DisplayDate1 = Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),0) & " " & _
				Mid(fDate,1,4)
			case "mmmdy"
				DisplayDate1 = Monthname(Mid(fDate,5,2),0) & " " & _
				Mid(fDate,7,2) & " " & _
				Mid(fDate,1,4)
			case "ymmmd"
				DisplayDate1 = Mid(fDate,1,4) & " " & _
				Monthname(Mid(fDate,5,2),0) & " " & _
				Mid(fDate,7,2)
			case "ydmmm"
				DisplayDate1 = Mid(fDate,1,4) & " " & _
				Mid(fDate,7,2) & " " & _
				Monthname(Mid(fDate,5,2),0)
			case else
				DisplayDate1 = Mid(fDate,5,2) & "/" & _
				Mid(fDate,7,2) & "/" & _
				Mid(fDate,1,4)
		End Select
'	end if
end function

function DisplayTime(fTime)
	
	if strTimeType = 12 then
		if cint(Mid(fTime, 9,2)) > 12 then
			DisplayTime = DisplayTime & " " & _
			(cint(Mid(fTime, 9,2)) -12) & ":" & _
			Mid(fTime, 11,2) & ":" & _
			Mid(fTime, 13,2) & " " & "PM"
		elseif cint(Mid(fTime, 9,2)) = 12 then
			DisplayTime = DisplayTime & " " & _
			cint(Mid(fTime, 9,2)) & ":" & _
			Mid(fTime, 11,2) & ":" & _
			Mid(fTime, 13,2) & " " & "PM"
		elseif cint(Mid(fTime, 9,2)) = 0 then
			DisplayTime = DisplayTime & " " & _
			(cint(Mid(fTime, 9,2)) +12) & ":" & _
			Mid(fTime, 11,2) & ":" & _
			Mid(fTime, 13,2) & " " & "AM"
		else
			DisplayTime = DisplayTime & " " & _
			Mid(fTime, 9,2) & ":" & _
			Mid(fTime, 11,2) & ":" & _
			Mid(fTime, 13,2) & " " & "AM"
		end if
		
	else
		DisplayTime = DisplayTime & " " & _
		Mid(fTime, 9,2) & ":" & _
		Mid(fTime, 11,2) & ":" & _
		Mid(fTime, 13,2) 
	end if
end function

function chkTime1(tTime)
	dim fTime
	
	fTime = tTime
	if fTime = "" then
		exit function
	end if
	
'## Local Time Display
	fTime = DateToStr(DateAdd("n", intForumBias -intLocalBias -DayLightSave + intForumDaylAdjust, strToDate(fTime)))
'## Local Time Display
	if strTimeType = 12 then
		if cint(Mid(fTime, 9,2)) > 12 then
			chkTime1 = chkTime1 & " " & _
			(cint(Mid(fTime, 9,2)) -12) & ":" & _
			Mid(fTime, 11,2) & ":" & _
			Mid(fTime, 13,2) & " " & "PM"
		elseif cint(Mid(fTime, 9,2)) = 12 then
			chkTime1 = chkTime1 & " " & _
			cint(Mid(fTime, 9,2)) & ":" & _
			Mid(fTime, 11,2) & ":" & _
			Mid(fTime, 13,2) & " " & "PM"
		elseif cint(Mid(fTime, 9,2)) = 0 then
			chkTime1 = chkTime1 & " " & _
			(cint(Mid(fTime, 9,2)) +12) & ":" & _
			Mid(fTime, 11,2) & ":" & _
			Mid(fTime, 13,2) & " " & "AM"
		else
			chkTime1 = chkTime1 & " " & _
			Mid(fTime, 9,2) & ":" & _
			Mid(fTime, 11,2) & ":" & _
			Mid(fTime, 13,2) & " " & "AM"
		end if
		
	else
		chkTime1 = chkTime1 & " " & _
		Mid(fTime, 9,2) & ":" & _
		Mid(fTime, 11,2) & ":" & _
		Mid(fTime, 13,2) 
	end if
end function

function EmailField(fTestString) 
	TheAt = Instr(2, fTestString, "@")
	if TheAt = 0 then 
		EmailField = 0
	else
		TheDot = Instr(cint(TheAt) + 2, fTestString, ".")
		if TheDot = 0 then
			EmailField = 0
		else
			if cint(TheDot) + 1 > Len(fTestString) then
				EmailField = 0
			else
				EmailField = -1
			end if
		end if
	end if
end function 

function chkIsNew(fDateTime)
	if strHotTopic = "1" then
		if fDateTime > Session(strCookieURL & "last_here_date") then
			if rs("T_REPLIES") >= intHotTopicNum then
			        chkIsNew =  "<img src=" & strImageURL &"icon_folder_new_hot.gif height=15 width=15 alt=HotTopic border=0>"
			else
			        chkIsNew =  "<img src=" & strImageURL &"icon_folder_new.gif height=15 width=15 alt=NewTopic border=0>"
			end if
		else
			if rs("T_REPLIES") >= intHotTopicNum then
			        chkIsNew =  "<img src=" & strImageURL &"icon_folder_hot.gif height=15 width=15 alt=HotTopic border=0>"
			else
			        chkIsNew = "<img src=" & strImageURL &"icon_folder.gif height=15 width=15 border=0>" 
			end if
		end if
	else
		if fDateTime > Session(strCookieURL & "last_here_date") then
			chkIsNew =  "<img src=" & strImageURL &"icon_folder_new.gif height=15 width=15 alt=NewTopic border=0>" 
		else
			chkIsNew = "<img src=" & strImageURL &"icon_folder.gif height=15 width=15 border=0>" 
		end if
	end if
end function

Function sGetColspan(lIN, lOUT)	
	if (strShowModerators = "1") then lOut = lOut + 1	
	if (mlev = "4" or mlev = "3") and (strShowModerators = "1") then lOut = lOut + 1		
	if (mlev = "4" or mlev = "3") and (strShowModerators <> "1") then lOut = lOut + 2
	If lOut > lIn then
		sGetColspan = lIN
	Else
		sGetColspan = lOUT	
	End If
End Function

function chkQuoteOk(fString)
	chkQuoteOk = not(InStr(1, fString, "'", 0) > 0)
end function


function chkUser1(fName, fPassword)
	dim rsCheck
	dim strSql
	'## Forum_SQL
	strSql = "SELECT " & strMemberTablePrefix & "MEMBERS.MEMBER_ID, " & strMemberTablePrefix & "MEMBERS.M_LEVEL, " & strMemberTablePrefix & "MEMBERS.M_NAME, " & strMemberTablePrefix & "MEMBERS.M_PASSWORD "
	strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " WHERE " & strMemberTablePrefix & "MEMBERS." & strDBNTSQLName & " = '" & ChkString(fName, "SQLString") & "' "
	if strAuthType="db" then	
		strSql = strSql & " AND   " & strMemberTablePrefix & "MEMBERS.M_PASSWORD = '" & ChkString(fPassword, "SQLString") &"'"
	End If
	strSql = strSql & " AND   " & strMemberTablePrefix & "MEMBERS.M_STATUS = " & 1

	Set rsCheck = my_Conn.Execute(strSql)
	
	if rsCheck.BOF or rsCheck.EOF or not(ChkQuoteOk(fName)) or not(ChkQuoteOk(fPassword)) then
		chkUser1 = 0 '##  Invalid Password
	else
		select case cint(rsCheck("M_LEVEL"))
			case 1
				chkUser1 = 2 '## Normal User
			case 2
				chkUser1 = 3 '## Moderator
			case 3
				chkUser1 = 4 '## Admin
			case else
				chkUser1 = cint(rsCheck("M_LEVEL"))
		end select
	end if

	rsCheck.close	
	set rsCheck = nothing

end function

function chkUser2(fName, fPassword, fAuthor)

	dim rsCheck
	dim strSql

	'## Forum_SQL
	strSql = "SELECT " & strMemberTablePrefix & "MEMBERS.MEMBER_ID, " & strMemberTablePrefix & "MEMBERS.M_LEVEL, " & strMemberTablePrefix & "MEMBERS.M_NAME, " & strMemberTablePrefix & "MEMBERS.M_PASSWORD "
	strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " WHERE " & strMemberTablePrefix & "MEMBERS." & strDBNTSQLName & " = '" & ChkString(fName, "SQLString") & "' "
	if strAuthType="db" then	
		strSql = strSql & " AND   " & strMemberTablePrefix & "MEMBERS.M_PASSWORD = '" & ChkString(fPassword, "SQLString") &"'"
	End If
	strSql = strSql & " AND   " & strMemberTablePrefix & "MEMBERS.M_STATUS = " & 1

	Set rsCheck = my_Conn.Execute(strSql)

	if rsCheck.BOF or rsCheck.EOF or not(ChkQuoteOk(fName)) or not(ChkQuoteOk(fPassword)) then
		chkUser2 = 0 '##  Invalid Password
	else
		if (rsCheck("MEMBER_ID") & "" = fAuthor & "") and (cint(rsCheck("M_LEVEL")) <> 3) then 
			chkUser2 = 1 '## Author
		else
			select case cint(rsCheck("M_LEVEL"))
				case 1
					chkUser2 = 2 '## Normal User
				case 2
					chkUser2 = 3 '## Moderator
				case 3
					chkUser2 = 4 '## Admin
				case else
					chkUser2 = cint(rsCheck("M_LEVEL"))
			end select
		end if	
	end if

	rsCheck.close	
	set rsCheck = nothing

end function


function getSig(fUser_Name)
	'## Forum_SQL
	strSql = "SELECT M_SIG "
	strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " WHERE " & strDBNTSQLName & " = '" & ChkString(Request.Form("UserName"), "SQLString") & "'"

	set rsSig = my_Conn.Execute (strSql)

	if rsSig.EOF or rsSig.BOF then
		'## Do Nothing
	else
		getSig = rsSig("M_SIG")
	end if

	rsSig.close
	set rsSig = nothing
end function

function doDropDown(fTableName, fDisplayField, fValueField, fSelectValue, fName)
	'## Forum_SQL
	strSql = "SELECT " & fDisplayField & ", " & fValueField 
	strSql = strSql & " FROM " & fTableName

	rsdrop.Open strSql, my_Conn
		
	Response.Write "<Select Name='" & fName & "'>"
	if rsdrop.EOF or rsdrop.BOF then 
		Response.Write "<Option>No Items Found</option>"  & vbNewline
	else
		do until rsdrop.EOF
			if rs(fValueField) = cint(fSelectValue) then
				Response.Write "<option value='" & rsdrop(fValueField) & "' Selected>"
				Response.Write rsdrop(fDisplayField) & "</option>" & vbNewline
			else
				Response.Write "<option value='" & rsdrop(fValueField) & "'>"
				Response.Write rsdrop(fDisplayField) & "</option>" & vbNewline
			end if
			rsdrop.MoveNext
		loop
	end if
	Response.Write "</select>" & vbNewline

	rsdrop.Close
	set rsdrop = nothing	
end function

sub doULastPost(sUser_Name)
	'## Forum_SQL - Updates the M_LASTPOSTDATE in the FORUM_MEMBERS table
	strSql = "UPDATE " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " SET M_LASTPOSTDATE = '" & DateToStr(strForumTimeAdjust) & "' "
	strSql = strSql & " WHERE " & strDBNTSQLName & " = '" & ChkString(sUser_Name, "SQLString") & "'"

	my_Conn.Execute (strSql)
end sub

'##############################################
'##            Ranks and Stars               ##
'##############################################

'######### RANKS MOD MODIFIED FUNCTION STARTS ############
function getMember_Level(fM_TITLE, fM_LEVEL, fM_POSTS)
	dim Member_Level, SQL, rst

	Member_Level = ""
	if Trim(fM_TITLE) <> "" then
		Member_Level = fM_TITLE
	else
		select case fM_LEVEL
			case "1"  
				SQL = "SELECT * FROM " & strMemberTablePrefix & "RANKS WHERE R_POSTS <= " & fM_POSTS & " ORDER BY R_POSTS DESC"
				set rst = my_Conn.execute(SQL)

				Member_Level = rst("R_RANK")
			case "2"
				SQL = "SELECT * FROM " & strMemberTablePrefix & "RANKS WHERE R_POSTS = 999999"
				set rst = my_Conn.execute(SQL)

				Member_Level = rst("R_RANK")
			case "3"
				SQL = "SELECT * FROM " & strMemberTablePrefix & "RANKS WHERE R_POSTS <= 1000000"
				set rst = my_Conn.execute(SQL)

				Member_Level = rst("R_RANK")
			case else  
				Member_Level = Member_Level & "Error" 
		end select
	end if
	
	getMember_Level = Member_Level
end function
'######### RANKS MOD MODIFIED FUNCTION END ############

function getMember_Level(fM_TITLE, fM_LEVEL, fM_POSTS)
	dim Member_Level

	Member_Level = ""
	if Trim(fM_TITLE) <> "" then
		Member_Level = fM_TITLE
	else
		select case fM_LEVEL
			case "1"  
				if (fM_POSTS < cInt(intRankLevel1)) then Member_Level = Member_Level & strRankLevel0				
				if (fM_POSTS >= cInt(intRankLevel1)) and (fM_POSTS < cInt(intRankLevel2)) then Member_Level = Member_Level & strRankLevel1				
				if (fM_POSTS >= cInt(intRankLevel2)) and (fM_POSTS < cInt(intRankLevel3)) then Member_Level = Member_Level & strRankLevel2				
				if (fM_POSTS >= cInt(intRankLevel3)) and (fM_POSTS < cInt(intRankLevel4)) then Member_Level = Member_Level & strRankLevel3				
				if (fM_POSTS >= cInt(intRankLevel4)) and (fM_POSTS < cInt(intRankLevel5)) then Member_Level = Member_Level & strRankLevel4				
				if (fM_POSTS >= cInt(intRankLevel5)) then Member_Level = Member_Level & strRankLevel5
			case "2"
				Member_Level = Member_Level & strRankMod
			case "3"
				Member_Level = Member_Level & strRankAdmin
			case else  
				Member_Level = Member_Level & "Error" 
		end select
	end if
	
	getMember_Level = Member_Level
end function

' ### This function modified to add more stars ##
' ### Additional Stars ###
' ### Crash's Tweak: made the IconDir get its coat and make place for the "strImageURL"
'function getStar_Level(fM_LEVEL, fM_POSTS)
'	dim Star_Level,strMinStars,strRank,iCount

'	if (fM_POSTS < CInt(intRankLevel1)) then strMinStars = 0:Star_Level = "" 
'	if (fM_POSTS >= CInt(intRankLevel1)) and (fM_POSTS < CInt(intRankLevel2)) then strRank = strRankColor1:strMinStars = 1 
'	if (fM_POSTS >= CInt(intRankLevel2)) and (fM_POSTS < CInt(intRankLevel3)) then strRank = strRankColor2:strMinStars = 2 
'	if (fM_POSTS >= CInt(intRankLevel3)) and (fM_POSTS < CInt(intRankLevel4)) then strRank = strRankColor3:strMinStars = 3 
'	if (fM_POSTS >= CInt(intRankLevel4)) and (fM_POSTS < CInt(intRankLevel5)) then strRank = strRankColor4:strMinStars = 4 
'	if (fM_POSTS >= CInt(intRankLevel5)) then strRank = strRankColor5:strMinStars = 5 

'	select case fM_LEVEL
'		case "1" 
		' Do nothing, left to prevent fM_LEVEL = 1 ending up taking the case else clause
'		case "2"
'		    strRank = StrRankColorMod
'		case "3"
'		    strRank = strRankColorAdmin
'		case else
'			Star_Level = "Error"
'	end select
	
'    for icount = 1 to (int(fM_POSTS/intStarEvery) + strMinStars)
    
      'Star_Level = Star_Level & "<img src=" & strIconDir & "icon_star_" & strRank & ".gif border=0>"
'      Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRank & ".gif border=0>"
'      if iCount/intStarBRCount = iCount\intStarBRCount then Star_Level = Star_Level & "<BR>"
'    next

'	getStar_Level = Star_Level

'end function
' ### Additional Stars ###
' ### This function modified to add more stars ##

function getStar_Level(fM_LEVEL, fM_POSTS)
	dim Star_Level
	
	select case fM_LEVEL
		case "1"
			if (fM_POSTS < cInt(intRankLevel1)) then Star_Level = Star_Level & ""
			if (fM_POSTS >= cInt(intRankLevel1)) and (fM_POSTS < cInt(intRankLevel2)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColor1 & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel2)) and (fM_POSTS < cInt(intRankLevel3)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColor2 & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColor2 & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel3)) and (fM_POSTS < cInt(intRankLevel4)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColor3 & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColor3 & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColor3 & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel4)) and (fM_POSTS < cInt(intRankLevel5)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColor4 & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColor4 & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColor4 & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColor4 & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel5)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColor5 & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColor5 & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColor5 & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColor5 & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColor5 & ".gif border=0>"
		case "2" 
			if fM_POSTS < cInt(intRankLevel1) then Star_Level = Star_Level & ""
			if (fM_POSTS >= cInt(intRankLevel1)) and (fM_POSTS < cInt(intRankLevel2)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel2)) and (fM_POSTS < cInt(intRankLevel3)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel3)) and (fM_POSTS < cInt(intRankLevel4)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel4)) and (fM_POSTS < cInt(intRankLevel5)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel5)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorMod & ".gif border=0>"
		case "3" 
			if (fM_POSTS < cInt(intRankLevel1)) then Star_Level = Star_Level & ""
			if (fM_POSTS >= cInt(intRankLevel1)) and (fM_POSTS < cInt(intRankLevel2)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel2)) and (fM_POSTS < cInt(intRankLevel3)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel3)) and (fM_POSTS < cInt(intRankLevel4)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel4)) and (fM_POSTS < cInt(intRankLevel5)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0>"
			if (fM_POSTS >= cInt(intRankLevel5)) then Star_Level = Star_Level & "<img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0><img src=" & strImageURL & "icon_star_" & strRankColorAdmin & ".gif border=0>"
		case else  
			Star_Level = Star_Level & "Error"
	end select

	getStar_Level = Star_Level
end function

'##############################################
'##           Multi-Moderators               ##
'##############################################

function chkForumModerator(fForum_ID, fMember_Name)
	'## Forum_SQL 
	strSql = "SELECT mo.FORUM_ID "	
	strSql = strSql & " FROM " & strTablePrefix & "MODERATOR mo, " & strMemberTablePrefix & "MEMBERS me " 
	strSql = strSql & " WHERE mo.FORUM_ID = " & fForum_ID & " "	
	strSql = strSql & " AND   mo.MEMBER_ID = me.MEMBER_ID "	
	
	if strAuthType = "db" then		
		strSql = strSql & " AND me.M_NAME = '" & fMember_Name & "'"	
	elseif strAuthType = "nt" then			
			strSql = strSql & " AND me.M_USERNAME = '" & fMember_Name & "'"		
	end if	

	Set rsChk = Server.CreateObject("ADODB.Recordset")
	rsChk.open strSql, my_Conn
	
	if rsChk.bof or rsChk.eof then
		chkForumModerator = "0"
	else
		chkForumModerator = "1"
	end if 

	rsChk.close
	set rsChk = nothing
end function

function listForumModerators(fForum_ID)

	dim strSql
	dim rsChk

	'## Forum_SQL
	strSql = "SELECT " & strMemberTablePrefix & "MEMBERS.M_NAME " &_
		 " FROM " & strTablePrefix & "MODERATOR " &_
		 " , " & strMemberTablePrefix & "MEMBERS "  &_
		 " WHERE (" & strTablePrefix & "MODERATOR.FORUM_ID = " & ChkString(fForum_ID, "SQLString") & ") " &_
		 " AND (" & strTablePrefix & "MODERATOR.MEMBER_ID = " & strMemberTablePrefix & "MEMBERS.MEMBER_ID )"

	Set rsChk = Server.CreateObject("ADODB.Recordset")
	rsChk.open strSql, my_Conn

	if rsChk.EOF or not(ChkQuoteOk(fForum_ID)) then
		listForumModerators = ""
		exit function
	end if
	fMods = rsChk("M_NAME")
	rsChk.MoveNext
	do until rsChk.EOF
		fMods = fMods & ", " & rsChk("M_NAME")
		rsChk.MoveNext
	loop

	rsChk.close
	set rsChk = nothing
	if fMods = "" then
		fMods = "        &nbsp;"
	end if
	listForumModerators = fMods
end function

function getMemberName(fUser_Number)

	dim strSql
	dim rsGetmemberName

	'## Forum_SQL
	if isNull(fUser_Number) then exit function
	strSql = "SELECT " & strMemberTablePrefix & "MEMBERS.M_NAME "
	strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " WHERE MEMBER_ID = " & ChkString(fUser_Number, "SQLString")

	Set rsGetMemberName = Server.CreateObject("ADODB.Recordset")
	rsGetMemberName.open strSql, my_Conn

	if rsGetMemberName.EOF or rsGetMemberName.BOF then
		getMemberName = ""
	else
		getMemberName = rsGetMemberName("M_NAME")
	end if

	rsGetMemberName.close
	set rsGetMemberName = nothing
end function

function getMemberNumber(fUser_Name)
	'## Forum_SQL
	strSql = "SELECT " & strMemberTablePrefix & "MEMBERS.MEMBER_ID "
	strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " WHERE M_NAME = '" & fUser_Name & "'"

	set rsGetMemberID = my_Conn.Execute(strSql)

	if rsGetMemberID.EOF or rsGetMemberID.BOF then
		getMemberNumber = -1
		exit function
	end if

	getMemberNumber = rsGetMemberID("MEMBER_ID")
end function

'##############################################
'##            NT Authentication             ##
'##############################################

sub NTUser()
dim strSql
dim rs_chk
	if Session(strCookieURL & "username")="" then

		'## Forum_SQL 
		strSql ="SELECT " & strMemberTablePrefix & "MEMBERS.MEMBER_ID, " & strMemberTablePrefix & "MEMBERS.M_LEVEL, " & strMemberTablePrefix & "MEMBERS.M_PASSWORD, " & strMemberTablePrefix & "MEMBERS.M_USERNAME, " & strMemberTablePrefix & "MEMBERS.M_NAME "
		strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS "
		strSql = strSql & " WHERE " & strMemberTablePrefix & "MEMBERS.M_USERNAME = '" & ChkString(Session(strCookieURL & "userid"), "SQLString") & "'"
		strSql = strSql & " AND   " & strMemberTablePrefix & "MEMBERS.M_STATUS = " & 1

		Set rs_chk = Server.CreateObject("ADODB.Recordset")
		rs_chk.open strSql, my_Conn

		if rs_chk.BOF or rs_chk.EOF then
			strLoginStatus = 0
		else
			Session(strCookieURL & "username") = rs_chk("M_NAME")
			if strSetCookieToForum = 1 then
				Response.Cookies(strUniqueID & "User").Path = strCookieURL
			end if
			Response.Cookies(strUniqueID & "User")("Name") = rs_chk("M_NAME")
			Response.Cookies(strUniqueID & "User")("Pword") = rs_chk("M_PASSWORD")
			Response.Cookies(strUniqueID & "User")("Cookies") = ""
			Response.Cookies(strUniqueID & "User").Expires = dateAdd("d", 30, strForumTimeAdjust)	
			Session(strCookieURL & "last_here_date") = ReadLastHereDate(Request.Form("Name"))	
			if strAuthType = "nt" then		
			Session(strCookieURL & "last_here_date") = ReadLastHereDate(Session(strCookieURL & "userID"))	
			end if

			strLoginStatus = 1
			
			mLev = cint(chkUser(Request.Cookies(strUniqueID & "User")("Name"), Request.Cookies(strUniqueID & "User")("Pword")))
			if mLev = 4 then 
				Session(strCookieURL & "Approval") = "15916941253"
			end if
		end if

		rs_chk.close	
		set rs_chk = nothing
		
	end if
end sub

function chkAccountReg()
dim strSql
dim rs_chk
	'## Forum_SQL 
	strSql ="SELECT " & strMemberTablePrefix & "MEMBERS.M_LEVEL, " & strMemberTablePrefix & "MEMBERS.M_USERNAME "
	strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " WHERE " & strMemberTablePrefix & "MEMBERS.M_USERNAME = '" & ChkString(Session(strCookieURL & "userid"), "SQLString") & "'" 
	strSql = strSql & " AND   " & strMemberTablePrefix & "MEMBERS.M_STATUS = " & 1

	Set rs_chk = Server.CreateObject("ADODB.Recordset")
	rs_chk.open strSql, my_Conn

	if rs_chk.BOF or rs_chk.EOF then
		chkAccountReg = "0"
	else
		chkAccountReg = "1"
	end if

	rs_chk.close	
	set rs_chk = nothing
end function

sub NTAuthenticate()
	dim strUser, strNTUser, checkNT
	strNTUser = Request.ServerVariables("AUTH_USER") 
	strNTUser = replace(strNTUser, "\", "/")
	if Session(strCookieURL & "userid") = "" then
		strUser = Mid(strNTUser,(instr(1,strNTUser,"/")+1),len(strNTUser))
		Session(strCookieURL & "userid") = strUser
	end if
	if strNTGroups="1" then
		strNTGroupsSTR = Session(strCookieURL & "strNTGroupsSTR")
		if Session(strCookieURL & "strNTGroupsSTR") = "" then
			Set strNTUserInfo = GetObject("WinNT://"+strNTUser)
			For Each strNTUserInfoGroup in strNTUserInfo.Groups
				strNTGroupsSTR=strNTGroupsSTR+", "+strNTUserInfoGroup.name
			NEXT
			Session(strCookieURL & "strNTGroupsSTR") = strNTGroupsSTR
		end if
	end if
	if strAutoLogon="1" then
		strNTUserFullName = Session(strCookieURL & "strNTUserFullName")
		if Session(strCookieURL & "strNTUserFullName") = "" then
			Set strNTUserInfo = GetObject("WinNT://"+strNTUser)
			strNTUserFullName=strNTUserInfo.FullName
			Session(strCookieURL & "strNTUserFullName") = strNTUserFullName
		end if
	end if
end sub

function chkDisplayForum(fForum_ID)
dim strSql
dim rsAccess
	if (mlev = 4) then
		chkDisplayForum= true
		exit function
	end if

	'## Forum_SQL - load the user list       
	strSql = "SELECT " & strTablePrefix & "FORUM.F_PRIVATEFORUMS,  " & strTablePrefix & "FORUM.F_PASSWORD_NEW  "
	strSql = strSql & ", F_HIDDEN "
	strSql = strSql & " FROM " & strTablePrefix & "FORUM "
	strSql = strSql & " WHERE FORUM_ID = " & ChkString(fForum_ID, "SQLString")

	Set rsAccess = Server.CreateObject("ADODB.Recordset")
	rsAccess.open strSql, my_Conn

	select case  rsAccess("F_PRIVATEFORUMS")

	case 0, 1, 2, 3, 4, 7, 9
'############### Posting Restrictions ###########################
		if rsAccess("F_HIDDEN") = 1 then
			chkDisplayForum = false
		else
			chkDisplayForum= true
		end if
'############### Posting Restrictions ###########################
		rsAccess.close
		set rsAccess = nothing
		exit function

	case 5
		UserNum = getNewMemberNumber()
		if UserNum = - 1 then
			chkDisplayForum = false
			rsAccess.close
			set rsAccess = nothing
			exit function
		else
			chkDisplayForum = true
			rsAccess.close
			set rsAccess = nothing
			exit function
		end if

	case 6
		UserNum = getNewMemberNumber()
		if UserNum = - 1 then
			chkDisplayForum = false
			rsAccess.close
			set rsAccess = nothing
			exit function
		end if
		MatchFound = isAllowedMember(fForum_ID,UserNum)
		if MatchFound = 1 then
			chkDisplayForum = true
		Else
			chkDisplayForum = false
		end if 

 	case 8
		chkDisplayForum = false
			if strAuthType ="nt" THEN
				NTGroupSTR = Split(strNTGroupsSTR, ", ")
				for j = 0 to ubound(NTGroupSTR)
					NTGroupDBSTR = Split(rsAccess("F_PASSWORD_NEW"), ", ")
					for i = 0 to ubound(NTGroupDBSTR)
						if NTGroupDBSTR(i) = NTGroupSTR(j) then
							chkDisplayForum = true
							rsAccess.close
							set rsAccess = nothing
							exit function
						end if
					next
				next
			End if

	case else 
			chkDisplayForum= true
	end select 
	rsAccess.close
	set rsAccess = nothing
end function

'##############################################
'##        Cookie functions and Subs         ##
'##############################################

sub doCookies(fSavePassWord)
	if strSetCookieToForum = 1 then
		Response.Cookies(strUniqueID & "User").Path = strCookieURL
	else
		Response.Cookies(strUniqueID & "User").Path = "/"
	end if
	Response.Cookies(strUniqueID & "User")("Name") = strDBNTFUserName
	Response.Cookies(strUniqueID & "User")("Pword") = Request.Form("Password")
	Response.Cookies(strUniqueID & "User")("Cookies") = Request.Form("Cookies")
	if fSavePassWord = "true" then
		Response.Cookies(strUniqueID & "User").Expires = dateAdd("d", 30, strForumTimeAdjust)
	end if
	Session(strCookieURL & "last_here_date") = ReadLastHereDate(strDBNTFUserName)	
end sub

sub ClearCookies()
	if strSetCookieToForum = 1 then
		Response.Cookies(strUniqueID & "User").Path = strCookieURL
	else
		Response.Cookies(strUniqueID & "User").Path = "/"
	end if
	Response.Cookies(strUniqueID & "User") = ""
	Session(strCookieURL & "Approval") = ""
	my_conn.execute("UPDATE " & strTableprefix & "ONLINE SET CHECKEDIN= '' WHERE USERID = '" & strDBNTUserName & "' ")
	'Response.Cookies(strUniqueID & "User").Expires = dateadd("d", -2, strForumTimeAdjust)
end sub

'##############################################
'##                Do Counts                 ##
'##############################################

sub doPCount()
	'## Forum_SQL - Updates the totals Table
	strSql ="UPDATE " & strTablePrefix & "TOTALS SET " & strTablePrefix & "TOTALS.P_COUNT = " & strTablePrefix & "TOTALS.P_COUNT + 1"

	my_Conn.Execute (strSql)
end sub

sub doTCount()
	'## Forum_SQL - Updates the totals Table
	strSql ="UPDATE " & strTablePrefix & "TOTALS SET " & strTablePrefix & "TOTALS.T_COUNT = " & strTablePrefix & "TOTALS.T_COUNT + 1"

    my_Conn.Execute (strSql)
end sub

sub doUCount(sUser_Name)
	'## Forum_SQL - Update Total Post for user
	strSql = "UPDATE " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " SET " & strMemberTablePrefix & "MEMBERS.M_POSTS = " & strMemberTablePrefix & "MEMBERS.M_POSTS + 1 "
	strSql = strSql & " WHERE " & strDBNTSQLName & " = '" & ChkString(sUser_Name, "SQLString") & "'"

	my_Conn.Execute (strSql)
end sub
'##############################################
'##          Active Users MOD 4.00           ##
'##############################################

Sub ActiveUserTracker()
  'Ls3k- Declaire and assign variables.
  Dim strUserIP, strScriptName, strQueryString, strUserAgent, strCurrentTime, strTimedOut

  strUserIP = Request.ServerVariables("REMOTE_ADDR")
  strScriptName = Mid(Request.ServerVariables("SCRIPT_NAME"), InstrRev(Request.ServerVariables("SCRIPT_NAME"), "/")+1)
  strQueryString = Request.ServerVariables("QUERY_STRING")
  strUserAgent = Request.ServerVariables("HTTP_USER_AGENT")
  strCurrentTime = DateToStr(strForumTimeAdjust)

'######################## start LOG to TXT file
'Crash: add-on for the Logging of Members and non-Members
'Change the path to the logfile to make this work
'Make sure that you create an empty txt file with the name you use in the path
'before using this option!!
If strAdminOptUseLogFile = "1" Then
	Dim iplg, logFile8, crashMember, spors
	Dim strRoot, strLogFileFolder, strLogFile
	strRoot = "crashsite"
	strLogFileFolder = "logfiles"
	strLogFile = "log.txt"
	spors = ""
	if strQueryString <> "" then
	spors = "?" & strQueryString
	end if

	if MemberID = 0 then
		crashMember="Guest"
	else
		crashMember = strDBNTUserName
	end if

	Set iplg = Server.CreateObject("scripting.FileSystemObject")
	'Crash: change the line below to use the correct path
	'Be sure to create the txt file before using this option!
	'Set logFile8 = iplg.openTextFile(server.mappath("/xx/xx/log.txt"),8)
	Set logFile8 = iplg.openTextFile(server.mappath("/crashsite/logfiles/log.txt"),8)
	'Set logFile8 = iplg.openTextFile(server.mappath("/" & strLogFileFolder & "/" & strLogFile & ""),8)	
	
	logFile8.write "Date/Time: " & ChkDate(strCurrentTime) & " " & ChkTime(strCurrentTime) & " UserIP: " & strUserIP & " URL: " & strScriptName & spors & " MemberName: " & crashMember & "" & vbCrLf
	logFile8.close
	Set logFile8 = nothing
	Set iplg = nothing
End If
'##################### End Log To TXT file

  'Ls3k- First Order of business, is this person new?
  if MemberID=0 then 'If this is a Guest, check by IP
    strSql = "SELECT AU_LASTACTIVETIME FROM " & strTablePrefix & "ACTIVE_USERS WHERE AU_IP = '" & Chkstring(strUserIP, "SQLString") & "' AND MEMBER_ID = 0"
  else 'If this is a Member, check by Member_ID
    strSql = "SELECT AU_LASTACTIVETIME FROM " & strTablePrefix & "ACTIVE_USERS WHERE MEMBER_ID = " & MemberID
  end if
  set rs = my_conn.execute (strSql)
  if rs.EOF or rs.BOF then
    strNewUser = 1
  else
    strNewUser = 0
    strAUTimedOut = DateToStr(DateAdd("n",-strAUTimeout,strForumTimeAdjust))
    if rs("AU_LASTACTIVETIME") < strAUTimedOut then  'Check to see if user has timed out since last active.
      strSql = "DELETE FROM " & strTablePrefix & "ACTIVE_USERS WHERE MEMBER_ID = " & MemberID & " OR (AU_IP = '" & Chkstring(strUserIP, "SQLString") & "' AND MEMBER_ID = 0)"
      my_conn.execute (strSql)
      strNewUser = 1
    end if
  end if
  rs.close
  set rs = Nothing

  'Ls3k- Second order of business, lets update those already-active users
  if strNewUser = 0 then 'If already-active
    strSql = "UPDATE " & strTablePrefix & "ACTIVE_USERS SET " & _
             "AU_LASTACTIVETIME='" & Chkstring(strCurrentTime, "SQLString") & "'" & _
             ", AU_LASTPAGE='" & Chkstring(strScriptName, "SQLString") & "'" & _
             ", AU_QUERYSTRING='" & Chkstring(strQueryString, "SQLString") & "' "
    if MemberID=0 then 'If guest, update based on IP
      strSql = strSql & "WHERE AU_IP = '" & Chkstring(strUserIP, "SQLString") & "' " & _
                        "AND MEMBER_ID = " & MemberID
    else 'Update members based on MemberID
      strSql = strSql & "WHERE MEMBER_ID = " & MemberID
    end if
    my_conn.execute (strSql)
  else 'Is a new user, make new record
    strSql = "INSERT INTO " & strTablePrefix & "ACTIVE_USERS (" & _
             "MEMBER_ID, AU_IP, AU_LOGINTIME, AU_LASTACTIVETIME, " & _
             "AU_LASTPAGE, AU_QUERYSTRING, AU_USER_AGENT) VALUES(" & _
             MemberID & ", " & _
             "'" & Chkstring(strUserIP, "SQLString") & "', " & _
             "'" & Chkstring(strCurrentTime, "SQLString") & "', " & _
             "'" & Chkstring(strCurrentTime, "SQLString") & "', " & _
             "'" & Chkstring(strScriptName, "SQLString") & "', " & _
             "'" & Chkstring(strQueryString, "SQLString") & "', " & _
             "'" & Chkstring(strUserAgent, "SQLString") & "')"
    my_conn.execute (strSql)
  end if
end sub

function chkAUPermissions(fCheck)
  chkAUPermissions=0
  select case fCheck
    case "1"
      if mLev=4 then
        chkAUPermissions=1
      end if
    case "2"
      if mLev=4 or mLev=3 then
        chkAUPermissions=1
      end if
    case "3"
      if mLev=4 or mLev = 3 or mLev=2 then
        chkAUPermissions=1
      end if
    case "4"
      chkAUPermissions=1
  end select
end function

function chkAURecord(intTotalActiveUsers)
  if intTotalActiveUsers > intAURecord then 'We have a new record!!! :)
    strDummy = SetConfigValue(1, "intAURecord", cstr(intTotalActiveUsers))
    strDummy = SetConfigValue(1, "strAURecordDate", DateToStr(strForumTimeAdjust))
    intAURecord = intTotalActiveUsers
    strAURecordDate = DateToStr(strForumTimeAdjust)
    Application(strCookieURL & "INTAURECORD") = intTotalActiveUsers
    Application(strCookieURL & "STRAURECORDDATE") = DateToStr(strForumTimeAdjust)
  end if
end function

sub deleteInactiveUsers()
  strAUTimedOut = DateToStr(DateAdd("n",-strAUTimeout,strForumTimeAdjust))
  strSql = "DELETE FROM " & strTablePrefix & "ACTIVE_USERS WHERE AU_LASTACTIVETIME < '" & strAUTimedOut & "'"
  my_conn.execute (strSql)
end sub

sub AUHandleLoging()
  strSql = "DELETE FROM " & strTablePrefix & "ACTIVE_USERS WHERE AU_IP = '" & Chkstring(request.ServerVariables("REMOTE_ADDR"), "SQLString") & "'"
  my_conn.execute (strSql)
end sub

function checkSelect(actualValue, thisValue)
  if actualValue = thisValue then
    checkSelect = " selected"
  else 
    checkSelect = ""
  end if
end function

function checkRadio(actualValue, thisValue, boltf)
  if actualValue = thisValue EQV boltf then
    checkRadio = " checked"
  else 
    checkRadio = ""
  end if
end function

'##############################################
'##              Private Forums              ##
'##############################################

sub chkUser4(pForum_ID)
	if mLev = 4 then 
		exit sub
	end if

	'## Forum_SQL
	strSql = "SELECT " & strTablePrefix & "FORUM.F_PRIVATEFORUMS, " & strTablePrefix & "FORUM.F_SUBJECT, " & strTablePrefix & "FORUM.F_PASSWORD_NEW "
	strSql = strSql & " FROM " & strTablePrefix & "FORUM "
	strSql = strSql & " WHERE " & strTablePrefix & "FORUM.Forum_ID = " & ChkString(pForum_ID, "SQLString")

	Set rsStatus = Server.CreateObject("ADODB.Recordset")
	rsStatus.open strSql, my_Conn

	dim Users
	If cint(rsStatus("F_PRIVATEFORUMS")) <> 0 then

			Select case cint(rsStatus("F_PRIVATEFORUMS"))
				case 0
					'## Do Nothing

				case 1, 6 '## Allowed Users
					UserNum = getNewMemberNumber()
					MatchFound = isAllowedMember(pForum_ID, cint(UserNum))
					if MatchFound then
						rsStatus.close
						set rsStatus = nothing
						exit sub
					else
						doNotAllowed
						Response.end
					end if

				case 2 '## password
				'Bugfixed by Ruirib: 27 july 2002
				'Bugfixed by Ruirib: http://forum.snitz.com/forum/topic.asp?TOPIC_ID=31655#152648
				'changed the word strUniqueID & "User" to strUniqueID & "Forums" in the next line
					select case Request.Cookies(strUniqueID & "Forums")("PRIVATE_" & rsStatus("F_SUBJECT"))
						case rsStatus("F_PASSWORD_NEW")
							'## OK
						case else
							if Request("pass") = "" then
								doPasswordForm
								Response.End
							else
								if Request("pass") <> rsStatus("F_PASSWORD_NEW") then
									Response.Write "Invalid password! <a href='" & Request.ServerVariables("HTTP_REFERER") & "'>Back</a>"
									Response.End
								else
									if strSetCookieToForum = 1 then
										'Bugfixed by Ruirib: 27 july 2002
										'Bugfixed by Ruirib: http://forum.snitz.com/forum/topic.asp?TOPIC_ID=31655#152648
										'changed the word strUniqueID & "User" to strUniqueID & "Forums" in the next line
										Response.Cookies(strUniqueID & "Forums").Path = strCookieURL
									end if
									'Bugfixed by Ruirib: 27 july 2002
									'Bugfixed by Ruirib: http://forum.snitz.com/forum/topic.asp?TOPIC_ID=31655#152648
									'changed the word strUniqueID & "User" to strUniqueID & "Forums" in the next line									
									Response.Cookies(strUniqueID & "Forums")("PRIVATE_" & rsStatus("F_SUBJECT")) = Request("pass")
								end if
							end if
					end select

				case 3    '## Either Password or Allowed
					UserNum = getNewMemberNumber()
					MatchFound = isAllowedMember(pForum_ID, cint(UserNum))
					if MatchFound then
						rsStatus.close
						set rsStatus = nothing
						exit sub
					else
					'Bugfixed by Ruirib: 27 july 2002
					'Bugfixed by Ruirib: http://forum.snitz.com/forum/topic.asp?TOPIC_ID=31655#152648
					'changed the word strUniqueID & "User" to strUniqueID & "Forums" in the next line					
					select case Request.Cookies(strUniqueID & "Forums")("PRIVATE_" & rsStatus("F_SUBJECT"))
						case rsStatus("F_PASSWORD_NEW")
							'## OK
						case else
							if Request("pass") = "" then
								doLoginForm
								Response.End
							else
								if Request("pass") <> rsStatus("F_PASSWORD_NEW") then
									Response.Write "Invalid password! <a href='" & Request.ServerVariables("HTTP_REFERER") & "'>Back</a>"
									Response.End
								else
									if strSetCookieToForum = 1 then
										'Bugfixed by Ruirib: 27 july 2002
										'Bugfixed by Ruirib: http://forum.snitz.com/forum/topic.asp?TOPIC_ID=31655#152648
										'changed the word strUniqueID & "User" to strUniqueID & "Forums" in the next line									
										Response.Cookies(strUniqueID & "Forums").Path = strCookieURL
									end if
									'Bugfixed by Ruirib: 27 july 2002
									'Bugfixed by Ruirib: http://forum.snitz.com/forum/topic.asp?TOPIC_ID=31655#152648
									'changed the word strUniqueID & "User" to strUniqueID & "Forums" in the next line									
									Response.Cookies(strUniqueID & "Forums")("PRIVATE_" & rsStatus("F_SUBJECT")) = Request("pass")
								end if
							end if
					end select
					end if
				'## code added 07/13/2000

				case 7    '## members or password
					if (strDBNTUserName = "") then
						'Bugfixed by Ruirib: 27 july 2002
						'Bugfixed by Ruirib: http://forum.snitz.com/forum/topic.asp?TOPIC_ID=31655#152648
						'changed the word strUniqueID & "User" to strUniqueID & "Forums" in the next line
						select case Request.Cookies(strUniqueID & "Forums")("PRIVATE_" & rsStatus("F_SUBJECT"))
							case rsStatus("F_PASSWORD_NEW")
								'## OK
							case else
								if Request("pass") = "" then
									doLoginForm
									Response.End
								else
									if Request("pass") <> rsStatus("F_PASSWORD_NEW") then
										Response.Write "Invalid password! <a href='" & Request.ServerVariables("HTTP_REFERER") & "'>Back</a>"
										Response.End
									else
										if strSetCookieToForum = 1 then
											'Bugfixed by Ruirib: 27 july 2002
											'Bugfixed by Ruirib: http://forum.snitz.com/forum/topic.asp?TOPIC_ID=31655#152648
											'changed the word strUniqueID & "User" to strUniqueID & "Forums" in the next line										
											Response.Cookies(strUniqueID & "Forums").Path = strCookieURL
										end if
										'Bugfixed by Ruirib: 27 july 2002
										'Bugfixed by Ruirib: http://forum.snitz.com/forum/topic.asp?TOPIC_ID=31655#152648
										'changed the word strUniqueID & "User" to strUniqueID & "Forums" in the next line										
										Response.Cookies(strUniqueID & "Forums")("PRIVATE_" & rsStatus("F_SUBJECT")) = Request("pass")
									end if
								end if
						end select
					end if
				'## end code added 07/13/2000

				case 4, 5 '## members only
					if strDBNTUserName = "" then
						doNotLoggedInForm
					end if

				case 8, 9
					NTGroupSTR = Split(strNTGroupsSTR, ", ")
					NTGroupDBSTR = Split(rsStatus("F_PASSWORD_NEW"), ", ")
						For i = 0 to ubound(NTGroupDBSTR)
							for j = 0 to ubound(NTGroupSTR)
								if NTGroupDBSTR(i) = NTGroupSTR(j) then
									exit SUB
								end if
							next
						next
					doNotAllowed
					Response.end
				case 10,11,12
				case else
					Response.Write "<BR>ERROR: Invalid forum type: " & rsStatus("F_PRIVATEFORUMS")
					Response.end
			end select
	end if
	rsStatus.close
	set rsStatus = nothing
end sub

sub doLoginForm()
%>
<p align=center><font face="<% =strDefaultFontFace %>" size="<% =strHeaderFontSize %>">There Was A Problem</font></p>

<p align=center><font face="<% =strDefaultFontFace %>" size="<% =strHeaderFontSize %>">
You do not have access to this forum.
</font></p>

<p align=center><font face="<% =strDefaultFontFace %>" size=<% =strDefaultFontSize %>>If you have been given special permission by the administrator to view and/or post in this forum, enter the password here:
<form action="<% =Request.ServerVariables("SCRIPT_NAME") %>" id=form2 name=form2>
<%
	for each q in Request.QueryString
		Response.Write "<input type=hidden name=""" & q & """ value=""" & Request(q) & """>"
	next
%>
<input name=pass type=password>
<input type=submit value=Enter id=submit2 name=submit2>
</form></p>

<p align=center><font face="<% =strDefaultFontFace %>" size=<% =strDefaultFontSize %>><a href="JavaScript:history.go(-1)">Go Back To Enter Data</a></font></p>
<p align=center><font face="<% =strDefaultFontFace %>" size=<% =strDefaultFontSize %>><a href="default.asp">Return to the forum</a></font></p>
<% WriteFooter
end sub

sub doNotAllowed()
%>
<p align=center><font face="<% =strDefaultFontFace %>" size="<% =strHeaderFontSize %>">There Was A Problem</font></p>

<P align=center><font face="<% =strDefaultFontFace %>" size="<% =strHeaderFontSize %>">
You do not have access to this forum.
</font></p>

<p align=center><font face="<% =strDefaultFontFace %>" size=<% =strDefaultFontSize %>><a href="JavaScript:history.go(-1)">Go Back To Enter Data</a></font></p>
<p align=center><font face="<% =strDefaultFontFace %>" size=<% =strDefaultFontSize %>><a href="default.asp">Return to the forum</a></font></p>
<% WriteFooter
end sub

sub doPasswordForm()
%>
<p align=center><font face="<% =strDefaultFontFace %>" size="<% =strHeaderFontSize %>">There Was A Problem</font></p>

<P align=center><font face="<% =strDefaultFontFace %>" size="<% =strHeaderFontSize %>">
You must enter the password for this forum.

<form action="<% =Request.ServerVariables("SCRIPT_NAME") %>" id=form2 name=form2>
<%
	for each q in Request.QueryString
		Response.Write "<input TYPE=hidden name=""" & q & """ value=""" & Request(q) & """>"
	next
%>
<input name=pass type=password>
<input type=submit value=Enter id=submit1 name=submit1>
</form>
</font></p>

<p align=center><font face="<% =strDefaultFontFace %>" size=<% =strDefaultFontSize %>><a href="JavaScript:history.go(-1)">Go Back To Enter Data</a></font></p>

<p align=center><font face="<% =strDefaultFontFace %>" size=<% =strDefaultFontSize %>><a href="default.asp">Return to the forum</a></font></p>

<% WriteFooter
end sub

sub doNotLoggedInForm()
%>
<p align=center><font face="<% =strDefaultFontFace %>" size="<% =strHeaderFontSize %>">There was a problem</font></p>

<P align=center><font face="<% =strDefaultFontFace %>" size="<% =strHeaderFontSize %>">You must be logged in to enter this forum</font></p>

<p align=center><font face="<% =strDefaultFontFace %>" size=<% =strDefaultFontSize %>><a href="JavaScript:history.go(-1)">Go Back To Enter Data</a></font></p>

<p align=center><font face="<% =strDefaultFontFace %>" size=<% =strDefaultFontSize %>><a href="default.asp">Return to the forum</a></font></p>

<%	WriteFooter
	Response.End
end sub

function getNewMemberNumber()
	'## Forum_SQL
	strSql = "SELECT " & strMemberTablePrefix & "MEMBERS.MEMBER_ID "
	strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS "
	strSql = strSql & " WHERE " & strDBNTSQLName & " = '" & ChkString(strDBNTUserName, "SQLString") & "'"

	Set rsGetMemberID = Server.CreateObject("ADODB.Recordset")
	rsGetMemberID.open strSql, my_Conn

	if rsGetMemberID.EOF or rsGetMemberID.BOF then
		getNewMemberNumber = -1
		rsGetMemberID.close
		set rsGetMemberID = nothing
		exit function
	end if

	getNewMemberNumber = rsGetMemberID("MEMBER_ID")
	rsGetMemberID.close
	set rsGetMemberID = nothing
end function

Function ReplaceUrls(fString)
	Dim oTag, c1Tag, c2Tag
	Dim roTag, rc1Tag, rc2Tag
	Dim oTagPos, c1TagPos, c2TagPos
	Dim nTagPos
	Dim counter2
	Dim strArray, strArray2, strArray3

    oTag   = "[url="""
    oTag2  = "[url]"
    roTag  = "<a href="""
    c1Tag  = """]"
    c1Tag2 = "[/url]"
    rc1Tag = """ target=""_blank"">"
    c2Tag  = "[/url]"
    rc2Tag = "</a>"
    oTagPos = InStr(1, fString, oTag, 1)
    c1TagPos = InStr(1, fString, c1Tag, 1)
   
	strTempString = ""
	if (oTagpos > 0) and (c1TagPos > 0) then
		strArray = Split(fString, oTag, -1,1)
		for counter2 = 0 to UBound(strArray)
			if (InStr(1, strArray(counter2), c2Tag, 1) > 0) or (InStr(1, strArray(counter2), c1Tag, 1) > 0) then
				strArray2 = Split(strArray(counter2), c1Tag, -1,1)
				if Instr(1, strArray2(1), c2Tag,1) and  not( (Instr(1, UCase(strArray2(1)), "[URL]",1) >0) and not(Instr(1, UCase(strArray2(1)), "[/URL]",1) >0) ) then
					strFirstPart = Left(strArray2(1), Instr(1, strArray2(1),c2Tag,1)-1)
					strSecondPart = Right(strArray2(1), (Len(strArray2(1)) - Instr(1, strArray2(1), c2Tag,1) - len(c2Tag)+1))
					if strFirstPart <> "" then
						if (Instr(strArray2(0),"@") > 0) and UCase(Left(strArray2(0), 7)) <> "MAILTO:" then
							strTempString = strTempString & roTag & "mailto:" & strArray2(0) & rc1Tag & strFirstPart & rc2Tag & strSecondPart
						else
							strTempString = strTempString & roTag & strArray2(0) & rc1Tag & strFirstPart & rc2Tag & strSecondPart
						end if
					else
						if (Instr(strArray2(0),"@") > 0) and UCase(Left(strArray2(0), 7)) <> "MAILTO:" then
							strTempString = strTempString & roTag & "mailto:" & strArray2(0) & rc1Tag & strArray2(0) & rc2Tag & strSecondPart
						else
							strTempString = strTempString & roTag & strArray2(0) & rc1Tag & strArray2(0) & rc2Tag & strSecondPart
						end if
					end if
				else
					strTempString = strTempString & roTag & strArray2(0) & rc1Tag & strArray2(0) & rc2Tag & strArray2(1)
				end if
			elseif (InStr(1, strArray(counter2), c1Tag, 1) > 0) then
				strArray2 = Split(strArray(counter2), c1Tag, -1)
				strTempString = strTempString & roTag & strArray2(0) & rc1Tag & strArray2(0) & rc2Tag & strArray2(1)
			else
				strTempString = strTempString & strArray(counter2)
			end if
		next
	else
		strTempString = fString
	end if

	oTagPos2 = InStr(1, strTempString, oTag2, 1)
	c1TagPos2 = InStr(1, strTempString, c1Tag2, 1)

	if (oTagpos2 > 0) and (c1TagPos2 > 0) then
	 	strTempString2 = ""
	 	strArray = Split(strTempString, oTag2, -1,1)
	 	for counter3 = 0 to Ubound(strArray)
	 		if (Instr(1, strArray(counter3), c1Tag2,1) > 0) then
	 			strArray2 = split(strArray(counter3), c1Tag2, -1,1)
				if (Instr(strArray2(0),"@") > 0) and UCase(Left(strArray2(0), 7)) <> "MAILTO:" then
		 			strTempString2 = strTempString2 & roTag & "mailto:" & strArray2(0) & rc1Tag & strArray2(0) & rc2Tag & strArray2(1)
				else
		 			strTempString2 = strTempString2 & roTag & strArray2(0) & rc1Tag & strArray2(0) & rc2Tag & strArray2(1)
				end if
	 		else
	 			strTempString2 = strTempString2 & strArray(counter3)
	 		end if	
	 	next  
	 	strTempString = strTempString2
	end if

	ReplaceUrls = strTempString
end function

function isAllowedMember(fForum_ID,fMemberID)
	isAllowedMember = 0
	on error resume next
	strSql = "SELECT MEMBER_ID, FORUM_ID FROM " & strTablePrefix & "ALLOWED_MEMBERS "
	strSql = strSql & " WHERE " & strTablePrefix & "ALLOWED_MEMBERS.FORUM_ID = " & ChkString(fForum_ID, "SQLString")
	strSql = strSql & " AND " & strTablePrefix & "ALLOWED_MEMBERS.MEMBER_ID = " & ChkString(fMemberID, "SQLString")

	Set rsAllowedMember = Server.CreateObject("ADODB.Recordset")
	rsAllowedMember.open strSql, my_Conn
	if (rsAllowedMember.EOF or rsAllowedMember.BOF) then
		isAllowedMember = 0
		rsAllowedMember.close
		set rsAllowedMember = nothing
		exit function
	else
		isAllowedMember = 1
		rsAllowedMember.close
		set rsAllowedMember = nothing
	end if
end function

Function SetConfigValue(bUpdate, fVariable, fValue)

	' bUpdate = 1 : if it exists then overwrite with new values
	' bUpdate = 0 : if it exists then leave unchanged

	Dim strSql

	strSql = "SELECT C_VARIABLE FROM " & strTablePrefix & "CONFIG_NEW " &_
		 " WHERE C_VARIABLE = '" & fVariable & "' "

	Set rs = Server.CreateObject("ADODB.Recordset")
	rs.open strSql, my_Conn

	if (rs.EOF or rs.BOF) then '## New config-value
		SetConfigValue = "added"
		my_conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW (C_VALUE,C_VARIABLE) VALUES ('" & fValue & "' , '" & fVariable & "')")
	else
		if bUpdate <> 0 then 
			SetConfigValue = "updated"
			my_conn.execute ("UPDATE " & strTablePrefix & "CONFIG_NEW SET C_VALUE = '" & fValue & "' WHERE C_VARIABLE = '" & fVariable &"'")
		else ' not changed
			SetConfigValue = "unchanged"
		end if
	end if

	rs.close
	set rs = nothing

end function

Sub WriteFooter() %>

<!--#INCLUDE FILE="inc_footer.asp"-->
<% end sub 

'################################# Email Validation Mod ##################################
function GetKey(action)
'// Create an array of characters to choose from for the key.
'// If you would like to add uppercase letters or high ASCII characters,
'// simply add them to the array, just remember to modify intNumChars
'// variable to match number of characters in the array.

intNumChars = 62

keyArray = Array("a","A","b","B","c","C","d","D","e","E","f","F","g","G","h","H","i","I","j","J","k","K","l","L", _
                "m","M","n","N","o","O","p","P","q","Q","r","R","s","S","t","T","u","U","v","V","w","W","x","X", _
                "y","Y","z","Z","1","2","3","4","5","6","7","8","9","0")

'// This picks 16 random numbers and pulls corresponding letters from the
'// array. If you want a larger, or smaller key, simply adjust the
'// number of characters you grab.

Randomize
key1 = (Int(((intNumChars - 1) * Rnd) + 1))
key2 = (Int(((intNumChars - 1) * Rnd) + 1))
key3 = (Int(((intNumChars - 1) * Rnd) + 1))
key4 = (Int(((intNumChars - 1) * Rnd) + 1))
key5 = (Int(((intNumChars - 1) * Rnd) + 1))
key6 = (Int(((intNumChars - 1) * Rnd) + 1))
key7 = (Int(((intNumChars - 1) * Rnd) + 1))
key8 = (Int(((intNumChars - 1) * Rnd) + 1))
key9 = (Int(((intNumChars - 1) * Rnd) + 1))
key10 = (Int(((intNumChars - 1) * Rnd) + 1))
key11 = (Int(((intNumChars - 1) * Rnd) + 1))
key12 = (Int(((intNumChars - 1) * Rnd) + 1))
key13 = (Int(((intNumChars - 1) * Rnd) + 1))
key14 = (Int(((intNumChars - 1) * Rnd) + 1))
key15 = (Int(((intNumChars - 1) * Rnd) + 1))
key16 = (Int(((intNumChars - 1) * Rnd) + 1))

'// Make the key!

strKey = keyArray(key1) & keyArray(key2) & keyArray(key3) & keyArray(key4) & _
         keyArray(key5) & keyArray(key6) & keyArray(key7) & keyArray(key8) & _
		 keyArray(key9) & keyArray(key10) & keyArray(key11) & keyArray(key12) & _
		 keyArray(key13) & keyArray(key14) & keyArray(key15) & keyArray(key16)

GetKey = strKey
if action = "sendemail" then
		'## Emails verification link to the new email address.
		strRecipientsName = Request.Form("Name")
		strRecipients = Request.Form("Email")
		strFrom = strSender
		strFromName = strForumTitle
		strsubject = strForumTitle & "- Your Email Address Has Been Changed "
		strMessage = "Hello " & Request.Form("name") & vbCrLf & vbCrLf
		if Request.QueryString("mode") <> "EditIt" then
			strMessage = strMessage & "You received this message from " & strForumTitle & " because someone has changed your email address on the forums at " & strForumURL & vbCrLf & vbCrLf
		else
			strMessage = strMessage & "You received this message from " & strForumTitle & " because you have changed your email address on the forums at " & strForumURL & vbCrLf & vbCrLf
		end if
		strMessage = strMessage & "To complete your email change, please click on the link below:" & vbCrLf
		strMessage = strMessage & strForumURL & "pop_profile.asp?verkey=" & strKey & vbCrLf & vbCrLf
		strMessage = strMessage & "Thank You!" & vbCrLf & vbCrLf
		strMessage = strMessage & "Forum Admin"
%>
<!--#INCLUDE FILE="inc_mail.asp" -->
<%
end if
end function
'###########################################################################################

%>

<script language="javascript1.2" runat=server>
function edit_hrefs(s_html, type){
    s_str = new String(s_html);
	if (type == 1) {
     	s_str = s_str.replace(/\b(http\:\/\/[\w+\.]+[\w+\.\:\/\_\?\=\&\-\'\#\%\~\;\,\$\!\+\*]+)/gi,
		  "<a href=\"$1\" target=\"_blank\">$1<\/a>");
	} 
	if (type == 2) {

		s_str = s_str.replace(/\b(https\:\/\/[\w+\.]+[\w+\.\:\/\_\?\=\&\-\'\#\%\~\;\,\$\!\+\*]+)/gi,
		  "<a href=\"$1\" target=\"_blank\">$1<\/a>");
	}
	if (type == 3) {
		s_str = s_str.replace(/\b(file\:\/\/\/\w\:\\[\w+\/\w+\.\:\/\_\?\=\&\-\'\#\%\~\;\,\$\!\+\*]+)/gi,
		  "<a href=\"$1\" target=\"_blank\">$1<\/a>");
	}
	if (type == 4) {

		s_str = s_str.replace(/\b(www\.[\w+\.\:\/\_\?\=\&\-\'\#\%\~\;\,\$\!\+\*]+)/gi,
 		  "<a href=\"http://$1\" target=\"_blank\">$1</a>");
	}
	if (type == 5) {
		s_str = s_str.replace(/\b([\w+\-\'\#\%\.\_\,\$\!\+\*]+@[\w+\.?\-\'\#\%\~\_\.\;\,\$\!\+\*]*)/gi,
 		  "<a href=\"mailto\:$1\">$1</a>");
	}
	if (type == 6) {
     	s_str = s_str.replace(/\b(ftp\:\/\/[\w+\.]+[\w+\.\:\/\_\?\=\&\-\'\#\%\~\;\,\$\!\+\*]+)/gi,
		  "<a href=\"$1\" target=\"_blank\">$1<\/a>");
	} 
    return s_str;
}
</script> 
<%
'Rem User Field Code #######################################
function DoesUserFieldExist(fMemberID,FUSerFieldID)

	fieldSQL = "SELECT * FROM " & strMemberTablePrefix & "MEMBERFIELDS WHERE " & strMemberTablePrefix & "MEMBERFIELDS.USR_FIELD_ID=" & FUSerFieldID 
	fieldSQL = fieldSQL & " AND " & strMemberTablePrefix & "MEMBERFIELDS.MEMBER_ID=" & fMemberID
	set rsGetFields = my_Conn.Execute(fieldSQL)
	DoesUserFieldExist = not rsGetFields.EOF
	rsGetFields.Close

end function

function getUserFieldValue(fUser_Field_ID,fMemberID)

	strSql = "SELECT " & strMemberTablePrefix & "MEMBERFIELDS.USR_VALUE "
	strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERFIELDS "
	strSql = strSql & " WHERE " & strMemberTablePrefix & "MEMBERFIELDS.USR_FIELD_ID = " & fUser_Field_ID
	strSql = strSql & " AND " & strMemberTablePrefix & "MEMBERFIELDS.MEMBER_ID = " & fMemberID 
	set rsgetUserFieldValue = my_Conn.Execute(strSql)
	if Not rsgetUserFieldValue.EOF then
		getUserFieldValue = rsgetUserFieldValue("USR_VALUE")
	else
		getUserFieldValue = ""
	end if

end function
'Rem User Field Code #######################################
'## Local Time Display
function DaylightAdjust(User,mode)

if trim(user) = "" or isNull(User) then
	if mode = "0" then
	DaylightAdjust = ""
	else
	DaylightAdjust = 0
	end if
	exit function
else
	Dim dsStartDate
	Dim stdStartDate
	Dim arrNth

	'## Forum_SQL - Get User's Local Time Adjustment
	strSql = "SELECT " & strTablePrefix & "TIMEZONE.Z_BIAS"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLBIAS"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLDAYNUM"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLWEEKDAY"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLMONTH"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDDAYNUM"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDWEEKDAY"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDMONTH"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLHOUR"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLMIN"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDHOUR"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDMIN"
	strSql = strSql & " FROM " & strTablePrefix & "TIMEZONE INNER JOIN " & strMemberTablePrefix & "MEMBERS ON " & strTablePrefix & "TIMEZONE.Z_ID = " & strMemberTablePrefix & "MEMBERS.M_STRTIMEADJUST"
	strSql = strSql & " WHERE " & strDBNTSQLName & " = '" & User & "'"

	set rsMemTime = my_Conn.Execute(strSql)
	if not rsMemTime.eof then
		if rsMemTime("Z_STDMONTH") <> 0 and rsMemTime("Z_DAYLMONTH") <> 0 then 'daylight saving zone
			if month(now) < rsMemTime("Z_DAYLMONTH") then
				DaylightAdjust = 0
				if mode = "1" then exit function
			end if
			if month(now) > rsMemTime("Z_STDMONTH") then
				DaylightAdjust = 0
				if mode = "1" then 	exit function
			end if
		else
			DaylightAdjust = 0
			exit function
		end if
	end if

	dsStartDate = DayLightTimeStart(rsMemTime)
	dsEndDate = StandardTimeStart(rsMemTime)
	
	if mode = "0" then
		DaylightAdjust = "Daylight saving starts on " & dsStartDate & "<BR>" &_
		"Daylight saving ends on " & dsEndDate & "<BR>"
	else
		if Now > dsStartDate and Now < dsEndDAte then
			DaylightAdjust = rsMemTime("Z_DAYLBIAS")
		else
			DaylightAdjust = 0
		end if
	end if
	rsMemTime.Close
end if

'## Local Time Display
end function

Function sGetColspan(lIN, lOUT)	
if (strShowModerators = "1") Then lOut = lOut + 1	
If (mlev = "4" or mlev = "3") then lOut = lOut + 1		
If lOut > lIn then
	sGetColspan = lIN
Else
	sGetColspan = lOUT	
End If
End Function

Function ReplaceImageTags(fString)
 	Dim oTag, cTag
 	Dim roTag, rcTag
 	Dim oTagPos, cTagPos
 	Dim nTagPos
 	Dim counter1, counter2
 	Dim strUrlText
 	Dim Tagcount
 	Dim strTempString, strResultString
 	TagCount = 6
  	Dim ImgTags(6,2,2)
 	Dim strArray, strArray2
 
 	ImgTags(1,1,1) = "[img]"
 	ImgTags(1,2,1) = "[/img]"
 	ImgTags(1,1,2) = "<img src="""
 	ImgTags(1,2,2) = """ border=0>"
 
 	ImgTags(2,1,1) = "[image]"
 	ImgTags(2,2,1) = "[/image]"
 	ImgTags(2,1,2) = ImgTags(1,1,2)
 	ImgTags(2,2,2) = ImgTags(1,2,2)
 
 	ImgTags(3,1,1) = "[img=right]"
 	ImgTags(3,2,1) = "[/img=right]"
 	ImgTags(3,1,2) = "<img align=right src="""
 	ImgTags(3,2,2) = """ id=right border=0>"
 
 	ImgTags(4,1,1) = "[image=right]"
 	ImgTags(4,2,1) = "[/image=right]"
 	ImgTags(4,1,2) = ImgTags(3,1,2)
 	ImgTags(4,2,2) = ImgTags(3,2,2)
 
 	ImgTags(5,1,1) = "[img=left]"
 	ImgTags(5,2,1) = "[/img=left]"
 	ImgTags(5,1,2) = "<img align=left src="""
 	ImgTags(5,2,2) = """ id=left border=0>"
 
 	ImgTags(6,1,1) = "[image=left]"
 	ImgTags(6,2,1) = "[/image=left]"
 	ImgTags(6,1,2) = ImgTags(5,1,2)
 	ImgTags(6,2,2) = ImgTags(5,2,2)
 
 	strResultString = ""
 	strTempString = fString
 
 	for counter1 = 1 to TagCount
 
 		oTag   = ImgTags(counter1,1,1)
 		roTag  = ImgTags(counter1,1,2)
 		cTag   = ImgTags(counter1,2,1)
 		rcTag  = ImgTags(counter1,2,2)
 		oTagPos = InStr(1, strTempString, oTag, 1)
 		cTagPos = InStr(1, strTempString, cTag, 1)
    
 		if (oTagpos > 0) and (cTagPos > 0) then
 
 		 	strArray = Split(strTempString, oTag, -1)
 		 	for counter2 = 0 to Ubound(strArray)
 		 		if (Instr(1, strArray(counter2), cTag) > 0) then
 		 			strArray2 = split(strArray(counter2), cTag, -1)
					strUrlText = strArray2(0)
 					strUrlText = replace(strUrlText, """", "") ' ## filter out "
 					strUrlText = replace(strUrlText, "<", "") ' ## filter out <
 					strUrlText = replace(strUrlText, ">", "") ' ## filter out >
 		 			strResultString = strResultString & roTag & strUrlText  & rcTag & strArray2(1)
 		 		else
 		 			strResultString = strResultString & strArray(counter2)
 		 		end if	
 		 	next  
 
			strTempString = strResultString
 			strResultString = ""
 		end if
	next
 
	ReplaceImageTags = strTempString
 
end function
Function IsValidString(sValidate)

    Dim sInvalidChars
    Dim bTemp
    Dim i 
    ' Disallowed characters
    sInvalidChars = "!#$%^&*()=+{}[]|\;:/?>,<'"
    For i = 1 To Len(sInvalidChars)
            If InStr(sValidate, Mid(sInvalidChars, i, 1)) > 0 _
                  Then bTemp = True
            If bTemp Then Exit For
    Next
    For i = 1 To Len(sValidate)
	If Asc(Mid(sValidate, i, 1)) = 160 _
                   Then bTemp = True
            If bTemp Then Exit For
    Next    

    
    ' extra checks
    ' no two consecutive dots or spaces
    if not bTemp then
		bTemp = InStr(sValidate, "..") > 0
	end if
    if not bTemp then
		bTemp = InStr(sValidate, "  ") > 0
	end if
    if not bTemp then
        bTemp = (len(sValidate) <> len(Trim(sValidate)))
    end if 'Addition for leading and trailing spaces

    ' if any of the above are true, invalid string
    IsValidString = Not bTemp

End Function

Function SQLBless(s)
	' Creates a safe string with embedded apostophe's so SQL can parse correctly
	dim tmp
	
	tmp = s
	
	tmp = replace(tmp, "", "'")
	tmp = replace(tmp, "`", "'")
	tmp = replace(tmp, "'", "''")

	SQLBless = tmp
end function
Function CheckForEmpty(strString, strFieldName)
	
	if trim(strString) = "" then
		Response.Write "You must complete " & strFieldName & "<br>"
		CheckForEmpty = false
	else
		CheckForEmpty = true
	end if
	
End Function

'*********************************SEND PRIVATE MESSAGE TO MODERATOR******************************
'if PMReciever = 0, it will PM every moderator
'if ForumID is passed in, it will PM all the moderators for that forum
'if the PMReciever is > 0 and forumID is nothing, pm only the selected moderator
'if AdminOnly is set to true, it will only send pm to admins only, regardless of if other parameters are set
Function SendPMToModerators(subject, message, PMReciever , ForumID, AdminOnly)

		Message = ChkString(message,"message")
		Subject = ChkString(subject,"title")

	set rs = server.CreateObject("ADODB.Recordset")
	  
	if AdminOnly then
		'## Fetch Administrators from DB
		strSql = "SELECT DISTINCT " & strTablePrefix & "MEMBERS.MEMBER_ID "
		strSql = strSql & " FROM " & strTablePrefix & "MEMBERS "
		strSql = strSql & " WHERE " & strTablePrefix & "MEMBERS.M_LEVEL = 3"
		set rs = my_conn.execute(strSql)
			
		if rs.EOF then	
			Response.Write "No administrator or moderator could be found for notification"
		else  
			do while not rs.eof
				strSql = "INSERT INTO " & strTablePrefix & "PM "
				strSql = strSql & "(M_SUBJECT"
				strSql = strSql & ", M_FROM"
				strSql = strSql & ", M_TO"
				strSql = strSql & ", M_SENT"
				strSql = strSql & ", M_MESSAGE"
				strSql = strSql & ", M_PMCOUNT"
				strSql = strSql & ", M_READ"
				strSql = strSql & ", M_MAIL"
				strSql = strSql & ", M_OUTBOX"
				strSql = strSql & ") "
				strSql = strSql & " VALUES ("
				strSql = strSql & "'" & subject & "'"
				strSql = strSql & ", " & GetMemberID("Admin") 
				strSql = strSql & ", " & rs("MEMBER_ID")
				strSql = strSql & ", " & "'" & DateToStr(strForumTimeAdjust) & "'"
				strSql = strSql & ", " & "'" & message & "' "
				strSql = strSql & ", " & "'1'"
				strSql = strSql & ", " & "'0'"
				strSql = strSql & ", " & "'0'"
				strSql = strSql & ", " & "'0'" & ")"
				my_Conn.Execute (strSql)
				rs.movenext
			loop
			rs.Close 
		end if
		exit function
	end if  
		
	if PMReciever > 0  then
		strSql = "INSERT INTO " & strTablePrefix & "PM "
		strSql = strSql & "(M_SUBJECT"
		strSql = strSql & ", M_FROM"
		strSql = strSql & ", M_TO"
		strSql = strSql & ", M_SENT"
		strSql = strSql & ", M_MESSAGE"
		strSql = strSql & ", M_PMCOUNT"
		strSql = strSql & ", M_READ"
	    strSql = strSql & ", M_MAIL"
	    strSql = strSql & ", M_OUTBOX"
	    strSql = strSql & ") "
	    strSql = strSql & " VALUES ("
	    strSql = strSql & "'" & subject & "'"
	    strSql = strSql & ", " & GetMemberID("Admin") 
	    strSql = strSql & ", " & PMReciever
	    strSql = strSql & ", " & "'" & DateToStr(strForumTimeAdjust) & "'"
	    strSql = strSql & ", " & "'" & message & "' "
	    strSql = strSql & ", " & "'1'"
	    strSql = strSql & ", " & "'0'"
	    strSql = strSql & ", " & "'0'"
	    strSql = strSql & ", " & "'0'" & ")"
	    my_Conn.Execute (strSql)
	else    	  
		if ForumID = -1 AND PMReciever = 0 then
			'## Fetch Moderators from DB
			strSql = "SELECT DISTINCT " & strTablePrefix & "MODERATOR.MEMBER_ID "
			strSql = strSql & " FROM " & strTablePrefix & "MODERATOR "		
				
		elseif not ForumID = - 1 AND PMReciever = -1 then 
			'## Fetch Moderators from DB
			strSql = "SELECT DISTINCT " & strTablePrefix & "MODERATOR.MEMBER_ID "
			strSql = strSql & " FROM " & strTablePrefix & "MODERATOR WHERE FORUM_ID = " & ForumID
		end if

			
		set rs = my_Conn.Execute(strSql)
		if rs.EOF then
			rs.Close  
			strSql = "SELECT " & strTablePrefix & "MEMBERS.MEMBER_ID "
			strSql = strSql & " FROM " & strTablePrefix & "MEMBERS WHERE M_LEVEL = 3"
			set rs = my_conn.execute(strSql)			

		end if
		if rs.EOF then	
			Response.Write "No administrator or moderator could be found for notification"
		else  
			do while not rs.eof
				'Response.Write rs("MEMBER_ID") & "<br>"
				strSql = "INSERT INTO " & strTablePrefix & "PM "
				strSql = strSql & "(M_SUBJECT"
				strSql = strSql & ", M_FROM"
				strSql = strSql & ", M_TO"
				strSql = strSql & ", M_SENT"
				strSql = strSql & ", M_MESSAGE"
				strSql = strSql & ", M_PMCOUNT"
				strSql = strSql & ", M_READ"
				strSql = strSql & ", M_MAIL"
				strSql = strSql & ", M_OUTBOX"
				strSql = strSql & ") "
				strSql = strSql & " VALUES ("
				strSql = strSql & "'" & subject & "'"
				strSql = strSql & ", " & GetMemberID("Admin") 
				strSql = strSql & ", " & rs("MEMBER_ID")
				strSql = strSql & ", " & "'" & DateToStr(strForumTimeAdjust) & "'"
				strSql = strSql & ", " & "'" & message & "' "
				strSql = strSql & ", " & "'1'"
				strSql = strSql & ", " & "'0'"
				strSql = strSql & ", " & "'0'"
				strSql = strSql & ", " & "'0'" & ")"
				my_Conn.Execute (strSql)
				rs.movenext
			loop
			rs.Close 
		end if
		set rs = nothing
			  
	end if

End Function

function setTimeZone(LocalTime)
	if LocalTime = "" then
		strSql = "SELECT  " & strMemberTablePrefix & "MEMBERS.M_STRTIMEADJUST FROM " & strMemberTablePrefix & "MEMBERS " &_
		" WHERE MEMBER_ID=" & MemberID
		set rsMemTime = my_conn.execute(strSQL)
		localTime = rsMemTime("M_STRTIMEADJUST")
		rsMemTime.close
		set rsMemTime = nothing
	end if
	if LocalTime = "" then LocalTime = strTimeAdjust
		strSql = "SELECT " & strTablePrefix & "TIMEZONE.Z_BIAS " 
		strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLMONTH "
		strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDMONTH "
		strSql = strSql & "FROM " & strTablePrefix & "TIMEZONE "
		strSQL = strSQL & "WHERE Z_ID=" & localTime
		
		set rsTimeZone = my_conn.execute(strSQL)
		Response.Cookies(strUniqueID & "LocalBias").expires = now + 365
		Response.Cookies(strUniqueID & "LocalBias") = rsTimeZone("Z_BIAS")
		Response.Cookies(strUniqueID & "DayLightSaving").expires = now + 365
		if rsTimeZone("Z_STDMONTH") <> 0 and rsTimeZone("Z_DAYLMONTH") <> 0 then
			Response.Cookies(strUniqueID & "DayLightSaving") = "1"
			DayLightSave = DaylightAdjust(strDBNTUserName,1)
			Response.Cookies(strUniqueID & "DayLightSave") = DayLightSave
			intLocalBias = rsTimeZone("Z_BIAS")
		else
			Response.Cookies(strUniqueID & "DayLightSaving") = "0"
			DayLightSave = 0
			intLocalBias = 0
		end if
		rsTimeZone.close

end function

'################## Azaniah Photo mod ####################

Sub GetPicFileInfo( i_sFilename, o_PicType, o_nWidth, o_nHeight, maxh, maxw )

i_sFilename = replace(i_sFilename, "/", "\", 1, -1, 1)
o_PicType = ""
o_nWidth = 0
o_nHeight = 0

Dim fso, ts
Dim GIF_MARKER, JPG_MARKER

GIF_MARKER = "GIF8"
JPG_MARKER = Chr(&HFF) & Chr(&HD8) & Chr(&HFF) & Chr(&HE0)
JPG_MARKER1 = Chr(&HFF) & Chr(&HD8) & Chr(&HFF) & Chr(&HE1)

Set fso = CreateObject("Scripting.FileSystemObject")

On Error Resume Next

Set ts = fso.OpenTextFile(Server.MapPath(i_sFilename))

If Err.Number <> 0 Then 
Err.Clear
Set ts = fso.OpenTextFile("images/noavatar.gif")
End if

Select Case ts.Read(4)
Case GIF_MARKER
o_PicType = "GIF"
ts.Skip(2)
If Err.Number <> 0 Then
Exit Sub
End If
o_nWidth = Asc(ts.Read(1)) + ( Asc(ts.Read(1))* 256 )
o_nHeight = Asc(ts.Read(1)) + ( Asc(ts.Read(1))* 256 )


Case JPG_MARKER
o_PicType = "JPG"

Dim byteVal, bDone
bDone = False
byteVal = Asc(ts.Read(1))
Do While Not ts.AtEndOfStream And byteVal <> &HD8 And Not bDone
'look for the next marker (xFF)
Do While Not ts.AtEndOfStream And byteVal <> &HFF
byteVal = Asc(ts.Read(1))
Loop

'Get past any repeated xFF markers 
Do While Not ts.AtEndOfStream And byteVal = &HFF
byteVal = Asc(ts.Read(1))
Loop

'Check out the marker
'if this is the width/height section then read the values
If ((byteVal >= &HC0) And (byteVal <= &HC3)) Then
ts.Skip(3)
If Err.Number <> 0 Then
Exit Sub
End If
If Not ts.EOF Then
o_nHeight = (Asc(ts.Read(1)) * 256) + Asc(ts.Read(1))
o_nWidth = (Asc(ts.Read(1)) * 256) + Asc(ts.Read(1))
bDone = True
End If
Else
'this is a comment or other stuff we are not interested in.
'we must read the size and then skip over this section
Dim nSectionLength
nSectionLength = (Asc(ts.Read(1)) * 256) + Asc(ts.Read(1))

'NOTE: we subtract two since from the size since we already 
'are past the length bytes which are included in the size
ts.Skip(nSectionLength - 2)
byteVal = Asc(ts.Read(1))

If Err.Number <> 0 Then
Exit Sub
End If
End If
Loop




End Select

maxwidth = maxw
maxheight = maxh
	
if o_nWidth > maxwidth or o_nHeight > maxheight then
  if o_nWidth > maxwidth then
    o_nHeight = cInt(o_nHeight * maxwidth/o_nWidth)
    o_nWidth = maxwidth
      if (o_nHeight > maxheight) then
        o_nWidth = cInt(o_nWidth * maxheight/o_nHeight) 
	o_nHeight = maxheight 
      end if
  elseif o_nHeight > maxheight then
    o_nWidth = cInt(o_nWidth * maxheight/o_nHeight)	
    o_nHeight = maxheight
      if (o_nWidth > maxwidth) then
        o_nHeight = cInt(o_nHeight * maxwidth/o_nWidth) 
        o_nWidth = maxwidth 
      end if
  end if
end if
o_nText = " X "
response.write " width=""" & o_nWidth & """ height=""" & o_nHeight & """"
response.write " title=""" & o_nWidth & o_nText & o_nHeight & """"
Set ts = Nothing
Set fso = Nothing

End Sub

'################## Azaniah Photo mod ####################
Sub GetPicFileInfo2( i_sFilename )

i_sFilename = replace(i_sFilename, "/", "\", 1, -1, 1)
o_PicType = ""
o_nWidth = 0
o_nHeight = 0

Dim fso, ts
Dim GIF_MARKER, JPG_MARKER

GIF_MARKER = "GIF8"
JPG_MARKER = Chr(&HFF) & Chr(&HD8) & Chr(&HFF) & Chr(&HE0)
JPG_MARKER1 = Chr(&HFF) & Chr(&HD8) & Chr(&HFF) & Chr(&HE1)

Set fso = CreateObject("Scripting.FileSystemObject")

On Error Resume Next

Set ts = fso.OpenTextFile(Server.MapPath(i_sFilename))

If Err.Number <> 0 Then 
Err.Clear
Set ts = fso.OpenTextFile("images/noavatar.gif")
End if

Select Case ts.Read(4)
Case GIF_MARKER
o_PicType = "GIF"
ts.Skip(2)
If Err.Number <> 0 Then
Exit Sub
End If
o_nWidth = Asc(ts.Read(1)) + ( Asc(ts.Read(1))* 256 )
o_nHeight = Asc(ts.Read(1)) + ( Asc(ts.Read(1))* 256 )


Case JPG_MARKER
o_PicType = "JPG"

Dim byteVal, bDone
bDone = False
byteVal = Asc(ts.Read(1))
Do While Not ts.AtEndOfStream And byteVal <> &HD8 And Not bDone
'look for the next marker (xFF)
Do While Not ts.AtEndOfStream And byteVal <> &HFF
byteVal = Asc(ts.Read(1))
Loop

'Get past any repeated xFF markers 
Do While Not ts.AtEndOfStream And byteVal = &HFF
byteVal = Asc(ts.Read(1))
Loop

'Check out the marker
'if this is the width/height section then read the values
If ((byteVal >= &HC0) And (byteVal <= &HC3)) Then
ts.Skip(3)
If Err.Number <> 0 Then
Exit Sub
End If
If Not ts.EOF Then
o_nHeight = (Asc(ts.Read(1)) * 256) + Asc(ts.Read(1))
o_nWidth = (Asc(ts.Read(1)) * 256) + Asc(ts.Read(1))
bDone = True
End If
Else
'this is a comment or other stuff we are not interested in.
'we must read the size and then skip over this section
Dim nSectionLength
nSectionLength = (Asc(ts.Read(1)) * 256) + Asc(ts.Read(1))

'NOTE: we subtract two since from the size since we already 
'are past the length bytes which are included in the size
ts.Skip(nSectionLength - 2)
byteVal = Asc(ts.Read(1))

If Err.Number <> 0 Then
Exit Sub
End If
End If
Loop

End Select

maxwidth = 950
maxheight = 700
	
if o_nWidth > maxwidth or o_nHeight > maxheight then
  if o_nWidth > maxwidth then
    o_nHeight = cInt(o_nHeight * maxwidth/o_nWidth)
    o_nWidth = maxwidth
      if (o_nHeight > maxheight) then
        o_nWidth = cInt(o_nWidth * maxheight/o_nHeight) 
	o_nHeight = maxheight 
      end if
  elseif o_nHeight > maxheight then
    o_nWidth = cInt(o_nWidth * maxheight/o_nHeight)	
    o_nHeight = maxheight
      if (o_nWidth > maxwidth) then
        o_nHeight = cInt(o_nHeight * maxwidth/o_nWidth) 
        o_nWidth = maxwidth 
      end if
  end if
end if

o_nWidth = o_nWidth + 20
o_nHeight = o_nHeight + 60


response.write "width=" & o_nWidth & ",height=" & o_nHeight & ""

Set ts = Nothing
Set fso = Nothing
End Sub
'################## Azaniah Photo mod ####################

function intForumDaylightBias()

	intForumDaylightBias = 0
	'## Forum_SQL - Get User's Local Time Adjustment
	strSql = "SELECT " & strTablePrefix & "TIMEZONE.Z_BIAS"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLBIAS"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLDAYNUM"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLWEEKDAY"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLMONTH"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDDAYNUM"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDWEEKDAY"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDMONTH"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLHOUR"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_DAYLMIN"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDHOUR"
	strSql = strSql & ", " & strTablePrefix & "TIMEZONE.Z_STDMIN"
	strSql = strSql & " FROM " & strTablePrefix & "TIMEZONE "
	strSql = strSql & " WHERE Z_ID = " & strTimeAdjust

	set rsMemTime = my_Conn.Execute(strSql)
	if not rsMemTime.eof then
		if rsMemTime("Z_STDMONTH") <> 0 and rsMemTime("Z_DAYLMONTH") <> 0 then 'daylight saving zone
			if month(now) < rsMemTime("Z_DAYLMONTH") then
				intForumDaylightBias = 0
				if mode = "1" then exit function
			end if
			if month(now) > rsMemTime("Z_STDMONTH") then
				intForumDaylightBias = 0
				if mode = "1" then 	exit function
			end if
		else
			intForumDaylightBias = 0
			exit function
		end if
	

	dsStartDate = DayLightTimeStart(rsMemTime)
	dsEndDate = StandardTimeStart(rsMemTime)

	if Now > dsStartDate and Now < dsEndDAte then
		intForumDaylightBias = rsMemTime("Z_DAYLBIAS")
	else
		intForumDaylightBias = 0
	end if
	end if
'## Local Time Display
rsMemTime.close

end function

function DaylightTimeStart(rsMemTime)

	dsDayNum = rsMemTime("Z_DAYLDAYNUM")
	dsWeekDay = rsMemTime("Z_DAYLWEEKDAY")
	dsMonth = rsMemTime("Z_DAYLMONTH")
	dsStartTime = rsMemTime("Z_DAYLHOUR") & ":" & rsMemTime("Z_DAYLMIN") & ":00"
	'get the date of the first weekday in the month for daylight saving
	dsStartDay = weekday(cdate(rsMemTime("Z_DAYLMONTH") & "/01/" &  year(now))) - 1
	if dsStartDay <> dsWeekDay then
		counter = 1
		do until dsStartDay = dsWeekDay
			counter = counter + 1
			dsStartDay = weekday(cdate(rsMemTime("Z_DAYLMONTH") & "/" & counter &"/" &  year(now))) - 1
		loop
		dsStartDay = counter

'	Now find the actual date for the day we want
		for x = 0 to dsDayNum - 1
			if IsDate(rsMemTime("Z_DAYLMONTH") & "/" & dsStartDay + (7 * x) &"/" &  year(now)) then 
				if rsMemTime("Z_DAYLMONTH") < 10 then
					DaylightTimeStart = cDate("0" & rsMemTime("Z_DAYLMONTH") & "/" & dsStartDay + (7 * x) &"/" &  year(now) & " " & dsStartTime )
				else
					DaylightTimeStart = cDate(rsMemTime("Z_DAYLMONTH") & "/" & dsStartDay + (7 * x) &"/" &  year(now) & " " & dsStartTime )
				end if
			else
				'do nothing gone past the end
			end if
		next
	else
		DaylightTimeStart = cdate(rsMemTime("Z_DAYLMONTH") & "/1/" &  year(now) & " " & dsStartTime)
	end if		

end function

function StandardTimeStart(rsMemTime)
	stdDayNum = rsMemTime("Z_STDDAYNUM")
	stdWeekDay = rsMemTime("Z_DAYLWEEKDAY")
	stdMonth = rsMemTime("Z_STDMONTH")
	stdEndTime = rsMemTime("Z_STDHOUR") & ":" & rsMemTime("Z_STDMIN") & ":00"
	'get first day of month it changes back
	stdStartDay = weekday(cdate(rsMemTime("Z_STDMONTH") & "/01/" &  year(now))) - 1
	if stdStartDay <> stdWeekDay then
		counter = 1
		do until stdStartDay = stdWeekDay
			counter = counter + 1
			stdStartDay = weekday(cdate(rsMemTime("Z_STDMONTH") & "/" & counter &"/" &  year(now))) - 1
		loop
		stdStartDay = counter

'	Now find the actual date for the day we want
		for x = 0 to stdDayNum - 1
			if IsDate(rsMemTime("Z_STDMONTH") & "/" & stdStartDay + (7 * x) &"/" &  year(now)) then 
				if rsMemTime("Z_STDMONTH") < 10 then
					StandardTimeStart = cDate("0" & rsMemTime("Z_STDMONTH") & "/" & stdStartDay + (7 * x) &"/" &  year(now) & " " & stdEndTime )
				else
					StandardTimeStart = cDate(rsMemTime("Z_STDMONTH") & "/" & stdStartDay + (7 * x) &"/" &  year(now) & " " & stdEndTime )
				end if
			else
				'do nothing gone past the end of the month
			end if
		next
	else
		StandardTimeStart = cdate(rsMemTime("Z_STDMONTH") & "/01/" &  year(now) & " " & stdEndTime)
	end if

end function
%>	
	



