<%
'#################################################################################
'## Copyright (C) 2000  Michael Anderson and Pierre Gorissen
'## 
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to 
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## 
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'## 
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'## 
'## Correspondence and Questions can be sent to:
'## reinhold@bigfoot.com
'## 
'## or
'## 
'## Snitz Communications 
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#################################################################################
%>
<!--#INCLUDE FILE="config.asp" -->
<!--#INCLUDE FILE="inc_sha256.asp"-->
<%
strMessagePreview = Request.Cookies("strMessagePreview")
Response.Cookies("strMessagePreview") = ""
if strMessagePreview = "" or IsNull(strMessagePreview) then
strMessagePreview = "There are no words to spell check."
end if
%>
<!--#INCLUDE FILE="inc_header_short.asp"-->
<%
	spellConnStr = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("../db/dictionary2000.mdb")


	function breakWords(s)
		dim retVal, w, ch
		retVal = ""
		inTag = false
		for w = 1 to len(s)
			ch = lcase(mid(s, w, 1))
			if (ch = "<") then
				inTag = true
			elseif (ch = ">") then
				inTag = false
			elseif (not inTag) and (ch >= "a" and ch <= "z") then 
				retVal = retVal & ch
			else
				retVal = retVal & " "
			end if
		next
		breakWords = retVal
	end function
	
	function findMisspellings(phrase)
		dim w, i, sql, word, rs, s2, dic, spellingConn
		if isNull(phrase) then 
			checkSpelling = ""
			exit function
		end if
		phrase = replace(phrase, vbcrlf, " ")
		w = breakWords(phrase)
		
		sql = "select word from dictionary where word in ("
		words = split(w, " ")
		Set dic = CreateObject("Scripting.Dictionary")
		for i = 0 to ubound(words)
			w = words(i)
			if len(w) > 1 then
				sql = sql & "'" & lcase(w) & "',"
				dic(w) = w 
			end if
		next
		sql = left(sql, len(sql) - 1)
		sql = sql & ")"
		

		set SpellConn = Server.CreateObject("adodb.connection")
		SpellConn.open spellConnStr
		set rs = SpellConn.execute(sql)
		while not rs.eof
			
			w = rs(0)
			dic(w) = ""
			rs.movenext
		wend
		SpellConn.close
		set SpellConn = nothing
		set rs = nothing

		s2 = ""
		for each var in dic.keys
			if dic(var) <> "" then
				s2 = s2 & var & ","
			end if
		next	
		set dic = nothing
		if s2 <> "" then
			findMisspellings = left(s2, len(s2) - 1)
		else
			findMisspellings = ""
		end if
	end function
	
	function highlightMisspellings(phrase, misspellings)
		dim s2, ch, w, dic, words, i
		if len(misspellings) = 0 then
			highlightMisspellings = phrase
		else
			words = split(misspellings, ",")

			Set dic = CreateObject("Scripting.Dictionary")
			for i = 0 to ubound(words)
				dic(words(i)) = words(i)
			next		
	
			s2 = ""
			inTag = false
			'Add word boundaries around the phrase to trigger spell check on first and last words
			phrase = " " & phrase & " "
			for w = 1 to len(phrase)
				'take the Wth character
				ch = mid(phrase, w, 1)
				
				if (not inTag) and ((ch >= "a" and ch <= "z") or (ch >= "A" and ch <= "Z")) then 
					s2 = s2 & ch
				elseif not inTag or ch = ">" or ch = "<" then
					if ch = ">" then inTag = false
					if ch = "<" then inTag = true
					'we just hit a word boundary and we need to check our misspelled list
					for each var in dic.keys
						'check to see if the last N characters match a misspelled word
						if len(var) > 1 and (lcase(right(s2, len(var))) = lcase(var)) then
							'find the letter before the word
							prevLetter = lcase(mid(s2, len(s2) - len(var), 1))
							'be sure that "ure" doesn't hit "sure" by checking for boundary before the word
							if (prevLetter < "a" or prevLetter > "z") or prevLetter = ">" then
								'find the word and preserve case
								word = mid(s2, len(s2) - len(var) + 1)
								'remove the word
								s2 = left(s2, len(s2) - len(var))
								'add the word back in with highlight tags around it
								highlightLeft = "<a href=""http://dictionary.reference.com/search?q=" & word & """ target=""_blank""><span class=""spnSearchHighlight"" id=""hilite""><u>"
								highlightRight = "</u></span id=""hilite""></a>"
								s2 = s2 & highlightLeft & word & highlightRight
							end if
						end if
					next	
					s2 = s2 & ch
				else 'else we're in a tag and we just append it
					s2 = s2 & ch
				end if
			next
			's2 contains the highlighted string
			highlightMisspellings = s2
		end if
	end function

	function checkSpelling(phrase)
		dim misspellings
		'find the misspellings
		misspellings = findMisspellings(phrase)
		'highlight and return them
		checkSpelling = highlightMisspellings(phrase, misspellings)
	end function

Response.Write	"<table border=""0"" width=""95%"" cellspacing=""0"" cellpadding=""4"" align=""center"">" & vbNewLine & _
		"  <tr>" & vbNewLine & _
		"    <td>" & vbNewLine & _
		"    <font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """>Now with the power of: <a href=""http://www.dictionary.com"" target=""_blank"">Dictionary.com</a><br><br>Just click on the hilited word.<br></font>" & vbNewLine & _
		"    </td>" & vbNewLine & _
		"  </tr>" & vbNewLine & _
		"</table><br>" & vbNewLine

Response.Write	" <table border=""0"" width=""95%"" height=""80%"" cellspacing=""0"" cellpadding=""0"" align=""center"">" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"			<td bgcolor=""" & strTableBorderColor & """>" & vbNewLine & _
		"			<table border=""0"" width=""100%"" height=""100%"" cellspacing=""1"" cellpadding=""4"">" & vbNewLine & _
		"				<tr>" & vbNewLine & _
		"					<td align=""center"" bgcolor=""" &  strHeadCellColor & """ width=""" & strTopicWidthRight & """ height=""20""" & vbNewLine
		if lcase(strTopicNoWrapRight) = "1" then Response.Write(" nowrap") end if
Response.Write	"><b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """>Spell Check</font></b></td>" & vbNewLine
Response.Write	"				</tr>" & vbNewLine & _
		"				<tr>" & vbNewLine & _
		"					<td bgcolor=""" & strForumCellColor & """ valign=""top"">" & vbNewLine & _
		"					<font color=""" & strForumFontColor & """ face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & checkSpelling(formatStr(ChkString(strMessagePreview,"message"))) & "</font>" & vbNewLine & _
		"					</td>" & vbNewLine & _
		"				</tr>" & vbNewLine & _
		"			</table>" & vbNewLine & _
		"			</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"</table>" & vbNewLine
WriteFooterShort			  
%>			  
