<%
'#################################################################################
'## Snitz Forums 2000 v3.4.05
'#################################################################################
'## Copyright (C) 2000-05 Michael Anderson, Pierre Gorissen,
'##                       Huw Reddick and Richard Kinser
'##
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or (at your option) any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'##
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'##
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'##
'## Support can be obtained from our support forums at:
'## http://forum.snitz.com
'##
'## Correspondence and Marketing Questions can be sent to:
'## manderson@snitz.com
'##
'#################################################################################
%>
<!--#INCLUDE FILE="config.asp"-->
<%
'#################################################################################
'## Initialise variables 
'#################################################################################
if Request.Form("Method_Type") = "logout" then
	'Do Nothing
end if
if Request.QueryString("TOPIC_ID") <> "" then
	if IsNumeric(Request.QueryString("TOPIC_ID")) = True then
		strRqTopicID = cLng(Request.QueryString("TOPIC_ID"))
	else
		Response.Redirect("default.asp")
	end if
end if
if Request.QueryString("FORUM_ID") <> "" then
	if IsNumeric(Request.QueryString("FORUM_ID")) = True then
		strRqForumID = cLng(Request.QueryString("FORUM_ID"))
	else
		Response.Redirect("default.asp")
	end if
end if
if Request.QueryString("CAT_ID") <> "" then
	if IsNumeric(Request.QueryString("CAT_ID")) = True then
		strRqCatID = cLng(Request.QueryString("CAT_ID"))
	else
		Response.Redirect("default.asp")
	end if
end if
strCkPassWord = Request.Cookies(strUniqueID & "User")("Pword")

strSortOrder = Request.Cookies(strUniqueID & "SplitModSortOrder")
strRef = chkString(Request.ServerVariables("HTTP_REFERER"),"refer")
if strRef = "" then strRef = chkString(Request.Form("Refer"),"refer")
if strRef = "" then strRef = "default.asp"

%>
<!--#INCLUDE FILE="inc_sha256.asp"-->
<!--#INCLUDE FILE="inc_header.asp" -->
<!--#INCLUDE FILE="inc_func_secure.asp" -->
<!--#INCLUDE FILE="inc_func_posting.asp"-->
<%
'#################################################################################
'## Page-code start
'#################################################################################

if mLev <> "4" and mLev <> "3" then
	Go_Result "Sorry, you do not have permission to use this feature."
end if

if Request.QueryString("ARCHIVE") <> "" then
	Go_Result "You cannot split a topic in the archives."
end if

'## check if topic exists in TOPICS table
set rsTCheck = my_Conn.Execute ("SELECT TOPIC_ID FROM " & strTablePrefix & "TOPICS WHERE TOPIC_ID = " & strRqTopicID)
if rsTCheck.EOF or rsTCheck.BOF then
        rsTCheck.Close
       	set rsTCheck = nothing
       	Go_Result "Sorry, that Topic no longer exists in the Database"
end if
set rsTCheck = nothing

'## Forum_SQL - Find out if the Category, Forum or Topic is Locked or Un-Locked and if it Exists
strSql = "SELECT C.CAT_ID, C.CAT_NAME, C.CAT_STATUS, " &_
"F.FORUM_ID, F.F_STATUS, F.F_TYPE, F.F_SUBJECT, "&_
"M.M_NAME, " &_
"T.T_STATUS, T.T_SUBJECT, T.T_DATE, T.T_MESSAGE " &_
" FROM " & strTablePrefix & "CATEGORY C, " &_
strTablePrefix & "FORUM F, " &_
strMemberTablePRefix & "MEMBERS M, " & _
strTablePrefix & "TOPICS T " &_
" WHERE C.CAT_ID = T.CAT_ID " &_
" AND F.FORUM_ID = T.FORUM_ID " &_
" AND M.MEMBER_ID = T.T_AUTHOR " &_
" AND T.TOPIC_ID = " & strRqTopicID & ""

set rsStatus = my_Conn.Execute(strSql)
if rsStatus.EOF or rsStatus.BOF then
        rsStatus.close
	set rsStatus = nothing
	Go_Result "Please don't attempt to edit the URL<br />to gain access to locked Forums/Categories."
else
	blnCStatus = rsStatus("CAT_STATUS")
	blnFStatus = rsStatus("F_STATUS")
	strRqForumID = rsStatus("FORUM_ID")
	strRqCatID = rsStatus("CAT_ID")
	Cat_Name = rsStatus("CAT_NAME")
	Forum_Type = rsStatus("F_TYPE")
	Forum_Subject = rsStatus("F_SUBJECT")
	Member_Name = rsStatus("M_NAME")
	blnTStatus = rsStatus("T_STATUS")
	Topic_Title = rsStatus("T_SUBJECT")
	Topic_Date = rsStatus("T_DATE")
	Topic_Message = rsStatus("T_MESSAGE")
	rsStatus.close
	set rsStatus = nothing
end if

if mLev = 4 then
	AdminAllowed = 1
	ForumChkSkipAllowed = 1
elseif mLev = 3 then
	if chkForumModerator(strRqForumID, ChkString(strDBNTUserName, "decode")) = "1" then
		AdminAllowed = 1
		ForumChkSkipAllowed = 1
	else
		if lcase(strNoCookies) = "1" then
			AdminAllowed = 1
			ForumChkSkipAllowed = 0
		else
			AdminAllowed = 0
			ForumChkSkipAllowed = 0
		end if
	end if
end if

if strPrivateForums = "1" and ForumChkSkipAllowed = 0 then
	if not(chkForumAccess(strRqForumID,MemberID,false)) then
   		Go_Result "You do not have access to this forum"
 	end if
end if


blnModAllowed = "No"

'Check for moderated posts or replies in topic.
strSql = "SELECT " & strTablePrefix & "FORUM.F_MODERATION "
strSql = strSql & " FROM " & strTablePrefix & "FORUM "
strSql = strSql & " WHERE " & strTablePrefix & "FORUM.FORUM_ID = " & strRqForumID

set rsModCheck = my_Conn.Execute (strSql)

ForumMod = rsModCheck("F_MODERATION")

rsModCheck.Close
set rsModCheck = nothing

'## Is Moderation allowed on the topic or replies?
if ForumMod > 0 then
	blnModAllowed = "Yes"
end if

if blnModAllowed = "Yes" then
	if ForumMod = 1 or ForumMod = 3 then
		strSql = "SELECT T_UREPLIES "
		strSql = strSql & "FROM " & strTablePrefix & "TOPICS "
		strSql = strSql & "WHERE TOPIC_ID = " & strRqTopicID
		
		set rsUReplies = my_Conn.Execute(strSql)
		
		if rsUReplies("T_UREPLIES") > 0 then
			Response.Write "<br /><div style=""text-align:center; font-family:" & strDefaultFontFace & "; font-size:14px; color:" &strHiliteFontColor & ";"">" & _
				"You cannot split a topic with moderated replies. Approve the replies first before splitting the topic.</div>" & vbNewLine & _
				"<br /><div style=""text-align:center; font-family:" & strDefaultFontFace & "; font-size:14px;""><a href=""JavaScript:history.go(-1)"">Go Back</a></div><br />"
			WriteFooter
			Response.end
		end if
		
		rsUReplies.close
		set rsUReplies = nothing
	end if
end if

%>
<script type="text/javascript" language="JavaScript">
<!--

function CheckAllPosts() {
	var st = document.SplitTopic;
	var len = st.elements.length;
	for (var i = 0; i < len; i++) {
		var field = st.elements[i];
		if (field.name.indexOf("replyid") == 0) {
			field.checked = st.checkAllPosts.checked;
		}
	}
}

function check(checkBoxID) {
	var box = document.getElementById("replyid" + checkBoxID)
	if (box.checked) {
		box.checked = false;
	} else {
		box.checked = true;
	}
}

function sortreplies(order) {
	var st = document.SplitTopic;
	storeCookie("<%= strUniqueID %>","" + order + "");
	st.SortOrder.value = order;
	st.action = "split.asp?<%= Request.QueryString() %>";
	st.submit();
}

function storeCookie(cookieURL, sortorder)
{
	var today = new Date();
	var expires = new Date(today.getTime() + 365 * 24 * 60 * 60 * 1000); // plus 365 days
	document.cookie = cookieURL + "SplitModSortOrder=" + sortorder + "; expires=" + expires.toUTCString()
}

function validate() {
	var st = document.SplitTopic;
	var strSubject = document.getElementById("Subject").value;
	var len = st.elements.length;

	if (strSubject.length == 0) {
		alert("You must enter a subject!");
		return false;
	}
	if (strSubject.length > 50) {
		alert("The Subject can not be greater than 50 characters!");
		return false;
	}
	
	for (var i = 0; i < len; i++) {
		var field = st.elements[i];
		if (field.name.indexOf("replyid") == 0) {
			if (field.checked == true) {
				st.action = "post_info.asp"
				return true;
			}
		}
	}
	alert("You need to choose at least 1 reply to split a topic!");
	return false;
}
//-->
</script>
<%

'Folder navigation
Response.Write	"<table width=""100%"" border=""0"" bordercolor=""" & strTableBorderColor & """ cellspacing=""0"" cellpadding=""0"" bgcolor=""" & strTableBorderColor & """>" & vbNewLine & _
		"<tr>"& vbNewLine & _
"<td>"& vbNewLine & _
"<table>"& vbNewLine & _
"  <tr>"& vbNewLine & _
"    <td width=""100%"" align=""left"" nowrap><font face="""& strDefaultFontFace &""" size="""& strDefaultFontSize &""">"& vbNewLine & _
"	" & getCurrentIcon(strIconFolderOpen,"","align=""absmiddle""") & "&nbsp;<a href=""default.asp"">All&nbsp;Forums</a><br>"& vbNewLine & _
		"    " & getCurrentIcon(strIconBar,"","align=""absmiddle""") & getCurrentIcon(strIconFolderOpen,"","align=""absmiddle""") & _
		"&nbsp;<a href=""default.asp?CAT_ID=" & strRqCatId & """ tabindex=""-1"">" & ChkString(Cat_Name,"display") & "</a><br />" & vbNewLine & _
		"    " & getCurrentIcon(strIconBlank,"","align=""absmiddle""") & getCurrentIcon(strIconBar,"","align=""absmiddle""") & getCurrentIcon(strIconFolderOpen,"","align=""absmiddle""") & _
		"&nbsp;<a href=""forum.asp?FORUM_ID=" & strRqForumId & """ tabindex=""-1"">" & ChkString(Forum_Subject,"display") & "</a><br />" & vbNewLine & _
		"    " & getCurrentIcon(strIconBlank,"","align=""absmiddle""") & getCurrentIcon(strIconBlank,"","align=""absmiddle""") & getCurrentIcon(strIconBar,"","align=""absmiddle""") & _
		getCurrentIcon(strIconFolderOpenTopic,"","align=""absmiddle""") & "&nbsp;<a href=""topic.asp?TOPIC_ID=" & strRqTopicID & """ tabindex=""-1"">" & ChkString(Topic_Title,"title") & "</a>" & vbNewLine & _
		"          </font></td>" & vbNewLine & _
		"  </tr>" & vbNewLine & _
		"</table>" & vbNewLine

'Start post form
Response.Write "<div style=""text-align:center;""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """><b>Note:</b> Only the Moderator or an Administrator can split a Topic.</font></div><br />" & vbNewLine & _
		"<form name=""SplitTopic"" id=""SplitTopic"" method=""post"" action="""" onsubmit=""return validate();"">" & vbNewLine & _
		"<table border=""0"" cellspacing=""0"" cellpadding=""0"" align=""center"">" & vbNewLine & _
		"  <tr>" & vbNewLine & _
		"    <td bgcolor=""" & strPopUpBorderColor & """>" & vbNewLine & _
		"      <table border=""0"" cellspacing=""1"" cellpadding=""1"">" & vbNewLine & _
		"      <input name=""ARCHIVE"" type=""hidden"" value=""false"">" & vbNewLine & _
		"      <input name=""Method_Type"" type=""hidden"" value=""SplitTopic"">" & vbNewLine & _
		"      <input name=""TOPIC_ID"" type=""hidden"" value=""" & strRqTopicID & """>" & vbNewLine & _
		"      <input name=""FORUM_ID"" type=""hidden"" value=""" & strRqForumId & """> " & vbNewLine & _
		"      <input name=""CAT_ID"" type=""hidden"" value=""" & strRqCatID & """>" & vbNewLine & _
		"      <input name=""Refer"" type=""hidden"" value=""" & strRef & """>" & vbNewLine & _
		"      <input name=""cookies"" type=""hidden"" value=""yes"">" & vbNewLine & _
		"      <input name=""UserName"" type=""hidden"" value=""" & strDBNTUserName & """>" & vbNewLine & _
		"      <input name=""Password"" type=""hidden"" value=""" & strCkPassWord & """>" & vbNewLine & _
		"      <input name=""SortOrder"" type=""hidden"" value=""" & strSortOrder & """>" & vbNewLine & _
		"        <tr>" & vbNewLine & _
		"          <td bgColor=""" & strHeadCellColor & """ align=""center"" vAlign=""top"" colspan=""2""><font color=""" & strHeadFontColor & """ face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & _
		"Select the posts you would like to move. The posts will be moved<br /> into a new topic, with the info you provide below.</font></td>" & vbNewLine

'Following code displays the list of forums to move the replies to.
Response.Write	"        <tr>" & vbNewLine & _
		"          <td bgColor=""" & strPopUpTableColor & """ noWrap vAlign=""top"" align=""right""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """><b>Forum:</b></font></td>" & vbNewLine & _
		"          <td bgColor=""" & strPopUpTableColor & """>" & vbNewLine & _
		"            <select name=""Forum"" id=""Forum"" size=""1"">" & vbNewLine

'## Forum_SQL
strSql = "SELECT C.CAT_NAME, F.CAT_ID, F.FORUM_ID, F.F_SUBJECT, F_PRIVATEFORUMS, F_PASSWORD_NEW " &_
" FROM " & strTablePrefix & "CATEGORY C, " & strTablePrefix & "FORUM F" &_
" WHERE F.F_TYPE = 0 " & _
" AND C.CAT_ID = F.CAT_ID " & _
" ORDER BY C.CAT_ORDER, C.CAT_NAME, F.F_ORDER, F.F_SUBJECT ASC;"

set rsForum = Server.CreateObject("ADODB.Recordset")
rsForum.open strSql, my_Conn, adOpenForwardOnly, adLockReadOnly, adCmdText

if rsForum.EOF then
	recForumCount = ""
else
	allForumData = rsForum.GetRows(adGetRowsRest)
	recForumCount = UBound(allForumData,2)
end if

rsForum.close
set rsForum = nothing

if recForumCount <> "" then
	cCAT_NAME = 0
	fCAT_ID = 1
	fFORUM_ID = 2
	fF_SUBJECT = 3
	fF_PRIVATEFORUMS = 4
	fF_PASSWORD_NEW = 5

	for iForum = 0 to recForumCount
		ForumCat_Name = allForumData(cCAT_NAME, iForum)
		ForumCatID = allForumData(fCAT_ID, iForum)
		ForumID = allForumData(fFORUM_ID, iForum)
		ForumSubject = allForumData(fF_SUBJECT, iForum)
		ForumPrivateForums = allForumData(fF_PRIVATEFORUMS,iForum)
		ForumFPasswordNew = allForumData(fF_PASSWORD_NEW,iForum)
		if ChkDisplayForum(ForumPrivateForums,ForumFPasswordNew,ForumID,MemberID) then
			Response.Write 	"                	<option value=""" & ForumCatID & "|" & ForumID & """"
			if cLng(strRqForumId) = ForumID then
				Response.Write 	" selected"
			end if
			Response.Write 	">" & ChkString(ForumSubject,"display") & "</option>" & vbNewline
		end if
	next
end if
	
set rsForum = nothing

Response.Write 	"            </select>" & vbNewline & _
		"          </td>" & vbNewline & _
		"        </tr>" & vbNewLine & _
		"        <tr>" & vbNewLine & _
		"          <td bgColor=""" & strPopUpTableColor & """ noWrap vAlign=""top"" align=""right""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """><b>Subject:</b></font></td>" & vbNewLine & _
		"          <td bgColor=""" & strPopUpTableColor & """><input maxLength=""50"" name=""Subject"" id=""Subject"" value=""" & Trim(ChkString(Topic_Title,"edit")) & """ size=""40""></td>" & vbNewLine & _
		"        </tr>" & vbNewLine & _
		"        <script language=""JavaScript"" type=""text/javascript"">document.SplitTopic.Subject.focus();</script>" & vbNewLine & _
		"        <tr>" & vbNewLine & _
		"          <td bgColor=""" & strPopUpTableColor & """>&nbsp;</td>" & vbNewLine & _
		"          <td bgColor=""" & strPopUpTableColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine & _
		"          <input name=""checkAllPosts"" id=""toggleAll_checkbox"" type=""checkbox"" value="""" onclick=""CheckAllPosts();""><label for=""toggleAll_checkbox"">Check / Uncheck All</label></font>" & vbNewLine & _
		"          </td>" & vbNewline & _
		"        </tr>" & vbNewline & _
		"        <tr>" & vbNewline & _
		"          <td bgColor=""" & strPopUpTableColor & """>&nbsp;</td>" & vbNewline & _
		"          <td bgColor=""" & strPopUpTableColor & """ align=""center""><input name=""Submit"" id=""btnSubmit"" type=""submit"" value=""Split Topic"">" & vbNewline & _
		"&nbsp;<input name=""Cancel"" id=""btnSubmit"" type=""button"" value=""Cancel"" tabindex=""-1"" onclick=""window.location.href='" & strRef & "'"">" & vbNewline & _
		"          </td>" & vbNewLine & _
		"        </tr>" & vbNewLine & _
		"      </table>" & vbNewLine & _
		"    </td>" & vbNewline & _
		"  </tr>" & vbNewline & _
		"</table>" & vbNewline & _
		"<br />" & vbNewline
		
'Start table for topic
Response.Write	"<table align=""center"" border=""0"" cellPadding=""0"" cellSpacing=""0"" width=""95%"">" & vbNewLine & _
		"  <tr>" & vbNewLine & _
		"    <td>" & vbNewLine & _
		"      <table border=""0"" width=""100%"" cellspacing=""1"" cellpadding=""4"" bgcolor=""" & strTableBorderColor & """>" & vbNewLine & _
		"        <tr>" & vbNewLine & _
		"          <td bgcolor=""" & strHeadCellColor & """ colspan=""2"" align=""center""><b><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strHeadFontColor & """>T O P I C&nbsp;&nbsp;&nbsp;&nbsp;R E V I E W</font></b></td>" & vbNewLine & _
		"        </tr>" & vbNewLine & _
		"        <tr>" & vbNewline & _
		"          <td bgcolor=""" & strForumFirstCellColor & """ valign=""top"" width=""" & strTopicWidthLeft & """"
if lcase(strTopicNoWrapLeft) = "1" then
	Response.Write " nowrap"
end if 
Response.Write "><font color=""" & strForumFontColor & """ face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """><b>" & ChkString(Member_Name,"display") & "</b></font></td>" & vbNewline & _
		"                <td bgcolor=""" & strForumFirstCellColor & """ valign=""top"" width=""" & strTopicWidthRight & """"
if lcase(strTopicNoWrapRight) = "1" then
	Response.Write " nowrap"
end if 
Response.Write "><font color=""" & strForumFontColor & """ face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """><small>Posted&nbsp;-&nbsp;" & ChkDate(Topic_Date, "&nbsp;:" ,true) & "</small><hr size=""" & strFooterFontSize & """><span class=""spnMessageText"">" & formatStr(Topic_Message) & "</span></font></td>" & vbNewline & _
		"        </tr>" & vbNewline & _
		"      </table>" & vbNewline  & _
		"    </td>" & vbNewline & _
		"  </tr>" & vbNewline  & _
		"</table>" & vbNewline & _
		"<br />" & vbNewline

'Start table for replies
Response.Write	"<table align=""center"" border=""0"" cellPadding=""0"" cellSpacing=""0"" width=""95%"">" & vbNewLine & _
		"  <tr>" & vbNewLine & _
		"    <td align=""right"">" & vbNewLine & _
		"<span id=""asclink"" title=""Sort replies in ascending order (oldest replies first)"" style="""
if strSortOrder = "asc" or Request.Form("SortOrder") = "asc" then
	Response.Write "background-color:" & strHeadCellColor & "; font-weight:bold; font-family:" & strDefaultFontFace & "; color:" & strHeadFontColor & "; "
else
	Response.Write "background-color:" & strForumFirstCellColor & "; font-family:" & strDefaultFontFace & "; "
end if
Response.Write	"border:1px solid " & strTableBorderColor & "; padding:2px; cursor:pointer;"" onclick=""sortreplies('asc')""><font size=""" & strFooterFontSize & """>Oldest Replies First</font></span>" & vbNewLine & _
		"<span id=""desclink"" title=""Sort replies in descending order (newest replies first)"" style="""
if strSortOrder = "asc" or Request.Form("SortOrder") = "asc" then
	Response.Write "background-color:" & strForumFirstCellColor & "; font-family:" & strDefaultFontFace & "; "
else
	Response.Write "background-color:" & strHeadCellColor & "; font-weight:bold; font-family: " & strDefaultFontFace & "; color:" & strHeadFontColor & "; "
end if
Response.Write	"border:1px solid " & strTableBorderColor & "; padding:2px; cursor:pointer;"" onclick=""sortreplies('desc')""><font size=""" & strFooterFontSize & """>Newest Replies First</font></span>" & vbNewLine & _
		"    </td>" & vbNewLine & _
		"  </tr>" & vbNewLine & _
		"  <tr>" & vbNewLine & _
		"    <td>" & vbNewLine

'## Forum_SQL - Get all replies to Topic from the DB
strSql ="SELECT M.M_NAME, R.REPLY_ID, R.R_DATE, R.R_MESSAGE "
strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS M, " & strTablePrefix & "REPLY R "
strSql = strSql & " WHERE M.MEMBER_ID = R.R_AUTHOR AND R.TOPIC_ID = " & strRqTopicID
strSql = strSql & " ORDER BY R.R_DATE"
if strSortOrder = "asc" or Request.Form("SortOrder") = "asc" then
	strSql = strSql & " ASC"
else
	strSql = strSql & " DESC"
end if

set rs = Server.CreateObject("ADODB.Recordset")
rs.open strSql, my_Conn, adOpenForwardOnly, adLockReadOnly, adCmdText

if rs.EOF then
	recReplyCount = ""
else
	allReplyData = rs.GetRows(adGetRowsRest)
	recReplyCount = UBound(allReplyData,2)
end if

rs.close
set rs = nothing

strI = 0 
if recReplyCount = "" then
	Response.Write ""
else
	if strSortOrder = "asc" or Request.Form("SortOrder") = "asc" then
		strOrderTitle = "(Oldest First, Ascending)"
	else
		strOrderTitle = "(Newest First, Descending)"
	end if
	Response.Write	"      <table border=""0"" width=""100%"" cellspacing=""1"" cellpadding=""4"" bgcolor=""" & strTableBorderColor & """>" & vbNewLine & _
			"        <tr>" & vbNewLine & _
			"          <td bgcolor=""" & strHeadCellColor & """ colspan=""2"" align=""center""><b><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strHeadFontColor & """>&nbsp;&nbsp;&nbsp;&nbsp;R E P L I E S&nbsp;&nbsp;&nbsp;&nbsp;" & strOrderTitle & "</font></b></td>" & vbNewLine & _
			"          <td bgcolor=""" & strHeadCellColor & """ align=""center""><b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """>Split</font></b></td>" & vbNewLine & _
			"        </tr>" & vbNewLine

	mM_NAME = 0
	rREPLY_ID = 1
	rR_DATE = 2
	rR_MESSAGE = 3

	for iReply = 0 to recReplyCount

		ReplyMemberName = allReplyData(mM_NAME, iReply)
		ReplyID = allReplyData(rREPLY_ID, iReply)
		ReplyDate = allReplyData(rR_DATE, iReply)
		ReplyMessage = allReplyData(rR_MESSAGE, iReply)

		if strI = 0 then
 			CColor = strAltForumCellColor
		else
			CColor = strForumCellColor
		end if

		Response.Write	"        <tr>" & vbNewline & _
				"          <td bgcolor=""" & CColor & """ valign=""top""" & vbNewline
		if lcase(strTopicNoWrapLeft) = "1" then
			Response.Write " nowrap"
		end if 
		Response.Write "><b><font color=""" & strForumFontColor & """ face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" &  ChkString(ReplyMemberName,"display") & "</font></b></td>" & vbNewline & _
				"          <td bgcolor=""" & CColor & """ valign=""top"""
		if lcase(strTopicNoWrapRight) = "1" then
			Response.Write " nowrap"
		end if
		Response.Write 	"><font color=""" & strForumFontColor & """ face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """><small>Posted&nbsp;-&nbsp;" & ChkDate(ReplyDate, "&nbsp;:" ,true) & "</small><hr size=""" & strFooterFontSize & """><span class=""spnMessageText"">" & trimString(CleanCode(ReplyMessage), 150) & "</span></font></td>" & vbNewline & _
			"          <td bgColor=""" & strPopUpTableColor & """ valign=""top"" width=""5%"" align=""center"" onclick=""check('" & ReplyID & "')"">" & _
			"<input name=""replyid"" id=""replyid" & ReplyID & """ type=""checkbox"" value=""" & ReplyID & """ onclick=""check('" & ReplyID & "')""></td>" & vbNewline & _
			"        </tr>" & vbNewline
						
		strI = strI + 1
		if strI = 2 then 
			strI = 0
		end if
	next
	Response.Write "      </table>" & vbNewline
end if

Response.Write	"    </td>" & vbNewline & _
		"  </tr>" & vbNewline  & _
		"</table>" & vbNewline & _
		"</form>" & vbNewline & _
		"<br />" & vbNewline
WriteFooter

sub Go_Result(message) 
	Response.write 	"      <br /><div style=""font-family:" & strDefaultFontFace & "; color:" & strHiliteFontColor & "; text-align:center; padding-top:30px; padding-bottom:30px;""><font size=""" & strDefaultFontSize & """>" & message & "</font></div>" &_
			"      <br />" &_
			"      <meta http-equiv=""Refresh"" content=""4; URL=default.asp"">"
	WriteFooter
	Response.end
end sub

Function trimString(fString, fLen)
	if ((InStr(fString, "<")>0) and (InStr(fString, ">")>0) and len(fString)>fLen) Then
		Dim strTemp, strTempcnt, strBrk1, strBrk2, strRemoved,tagCount
		strTemp = fString
		strTempcnt = 0
		strRemoved = 0
		tagCount = 0
		Do While (InStr(1, strTemp, "<")>0) And (InStr(1, strTemp, ">")>0)
			strBrk1 = InStr(1, strTemp, "<")
			strBrk2 = InStr(1, strTemp, ">")-strBrk1
			tagCount = tagCount + 1
			strRemoved = strRemoved + Len(Mid(strTemp, strBrk1, strBrk2))
			strTemp = Left(strTemp, Instr(1, strTemp, "<")-1) & Right(strTemp, Len(strTemp)-Instr(1,strTemp, ">"))
			strTempcnt =  Len(strTemp)
			if (InStr(Left(strTemp, fLen), "<")<1) And (InStr(Left(StrTemp,fLen),">")<1) then
				Exit Do
			end if
		Loop
	
		if ((strTempcnt > fLen) and (strRemoved > 0)) then
			LastChars = Right(Left(strTemp, ((fLen)+Cint(Instr(Mid(strTemp,(fLen),20)," ")))-1),5)
			trimString = Left(fString, InStr(fString, LastChars)+4) & "..."
		elseif (strTempcnt > fLen) and (strRemoved < 1) then 
			trimString = Left(fString, ((fLen)+Cint(Instr(Mid(fString,(fLen),20)," ")))-1) & "..."
		else
			trimString = fString
		end if
	elseif len(fString)>fLen then
		trimString = Left(fString, ((fLen)+Cint(Instr(Mid(fString,(fLen),20)," ")))-1) & "..."
	else
		trimString = fString
	end if
End Function
%>