<!-- #include file="config.asp" -->
<!-- #include file="inc_func_common.asp" -->
<!--#include file="inc_checkimagesize.asp" -->
<%
if Session(strCookieURL & "Approval") <> "15916941253" then
	scriptname = split(request.servervariables("SCRIPT_NAME"),"/")
	Response.Redirect "admin_login.asp?target=" & scriptname(ubound(scriptname))
end if  
 
Class Upload
	Public  objFiles
	Private objFormItems
	
	Private Sub Class_Initialize()
		Set objFiles = Server.CreateObject("Scripting.Dictionary")
		Set objFormItems = Server.CreateObject("Scripting.Dictionary")
	End Sub 	
	
	Private Sub Class_Terminate()
		If IsObject(objFiles) Then
			objFiles.RemoveAll()
			Set objFiles = Nothing
		End If
		If IsObject(objFormItems) Then
			objFormItems.RemoveAll()
			Set objFormItems = Nothing
		End If
	End Sub 
	
	Public Property Get Form(sIndex)
		Form = ""
		If objFormItems.Exists(LCase(sIndex)) Then Form = objFormItems.Item(LCase(sIndex))
	End Property
		
	'This function retreives a field's name
	Private Function GetFieldName(infoStr) 
	Dim sPos
	Dim EndPos
       		sPos = InStr(infoStr, "name=")
       		EndPos = InStr(sPos + 6, infoStr, Chr(34) & ";")
		If EndPos = 0 Then
			EndPos = inStr(sPos + 6, infoStr, Chr(34))
       		End If
		GetFieldName = Mid(infoStr, sPos + 6, endPos - (sPos + 6))
	End Function 

	'This function retreives a file field's filename
	Private Function GetFileName(infoStr)
	Dim sPos
	Dim EndPos
	Dim strTmp
	Dim CrLf : CrLf = Chr(13) & Chr(10)
		sPos = InStr(infoStr, "filename=")
		EndPos = InStr(infoStr, Chr(34) & CrLf)
		strTmp = Mid(infoStr, sPos + 10, EndPos - (sPos + 10))
		GetFileName = Mid(strTmp,InstrRev(strTmp,"\",-1,1) + 1)
	End Function

	'This function retreives a file field's MIME type
	Private Function GetFileType(infoStr)  
	Dim sPos
		sPos = InStr(infoStr, "Content-Type: ")
		GetFileType = Mid(infoStr, sPos + 14)
	End Function
	
	Public Sub UploadProcess()
	Dim biData
	Dim PostData
	Dim nIndex
	Dim CrLf : CrLf = Chr(13) & Chr(10)
	Dim ContentType : ContentType = Request.ServerVariables("HTTP_CONTENT_TYPE")
	Dim ctArray
	Dim bArray
	Dim Boundary
	Dim FormData
	Dim x
	Dim InfoEnd
	Dim varInfo
	Dim varValue
	Dim objFileInfo
	
	biData = Request.BinaryRead(Request.TotalBytes)
	For nIndex = 1 to LenB(biData)
		PostData = PostData & Chr(AscB(MidB(biData,nIndex,1)))
	Next

	ctArray = Split(ContentType, ";")
	
	bArray = Split(Trim(ctArray(1)), "=")
	Boundary = Trim(bArray(1))
	FormData = Split(PostData, Boundary)
		
	For x = 0 to UBound(FormData)
		InfoEnd = InStr(FormData(x), CrLf & CrLf)
		If InfoEnd > 0 Then
		Set objFileInfo = New FileInformation
				
			varInfo = Mid(FormData(x), 3, InfoEnd - 3)
			varValue = Mid(FormData(x), InfoEnd + 4,Len(FormData(x)) - InfoEnd - 7)
			
			If (InStr(varInfo, "filename=") > 0) Then
				objFileInfo.FormName = GetFieldName(varInfo)
				objFileInfo.FileData = varValue
				objFileInfo.FileName = GetFileName(varInfo)
				objFileInfo.ContentType = GetFileType(varInfo)
				If objFileInfo.FileSize > 0 Then objFiles.add objFileInfo.FormName,objFileInfo
			Else
				'It's a regular field
				objFormItems.add GetFieldName(varInfo), varValue
			End If
		End If
	Next	
	End Sub
		
End Class

Class FileInformation
	Public ContentType
	Public FileName
	Public FileData
	Public FormName
	Public UploadMessage
	Public FileOverWrite
        Public WasSuccess
        
	Public Property Get FileSize()
		FileSize = LenB(FileData)
	End Property 
	
	Public Sub WriteFile(strPath)
		Dim arrAllowedTypes : arrAllowedTypes = Array(".jpg",".jpeg",".gif",".png")
	       	Dim strExtension : strExtension = LCase(Mid(FileName,InStrRev(FileName,".")))
	       	Dim intForCounter
	       	Dim objFSO : Set objFSO = Server.CreateObject("Scripting.FileSystemObject")
	       	Dim blnAllow : blnAllow = False
	       	Dim objSaveME
	       	WasSuccess = False 
	       	
	       	If len(strPath) = 0 Or Len(FileName) = 0 Then
			UploadMessage = "Failed - This file could not be uploaded."
			Exit Sub
		end if
		
	       	strPath = Server.Mappath(strPath)
	       	
		If Not objFSO.FolderExists(strPath) Then 
			UploadMessage = "Failed - Error - Upload path not found." 		
			Exit Sub
		end if
			       
	       	for intForCounter = 0 to Ubound(arrAllowedTypes)
			if strComp(strExtension,arrAllowedTypes(intForCounter),1) = 0 then blnAllow = True    
	       	next
	          
	        if Not blnAllow then
	        	UploadMessage = "Failed - File type [" & strExtension & "] is not allowed."
			Exit Sub    
		End if	       
	        
	       If Mid(strPath, Len(strPath)) <> "\" Then strPath = strPath & "\"
	       
		If objFSO.FileExists(strPath & FileName) AND FileOverWrite = "yes" Then 
			objFSO.DeleteFile strPath & FileName,True    
		elseif objFSO.FileExists(strPath & FileName) AND FileOverWrite = "no" Then
			UploadMessage = "Failed - File already exists, and you did not wish to overwrite existing versions." 
			exit sub			
		end if
		
		'@-If we got this far then save the file
		Set objSaveME = objFSO.CreateTextFile(strPath & FileName, True)
		objSaveME.Write(FileData)
		objSaveME.Close	  

		avatarpath = strPath & FileName
		maxh = int(STRAVATARMAXH)
		maxw = int(STRAVATARMAXW)
		Dim avatarwidth,avatarheight
    	if gfxSpex(avatarpath, avatarwidth, avatarheight, avatarcolordepth, strType) = true then
			If (avatarheight > maxh) Then
				UploadMessage = "<li>Invalid Image Dimisions! Height cannot be over " & maxh & "</li><BR>Image dimensions: " & avatarheight & " x " & avatarwidth 
					Set DelUpload = CreateObject("Scripting.FileSystemObject")
    				DelUpload.DeleteFile(avatarpath)
				exit sub
			ElseIf (avatarwidth > maxw) Then
				UploadMessage = "<li>Invalid Image Dimisions! Width cannot be over " & maxw & "</li><BR>Image dimensions: " & avatarheight & " x " & avatarwidth 
					Set DelUpload = CreateObject("Scripting.FileSystemObject")
    				DelUpload.DeleteFile(avatarpath)
				exit sub
			End If    	
		else
        	UploadMessage = "<li>An error occurred while checking the image size of your Avatar!</li>"
					Set DelUpload = CreateObject("Scripting.FileSystemObject")
    				DelUpload.DeleteFile(avatarpath)
    		exit sub
		end if
		
		UploadMessage = "Success - The avatar has been uploaded to [" & strPath & "]<br>Image dimensions: " & avatarheight & " x " & avatarwidth 
		WasSuccess = True
		Set objSaveME = nothing
		Set objFSO = nothing     	       
	End Sub	
	
	Public Function SaveToAvatar(strTablePrefix,strDbConnection,strURL)
	Dim strSql         
	Dim strDisplayName : strDisplayName = Mid(FileName,1,InStrRev(FileName,".") -1)
	Dim dbConn : Set dbConn = Server.CreateObject("ADODB.Connection")
	dbConn.Open strDbConnection
	 
	If Mid(strURL, Len(strURL)) <> "/" Then strURL = strURL & "/"
	strURL = strURL & FileName
		'#### Inster into database
		strSql = "INSERT INTO " & strTablePrefix & "AVATAR ("
		strSql = strSql & "A_URL"
		strSql = strSql & ", A_NAME"
		strSql = strSql & ", A_WIDTH"
		strSql = strSql & ", A_HEIGHT"
		strSql = strSql & ", A_MEMBER_ID"
		strSql = strSql & ") VALUES ("
		strSql = strSql & "'" & chkstring(strURL,"SQLSTRING") & "'"
		strSql = strSql & ", '" & chkstring(strDisplayName,"SQLSTRING") & "'"
		strSql = strSql & ", '" & int(avatarwidth) & "'"
		strSql = strSql & ", '" & int(avatarheight) & "'"
		strSql = strSql & ", " & 0
		strSql = strSql & ")"	
		
		dbConn.Execute (strSql),,adCmdText + adExecuteNoRecords 
	
	dbConn.Close
	Set dbConn = nothing
	 
	End Function
End Class

Dim UploadStuff : Set UploadStuff = New Upload

UploadStuff.UploadProcess()

Response.Write	"<html>" & vbNewLine &_
		"<head>" & vbNewLine &_
		"<title>Upload Results</title>" & vbNewLine &_
		"</head>" & vbNewLine &_
		"<body" & strTmpPageBGImageURL & " bgColor=""" & strPageBGColor & """ text=""" & strDefaultFontColor & """ link=""" & strLinkColor & """ aLink=""" & strActiveLinkColor & """ vLink=""" & strActiveLinkColor & """ onUnLoad=""window.opener.focus();"">" & vbNewline &_
		"<table border=""0"" cellpadding=""0"" cellspacing=""0"" align=""center"">" & vbNewLine & _
       		" <tr>" & vbNewLine & _
       		"  <td bgcolor=""" & strPopUpBorderColor & """>" & vbNewLine & _
       	       	"		<table border=""0"" cellspacing=""1"" cellpadding=""1"">" & vbNewLine & _
		"			<tr>" & vbNewLine & _
		"			<td bgcolor=""" & strHeadCellColor & """ colspan=""2"" align=""center""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """><b>&nbsp;Avatar&nbsp;Files&nbsp;</b></font></td>" & vbNewLine & _
		"			</tr>" & vbNewLine
		if UploadStuff.objFiles.Count = 0 then
			response.write	"<tr>" & vbNewLine & _
				"<td bgcolor=""" & strPopUpTableColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine &_
					"No files submitted!" & vbNewLine &_
				"</td>" & vbNewLine &_
				"</tr>" & vbNewLine
		else
			For Each File In UploadStuff.objFiles.Items
			File.FileOverWrite = UploadStuff.Form("overwrite" & File.FormName)  
			strDestination =  UploadStuff.Form("destination")                                 
			File.WriteFile(strDestination)
			If File.WasSuccess then File.SaveToAvatar strTablePrefix,strConnString,UploadStuff.Form("destination")
				response.write 	"			<tr>" & vbNewLine & _
				"			<td bgcolor=""" & strHeadCellColor & """ colspan=""2"" align=""center""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """><b>&nbsp;" & File.FileName & "&nbsp;</b></font></td>" & vbNewLine & _
	      			"			</tr>" & vbNewLine &_		
	       			"			<tr>" & vbNewLine & _
				"<td bgcolor=""" & strPopUpTableColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" &_
					File.UploadMessage &_
				"</td>" & vbNewLine &_
	       			"			</tr>" & vbNewLine			
			next
		end if		
response.write	"		</table>" & vbNewLine & _
		"	</td>" & vbNewLine & _
		"</tr>" & vbNewLine & _
		"</table>" & vbNewLine &_
		"<br /><div align=""center"">" & vbNewLine &_
		"<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine &_
		"<a href=""JavaScript:onClick=history.back()"">Back to Avatar Upload</a><br><br>" & vbNewLine &_
		"<a href=""JavaScript:onClick=window.close()"">Close Window</a></font>" & vbNewLine &_
		"</div>" & vbNewLine &_
		       		"</body>" & vbNewLine &_
		"</html>" & vbNewLine
%>
