<%
'****************************************************************
'  cal_post_info1.asp                                            
'  EVENTS CALENDAR (Recurring Dates) MOD                         
'  for Snitz Forums 3.4.03                                       
'  by red1                                                       
'----------------------------------------------------------------
'Converted to ServerHacker V8                                    
'					by RLambert                                  
'                                                                
'  Included in post_info.asp to initialize the calendar variables
'  and generate error messages                                   
'****************************************************************



If Request.Form("isevent") = 1 then

    'Load the Form values into variables
    Event_Date = Request.Form("event_date")
    Event_Start = Request.Form("event_start")
    Event_End = Request.Form("event_end")
    Event_Repeat = CInt(Request.Form("event_repeat"))
    Event_Edit = CInt(Request.Form("event_edit"))

    'Display an error message if the user is not allowed to post an event
    If mlev < intCalMLev Then Go_Result strCalNotAllowed, 0

    'Check the Forum_ID against the list of allowed Forums
    For each iForum in arrCalForumID
        If cLng(iForum) = cLng(Request.Form("FORUM_ID")) then 
            blnCalAllowed = TRUE
            Exit For
        End if
    Next

    'Display an error message if the Forum_ID is not allowed
'    if not blnCalAllowed then Go_Result strCalError0, 0

    'Display an error message if the Start Date is Invalid
    If not IsDate(Event_Start) Then 
        Go_Result strCalError1, 0
    Else
        Event_Start = CDate(Event_Start)
    End If

    'Display an error message if the End Date is Invalid
    If not IsDate(Event_End) Then 
        Go_Result strCalError2, 0
    Else
        Event_End = CDate(Event_End)
    End If

    'Display an error message if the Start Date is earlier than 1930
    If Event_Start < DateSerial(intCalStartYear,1,1) then Go_Result strCalError1, 0

    'Display an error message if the End Date is later than 2029
    If Event_End > DateSerial(intCalEndYear,1,1-1) then Go_Result strCalError2, 0

    'Display an error message if the End Date is earlier than the Start Date
    If Event_End < Event_Start Then Go_Result strCalError3, 0

    'Count how many dates the user plans to insert
    dateCursor = Event_Start
    intRecordCount = 0
    Do 
        intRecordCount = intRecordCount + 1
        Select Case Event_Repeat
            Case 1  'Every day
                dateCursor = DateAdd("d", 1, dateCursor)
            Case 2  'Every other day
                dateCursor = DateAdd("d", 2, dateCursor)
            Case 3  'Every third day
                dateCursor = DateAdd("d", 3, dateCursor)
            Case 4  'Every fourth day
                dateCursor = DateAdd("d", 4, dateCursor)
            Case 5  'Every week
                dateCursor = DateAdd("ww", 1, dateCursor)
            Case 6  'Every other week
                dateCursor = DateAdd("ww", 2, dateCursor)
            Case 7  'Every third week
                dateCursor = DateAdd("ww", 3, dateCursor)
            Case 8  'Every fourth week
                dateCursor = DateAdd("ww", 4, dateCursor)
            Case 9  'Every month
                dateCursor = DateAdd("m", 1, dateCursor)
            Case 10  'Every other month
                dateCursor = DateAdd("m", 2, dateCursor)
            Case 11  'Every year
                dateCursor = DateAdd("yyyy", 1, dateCursor)
            Case 12  'M & Th
                Do
                    dateCursor = DateAdd("d", 1, dateCursor)
                Loop Until Weekday(dateCursor) = vbMonday or Weekday(dateCursor) = vbThursday
            Case 13  'T & F
                Do
                    dateCursor = DateAdd("d", 1, dateCursor)
                Loop Until Weekday(dateCursor) = vbTuesday or Weekday(dateCursor) = vbFriday
            Case 14  'M, W, F
                Do
                    dateCursor = DateAdd("d", 1, dateCursor)
                Loop Until Weekday(dateCursor) = vbMonday or Weekday(dateCursor) = vbWednesday or Weekday(dateCursor) = vbFriday
            Case 15  'T, Th
                Do
                    dateCursor = DateAdd("d", 1, dateCursor)
                Loop Until Weekday(dateCursor) = vbTuesday or Weekday(dateCursor) = vbThursday
            Case 16  'Mon - Fri
                Do
                    dateCursor = DateAdd("d", 1, dateCursor)
                Loop Until Weekday(dateCursor) <> vbSaturday and Weekday(dateCursor) <> vbSunday
            Case 17  'Sat & Sun
                Do
                    dateCursor = DateAdd("d", 1, dateCursor)
                Loop Until Weekday(dateCursor) = vbSaturday or Weekday(dateCursor) = vbSunday
        End Select
    Loop Until dateCursor > Event_End

    'Display an error message if there are too many records
    If intRecordCount > intCalMaxRecords then Go_Result intRecordCount & strCalError4, 0
    
End If
%>