<%
'#################################################################################
'## Copyright (C) 2000  Michael Anderson and Pierre Gorissen
'## 
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to 
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## 
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'## 
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'## 
'## Support can be obtained from support forums at:
'## http://forum.snitz.com 
'##
'## Correspondence and Marketing Questions can be sent to:
'## reinhold@bigfoot.com
'## 
'## or
'## 
'## Snitz Communications 
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#################################################################################

dim rs, T_Cat_ID, Forum_Subject, Topic_Date, Topic_Subject
dim TableWidth, HeaderText, strTopicID, strMsgIconID, strLink
dim Topic_Replies, Topic_Message, Topic_Last_Post
dim strMsgIcon, Topic_Author, Member_Name
dim strOrnamentDisplay, T_Forum_ID, strPhotoURL, strAvatarURL
dim strProcess, SafeMode, Topic_MsgIcon, strSpecialIcon

strNumberedGraphic = "_star.gif"	'  SET NUMBERED GRAPHIC NAME
intNumberedGraphicWidth = 24		'  SET NUMBERED GRAPHIC WIDTH
intNumberedGraphicHeight = 24		'  SET NUMBERED GRAPHIC HEIGHT

intPhotoAvatarWidth = 64			'  SET PHOTO/AVATAR WIDTH
intPhotoAvatarHeight = 64			'  SET PHOTO/AVATAR HEIGHT

strCounterDelimiter = ")"			'  Alternatively use . ] | - or other characters...

sub DisplayContent(ContentType, ContentID, TopicStatus, DisplayMode, DisplayOrder, TopicCount, MessageLength, SubjectLength, Ornament, Special, SafeMode, ForumStatus, HeaderText, TableWidth, strLink)

select case ContentType
	case 0
		strContentType = "T.CAT_ID"
	case 1 
		strContentType = "T.FORUM_ID"
	case 2
		strContentType = "T.TOPIC_ID"
	case 3
		strContentType = "T.T_MSGICON"
	case 4
		strContentType = "T.T_AUTHOR"
	case else ' use Forum
		strContentType = "T.FORUM_ID"
end select	

	'## Forum_SQL - First get all required fields from Topics DB
	strSql = "SELECT F.F_SUBJECT, F.F_DESCRIPTION, T.T_STATUS, T.CAT_ID, T.FORUM_ID, T.TOPIC_ID, T.T_SUBJECT, T.T_MESSAGE, T.T_VIEW_COUNT, T.T_LAST_POST, T.T_DATE, T.T_REPLIES, T.T_AUTHOR, T.T_MSGICON, "
	strSql = strSql & "M.MEMBER_ID, M.M_NAME, M.M_EMAIL, M.M_RECEIVE_EMAIL, M.M_HOMEPAGE, M.M_PHOTO_URL, M.M_AVATAR, M.M_AVATAR_WIDTH, M.M_AVATAR_HEIGHT FROM ((" & strTablePrefix & "FORUM F INNER JOIN " & strTablePrefix & "TOPICS T ON F.FORUM_ID = T.FORUM_ID) " 
	strSql = strSql & "INNER JOIN " & strTablePrefix & "MEMBERS M ON T.T_AUTHOR = M.MEMBER_ID) "

	' Then specify criteria to select topics
	if ContentID = 0 then
		strSql = strSql & " WHERE " & strContentType & " > " & ContentID
	else
		strSql = strSql & " WHERE " & strContentType & " = " & ContentID
	end if

	select case ForumStatus		' "Filter" based on Forum Status - Hidden or not
		case 0
            'huntress added  AND F.F_PRIVATEFORUMS <> 0
			strSql = strSql & " AND T.T_STATUS = 0 AND F.F_PRIVATEFORUMS <> 0 AND T.FORUM_ID <> 16"
		case 1
            'huntress added  AND F.F_PRIVATEFORUMS = 0
			strSql = strSql & " AND T.T_STATUS = 1 AND F.F_PRIVATEFORUMS = 0 AND T.FORUM_ID <> 16"
		case 2
			' do nothing - select all topics
		case else
			' do nothing - select all topics
	end select

	select case DisplayOrder	' Change ASC to DESC if preferred...
		case 0 ' By Last Posted Date
			strSql = strSql & " ORDER BY T.T_LAST_POST DESC "
		case 1 ' By Topics Order field
			strSql = strSql & " AND T.T_ORDER > 0 " ' Required because NULLs and ZEROs come before 1 
			strSql = strSql & " ORDER BY T.T_ORDER ASC "
		case 2 ' By most View Counts
			strSql = strSql & " ORDER BY T.T_VIEW_COUNT DESC "
		case 3 ' By most Replies
			strSql = strSql & " ORDER BY T.T_REPLIES DESC "
		case 4 ' By msgIcons value
			strSql = strSql & " ORDER BY T.T_MSGICON ASC "
		case 5 ' By author
			strSql = strSql & " ORDER BY T.T_AUTHOR ASC "
		case 6 ' By original post Date
			strSql = strSql & " ORDER BY T.T_DATE ASC "
		case 7 ' By Forum ID
			strSql = strSql & " ORDER BY T.FORUM_ID DESC "
		case 8 ' By Cat ID
			strSql = strSql & " ORDER BY T.CAT_ID DESC "
		case else ' Use the "default" - By Last Posted Date - DESC
			strSql = strSql & " ORDER BY T.T_LAST_POST DESC "
	end select

set rs = Server.CreateObject("ADODB.Recordset")
	rs.cachesize = 20

rs.open strSql, my_Conn, 3, adLockReadOnly, adCmdText

if Not rs.EOF then
			arrTopicData = rs.GetRows(TopicCount,1)
			iTopicCount = UBound(arrTopicData, 2)
		else
			iTopicCount = ""
		end if

rs.close
set rs = nothing

Select Case Ornament	' Sets ornaments for cases 1, 2, 3, 4
	case 0 ' PLAIN
		' No ornament - do nothing
	case 1 ' BULLET 1
		strOrnamentDisplay = getCurrentIcon(strIconBullet1CD,"","align=""absmiddle"" hspace=""0""") & "&nbsp;"
	case 2 ' BULLET 2
		strOrnamentDisplay = getCurrentIcon(strIconBullet2CD,"","align=""absmiddle"" hspace=""0""") & "&nbsp;"
	case 3 ' GRAPHIC 1
		strOrnamentDisplay = getCurrentIcon(strIconGraphic1CD,"","align=""absmiddle"" hspace=""0""") & "&nbsp;"
	case 4 ' GRAPHIC 2
		strOrnamentDisplay = getCurrentIcon(strIconGraphic2CD,"","align=""absmiddle"" hspace=""0""") & "&nbsp;"
	case else
		' Case 5, 6 & 7 strOrnamentDisplay evaluated in "Select Case DisplayMode", below - do nothing here...
End Select	

Response.Write	"<table width=""" & TableWidth & """ border=""0"" cellspacing=""0"" cellpadding=""0"" align=""center"" bgcolor=""" & strPOpupBorderColor & """>" & vbNewLine & _
		"<tr>" & vbNewLine & _
		"	<td valign=""top"" width=""100%"">" & vbNewLine & _
		"	<table width=""100%"" border=""0"" cellspacing=""1"" cellpadding=""0"" align=""center"">" & vbNewLine
			Call WriteHeader(HeaderText)
Response.Write	"	<tr>" & vbNewLine & _
		"		<td bgcolor=""" & strForumCellColor & """ valign=""top"" width=""100%"">" & vbNewLine

Response.Write	"		<table border=""0"" cellspacing=""0"" cellpadding=""4"" bgcolor=""" & strForumCellColor & """ width=""100%"">" & vbNewLine

if blnTestMode then
Response.Write "	<tr>" & vbCrlf & _
		"			<td align=""center"">" & vbCrlf & _
		"			<div align=""center"">" & vbCrlf & _
		"			<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>" & vbCrlf & _
		"			<b> ~ SQL STRING ~ </b><br><br>" & vbCrlf & _
		"			" &  strSQL & "<br><br>" & vbCrlf & _
		"			<hr color=""" & strHeadCellColor & """ size=""1"">" & vbCrlf & _
		"			<br>&nbsp;<br>" & vbCrlf & _
		"			</font>" & vbCrlf & _
		"			</div>" & vbCrlf & _
		"			</td>" & vbCrlf & _
		"		</tr>" & vbCrlf	
	end if   
	
counter = 0
test = "Links"     

' ////////////////// START MAIN LOOP /////////////////////////
if iTopicCount <> "" then  '## No replies found in DB

	tF_SUBJECT = 0
	tF_DESCRIPTION = 1	
	tT_STATUS = 2
	tCAT_ID = 3
	tFORUM_ID = 4
	tTOPIC_ID = 5
	tT_SUBJECT = 6
	tT_MESSAGE = 7
	tT_VIEW_COUNT = 8
	tT_LAST_POST = 9
	tT_DATE = 10
	tT_REPLIES = 11
	tT_AUTHOR = 12
	tT_MSGICON = 13	
	tM_MEMBER_ID = 14
	tM_NAME = 15
	tM_EMAIL = 16
	tM_RECEIVE_EMAIL = 17
	tM_HOMEPAGE = 18
	tM_PHOTO_URL = 19
	tM_AVATAR = 20
	tM_AVATAR_WIDTH = 21
	tM_AVATAR_HEIGHT = 22
	
			for iTopic = 0 to iTopicCount

			Forum_Subject = arrTopicData(tF_SUBJECT, iTopic)
			Forum_Description = arrTopicData(tF_DESCRIPTION, iTopic)
			Topic_Status = arrTopicData(tT_STATUS, iTopic)
			T_Cat_ID = arrTopicData(tCAT_ID, iTopic)
			T_Forum_ID = arrTopicData(tFORUM_ID, iTopic)
			T_Topic_ID = arrTopicData(tTOPIC_ID, iTopic)
			Topic_Subject = arrTopicData(tT_SUBJECT, iTopic )
			Topic_Message = arrTopicData(tT_MESSAGE, iTopic)
			Topic_View_Count = arrTopicData(tT_VIEW_COUNT, iTopic)
			Topic_Last_Post = arrTopicData(tT_LAST_POST, iTopic)
			Topic_Date = arrTopicData(tT_DATE, iTopic)
			Topic_Replies = arrTopicData(tT_REPLIES, iTopic)
			Topic_Author = arrTopicData(tT_AUTHOR, iTopic)
			Topic_MsgIcon = arrTopicData(tT_MSGICON, iTopic)
			Member_ID = arrTopicData(tM_MEMBER_ID, iTopic)
			Member_Name = arrTopicData(tM_NAME, iTopic)
			Member_Email = arrTopicData(tM_EMAIL, iTopic)
			Member_Receive_Email = arrTopicData(tM_RECEIVE_EMAIL, iTopic)
			Member_Homepage = arrTopicData(tM_HOMEPAGE, iTopic)
			Member_Photo_URL = arrTopicData(tM_PHOTO_URL, iTopic)
			Member_Avatar = arrTopicData(tM_AVATAR, iTopic)
			Member_Avatar_Width = arrTopicData(tM_AVATAR_WIDTH, iTopic)
			Member_Avatar_Height = arrTopicData(tM_AVATAR_HEIGHT, iTopic)

'if ChkDisplayForum(ForumPrivateForums,ForumFPasswordNew,T_Forum_ID,MemberID) then
			
select case DisplayMode
case 0	' Link Only
			counter = counter + 1
Response.Write "		<tr>" & vbNewLine & _
		"		<td valign=""top"" width=""100%"" colspan=""99"">" & vbNewLine & _
		"		<table border=""0"" cellpadding=""4"" cellspacing=""0"" width=""100%"" bgcolor=""" & strForumCellColor & """>" & vbNewLine & _
		"			<tr>" & vbCrlf & _
		"				<td valign=""middle"" align=""left"" colspan=""1"">" & vbCrlf & _
		"				<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>" & vbCrlf
						Call WriteOrnament(Ornament, counter)
						Call WriteSubject(SubjectLength, T_Topic_ID, MessageLength, strLink)
Response.Write "		</font></td>" & vbCrlf
						if Special then
Response.Write "		<td valign=""middle"" align=""right"">" & vbNewLine
						Call WriteSpecial(Special)
Response.Write "		</td>" & vbNewLine
						end if							
Response.Write "		</tr>" & vbNewLine
if mLev = 4 then
Response.Write "		<tr>" & vbNewLine & _
		"			<td valign=""top"" colspan=" 
		if special then 
Response.Write """2"">" 
		else 
Response.Write """1"">"
		end if
							Call WriteAdmin(T_Topic_ID)
Response.Write "</td>" & vbCrlf & _
		"			</tr>" & vbnewLine
 end if
Response.Write "		</table>" & vbCrlf & _
		"		</td>" & vbCrlf & _
		"		</tr>" & vbCrlf
case 1	' ////// Basic:  Displays topics with message next to topic link
			counter = counter + 1 
Response.Write "		<tr>" & vbNewLine & _
		"		<td valign=""top"" width=""100%"" colspan=""99"">" & vbNewLine & _
		"			<table border=""0"" cellpadding=""4"" cellspacing=""0"" width=""100%"" bgcolor=""" & strForumCellColor & """>" & vbNewLine & _
		"			<tr>" & vbCrlf & _
		"				<td valign=""middle"" align=""left"" colspan=""1"">" & vbNewLine
					Call WriteOrnament(Ornament, counter) 
					Call WriteSubject2(SubjectLength, T_Topic_ID, MessageLength, strLink) 					
Response.Write "		</td>" & vbCrlf
				if Special then
Response.Write "			<td valign=""middle"" align=""right"">" & vbNewLine
					Call WriteSpecial(Special)
Response.Write "</td>" & vbNewLine
				end if							
Response.Write "			</tr>" & vbNewLine & _
		"			<tr>" & vbNewLine & _
		"			<td valign=""top"" colspan=" 
		if special then 
Response.Write """2"">" 
		else 
Response.Write """1"">"
		end if
Response.Write "<hr color=""" & strHeadCellColor & """ size=""1"">" & vbNewLine
				Call WriteMessage(SafeMode, MessageLength)
Response.Write "<br></td>" & vbCrlf & _
		"		</tr>" & vbCrlf & _
		"		<tr>" & vbCrlf	
	if MessageLength = 0 then		
Response.Write "				<td valign=""top"" align=""right"">" & vbNewLine & _
		"			<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
		"			<a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"			<acronym title=""Click here to view the original document...""><i>view post</i></acronym></a><br>&nbsp;<br>" & vbNewLine & _
		"			</font>" & vbNewLine & _
		"			</td>" & vbNewLine
	else
Response.Write "			<td valign=""top"" align=""right"">" & vbNewLine & _
		"			<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
		"			<a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"			<acronym title=""Click here to read more...""><i>more...</i></acronym></a><br>&nbsp;<br>" & vbNewLine & _
		"			</font></td>" & vbNewLine
end if
Response.Write "			</tr>" & vbNewLine & _
		"			</table>" & vbCrlf & _
		"			</td>" & vbCrlf & _
		"		</tr>" & vbCrlf

case 2 ' ///// Split:  Displays topics with links to the message below
Response.Write "		<tr>" & vbNewLine & _
		"		<td valign=""top"" width=""100%"" colspan=""99"">" & vbNewLine & _
		"		<table border=""0"" cellpadding=""4"" cellspacing=""0"" width=""100%"" bgcolor=""" & strForumCellColor & """>" & vbNewLine
if test = "Links" then
Response.Write "		<tr>" & vbNewLine & _
		"		<td valign=""middle"" align=""left"" width=""100%"">" & vbNewLine
if counter = 0 then
Response.Write "		<a name=""LinkSection""></a>" & vbNewLine
end if 
   counter = counter + 1 
						call WriteOrnament(Ornament, Counter)
						call WriteSubject4(SubjectLength, T_Topic_ID, MessageLength)
Response.Write "		</td>" & vbNewLine & _
		"		<td valign=""middle"" align=""right"">" & vbNewLine
						Call WriteSpecial(Special)
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine
if counter = cint(TopicCount) then
		test = "Links Done"
		iTopic = -1
	    counter = 0

Response.Write "		<tr><td valign=""top"" width=""100%""><br>&nbsp;&nbsp;<br></td></tr>" & vbNewLine
	end if
end if
						
if test = "Links Done" then 

	counter = counter + 1
Response.Write "		<tr>" & vbNewLine & _
		"				<td valign=""middle"" align=""left"" colspan=""2"" width=""100%"">" & vbNewLine & _
		"				<a name=""" & T_Topic_ID & """></a>" & vbNewLine
						Call WriteOrnament(Ornament, Counter)
						Call WriteSubject2(SubjectLength, T_Topic_ID, MessageLength, strLink)
Response.Write "		</td>" & vbNewLine & _
		"		<td valign=""middle"" align=""right"">" & vbNewLine & _
		"		<a href=""#LinkSection"">" & getCurrentIcon(strIconGoUp,"Back to Link-List Contents","border=""0""") & "</a>" & vbNewLine & _
		"		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td valign=""top"" align=""left"" colspan=""2"" width=""100%"">" & vbNewLine & _
		"		<hr color=""" & strHeadCellColor  & """ size=""1"">" & vbNewLine
					Call WriteMessage(SafeMode, MessageLength)
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td valign=""top"" align=""right"">" & vbNewLine
		if mLev = 4 then 
				Call WriteAdmin(T_Topic_ID)
		end if		
		if len(trim(Topic_Message)) > cint(MessageLength) then
Response.Write "		<font face=""" & strDefaultFontFace  & """ size=""" & strFooterFontSize  & """ """ & strDefaultFontColor & """>" & vbNewLine & _
		"		<a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title=""Click here to view the entire document...""><i>more...</i></acronym></a><br>&nbsp;<br>" & vbNewLine & _
		"		</font>" & vbNewLine
		end if
Response.Write "		</td>" & vbNewLine & _					
		"		</tr>" & vbNewLine
end if
Response.Write "		</table>" & vbCrlf & _
		"		</td>" & vbCrlf & _
		"	</tr>" & vbCrlf

case 3 ' ///// Detailed:  Displays topics with message & details next to topic link
		counter = counter + 1
Response.Write "<tr>" & vbNewLine & _
			"		<td valign=""top"">" & vbNewLine & _
			"		<table border=""0"" cellspacing=""0"" cellpadding=""3"" width=""100%"">" & vbCrlf & _
			"		<tr>" & vbCrlf & _
			"		<td valign=""top"" bgcolor=""" & strForumCellColor & """ width=""100%"">" & vbCrlf
						Call WriteOrnament(Ornament, counter)
						Call WriteSubject2(SubjectLength, T_Topic_ID, MessageLength, strLink)
						if Special then
						Call WriteSpecial(Special)
						end if	
Response.Write "		<br>" & vbNewLine
						Call WritePostingDetails()
Response.Write "		<hr color=""" & strHeadCellColor & """ size=""1"">" & vbNewLine
						Call WriteMessage(SafeMode, MessageLength)
Response.Write "		<br>" & vbNewLine
						Call WriteTextBar(strLink)
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbCrlf & _		
		"		</table>" & vbCrlf & _	
		"		<br>" & vbCrlf & _	
		"		</td>" & vbCrlf & _	
		"	</tr>" & vbCrlf
case 4 ' ////// Forum Posts with Text Bar Below:  Displays topics with subject link, details & author's photo/avatar next to message
			counter = counter + 1
Response.Write "	<tr>" & vbNewLine & _
	       "		<td valign=""top"" width=""100%"">" & vbNewLine & _
	       "		<table bordercolor=""#FF0000"" border=""1"" cellspacing=""0"" cellpadding=""3"" width=""100%"">" & vbCrlf & _
	       "		<tr><td bgcolor=""" & strPopupBorderColor & """ colspan=""2""></td></tr>" & vbCrlf & _
	       "		<tr>" & vbCrlf & _
	       "		<td valign=""top"" bgcolor=""" & strAltForumCellColor & """ width=""100%"" colspan=""2"">" & vbCrlf
					Call WriteOrnament(Ornament, counter)
					Call WriteSubject(SubjectLength, T_Topic_ID, MessageLength, strLink)
					if Special then
						Call WriteSpecial(Special)
					end if	

Response.Write  "		<br>" & vbNewLine
						Call WritePostingDetails(T_Topic_ID)
Response.Write  "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td bgcolor=""" & StrPopupBorderColor & """ colspan=""2""></td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td>" & vbNewLine
						Call WritePhotoAvatar(Member_Avatar_URL)
Response.Write  "		</td>" & vbNewLine & _
		"		<td colspan=""2"">" & vbNewLine
						Call WriteMessage(SafeMode, MessageLength)
Response.Write  "		<br><br>" & vbNewLine
						Call WriteTextBar(T_Topic_ID,strLink)
Response.Write  "		</td>" & vbCrlf & _
		"		</tr>" & vbCrlf & _
		"		</table>" & vbCrlf & _	
		"		</td>" & vbCrlf & _	
		"		</tr>" & vbCrlf
case 5 ' ///// Custom:  Return raw data -  So it can be formated using HTML!
	counter = counter + 1
	Response.Write	"<tr><td bgcolor=""" & strTableBorderColor & """ colspan=""3""></td></tr>" & vbNewLine

	Response.Write	"	<tr>" & vbNewLine & _
			"	<td valign=""top"" bgcolor=""" & strCategoryCellColor & """ width=""100%"" colspan=""3"" >" & vbNewLine & _
			"		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize  & """ color=""red"">" & vbNewLine
					Call WriteOrnament(Ornament, counter)
					Call WriteSubject(SubjectLength, T_Topic_ID, MessageLength, strLink)
					if Special then
						Call WriteSpecial(Special)
					end if	

	Response.Write	"		<br>" & vbNewLine
						Call WritePostingDetails(T_Topic_ID)
	Response.Write	"		</font>" & vbNewLine & _
			"		</td>" & vbNewLine & _
			"	</tr>" & vbNewLine & _
			"	<tr><td bgcolor=""" & strAltForumCellColor & """ colspan=""3""></td></tr>" & vbNewLine & _
			"	<tr>" & vbNewLine

	Response.Write	"		<td align=""center"" valign=""top"" width=""1%"" bgcolor=""" & strAltForumCellColor  & """ rowspan=""3"">" & vbNewLine

	Response.Write	"<font face=""" & strFormFontFace & """ size=""2"">"

						Call WritePosterName(T_Topic_ID)

	Response.Write	"</font><br>"

if Member_Avatar > "" then
	Response.Write	"<img width=""" & Member_Avatar_Width & """ height=""" & Member_Avatar_Height & """ src=""" & Member_Avatar & """ border=""0"" vspace=""4"">"
else
	Response.Write	""
end if

	Response.Write	"</td><td width=""99%"" valign=""top"" height=""100%"">" & vbNewLine

	Response.Write	"<font color=""" & strForumFontColor  & """ face=""" & strFormFontFace & """ size=""" & strFooterFontSize  & """ color=""" & strForumFontColor  & """>" & vbNewLine

	Response.Write	FormatStr(Topic_Message)

	Response.Write	"<br></font>" & vbNewLine

	Response.Write  "</td>" & vbNewLine

	Response.Write  "</tr><tr><td bgcolor=""" & strAltForumCellColor & """></td></tr><tr>" & vbNewLine

	Response.Write	"<td bgcolor=""" & strAltForumCellColor & """ width=""100%"" valign=""bottom"">" & vbNewLine

	Response.Write	"<font color=""" & strForumFontColor  & """ face=""" & strFormFontFace & """ size=""" & strFooterFontSize  & """ color=""" & strForumFontColor  & """>" & vbNewLine

			Call WriteTextBar(T_Topic_ID,strLink)

	Response.Write	"</font>" & vbNewLine


	Response.Write  "	</td>" & vbNewLine & _	
			"</tr>" & vbNewLine
case 7 ' ////// 7 = Graphical:  Same as Article but with images for links & table type layout
			counter = counter + 1
Response.Write "	<tr>" & vbCrlf & _
			"		<td width=""100%"" colspan=""99"">" & vbCrlf & _
			"		<table border=""0"" cellspacing=""0"" cellpadding=""3"" width=""100%"">" & vbCrlf & _
			"		<tr>" & vbCrlf & _
			"		<td valign=""middle"" colspan=""3"" bgcolor=""" & strForumCellColor & """ width=""100%"">" & vbCrlf
								Call WriteOrnament(Ornament, counter)
								Call WriteSubject3(SubjectLength, T_Topic_ID, MessageLength)
							if Special then
								Call WriteSpecial(Special)
							end if
Response.Write "		<br>" & vbCrlf
								Call WritePostingDetails2(T_Topic_ID) 
Response.Write "		</td>" & vbCrlf & _
			"		</tr>" & vbCrlf & _
			"		<tr>" & vbCrlf & _
			"		<td valign=""center"" align=""left"" colspan=""3"" bgcolor=""" & strForumCellColor & """>" & vbCrlf
						Call WritePhotoAvatar(Member_Avatar_URL)
						Call WriteMessage(SafeMode, MessageLength)
Response.Write "		</td>" & vbCrlf & _
			"		</tr>" & vbCrlf & _	
			"		<tr>" & vbCrlf
						Call WriteGraphicBar(T_Topic_ID, Member_ID, strLink)
Response.Write "		</tr>" & vbCrlf & _		
			"		</table>" & vbCrlf & _	
			"		<br>" & vbCrlf & _	
			"		</td>" & vbCrlf & _	
			"	</tr>" & vbCrlf
case 8 ' ///// 8 = Graphical 2:  Same as Graphical 1 but w/o avatar/photo
		counter = counter + 1
Response.Write "	<tr>" & vbNewLine & _
		"		<td width=""100%"" colspan=""99"">" & vbCrlf & _
		"		<table cellspacing=""0"" cellpadding=""3"" width=""100%"">" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td valign=""middle"" colspan=""2"" width=""100%"">" & vbNewLine
				Call WriteOrnament(Ornament, counter)
				Call WriteSubject3(SubjectLength, T_Topic_ID, MessageLength)											
				if Special then
					Call WriteSpecial(Special)
				end if	
Response.Write "		<br>" & vbNewLine
						Call WritePostingDetails2(T_Topic_ID)
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td valign=""middle"" colspan=""2"" bgcolor=""" & strForumCellColor  & """>" & vbNewLine
						Call WriteMessage(SafeMode, MessageLength)
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _	
		"		<tr>" & vbNewLine
						Call WriteGraphicBar(T_Topic_ID, Member_ID, strLink)
Response.Write "		</tr>" & vbNewLine & _	
		"		</table>" & vbNewLine & _
		"		<br>" & vbNewLine & _
		"		</td>" & vbNewLine & _
		"	</tr>" & vbNewLine
case 11	' //// Basic:  Displays topics with message next to topic link
			counter = counter + 1
Response.Write "	<tr>" & vbNewLine & _
		"		<td valign=""top"" width=""100%"" colspan=""99"">" & vbNewLine & _
		"		<table border=""0"" cellpadding=""4"" cellspacing=""0"" width=""100%"">" & vbNewLine & _						
		"		<tr>" & vbNewLine & _
		"		<td valign=""middle"" width=""100%"">" & vbNewLine
				Call WriteOrnament(Ornament, counter)
				Call WriteSubject2(SubjectLength, T_Topic_ID, MessageLength, strLink)				
Response.Write "		</td>" & vbCrlf
				if Special then
Response.Write "		<td valign=""middle"" align=""right"">" & vbNewLine
					Call WriteSpecial(Special)
Response.Write "</td>" & vbNewLine
				end if							
Response.Write "		</tr>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td valign=""top"" colspan=" 
		if special then 
Response.Write """2"">" 
		else 
Response.Write """1"">"
		end if						
Response.Write "		<hr color=""" & strHeadCellColor  & """ size=""1"">" & vbNewLine
					Call WriteMessage(SafeMode, MessageLength)
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		<tr>" & vbNewLine
					Call WriteGraphicBar(T_Topic_ID, Member_ID, strLink)
Response.Write "		</tr>" & vbNewLine & _	
		"		</table>" & vbNewLine & _
		"		<br>" & vbNewLine & _
		"		</td>" & vbNewLine & _
		"	</tr>" & vbNewLine
case 12	' //// News Basic:  Displays New Topics with message next to link on article.asp
			counter = counter + 1
Response.Write "	<tr>" & vbNewLine & _
		"		<td valign=""top"" width=""100%"" colspan=""99"">" & vbNewLine & _
		"		<table border=""0"" cellpadding=""4"" cellspacing=""0"" width=""100%"" bgcolor=""" & strForumCellColor & """>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td valign=""middle"" width=""100%"">" & vbNewLine & _			
		"		<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize  & """ color=""" & strDefaultFontColor  & """>" & vbNewLine
					Call WriteOrnament(Ornament, counter)
					Call WriteSubject(SubjectLength, T_Topic_ID, MessageLength, strLink)	' links to article.asp			
Response.Write "		</td>" & vbNewLine
				if Special then
Response.Write "		<td valign=""bottom"" align=""right"">" & vbNewLine
						Call WriteSpecial(Special)
Response.Write "		</td>" & vbNewLine
				end if							
Response.Write "	</tr>" & vbNewLine & _
		"	<tr>" & vbNewLine & _
		"		<td valign=""top"" colspan=" 
		if special then 
Response.Write """2"">" & vbNewLine 
		else 
Response.Write """1"">" & vbNewLine
		end if
Response.Write "		<hr color=""" & strHeadCellColor  & """ size=""1"">" & vbNewLine
						Call WriteMessage(SafeMode, MessageLength)
		if MessageLength = 0 then		
Response.Write "	<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
		"		<a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title=""Click here to view the original document...""><i>view post</i></acronym></a><br>&nbsp;<br></font>" & vbNewLine
	else
Response.Write "		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
		"		<a href=""" & strForumURL & strLink  & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title=""Click here to read more...""><i>more...</i></acronym></a><br>&nbsp;<br></font>" & vbNewLine
end if
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		</table>" & vbNewLine & _
		"		</td>" & vbNewLine & _
		"	</tr>" & vbNewLine
case 13	' //// Article Basic:  Displays New Topics with message next to link on article.asp
			counter = counter + 1
Response.Write "		<tr>" & vbNewLine & _
		"			<td valign=""top"" width=""100%"">" & vbNewLine & _
		"           <table border=""0"" cellpadding=""4"" cellspacing=""0"">" & vbNewLine & _
		"				<tr valign=""top"">" & vbNewLine & _
		"					<td valign=""top"">" & vbNewLine & _			
		"					<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize  & """ color=""" & strDefaultFontColor  & """>" & vbNewLine
								Call WriteOrnament(Ornament, counter)
								Call WriteSubject(SubjectLength, T_Topic_ID, MessageLength, strLink) ' links to article.asp				
Response.Write "				</font>" & vbNewLine & _
		"					</td>" & vbNewLine & _
		"					<td valign=""bottom"" align=""right"" colspan=""1"">" & vbNewLine
								if Special then
									Call WriteSpecial(Special)
								end if							
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td valign=""top"" colspan=""2"">" & vbNewLine & _
		"		<hr color=""" & strHeadCellColor  & """ size=""1"">" & vbNewLine & _
		"		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize  & """ color=""" & strDefaultFontColor  & """>" & vbNewLine
				Call WritePhotoAvatar(Member_Avatar_URL)
					Call WriteMessage(SafeMode, MessageLength)
if MessageLength = 0 then		
Response.Write "		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
		"		<a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title=""Click here to view the original document...""><i>view post</i></acronym></a><br>&nbsp;<br></font>" & vbNewLine
	else
Response.Write "					<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
			"					<a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
			"					<acronym title=""Click here to read more...""><i>more...</i></acronym></a><br>&nbsp;<br></font>" & vbNewLine
end if
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		</table>" & vbNewLine & _
		"		</td>" & vbNewLine & _
		"	</tr>" & vbNewLine
case 14	' ///// News Basic:  Displays New Topics with message next to link on news.asp
			counter = counter + 1
Response.Write "	<tr>" & vbNewLine & _
		"		<td valign=""top"" width=""100%"" colspan=""99"">" & vbNewLine & _
		"		<table border=""0"" cellpadding=""4"" cellspacing=""0"" width=""100%"" bgcolor=""" & strForumCellColor & """>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td valign=""middle"" width=""100%"">" & vbNewLine & _			
		"		<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize  & """ color=""" & strDefaultFontColor  & """>" & vbNewLine
					Call WriteOrnament(Ornament, counter)
					Call WriteSubject(SubjectLength, T_Topic_ID, MessageLength, strLink)	' links to news.asp			
Response.Write "		</td>" & vbNewLine
				if Special then
Response.Write "		<td valign=""bottom"" align=""right"">" & vbNewLine
						Call WriteSpecial(Special)
Response.Write "		</td>" & vbNewLine
				end if							
Response.Write "	</tr>" & vbNewLine & _
		"	<tr>" & vbNewLine & _
		"		<td valign=""top"" colspan=" 
		if special then 
Response.Write """2"">" & vbNewLine 
		else 
Response.Write """1"">" & vbNewLine
		end if
Response.Write "		<hr color=""" & strHeadCellColor  & """ size=""1"">" & vbNewLine
						Call WriteMessage(SafeMode, MessageLength)
		if MessageLength = 0 then		
Response.Write "	<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
		"		<a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title=""Click here to view the original document...""><i>view post</i></acronym></a><br>&nbsp;<br></font>" & vbNewLine
	else
Response.Write "		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
		"		<a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title=""Click here to read more...""><i>more...</i></acronym></a><br>&nbsp;<br></font>" & vbNewLine
end if
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		</table>" & vbNewLine & _
		"		</td>" & vbNewLine & _
		"	</tr>" & vbNewLine
case 15	' /// News Basic:  Displays newss with message next to discussion link 
			counter = counter + 1 
Response.Write "		<tr>" & vbNewLine & _
		"		<td valign=""top"" width=""100%"" colspan=""99"">" & vbNewLine & _
		"			<table border=""0"" cellpadding=""4"" cellspacing=""0"" width=""100%"" bgcolor=""" & strForumCellColor & """>" & vbNewLine & _
		"			<tr>" & vbCrlf & _
		"				<td valign=""middle"" align=""left"" colspan=""1"">" & vbNewLine
					Call WriteOrnament(Ornament, counter) 
					Call WriteSubject(SubjectLength, T_Topic_ID, MessageLength, strLink) 					
Response.Write "		</td>" & vbCrlf
				if Special then
Response.Write "			<td valign=""middle"" align=""right"">" & vbNewLine
					Call WriteSpecial(Special)
Response.Write "</td>" & vbNewLine
				end if							
Response.Write "			</tr>" & vbNewLine & _
		"			<tr>" & vbNewLine & _
		"			<td valign=""top"" colspan=" 
		if special then 
Response.Write """2"">" 
		else 
Response.Write """1"">"
		end if
Response.Write "<hr color=""" & strHeadCellColor & """ size=""1"">" & vbNewLine
				Call WriteMessage(SafeMode, MessageLength)
Response.Write "<br></td>" & vbCrlf & _
		"		</tr>" & vbCrlf & _
		"		<tr>" & vbCrlf	
	if MessageLength = 0 then		
Response.Write "				<td valign=""top"" align=""right"">" & vbNewLine & _
		"			<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
		"			<a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & "#Comments"">" & vbNewLine & _
		"			<acronym title=""Click here to view the original news story...""><i>View News Story</i></acronym></a><br>&nbsp;<br>" & vbNewLine & _
		"			</font>" & vbNewLine & _
		"			</td>" & vbNewLine
	else
Response.Write "			<td valign=""top"" align=""right"">" & vbNewLine & _
		"			<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
		"			<a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & "#Comments"">" & vbNewLine & _
		"			<acronym title=""Click here to join the discussion...""><i>Join the Discussion...</i></acronym></a><br>&nbsp;<br>" & vbNewLine & _
		"			</font></td>" & vbNewLine
end if
Response.Write "			</tr>" & vbNewLine & _
		"			</table>" & vbCrlf & _
		"			</td>" & vbCrlf & _
		"		</tr>" & vbCrlf										
case 21 ' //////////// Split:  Displays topics with links to the message below  //////////// 
if test = "Links" then
Response.Write "		<tr>" & vbNewLine & _
		"		<td valign=""top"" width=""100%"" colspan=""99"">" & vbNewLine & _
		"		<table border=""0"" cellpadding=""4"" cellspacing=""0"" width=""100%"" bgcolor=""" & strForumCellColor & """>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td valign=""top"" width=""100%"">" & vbNewLine
if counter = 0 then
Response.Write "		<a name=""LinkSection""></a>" & vbNewLine
end if
	counter = counter + 1
				Call WriteOrnament(Ornament, Counter)
				Call WriteSubject4(SubjectLength, T_Topic_ID, MessageLength)
				if Special then
					Call WriteSpecial(Special)
				end if
Response.Write "		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine & _
		"		</table>" & vbNewLine & _
		"		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine
if counter = cint(TopicCount) then
		test = "Links Done"
		iTopic = -1
	    counter = 0
' Add a gap between links and messages
Response.Write "		<tr><td valign=""top"" colspan=""3""><br>&nbsp;&nbsp;<br></td></tr>" & vbNewLine

	end if
end if
if test = "Links Done" then 
							counter = counter + 1
Response.Write "		<tr>" & vbNewLine & _
		"		<td valign=""top"" width=""100%"" colspan=""99"">" & vbNewLine & _
		"		<table border=""0"" cellpadding=""4"" cellspacing=""0"" width=""100%"" bgcolor=""" & strForumCellColor & """>" & vbNewLine & _
		"		<tr>" & vbNewLine & _
		"		<td valign=""middle"" width=""100%"" colspan=""99"">" & vbNewLine & _
		"		<a name=""" & T_Topic_ID & """></a>" & vbNewLine
				Call WriteOrnament(Ornament, Counter)
				Call WriteSubject2(SubjectLength, T_Topic_ID, MessageLength, strLink)
Response.Write "		<a href=""#LinkSection"">" & getCurrentIcon(strIconGoUp,"Back to Link-List Contents","border=""0"" align=""right""") & "</a>" & vbNewLine & _
		"		</td>" & vbNewLine & _
		"	</tr>" & vbNewLine & _
		"	<tr>" & vbNewLine & _
		"		<td valign=""top"" colspan=""99"" width=""100%"">" & vbNewLine & _
		"		<hr color=""" & strHeadCellColor  & """ size=""6"" width=""100%"">" & vbNewLine
					Call WriteMessage(SafeMode, MessageLength)
Response.Write "		</td>" & vbCrlf & _
		"		</tr>" & vbCrlf & _	
		"		<tr>" & vbCrlf
						Call WriteGraphicBar(T_Topic_ID, Member_ID, strLink)
Response.Write "		</tr>" & vbCrlf & _		
		"		</table>" & vbCrlf & _	
		"		<br>" & vbCrlf & _	
		"		</td>" & vbCrlf & _	
		"	</tr>" & vbCrlf
end if
case else
Response.Write "		<tr>" & vbNewLine & _
		"		<td align=""center"">" & vbNewLine & _
		"		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize  & """>" & vbNewLine & _
		"		<b>DisplayMode Parameter<br>Out-of-bounds</b>" & vbNewLine & _
		"		</font>" & vbNewLine & _
		"		</td>" & vbNewLine & _
		"		</tr>" & vbNewLine
end select		
			iTopicCount = iTopicCount + 1			
		Next				
' ///////////////////// END MAIN LOOP //////////////
Response.Write "		</table>" & vbNewLine & _
		"	</td>" & vbNewLine & _
		"	</tr>" & vbNewLine & _
		"	</table>" & vbNewLine & _
		"</td>" & vbNewLine & _
		"</tr>" & vbNewLine & _
		"</table>" & vbNewLine
  end if 
 ' The following will only occur if there is an rs, BUT with ForumStatus to 1, returns no records -- they are all hidden/private.
if iTopicCount = "" then
	Response.Write	"		<tr>" & vbNewLine & _
			"		<td bgcolor=""" & StrPopupBorderColor & """></td>" & vbNewLine & _
			"		</tr>" & vbNewLine & _
			"		<tr>" & vbNewLine & _
			"		<td align=""center"" height=""30"">" & vbNewLine & _
			"		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize  & """>" & vbNewLine & _
			"		<b>There are no topics available at this time</b>" & vbNewLine & _
			"		</font>" & vbNewLine & _
			"		</td>" & vbNewLine & _
			"		</tr>" & vbNewLine & _
			"		</table>" & vbNewLine & _
			"	</td>" & vbNewLine & _
			"	</tr>" & vbNewLine & _
			"	</table>" & vbNewLine & _
			"</td>" & vbNewLine & _
			"</tr>" & vbNewLine & _
			"</table>" & vbNewLine
end if 

end sub

Function CheckIsSpecial(DisplaySpecial)
	CheckIsSpecial = ""
	if DisplaySpecial > Session(strCookieURL & "last_here_date") then ' CHECK FOR NEW STATUS
		CheckIsSpecial = getCurrentIcon(strIconNewCD,"","align=""absmiddle"" hspace=""4""")
	end if
			
	if lcase(strHotTopic) = "1" and Topic_Replies >= intHotTopicNum Then ' CHECK FOR HOT STATUS
		CheckIsSpecial = CheckIsSpecial & getCurrentIcon(strIconHotCD,"","align=""absmiddle"" hspace=""4""")
	end if
			
	'if intMI = 14  then ' CHECK FOR SPECIAL STATUS - PUT WHATEVER YOU LIKE HERE
		'CheckIsSpecial = CheckIsSpecial &  getCurrentIcon(getCurrentMsgIcon(intMI),"","hspace=""4"" align=""absmiddle""")		
	'end if
	
	if len(CheckIsSpecial) > 1 then ' Some basic formating...
		DisplaySpecial = getCurrentIcon(strIconBlank20CD,"","") & CheckIsSpecial
	end if
End Function	

Sub WriteOrnament(Ornament, counter)
select case Ornament 
	case 0, 1, 2, 3, 4  ' Plain, Bullet 1, Bullet 2, Graphic 1, Graphic 2, respectively
Response.Write "		" &	strOrnamentDisplay & vbNewLine
	case 5 ' MsgIcon
Response.Write "		" & getCurrentIcon(getCurrentMsgIcon(Topic_MsgIcon),"","hspace=""4"" align=""absmiddle""") & vbNewLine	
	case 6 ' Numbered
		if counter < 10 then
Response.Write "		" & counter & strCounterDelimiter & getCurrentIcon(strIconBlank10CD,"","") & vbNewLine
	else
Response.Write "		" & counter & strCounterDelimiter & getCurrentIcon(strIconBlank3CD,"","") & vbNewLine
		end if
	case 7 ' Numbered Graphic
Response.Write "		<img width=""" & intNumberedGraphicWidth & """ height=""" & intNumberedGraphicHeight  & """ src=""" & strImageURL & counter & strNumberedGraphic  & """ align=""absmiddle"">" & vbNewLine
	case 8 ' Special - as Ornament
Response.Write "			" & strSpecialIcon & vbNewLine
Response.Write "		" & CheckIsSpecial(Topic_Last_Post) & vbNewLine
 	case else
	' do nothing
end select 
End Sub
  
Sub WriteSubject(SubjectLength, T_Topic_ID, MessageLength, strLink) ' ///// Full Subject Features:  Link to Message, Message in Acronym ///////
Response.Write "		<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize  & """ color="" & strDefaultFontColor & "">"
	if SubjectLength = 0 then 	'Checks if SubjectLength is set to zero and doesn't use LEFT function with SubjectLength, if it is...
Response.Write "<b><a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title=""" & server.htmlencode(left(StripAll(Topic_Message),MessageLength)) & " ...click here to read more!"">" & StripAll(Topic_Subject) & "</acronym></a></b>" & vbNewLine
	elseif len(trim(Topic_Subject)) > cint(SubjectLength) then
			AdjustedSubjectLength = SubjectLength - 3
Response.Write "<b><a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title=""" & server.htmlencode(left(StripAll(Topic_Message),MessageLength)) & " ...click here to read more!"">" & Topic_Subject & "</acronym></a></b>" & vbNewLine
	else
Response.Write "<b><a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title=""" & server.htmlencode(left(StripAll(Topic_Message),MessageLength)) & " ...click here to read more!"">" & left(StripAll(Topic_Subject), SubjectLength) & "</acronym></a></b>" & vbNewLine
	end if
Response.Write "		</font>" & vbNewLine
End Sub

Sub WriteSubject2(SubjectLength, T_Topic_ID, MessageLength, strLink) ' ///// Partial Subject Features:  Link to Message ///////
Response.Write "		<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize  & """ color=""" & strDefaultFontColor & """>" & vbNewLine
	if SubjectLength = 0 then 	'Checks if SubjectLength is set to zero and doesn't use LEFT function with SubjectLength, if it is...
Response.Write "		<b><a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title="" ...click here to read more!"">" & StripAll(Topic_Subject) & "</acronym></a></b>" & vbNewLine
	elseif len(trim(Topic_Subject)) > cint(SubjectLength) then
		AdjustedSubjectLength = SubjectLength - 3
Response.Write "		<b><a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		acronym title="" ...click here to read more!"">" &  left(StripAll(Topic_Subject), abs(AdjustedSubjectLength)) & " ...</acronym></a></b>" & vbNewLine
	else
Response.Write "		<b><a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & vbNewLine & _
		"		<acronym title="" ...click here to read more!"">" & left(StripAll(Topic_Subject), SubjectLength) & "</acronym></a></b>" & vbNewLine
	end if
Response.Write "		</font>"
End Sub
							
Sub WriteSubject3(SubjectLength, T_Topic_ID, MessageLength) ' ///// Minimum Subject Features:  No Link/No Acronym - Just Text ///////
Response.Write "		<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize  & """ color=""" & strDefaultFontColor & """>" & vbNewLine
	if SubjectLength = 0 then		'Checks if SubjectLength is set to zero and doesn't use LEFT function with SubjectLength, if it is...
Response.Write "		<b>" & StripAll(Topic_Subject) & "</b>" & vbNewLine							
	elseif len(trim(Topic_Subject)) > cint(SubjectLength) then
		AdjustedSubjectLength = SubjectLength - 3
Response.Write "		<b>" & left(StripAll(Topic_Subject), SubjectLength) & " ...</b>" & vbNewLine	
	else
Response.Write "		<b>" & left(StripAll(Topic_Subject), SubjectLength) & "</b>" & vbNewLine
	end if
Response.Write "		</font>" & vbNewLine
End Sub

Sub WriteSubject4(SubjectLength, T_Topic_ID, MessageLength) ' ///// DisplayMode = 2 Features:  Links to 'in-line' Message ///////
Response.Write "		<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize  & """ color="" & strDefaultFontColor & "">" & vbNewLine
	if SubjectLength = 0 then		'Checks if SubjectLength is set to zero and doesn't use LEFT function with SubjectLength, if it is...
Response.Write "		<a href=""#" & T_Topic_ID & """><acronym title=""Click here to jump to a short preview..."">" & StripAll(Topic_Subject) & "</acronym></a>	" & vbNewLine
	elseif len(trim(Topic_Subject)) > cint(SubjectLength) then
		AdjustedSubjectLength = SubjectLength - 3
Response.Write "		<a href=""#" & T_Topic_ID & """><acronym title=""Click here to jump to a short preview..."">" &  left(StripAll(Topic_Subject), abs(AdjustedSubjectLength)) & " ...</acronym></a>" & vbNewLine	
	else
Response.Write "		<a href=""#" & T_Topic_ID & """><acronym title=""Click here to jump to a short preview..."">" &  left(StripAll(Topic_Subject), SubjectLength) & "</acronym></a>" & vbNewLine	
	end if
Response.Write "		</font>" & vbNewLine
End Sub
							
Sub WriteMessage(SafeMode, MessageLength)  ' ///////// Default:  Uses DisplayMode parameter 'SafeMode'
Response.Write "		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize  & """ color=""" & strDefaultFontColor  & """>" & vbNewLine
	if MessageLength = 0 then
Select Case SafeMode	 ' Sets String Processing Function for Displaying Messages
	case 0 ' Return EXACTLY what is in the database with no processing whatsoever
		Response.Write(Topic_Message)
	case 1 ' Use FormatStr function which is a little safer but keeps most of the formating.
		Response.Write(FormatStr(Topic_Message))
	case 2 ' Use CheckStr function which is what is used in the post.asp file
		Response.Write(ChkString(Topic_Message, "display"))
	case 3 ' Default:  Use new StripAll function which removes all forum code and html tags.  (Safest)
		Response.Write(StripALL(Topic_Message))
	case 4 ' Strips froum code only using the Function stripForumCode
		Response.Write(stripForumCode(Topic_Message))
	case 5 ' Custom:
		Response.Write(StripALL(Topic_Message))
	case else
		Response.Write(StripALL(Topic_Message))
End Select
elseif len(trim(Topic_Message)) > cint(MessageLength) then
			Select Case SafeMode	 ' Sets String Processing Function for Displaying Messages
				case 0 ' Return EXACTLY what is in the database with no processing whatsoever
						Response.Write(left(Topic_Message, MessageLength))
				case 1 ' Use FormatStr function which is a little safer but keeps most of the formating.
						Response.Write(left(FormatStr(Topic_Message), MessageLength))
				case 2 ' Use CheckStr function which is what is used in the post.asp file
						Response.Write(left(ChkString(Topic_Message, "display"), MessageLength))
				case 3 ' Default:  Use new StripAll function which removes all forum code and html tags.  (Safest)
						Response.Write(left(StripALL(Topic_Message), MessageLength))
				case 4 ' Strips froum code only using the Function stripForumCode
						Response.Write(left(stripForumCode(Topic_Message), MessageLength))
				case 5 ' Custom:
						Response.Write(left(StripALL(Topic_Message), MessageLength))
				case else
						Response.Write(left(StripALL(Topic_Message), MessageLength))
			End Select
		Response.Write "...&nbsp;" & vbNewLine
			else
				Select Case SafeMode	 ' Sets String Processing Function for Displaying Messages
					case 0 ' Return EXACTLY what is in the database with no processing whatsoever
							Response.Write(Topic_Message)
					case 1 ' Use FormatStr function which is a little safer but keeps most of the formating.
							Response.Write(FormatStr(Topic_Message))
					case 2 ' Use CheckStr function which is what is used in the post.asp file
							Response.Write(ChkString(Topic_Message, "display"))
					case 3 ' Default:  Use new StripAll function which removes all forum code and html tags.  (Safest)
							Response.Write(StripALL(Topic_Message))
					case 4 ' Strips froum code only using the Function stripForumCode
							Response.Write(stripForumCode(Topic_Message))
					case 5 ' Custom:
							Response.Write(StripALL(Topic_Message))
					case else
							Response.Write(StripALL(Topic_Message))
				End Select 
end if 
Response.Write "		</font>" & vbNewLine
End Sub	

 ' Alternate:  Hardcode to your liking (Replace StripALL with a different Function - In a DisplayMode, Replace WriteMessage w/WriteMessage2)
Sub WriteMessage2(SafeMode, MessageLength)
Response.Write "		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine
	if MessageLength = 0 then
Response.Write		StripALL(Topic_Message)
	elseif len(trim(Topic_Message)) > cint(MessageLength) then
Response.Write		left(StripALL(Topic_Message), MessageLength)
Response.Write "...&nbsp;" & vbNewLine
	else 
Response.Write		StripALL(Topic_Message)
   end if
Response.Write "</font>" & vbNewLine
End Sub
							
Sub WritePostingDetails(T_Topic_ID)
Response.Write "		<i><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumLinkColor & """>" & vbnewLine & _
			"		Topic Posted by:" & vbNewLine
if strUseExtendedProfile then
Response.Write "		<a href=""" & strForumURL & "pop_profile.asp?mode=display&id=" & Topic_Author & """><acronym title=""Who is this person?"">" & Member_Name & "</acronym></a>" & vbNewLine
	else 
Response.Write "		<a href=""JavaScript:openWindow3('" & strForumURL & "pop_profile.asp?mode=display&id=" & Topic_Author & "')""><acronym title=""Who is this person?"">" & Member_Name & "</acronym></a>" & vbNewLine
	end if 	         
Response.Write "		- On: " & ChkDate(Topic_Date, "&nbsp;-&nbsp;At: " ,true) & "<br></i></font>" & vbNewLine
End Sub

Sub WritePosterName(T_Topic_ID)
if strUseExtendedProfile then
Response.Write "		<b><a href=""" & strForumURL & "pop_profile.asp?mode=display&id=" & Topic_Author & """><acronym title=""Who is this person?"">" & Member_Name & "</acronym></a></b>" & vbNewLine
	else 
Response.Write "		<b><a href=""JavaScript:openWindow3('" & strForumURL & "pop_profile.asp?mode=display&id=" & Topic_Author & "')""><acronym title=""Who is this person?"">" & Member_Name & "</acronym></a></b>" & vbNewLine
	end if
End Sub

Sub WritePostingDetails2(T_Topic_ID)
Response.Write "		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strHeaderFontColor & """>" & vbNewLine & _
			"		<i>Posted by" & vbNewLine
		   if strUseExtendedProfile then
Response.Write "		<b><a href=""" &  strForumURL & "pop_profile.asp?mode=display&id=" & Topic_Author & """><acronym title=""Who is this person?"">" &  Member_Name & "</acronym></a></b>" & vbNewLine
		   else
Response.Write "		<b><a href=""JavaScript:openWindow3('" & strForumURL & "pop_profile.asp?mode=display&id=" & Topic_Author & "')""><acronym title=""Who is this person?"">" & Member_Name & "</acronym></a></b>" & vbNewLine
		   end if 	         	         
Response.Write "		on " &  ChkDate(Topic_Date, "&nbsp;:&nbsp;" ,true) & "</i>" & vbnewLine & _
			"		From <a href=""" &  strForumURL & "forum.asp?FORUM_ID=" & T_Forum_ID & "&CAT_ID=" & T_Cat_ID & "&Forum_Title=" & ChkString(Forum_Subject,"urlpath") & """><b><acronym title=""Click here to view this Forum..."">" &  Forum_Subject & "</acronym></a></b></font>" & vbNewLine
End Sub

Sub WriteAdmin(T_Topic_ID)
Response.Write "		<a href=""" & strForumURL & "post.asp?method=EditTopic&TOPIC_ID=" & T_Topic_ID & "&auth=4"">" & vbNewLine & _
				"" & getCurrentIcon(strIconEditCD,"Edit this document","border=""0"" align=""absmiddle"" hspace=""14""") & "</a>"
End Sub

Sub WriteSpecial(Special)
	if Special then 
		strSpecialIcon = getCurrentIcon(strIconSpecialCD,"","hspace=""0"" align=""absmiddle""") 
Response.Write "		" & CheckIsSpecial(Topic_Last_Post) 
	end if
End Sub

 
Sub WritePhotoAvatar(Member_Avatar_URL)
	if Trim(Member_Photo_URL)="" or isnull(Member_Photo_URL) or lcase(Member_Photo_URL)="http://" then
		if not Trim(Member_Avatar_URL)="" or not isnull(Member_Avatar_URL) then
			strPhotoAvatarImage = Member_Avatar_URL
Response.Write "		<img align=""left"" width=""" & intPhotoAvatarWidth & """ height=""" & intPhotoAvatarHeight & """ src=""" & strPhotoAvatarImage & """ border=""0"" hspace=""4"">" & vbNewLine
		end if 
   else
		strPhotoAvatarImage = strPhotoURL
Response.Write "		<img align=""left"" width=""" & intPhotoAvatarWidth & """ height=""" & intPhotoAvatarHeight & """ src=""" & strPhotoAvatarImage & """ border=""0"" hspace=""4"">" & vbNewLine
	end if 
End Sub


Sub WriteTextBar(T_Topic_ID,strLink)
Response.Write  "		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strDefaultFontColor & """>" & vbNewLine & _
		"		<b>[</b> <a href=""" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """><acronym title=""Click here to view the entire document..."">Read more</acronym></a> <b>|</b> <b>" & Topic_Replies & "</b>" & vbnewLine & _ 
		"		<a href=""" & strForumURL & "post.asp?method=Reply&TOPIC_ID=" & T_Topic_ID & """><acronym title=""Click here to reply to this document..."">reply(s)</acronym></a> <b>|</b>" & vbNewLine & _
		"		From <a href=""" & strForumURL & "forum.asp?FORUM_ID=" & T_Forum_ID & "&CAT_ID=" & T_Cat_ID & "&Forum_Title=" & ChkString(Forum_Subject,"urlpath") & """><acronym title=""Click here to view this Forum...""><i><b>" & Forum_Subject & "</i></acronym></a> ]</b></font>" & vbNewLine
End Sub


Sub WriteGraphicBar(T_Topic_ID, Member_ID, strLink)
Response.Write	"		<td valign=""center"" align=""left"" colspan=""99"" bgcolor=""" & strHeadCellColor & """ width=""100%"">" & vbNewLine & _									
			"		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strHeadFontColor & """>" & vbNewLine
			' Jump to content
Response.Write	"		<a href=""" &  strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & """>" & getCurrentIcon(strIconViewDocCD,"View this entire document","border=""0"" align=""absmiddle"" hspace=""6""") & "</a>" & vbNewLine													
			' REPLY
Response.Write	"		&nbsp;<a href=""" &  strForumURL & "post.asp?method=Reply&TOPIC_ID=" & T_Topic_ID & """>" & getCurrentIcon(strIconReplyTopic,"Reply to this document","align=""absmiddle"" hspace=""6""") & "</a>" & vbNewLine												
			' PROFILE
Response.Write	"		&nbsp;" & profileLink(getCurrentIcon(strIconProfile,"Show Profile","align=""absmiddle"" hspace=""6"""),Member_ID) & vbNewLine												
			 ' EMAIL
	if mLev > 2 or (Member_Receive_Email) = "1" then
		if (mlev <> 0) or (mlev = 0 and  strLogonForMail <> "1") then
Response.Write	"		&nbsp;<a href=""JavaScript:openWindow('" & strForumURL & "pop_mail.asp?id=" & Member_ID & "')"">" & getCurrentIcon(strIconEmail,"Send " & Member_Name & " Email","align=""absmiddle"" hspace=""6""") & "</a>" & vbNewLine
		end if
	end if   												
	' HOME PAGE
	if strHomepage = "1" then
		if len(Member_Homepage) > 10 then
Response.Write	"		&nbsp;<a href=""" & (Member_Homepage) & """ target=""_blank"">" & getCurrentIcon(strIconHomepage,"Visit " & Member_Name & "'s Homepage","align=""absmiddle"" hspace=""6""") & "</a>" & vbNewLine
		end if
	end if 											
	' Email to friend
Response.Write "		<a href=""JavaScript:openWindow('" & strForumURL & "pop_send_to_friend.asp?url=" & strForumURL & strLink & "?TOPIC_ID=" & T_Topic_ID & "')"">" & getCurrentIcon(strIconEmailCD,"Email the topic to a friend","align=""absmiddle"" hspace=""6""") & "</a>" & vbnewline												
	' PRINTER FRIENDLY
	if lcase(strShowPrinterFriendly) = "1" and (Topic_Status) < 2 then
Response.Write	"		&nbsp;<a href=""JavaScript:openWindow5('" & strForumURL & "pop_printer_friendly.asp?TOPIC_ID=" & T_Topic_ID & "')"">" & getCurrentIcon(strIconPrint,"","align=""absmiddle""") & "</a>" & vbNewLine
	end if
			if mLev = 4 then 
					call WriteAdmin(T_Topic_ID)
			end if  	
Response.Write	"</font></td>" & vbNewLine
End Sub


Sub WriteHeader(HeaderText) ' Writes text and selected color to Header. Yours to easily customize //////////////////////////

Response.Write	"<tr>" & vbCrlf & _ 
		"	<td valign=""top"" align=""center"" colspan=""99"" width=""100%"">" & vbCrlf & _
		"		<table border=""0"" cellspacing=""0"" width=""100%"" cellpadding=""4"" bgcolor=""" & strHeadCellColor & """>" & vbCrlf & _
		"			<tr>" & vbCrlf & _
		"			<td valign=""top"" align=""left"">" & vbCrlf & _
		"			<font size=""" & strDefaultFontSize & """ color=""" & StrHeadFontColor & """>" & vbCrlf & _
		"			&nbsp;" & HeaderText & "" & vbCrlf & _
		"			</font>" & vbCrlf & _
		"			</td>" & vbCrlf & _
		"			</tr>" & vbCrlf & _
		"		</table>" & vbCrlf & _
		"	</td>" & vbCrlf & _
		"</tr>" & vbCrlf
End Sub
%>