<%
'#################################################################################
'## Copyright (C) 2000-01 Michael Anderson and Pierre Gorissen
'## 
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to 
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## 
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'## 
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'## 
'## Support can be obtained from support forums at:
'## http://forum.snitz.com 
'##
'## Correspondence and Marketing Questions can be sent to:
'## reinhold@bigfoot.com
'## 
'## or
'## 
'## Snitz Communications 
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#################################################################################

bolOverride = chkAUPermissions(strAUAnonOverride)
bolPanel = chkAUPermissions(strAUPAllow)
bolAUPage = chkAUPermissions(strAUAllow)


'## Ls3k - Before we can do anything we need to get rid of those slackers who have left ;)
deleteInactiveUsers()

'## Ls3k - Lest first deal with members logged in - for them we need to join with the members table.
intTotalActiveUsers = 0
intActiveMembers = 0
intActiveAnonMembers = 0
intActiveGuests = 0

strSql = "SELECT ME.MEMBER_ID, ME.M_NAME, ME.M_AUHIDE, ME.M_LEVEL " & _
         "FROM " & strTablePrefix & "ACTIVE_USERS AU, " & strMemberTablePrefix & "MEMBERS ME " & _
         "WHERE AU.MEMBER_ID = ME.MEMBER_ID"
set rsAM = my_conn.execute (strSql)
if rsAM.EOF or rsAM.BOF then
  rsAM.close
  set rsAM = nothing
else
  do until rsAM.EOF
    intTotalActiveUsers = intTotalActiveUsers + 1
    if (rsAM("M_AUHIDE")="1" or isNull(rsAM("M_AUHIDE"))) or strAUAnon = 0 or bolOverride then
      intActiveMembers = intActiveMembers + 1
    else
      intActiveAnonMembers = intActiveAnonMembers + 1
    end if
	rsAM.movenext
  loop
  rsAM.close
  set rsAM = nothing
end if

'## Ls3k - Now lets count those peskey guests.
strSql = "SELECT COUNT(AU_IP) AS CNT FROM " & strTablePrefix & "ACTIVE_USERS WHERE MEMBER_ID = -1"
set rs = my_conn.execute (strSql)
intActiveGuests = rs("CNT")
rs.close
set rs = nothing
intTotalActiveUsers = intTotalActiveUsers + intActiveGuests



'## Ls3k - Ok, now it is time to check the record, cause it would be cool if we broke it!
chkAURecord(intTotalActiveUsers)

  response.write   "		<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & StrForumFontColor & """>" & VBNewLine & _
                   "            [ " & fLang(strLangMOD_Ls3kAU_00010) & ": <b><font color=""" & strForumLinkColor & """>" & intActiveMembers & "</font></b> | " & VBNewLine
   
    response.write "            " & fLang(strLangMOD_Ls3kAU_00020) & ": <b><font color=""" & strForumLinkColor & """>" & intActiveAnonMembers & "</font></b> | " & VBNewLine
    response.write "            " & fLang(strLangMOD_Ls3kAU_00030) & ": <b><font color=""" & strForumLinkColor & """>" & intActiveGuests & "</font></b> ]&nbsp;&nbsp;[ " & VBNewLine & _
                   "            " & fLang(strLangMOD_Ls3kAU_00040) & ": <b><font color=""" & strForumLinkColor & """>" & intTotalActiveUsers & "</font></b>" & VBNewLine & _
		   "		]" & VBNewLine



	'## Forum_SQL - Get newest membername and id from DB

	strSql = "SELECT M_NAME, MEMBER_ID FROM " & strMemberTablePrefix & "MEMBERS " &_
	" WHERE M_STATUS = 1 AND MEMBER_ID > 1 " &_
	" ORDER BY MEMBER_ID desc;"

	Set rs = Server.CreateObject("ADODB.Recordset")
	rs.open TopSQL(strSql,1), my_Conn

	if not rs.EOF then
		NewMember_Name = chkString(rs("M_NAME"), "display")
		NewMember_Id = rs("MEMBER_ID")
	else
		NewMember_Name = ""
	end if

	rs.close
	set rs = nothing

	if NewMember_Name <> "" then 
		Response.Write	"<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & StrForumFontColor & """>&nbsp;[ Newest Member: " & _
				"<font color=""" & strForumLinkColor & """><span class=""spnMessageText"">" & profileLink(NewMember_Name,NewMember_Id) & "</span></font> ]</font>" & vbNewline
	end if




strHost = "http://" & Request.ServerVariables("HTTP_HOST")
strPath = Request.ServerVariables("PATH_INFO")
intPathLen = InStrRev(strPath,"/",-1)
strForumDir = lcase(left(strPath,intPathLen))
strPageName = lcase(Right(strPath,(len(strPath)-intPathLen)))

if IsEmpty(Session(strCookieURL & "last_here_date")) then
	Session(strCookieURL & "last_here_date") = ReadLastHereDate(strDBNTUserName)
end if



if IsEmpty(Session(strCookieURL & "last_here_date")) then
	Session(strCookieURL & "last_here_date") = ReadLastHereDate(strDBNTUserName)
end if

	'## Forum_SQL
	strSql = "SELECT P_COUNT, T_COUNT, U_COUNT " &_
	" FROM " & strTablePrefix & "TOTALS"

	Set rs1 = Server.CreateObject("ADODB.Recordset")
	rs1.open strSql, my_Conn

	if rs1.EOF or rs1.BOF then
	  Users = 0
	  Topics = 0
	  Posts = 0
	else
	  Users = rs1("U_COUNT")
	  Topics = rs1("T_COUNT")
	  Posts = rs1("P_COUNT")
	end if

	rs1.Close
	set rs1 = nothing

	Dim Forum_Count
	Dim NewMember_Name, NewMember_Id, Member_Count
	Dim LastPostDate, LastPostLink

	Forum_Count = intForumCount
	'## Forum_SQL - Get Active membercount from DB 
	strSql = "SELECT COUNT(MEMBER_ID) AS U_COUNT FROM " & strMemberTablePrefix & "MEMBERS WHERE M_POSTS > 0 AND M_STATUS=1"

	set rs = Server.CreateObject("ADODB.Recordset")
	rs.open strSql, my_Conn

	if not rs.EOF then
		Member_Count = rs("U_COUNT")
	else
		Member_Count = 0
	end if

	rs.close
	set rs = nothing

	'## Forum_SQL - Get membercount from DB 
	strSql = "SELECT COUNT(MEMBER_ID) AS U_COUNT FROM " & strMemberTablePrefix & "MEMBERS WHERE M_STATUS=1"

	set rs = Server.CreateObject("ADODB.Recordset")
	rs.open strSql, my_Conn

	if not rs.EOF then
		User_Count = rs("U_COUNT")
	else
		User_Count = 0
	end if

	rs.close
	set rs = nothing

	LastPostDate = ""
 	LastPostLink = ""
	LastPostAuthorLink = ""

	ArchivedPostCount = 0
	ArchivedTopicCount = 0

		'## Forum_SQL
		strSql = "SELECT P_A_COUNT, T_A_COUNT FROM " & strTablePrefix & "TOTALS"

		set rs = Server.CreateObject("ADODB.Recordset")
		rs.open strSql, my_Conn

		if not rs.EOF then
			ArchivedPostCount = rs("P_A_COUNT")
			ArchivedTopicCount = rs("T_A_COUNT")
		else
			ArchivedPostCount = 0
			ArchivedTopicCount = 0
		end if

		rs.Close
		set rs = nothing


	ActiveTopicCount = -1
	if not IsNull(Session(strCookieURL & "last_here_date")) then 
		if not blnHiddenForums then

			'## Forum_SQL - Get ActiveTopicCount from DB
			strSql = "SELECT COUNT(" & strTablePrefix & "TOPICS.T_LAST_POST) AS NUM_ACTIVE " &_
				 " FROM " & strTablePrefix & "TOPICS " &_
				 " WHERE (((" & strTablePrefix & "TOPICS.T_LAST_POST)>'"& Session(strCookieURL & "last_here_date") & "'))" &_
				 " AND " & strTablePrefix & "TOPICS.T_STATUS <= 1"

			set rs = Server.CreateObject("ADODB.Recordset")
			rs.open strSql, my_Conn
			
			if not rs.EOF then
				ActiveTopicCount = rs("NUM_ACTIVE")
			else
				ActiveTopicCount = 0
			end if

			rs.close
			set rs = nothing
		end if
	end if

	Response.Write	"<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """>&nbsp;[&nbsp;" & vbNewline
	if ActiveTopicCount > 0 then
		Response.Write	"<span class=""spnMessageText""><a href=""active.asp"">"
		Response.Write	"<b>" & ActiveTopicCount & "</b> Active "
		if ActiveTopicCount = 1 then
			Response.Write	"Topic"
		else
			Response.Write	"Topics"
		end if
		Response.Write	"</a></span>" & vbNewline
	else
		Response.Write	"<span class=""spnMessageText""><a href=""active.asp"">No Active Topics</a></span>" & vbNewline
	end if
	Response.Write	"&nbsp;]</font><br>" & vbNewline
%>