<%
'#################################################################################
'## Copyright (C) 2000-02 Michael Anderson, Pierre Gorissen,
'##                       Huw Reddick and Richard Kinser
'##
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'##
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'##
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'##
'## Support can be obtained from support forums at:
'## http://forum.snitz.com
'##
'## Correspondence and Marketing Questions can be sent to:
'## reinhold@bigfoot.com
'##
'## or
'##
'## Snitz Communications
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#################################################################################

if (strDBType = "mysql") then
	on error resume next

	if (my_Conn.State = 0) Then
		my_Conn.Open strConnString
	end If

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "CATEGORY "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "CATEGORY ( "
	strSql = strSql & "CAT_ID INT (11) DEFAULT '' NOT NULL auto_increment, "
	strSql = strSql & "CAT_STATUS SMALLINT (6) DEFAULT '1' NOT NULL , "
	strSql = strSql & "CAT_NAME VARCHAR (100) DEFAULT '', "
	strSql = strSql & "CAT_MODERATION int (11) DEFAULT '0', "
	strSql = strSql & "CAT_SUBSCRIPTION int (11) DEFAULT '0', "
	strSql = strSql & "CAT_ORDER int (11) DEFAULT '1', "
	strSql = strSql & "PRIMARY KEY (CAT_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "CATEGORY_CAT_ID(CAT_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "CATEGORY_CAT_STATUS (CAT_STATUS) )"

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "CONFIG "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "CONFIG_NEW "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "CONFIG_NEW ( "
	strSql = strSql & "ID int (11) DEFAULT '' NOT NULL auto_increment, "
	strSql = strSql & "C_VARIABLE VARCHAR (255) , "
	strSql = strSql & "C_VALUE VARCHAR (255),  "
	strSql = strSql & "PRIMARY KEY (ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	'ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "FORUM "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "FORUM ( "
	strSql = strSql & "CAT_ID int (11) DEFAULT '1' NOT NULL , "
	strSql = strSql & "FORUM_ID smallint (6) DEFAULT '0' NOT NULL auto_increment, "
	strSql = strSql & "F_STATUS smallint (6) DEFAULT '1', "
	strSql = strSql & "F_MAIL smallint (6) DEFAULT '1' , "
	strSql = strSql & "F_SUBJECT VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "F_URL VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "F_DESCRIPTION TEXT DEFAULT '' , "
	strSql = strSql & "F_TOPICS int (11) DEFAULT '0' , "
	strSql = strSql & "F_COUNT int (11) DEFAULT '0' , "
	strSql = strSql & "F_LAST_POST VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "F_PASSWORD_NEW VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "F_PRIVATEFORUMS int (11) DEFAULT '0' , "
	strSql = strSql & "F_TYPE smallint (6) DEFAULT '0' , "
	strSql = strSql & "F_IP VARCHAR (15) DEFAULT '000.000.000.000' ,  "
	strSql = strSql & "F_LAST_POST_AUTHOR int (11) DEFAULT '1' ,  "
	strSql = strSql & "F_LAST_POST_TOPIC_ID int (11) DEFAULT '0' ,  "
	strSql = strSql & "F_LAST_POST_REPLY_ID int (11) DEFAULT '0' ,  "
	strSql = strSql & "F_MODERATION int (11) DEFAULT '0', "
	strSql = strSql & "F_SUBSCRIPTION int (11) DEFAULT '0' , "
	strSql = strSql & "F_ORDER int (11) DEFAULT '1' , "
	strSql = strSql & "F_DEFAULTDAYS int (11) DEFAULT '30' , "
	strSql = strSql & "F_COUNT_M_POSTS smallint (6) DEFAULT '1' , "
	strSql = strSql & "F_L_ARCHIVE VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "F_ARCHIVE_SCHED int (11) DEFAULT '30' , "
	strSql = strSql & "F_L_DELETE VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "F_DELETE_SCHED int (11) DEFAULT '365' , "
	strSql = strSql & "F_A_TOPICS int (11) DEFAULT '0' , "
	strSql = strSql & "F_A_COUNT int (11) DEFAULT '0' , "
	strSql = strSql & "F_POLLS int (11) DEFAULT 0 , "
	strSql = strSql & "PRIMARY KEY (CAT_ID, FORUM_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "FORUM_FORUM_ID(FORUM_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "FORUM_CAT_ID(CAT_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strMemberTablePrefix & "MEMBERS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strMemberTablePrefix & "MEMBERS ( "
	strSql = strSql & "MEMBER_ID int (11) DEFAULT '' NOT NULL AUTO_INCREMENT, "
	strSql = strSql & "M_STATUS smallint (6) DEFAULT '0' , "
	strSql = strSql & "M_NAME VARCHAR (75) DEFAULT '' , "
	strSql = strSql & "M_USERNAME VARCHAR (150) DEFAULT '' , "
	strSql = strSql & "M_PASSWORD VARCHAR (65) DEFAULT '' , "
	strSql = strSql & "M_EMAIL VARCHAR (50) DEFAULT '' , "
	strSql = strSql & "M_COUNTRY VARCHAR (50) DEFAULT '' , "
	strSql = strSql & "M_HOMEPAGE VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "M_SIG TEXT DEFAULT '' , "
	strSql = strSql & "M_VIEW_SIG smallint (6) NULL DEFAULT '1' , "
	strSql = strSql & "M_SIG_DEFAULT smallint (6) NULL DEFAULT '1' , "
	strSql = strSql & "M_DEFAULT_VIEW int (11) DEFAULT '1' , "
	strSql = strSql & "M_LEVEL smallint (6) DEFAULT '1' , "
	strSql = strSql & "M_AIM VARCHAR (150) DEFAULT '' , "
	strSql = strSql & "M_ICQ VARCHAR (150) DEFAULT '' , "
	strSql = strSql & "M_MSN VARCHAR (150) DEFAULT '' , "
	strSql = strSql & "M_YAHOO VARCHAR (150) DEFAULT '' , "
	strSql = strSql & "M_POSTS int (11) DEFAULT '0' , "
	strSql = strSql & "M_DATE VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "M_LASTHEREDATE VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "M_LASTPOSTDATE VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "M_TITLE VARCHAR (50) DEFAULT '' , "
	strSql = strSql & "M_SUBSCRIPTION smallint (6) DEFAULT '0' , "
	strSql = strSql & "M_HIDE_EMAIL smallint (6) DEFAULT '0' , "
	strSql = strSql & "M_RECEIVE_EMAIL smallint (6) DEFAULT '1' , "
	strSql = strSql & "M_LAST_IP VARCHAR (15) DEFAULT '000.000.000.000' , "
	strSql = strSql & "M_IP VARCHAR (15) DEFAULT '000.000.000.000' , "
	strSql = strSql & "M_AUHIDE VARCHAR (1) , "
	strSql = strSql & "M_AVATAR_URL VARCHAR (255) , "
	strSql = strSql & "M_AVATAR_WIDTH int (11) DEFAULT 100 , "
	strSql = strSql & "M_AVATAR_HEIGHT int (11) DEFAULT 100 , "
	strSql = strSql & "M_FIRSTNAME VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "M_LASTNAME VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "M_OCCUPATION VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "M_SEX VARCHAR (50) DEFAULT '' , "
	strSql = strSql & "M_AGE VARCHAR (10) DEFAULT '' , "
	strSql = strSql & "M_DOB VARCHAR (8) DEFAULT '' , "
	strSql = strSql & "M_HOBBIES TEXT DEFAULT '' , "
	strSql = strSql & "M_LNEWS TEXT DEFAULT '' , "
	strSql = strSql & "M_QUOTE TEXT DEFAULT '' , "
	strSql = strSql & "M_BIO TEXT DEFAULT '' , "
	strSql = strSql & "M_AVATAR TEXT , "
	strSql = strSql & "M_MARSTATUS VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "M_LINK1 VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "M_LINK2 VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "M_CITY VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "M_STATE VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "M_PHOTO_URL VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "M_KEY VARCHAR (32) DEFAULT '' , "
	strSql = strSql & "M_NEWEMAIL VARCHAR (50) DEFAULT '', "
	strSql = strSql & "M_PWKEY VARCHAR (32) DEFAULT '' , "
	strSql = strSql & "M_SHA256 smallint (6) DEFAULT '1' ,"
	strSql = strSql & "M_PMBLOCKLIST VARCHAR (255) , "
	strSql = strSql & "M_PMEMAIL int (11) DEFAULT 0 , "
	strSql = strSql & "M_PMRECEIVE int (11) DEFAULT 1 , "
	strSql = strSql & "M_PMAUDIOALERT tinyint (1) DEFAULT 1 , "
	strSql = strSql & "PRIMARY KEY (MEMBER_ID), "
	strSql = strSql & "KEY " & strMemberTablePrefix & "MEMBERS_MEMBER_ID (MEMBER_ID) ) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strMemberTablePrefix & "MEMBERS_PENDING "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strMemberTablePrefix & "MEMBERS_PENDING ( "
	strSql = strSql & "MEMBER_ID int (11) DEFAULT '' NOT NULL AUTO_INCREMENT, "
	strSql = strSql & "M_STATUS smallint (6) DEFAULT '0' , "
	strSql = strSql & "M_NAME VARCHAR (75) DEFAULT '' , "
	strSql = strSql & "M_USERNAME VARCHAR (150) DEFAULT '' , "
	strSql = strSql & "M_PASSWORD VARCHAR (65) DEFAULT '' , "
	strSql = strSql & "M_EMAIL VARCHAR (50) DEFAULT '' , "
	strSql = strSql & "M_COUNTRY VARCHAR (50) DEFAULT '' , "
	strSql = strSql & "M_HOMEPAGE VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "M_SIG TEXT DEFAULT '' , "
	strSql = strSql & "M_VIEW_SIG smallint (6) NULL DEFAULT '1' , "
	strSql = strSql & "M_SIG_DEFAULT smallint (6) NULL DEFAULT '1' , "
	strSql = strSql & "M_DEFAULT_VIEW int (11) DEFAULT '1' , "
	strSql = strSql & "M_LEVEL smallint (6) DEFAULT '1' , "
	strSql = strSql & "M_AIM VARCHAR (150) DEFAULT '' , "
	strSql = strSql & "M_ICQ VARCHAR (150) DEFAULT '' , "
	strSql = strSql & "M_MSN VARCHAR (150) DEFAULT '' , "
	strSql = strSql & "M_YAHOO VARCHAR (150) DEFAULT '' , "
	strSql = strSql & "M_POSTS int (11) DEFAULT '0' , "
	strSql = strSql & "M_DATE VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "M_LASTHEREDATE VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "M_LASTPOSTDATE VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "M_TITLE VARCHAR (50) DEFAULT '' , "
	strSql = strSql & "M_SUBSCRIPTION smallint (6) DEFAULT '0' , "
	strSql = strSql & "M_HIDE_EMAIL smallint (6) DEFAULT '0' , "
	strSql = strSql & "M_RECEIVE_EMAIL smallint (6) DEFAULT '1' , "
	strSql = strSql & "M_LAST_IP VARCHAR (15) DEFAULT '000.000.000.000' , "
	strSql = strSql & "M_IP VARCHAR (15) DEFAULT '000.000.000.000' , "
	strSql = strSql & "M_AUHIDE VARCHAR (1) , "
	strSql = strSql & "M_AVATAR_URL VARCHAR (255) , "
	strSql = strSql & "M_AVATAR_WIDTH int (11) DEFAULT 100 , "
	strSql = strSql & "M_AVATAR_HEIGHT int (11) DEFAULT 100 , "
	strSql = strSql & "M_FIRSTNAME VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "M_LASTNAME VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "M_OCCUPATION VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "M_SEX VARCHAR (50) DEFAULT '' , "
	strSql = strSql & "M_AGE VARCHAR (10) DEFAULT '' , "
	strSql = strSql & "M_DOB VARCHAR (8) DEFAULT '' , "
	strSql = strSql & "M_HOBBIES TEXT DEFAULT '' , "
	strSql = strSql & "M_LNEWS TEXT DEFAULT '' , "
	strSql = strSql & "M_QUOTE TEXT DEFAULT '' , "
	strSql = strSql & "M_BIO TEXT DEFAULT '' , "
	strSql = strSql & "M_AVATAR TEXT , "
	strSql = strSql & "M_MARSTATUS VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "M_LINK1 VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "M_LINK2 VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "M_CITY VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "M_STATE VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "M_PHOTO_URL VARCHAR (255) DEFAULT '' , "
	strSql = strSql & "M_KEY VARCHAR (32) DEFAULT '' , "
	strSql = strSql & "M_NEWEMAIL VARCHAR (50) DEFAULT '', "
	strSql = strSql & "M_PWKEY VARCHAR (32) DEFAULT '' , "
	strSql = strSql & "M_APPROVE smallint (6) DEFAULT '' , "
	strSql = strSql & "M_SHA256 smallint (6) DEFAULT '1' , "
	strSql = strSql & "M_PMBLOCKLIST VARCHAR (255) , "
	strSql = strSql & "M_PMEMAIL int (11) DEFAULT 0 ,"
	strSql = strSql & "M_PMRECEIVE int (11) DEFAULT 1 ,"
	strSql = strSql & "PRIMARY KEY (MEMBER_ID) ) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "MODERATOR "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "MODERATOR ( "
	strSql = strSql & "MOD_ID int (11) DEFAULT '' NOT NULL auto_increment, "
	strSql = strSql & "FORUM_ID int (11) DEFAULT '1' , "
	strSql = strSql & "MEMBER_ID int (11) DEFAULT '1'  , "
	strSql = strSql & "MOD_TYPE smallint (6) DEFAULT '0', "
	strSql = strSql & "PRIMARY KEY (MOD_ID))"

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "REPLY "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "REPLY ( "
	strSql = strSql & "CAT_ID int (11) DEFAULT '1' NOT NULL , "
	strSql = strSql & "FORUM_ID int (11) DEFAULT '1' NOT NULL , "
	strSql = strSql & "TOPIC_ID int (11) DEFAULT '1' NOT NULL , "
	strSql = strSql & "REPLY_ID int (11) DEFAULT '' NOT NULL auto_increment, "
	strSql = strSql & "R_MAIL smallint (6) DEFAULT '0' , "
	strSql = strSql & "R_AUTHOR int (11) DEFAULT '1' , "
	strSql = strSql & "R_MESSAGE text , "
	strSql = strSql & "R_DATE VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "R_IP VARCHAR (15) DEFAULT '000.000.000.000', "
	strSql = strSql & "R_STATUS smallint (6) DEFAULT '0', "
	strSql = strSql & "R_LAST_EDIT VARCHAR (14) , " 
	strSql = strSql & "R_LAST_EDITBY int (11) , "
	strSql = strSql & "R_SIG smallint (6) DEFAULT '0', "
	strSql = strSql & "R_MSGICON int (11) DEFAULT 1, "
	strSql = strSql & "PRIMARY KEY (CAT_ID, FORUM_ID, TOPIC_ID, REPLY_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "REPLY_CATFORTOPREPL(CAT_ID,FORUM_ID,TOPIC_ID, REPLY_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "REPLY_REP_ID(REPLY_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "REPLY_CAT_ID(CAT_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "REPLY_FORUM_ID(FORUM_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "REPLY_TOPIC_ID (TOPIC_ID) )"

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "TOPICS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "TOPICS ( "
	strSql = strSql & "CAT_ID int (11) DEFAULT '1' NOT NULL , "
	strSql = strSql & "FORUM_ID int (11) DEFAULT '1' NOT NULL , "
	strSql = strSql & "TOPIC_ID int (11) DEFAULT '' NOT NULL auto_increment, "
	strSql = strSql & "T_STATUS smallint (6) DEFAULT '1' , "
	strSql = strSql & "T_MAIL smallint (6) DEFAULT '0' , "
	strSql = strSql & "T_SUBJECT VARCHAR (100) DEFAULT '' , "
	strSql = strSql & "T_MESSAGE text , "
	strSql = strSql & "T_AUTHOR int (11) DEFAULT '1' , "
	strSql = strSql & "T_REPLIES int (11) DEFAULT '0' , "
	strSql = strSql & "T_UREPLIES int (11) DEFAULT '0' , "
	strSql = strSql & "T_VIEW_COUNT int (11) DEFAULT '0' , "
	strSql = strSql & "T_LAST_POST VARCHAR (14) DEFAULT '' , "
	strSql = strSql & "T_DATE VARCHAR (14) DEFAULT '', "
	strSql = strSql & "T_LAST_POSTER int (11) DEFAULT '1', "
	strSql = strSql & "T_IP VARCHAR (15) DEFAULT '000.000.000.000', " 
	strSql = strSql & "T_LAST_POST_AUTHOR int (11) DEFAULT '1', "
	strSql = strSql & "T_LAST_POST_REPLY_ID int (11) DEFAULT '0', "
	strSql = strSql & "T_ARCHIVE_FLAG int (11) DEFAULT '1', "
	strSql = strSql & "T_ISPOLL int (11) DEFAULT 0 , "
	strSql = strSql & "T_POLLSTATUS int (11) DEFAULT 1 , "
	strSql = strSql & "T_MSGICON int (11) DEFAULT 1 , "
	strSql = strSql & "T_ISEVENT int (11) DEFAULT 0 , "
	strSql = strSql & "T_EVENT_DATE varchar (50) , "
	strSql = strSql & "T_LAST_EDIT VARCHAR (14) , " 
	strSql = strSql & "T_LAST_EDITBY int (11) , " 
	strSql = strSql & "T_STICKY smallint (6) DEFAULT '0', "
	strSql = strSql & "T_SIG smallint (6) DEFAULT '0', "
	strSql = strSql & "PRIMARY KEY (CAT_ID, FORUM_ID, TOPIC_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "TOPIC_CATFORTOP(CAT_ID,FORUM_ID,TOPIC_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "TOPIC_CAT_ID(CAT_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "TOPIC_FORUM_ID(FORUM_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "TOPIC_TOPIC_ID (TOPIC_ID) )"
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "TOTALS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "TOTALS ( "
	strSql = strSql & "COUNT_ID smallint (6) DEFAULT '' NOT NULL auto_increment, "
	strSql = strSql & "P_COUNT int (11) DEFAULT '0' , "
	strSql = strSql & "T_COUNT int (11) DEFAULT '0'  , "
	strSql = strSql & "P_A_COUNT int (11) DEFAULT '0' , "
	strSql = strSql & "T_A_COUNT int (11) DEFAULT '0' , "
	strSql = strSql & "U_COUNT int (11) DEFAULT '0' , "
	strSql = strSql & "PRIMARY KEY (COUNT_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "TOTALS_COUNT_ID (COUNT_ID) ) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "ALLOWED_MEMBERS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "ALLOWED_MEMBERS ("
	strSql = strSql & "MEMBER_ID INT (11) NOT NULL, FORUM_ID smallint (6) NOT NULL , "
	strSql = strSql & "PRIMARY KEY (MEMBER_ID, FORUM_ID) )"

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "SUBSCRIPTIONS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "SUBSCRIPTIONS ("

	strSql = strSql & "SUBSCRIPTION_ID INT (11) NOT NULL auto_increment, MEMBER_ID INT NOT NULL, "
	strSql = strSql & "CAT_ID INT NOT NULL, TOPIC_ID INT NOT NULL, FORUM_ID INT NOT NULL, "
	strSql = strSql & "KEY " & strTablePrefix & "SUBSCRIPTIONS_SUB_ID(SUBSCRIPTION_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "A_TOPICS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "A_TOPICS ( "
	strSql = strSql & "CAT_ID int (11) NOT NULL , "
	strSql = strSql & "FORUM_ID int (11) NOT NULL , "
	strSql = strSql & "TOPIC_ID int (11) NOT NULL, "
	strSql = strSql & "T_STATUS smallint (6) , "
	strSql = strSql & "T_MAIL smallint (6) , "
	strSql = strSql & "T_SUBJECT VARCHAR (100) , "
	strSql = strSql & "T_MESSAGE text , "
	strSql = strSql & "T_AUTHOR int (11) , "
	strSql = strSql & "T_REPLIES int (11) , "
	strSql = strSql & "T_UREPLIES int (11) , "
	strSql = strSql & "T_VIEW_COUNT int (11) , "
	strSql = strSql & "T_LAST_POST VARCHAR (14) , "
	strSql = strSql & "T_DATE VARCHAR (14) , "
	strSql = strSql & "T_LAST_POSTER int (11) , "
	strSql = strSql & "T_IP VARCHAR (15) , " 
	strSql = strSql & "T_LAST_POST_AUTHOR int (11) , "
	strSql = strSql & "T_LAST_POST_REPLY_ID int (11) , "
	strSql = strSql & "T_ARCHIVE_FLAG int (11) , "
	strSql = strSql & "T_ISPOLL int (11) , "
	strSql = strSql & "T_POLLSTATUS int (11) , "
	strSql = strSql & "T_MSGICON int (11) , "
	strSql = strSql & "T_ISEVENT int (11) , "
	strSql = strSql & "T_EVENT_DATE varchar (50) , "
	strSql = strSql & "T_LAST_EDIT VARCHAR (14) , " 
	strSql = strSql & "T_LAST_EDITBY int (11) , " 
	strSql = strSql & "T_STICKY smallint (6) , "
	strSql = strSql & "T_SIG smallint (6) , "
	strSql = strSql & "PRIMARY KEY (CAT_ID, FORUM_ID, TOPIC_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "A_TOPIC_CATFORTOP(CAT_ID,FORUM_ID,TOPIC_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "A_TOPIC_CAT_ID(CAT_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "A_TOPIC_FORUM_ID(FORUM_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "A_TOPIC_TOPIC_ID (TOPIC_ID) )"

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "A_REPLY "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "A_REPLY ( "
	strSql = strSql & "CAT_ID int (11) NOT NULL , "
	strSql = strSql & "FORUM_ID int (11) NOT NULL , "
	strSql = strSql & "TOPIC_ID int (11) NOT NULL , "
	strSql = strSql & "REPLY_ID int (11) NOT NULL, "
	strSql = strSql & "R_STATUS smallint (6) , "
	strSql = strSql & "R_MAIL smallint (6) , "
	strSql = strSql & "R_AUTHOR int (11) , "
	strSql = strSql & "R_MESSAGE text , "
	strSql = strSql & "R_DATE VARCHAR (14) , "
	strSql = strSql & "R_IP VARCHAR (15) , "
	strSql = strSql & "R_LAST_EDIT VARCHAR (14) , " 
	strSql = strSql & "R_LAST_EDITBY int (11) , " 
	strSql = strSql & "R_SIG smallint (6) , "
	strSql = strSql & "R_MSGICON int (11) , "
	strSql = strSql & "PRIMARY KEY (CAT_ID, FORUM_ID, TOPIC_ID, REPLY_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "A_REPLY_CATFORTOPREPL(CAT_ID,FORUM_ID,TOPIC_ID, REPLY_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "A_REPLY_REP_ID(REPLY_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "A_REPLY_CAT_ID(CAT_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "A_REPLY_FORUM_ID(FORUM_ID), "
	strSql = strSql & "KEY " & strTablePrefix & "A_REPLY_TOPIC_ID (TOPIC_ID) )"

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strFilterTablePrefix & "BADWORDS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strFilterTablePrefix & "BADWORDS ( "
	strSql = strSql & "B_ID int (11) NOT NULL auto_increment , "
	strSql = strSql & "B_BADWORD VARCHAR (50), "
	strSql = strSql & "B_REPLACE VARCHAR (50),  "
	strSql = strSql & "PRIMARY KEY (B_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strFilterTablePrefix & "NAMEFILTER "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strFilterTablePrefix & "NAMEFILTER ( "
	strSql = strSql & "N_ID int (11) NOT NULL auto_increment , "
	strSql = strSql & "N_NAME VARCHAR (75),  "
	strSql = strSql & "PRIMARY KEY (N_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "GROUP_NAMES "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "GROUP_NAMES ( "
	strSql = strSql & "GROUP_ID int (11) NOT NULL auto_increment , "
	strSql = strSql & "GROUP_NAME VARCHAR (50) NULL , "
	strSql = strSql & "GROUP_DESCRIPTION VARCHAR (255) NULL , "
	strSql = strSql & "GROUP_ICON VARCHAR (255) NULL , "
	strSql = strSql & "GROUP_IMAGE VARCHAR (255) NULL , "
	strSql = strSql & "PRIMARY KEY (GROUP_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "GROUPS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "CREATE TABLE " & strTablePrefix & "GROUPS ( "
	strSql = strSql & "GROUP_KEY int (11) NOT NULL auto_increment , "
	strSql = strSql & "GROUP_ID int (11) NULL , "
	strSql = strSql & "GROUP_CATID int (11) NULL , "
	strSql = strSql & "PRIMARY KEY (GROUP_KEY)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	'####################################################
	'##                     Mods                       ##
	'####################################################
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "ACTIVE_USERS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "ACTIVE_USERS ( "
	strSql = strSql & "MEMBER_ID int (11), "
	strSql = strSql & "AU_IP varchar (40), "
	strSql = strSql & "AU_LOGINTIME varchar (100), "
	strSql = strSql & "AU_LASTACTIVETIME varchar (100), "
	strSql = strSql & "AU_LASTPAGE varchar (250), "
	strSql = strSql & "AU_QUERYSTRING text, "
	strSql = strSql & "AU_USER_AGENT text) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "BIRTHDAY_TS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "BIRTHDAY_TS ( "
	strSql = strSql & "BT_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "BT_TS varchar (10), "
	strSql = strSql & "PRIMARY KEY (BT_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "MEMBERS_BDATES "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "MEMBERS_BDATES ( "
	strSql = strSql & "MB_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "MEMBER_ID int (11), "
	strSql = strSql & "M_NAME varchar (75), "
	strSql = strSql & "DOB varchar (8), "
	strSql = strSql & "PRIMARY KEY (MB_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "SMILES "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "SMILES ( "
	strSql = strSql & "S_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "S_CODE varchar (15), "
	strSql = strSql & "S_URL varchar (250), "
	strSql = strSql & "S_DESC varchar (250), "
	strSql = strSql & "S_VISIBLE int (11) DEFAULT 1, "
	strSql = strSql & "S_DEFAULT int (11) DEFAULT 1, "
	strSql = strSql & "S_ENABLED varchar (20), "
	strSql = strSql & "S_EXCLUDE int (11) DEFAULT 0, "
	strSql = strSql & "S_COLSPAN int (11) DEFAULT 1, "
	strSql = strSql & "PRIMARY KEY (S_ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "SMILES2 "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "SMILES2 ( "
	strSql = strSql & "S2_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "S2_ALLOWEDIT int (11) DEFAULT 1, "
	strSql = strSql & "PRIMARY KEY (S2_ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "SMILES_CUSTOM "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "SMILES_CUSTOM ( "
	strSql = strSql & "MS_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "MEMBER_ID int (11), "
	strSql = strSql & "S_ID int (11), "
	strSql = strSql & "PRIMARY KEY (MS_ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "COMPLAINTS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "COMPLAINTS ( "
	strSql = strSql & "COMPLAINT_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "CATID int (11) NOT NULL DEFAULT 0, "
	strSql = strSql & "FORUMID int (11) NOT NULL DEFAULT 0, "
	strSql = strSql & "TOPICID int (11) NOT NULL DEFAULT 0, "
	strSql = strSql & "REPLYID int (11) NOT NULL DEFAULT 0, "
	strSql = strSql & "REPORTERID int (11) NOT NULL DEFAULT 0, "
	strSql = strSql & "MESSAGE text, "
	strSql = strSql & "ISTOPIC int (11) NOT NULL, "
	strSql = strSql & "SOLVED int (11) NOT NULL DEFAULT 0, "
	strSql = strSql & "PRIMARY KEY (COMPLAINT_ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "AVATAR "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "AVATAR ( "
	strSql = strSql & "A_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "A_URL varchar (255), "
	strSql = strSql & "A_NAME varchar (50), "
	strSql = strSql & "A_MEMBER_ID int (11) DEFAULT 0, "
	strSql = strSql & "A_WIDTH int (11) DEFAULT 0, "
	strSql = strSql & "A_HEIGHT int (11) DEFAULT 0, "
	strSql = strSql & "PRIMARY KEY (A_ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "BOOKMARKS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "BOOKMARKS ( "
	strSql = strSql & "BOOKMARK_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "B_MEMBERID int (11), "
	strSql = strSql & "B_TOPICID int (11), "
	strSql = strSql & "PRIMARY KEY (BOOKMARK_ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "CAL_EVENTS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "CAL_EVENTS ( "
	strSql = strSql & "TOPIC_ID int (11), "
	strSql = strSql & "EVENT_DATE varchar (50) "
	strSql = strSql & ") "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "ADS_CONTENT "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "ADS_CONTENT ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "TOPIC_ID int (11), "
	strSql = strSql & "NAME varchar (75), "
	strSql = strSql & "EMAIL varchar (50), "
	strSql = strSql & "DATE_POSTED varchar (20), "
	strSql = strSql & "PRICE varchar (20), "
	strSql = strSql & "AD_TITLE varchar (100), "
	strSql = strSql & "ADDRESS varchar (100), "
	strSql = strSql & "CITY varchar (50), "
	strSql = strSql & "STATE varchar (20), "
	strSql = strSql & "ZIP varchar (12), "
	strSql = strSql & "LINK varchar (100), "
	strSql = strSql & "IMAGE_URL varchar (75), "
	strSql = strSql & "ADDED_BY int (11), "
	strSql = strSql & "CONTENT text, "
	strSql = strSql & "PRIMARY KEY (ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "ADS_CATEGORY "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "ADS_CATEGORY ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "CATEGORY_NAME varchar (50), "
	strSql = strSql & "DESCRIPTION text, "
	strSql = strSql & "PRIMARY KEY (ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "FILECAT "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "FILECAT ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "F_CAT varchar (100), "
	strSql = strSql & "PRIMARY KEY (ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "FILEMANAGER "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "FILEMANAGER ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "F_TITLE varchar (255), "
	strSql = strSql & "F_CAT int (11) DEFAULT 0, "
	strSql = strSql & "F_AUTHORID int (11), "
	strSql = strSql & "F_AUTHOR varchar (50), "
	strSql = strSql & "F_VERSION varchar (255), "
	strSql = strSql & "F_DATE varchar (32), "
	strSql = strSql & "F_SNIPPET varchar (200), "
	strSql = strSql & "F_COMPAT varchar (255), "
	strSql = strSql & "F_RATINGCOUNT int (11) DEFAULT 0, "
	strSql = strSql & "F_RATED int (11) DEFAULT 0, "
	strSql = strSql & "F_RATING int (11) DEFAULT 0, "
	strSql = strSql & "F_FORUMLINK varchar (255), "
	strSql = strSql & "F_DOWNLOAD int (11) DEFAULT 0, "
	strSql = strSql & "F_FILELINK varchar (255), "
	strSql = strSql & "F_VALID int (11), "
	strSql = strSql & "F_DESCRIPTION text, "
	strSql = strSql & "F_INSTALLATION text, "
	strSql = strSql & "F_NOTES text, "
	strSql = strSql & "PRIMARY KEY (ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "FILEREVIEWS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "FILEREVIEWS ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "F_ID int (11), "
	strSql = strSql & "F_REVTITLE varchar (255), "
	strSql = strSql & "F_USERNAME varchar (50), "
	strSql = strSql & "F_POSTER_IP varchar (20), "
	strSql = strSql & "F_POST_DATE varchar (32), "
	strSql = strSql & "F_REVDATA text, "
	strSql = strSql & "PRIMARY KEY (ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "FILEVERSION "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "FILEVERSION ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "F_VERSION varchar (50), "
	strSql = strSql & "PRIMARY KEY (ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "MODS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "MODS ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "M_NAME varchar (50), "
	strSql = strSql & "M_CODE varchar (50), "
	strSql = strSql & "M_VALUE text, "
	strSql = strSql & "PRIMARY KEY (ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "GAMES "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "GAMES ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "IMAGEURL varchar (100), "
	strSql = strSql & "NAME varchar (50), "
	strSql = strSql & "GAMEURL varchar (100), "
	strSql = strSql & "DISPLAY varchar (1), "
	strSql = strSql & "PRIMARY KEY (ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "GB_OPTIONS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "GB_OPTIONS ( "
	strSql = strSql & "G_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "G_VARFIELD1 varchar (100), "
	strSql = strSql & "G_VARFIELD2 varchar (100), "
	strSql = strSql & "G_VARFIELD3 varchar (100), "
	strSql = strSql & "G_V1_SWITCH int (11), "
	strSql = strSql & "G_V2_SWITCH int (11), "
	strSql = strSql & "G_V3_SWITCH int (11), "
	strSql = strSql & "G_V1_REQ int (11) DEFAULT 0, "
	strSql = strSql & "G_V2_REQ int (11) DEFAULT 0, "
	strSql = strSql & "G_V3_REQ int (11) DEFAULT 0, "
	strSql = strSql & "G_PAGECOUNT int (11) DEFAULT 10, "
	strSql = strSql & "G_T_MAIL int (11) DEFAULT 0, "
	strSql = strSql & "G_W_MAIL int (11) DEFAULT 0, "
	strSql = strSql & "G_T_AUTHOR varchar (150) DEFAULT 'ADMIN', "
	strSql = strSql & "G_T_REPLYTO varchar (150) DEFAULT 'webmaster@snitz.com', "
	strSql = strSql & "G_MESSAGE text, "
	strSql = strSql & "G_T_MESSAGE text, "
	strSql = strSql & "PRIMARY KEY (G_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "GUESTBOOK "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "GUESTBOOK ( "
	strSql = strSql & "G_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "G_NAME varchar (50), "
	strSql = strSql & "G_EMAIL varchar (100), "
	strSql = strSql & "G_WEBSITE varchar (100), "
	strSql = strSql & "G_ICQ varchar (30), "
	strSql = strSql & "G_DATE varchar (50), "
	strSql = strSql & "G_VARFIELD1 varchar (100), "
	strSql = strSql & "G_VARFIELD2 varchar (100), "
	strSql = strSql & "G_VARFIELD3 varchar (100), "
	strSql = strSql & "G_MESSAGE text, "
	strSql = strSql & "PRIMARY KEY (G_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "IMAGE_ROTATOR "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "IMAGE_ROTATOR ( "
	strSql = strSql & "IMAGE_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "IMAGE_FROM varchar (4), "
	strSql = strSql & "IMAGE_UNTIL varchar (4), "
	strSql = strSql & "IMAGE_DESCRIPTION varchar (50), "
	strSql = strSql & "IMAGE_NAME varchar (100), "
	strSql = strSql & "PRIMARY KEY (IMAGE_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "IPLIST "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "IPLIST ( "
	strSql = strSql & "IPLIST_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "IPLIST_MEMBERID varchar (32) DEFAULT '0', "
	strSql = strSql & "IPLIST_STARTIP varchar (32), "
	strSql = strSql & "IPLIST_STARTDATE varchar (32), "
	strSql = strSql & "IPLIST_ENDDATE varchar (32), "
	strSql = strSql & "IPLIST_COMMENT varchar (255), "
	strSql = strSql & "IPLIST_STATUS varchar (8), "
	strSql = strSql & "IPLIST_DBPAGEKEY varchar (32), "
	strSql = strSql & "PRIMARY KEY (IPLIST_ID)) "
	
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "IPLOG "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "IPLOG ( "
	strSql = strSql & "IPLOG_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "IPLOG_MEMBERID varchar (32) DEFAULT '0', "
	strSql = strSql & "IPLOG_IP varchar (32), "
	strSql = strSql & "IPLOG_PATHINFO varchar (255), "
	strSql = strSql & "IPLOG_DATE varchar (32), "
	strSql = strSql & "PRIMARY KEY (IPLOG_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "PAGEKEYS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "PAGEKEYS ( "
	strSql = strSql & "PAGEKEYS_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "PAGEKEYS_PAGEKEY varchar (32), "
	strSql = strSql & "PRIMARY KEY (PAGEKEYS_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "FILES "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "FILES ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "NAME varchar (100), "
	strSql = strSql & "AUTHOR varchar (100), "
	strSql = strSql & "DESCRIPTION varchar (100), "
	strSql = strSql & "FILESIZE varchar (100), "
	strSql = strSql & "TYPE varchar (100), "
	strSql = strSql & "PLATFORM varchar (100), "
	strSql = strSql & "URL varchar (100), "
	strSql = strSql & "CLICKS int (11) DEFAULT 0, "
	strSql = strSql & "PRIMARY KEY (ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "MY_CONFIG "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "MY_CONFIG ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "MEMBER_ID int (11), "
	strSql = strSql & "THEME_ID int (11) DEFAULT 0, "
	strSql = strSql & "MAX_MY_TOPICS int (11) DEFAULT 5, "
	strSql = strSql & "SHOW_RECENT_TOPICS int (11) DEFAULT 1, "
	strSql = strSql & "SHOW_MY_TOPICS int (11) DEFAULT 1, "
	strSql = strSql & "SHOW_PM int (11) DEFAULT 0, "
	strSql = strSql & "PRIMARY KEY (ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "MAILLIST "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "MAILLIST ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "EMAIL varchar (50), "
	strSql = strSql & "ACTIVE int (11), "
	strSql = strSql & "ACTIVE_TEMP int (11) DEFAULT 1, "
	strSql = strSql & "DATE_CREATED varchar (20), "
	strSql = strSql & "PRIMARY KEY (ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "CUSTOM_POLICY "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "CUSTOM_POLICY ( "
	strSql = strSql & "CP_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "CP_MODE int (11) NOT NULL, "
	strSql = strSql & "CP_CONTENT text, "
	strSql = strSql & "PRIMARY KEY (CP_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "POLLS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "POLLS ( "
	strSql = strSql & "POLL_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "CAT_ID int (11), "
	strSql = strSql & "FORUM_ID int (11), "
	strSql = strSql & "TOPIC_ID int (11), "
	strSql = strSql & "P_WHOVOTES varchar (12) DEFAULT 'everyone', "
	strSql = strSql & "P_LASTVOTE varchar (50), "
	strSql = strSql & "ANSWER1 varchar (100), "
	strSql = strSql & "COUNT1 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER2 varchar (100), "
	strSql = strSql & "COUNT2 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER3 varchar (100), "
	strSql = strSql & "COUNT3 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER4 varchar (100), "
	strSql = strSql & "COUNT4 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER5 varchar (100), "
	strSql = strSql & "COUNT5 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER6 varchar (100), "
	strSql = strSql & "COUNT6 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER7 varchar (100), "
	strSql = strSql & "COUNT7 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER8 varchar (100), "
	strSql = strSql & "COUNT8 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER9 varchar (100), "
	strSql = strSql & "COUNT9 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER10 varchar (100), "
	strSql = strSql & "COUNT10 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER11 varchar (100), "
	strSql = strSql & "COUNT11 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER12 varchar (100), "
	strSql = strSql & "COUNT12 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER13 varchar (100), "
	strSql = strSql & "COUNT13 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER14 varchar (100), "
	strSql = strSql & "COUNT14 int (11) DEFAULT 0, "
	strSql = strSql & "ANSWER15 varchar (100), "
	strSql = strSql & "COUNT15 int (11) DEFAULT 0, "
	strSql = strSql & "PRIMARY KEY (POLL_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "POLL_VOTES "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "POLL_VOTES ( "
	strSql = strSql & "POLL_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "CAT_ID int (11), "
	strSql = strSql & "FORUM_ID int (11), "
	strSql = strSql & "TOPIC_ID int (11), "
	strSql = strSql & "MEMBER_ID int (11), "
	strSql = strSql & "GUEST_VOTE int (11) DEFAULT 0, "
	strSql = strSql & "PRIMARY KEY (POLL_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "SITE_CATS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "SITE_CATS ( "
	strSql = strSql & "CATID int (11) NOT NULL auto_increment, "
	strSql = strSql & "PARENTID smallint (6), "
	strSql = strSql & "IMG varchar (100), "
	strSql = strSql & "TITLE varchar (100), "
	strSql = strSql & "CATDESC text, "
	strSql = strSql & "HITS int (11) DEFAULT 0, "
	strSql = strSql & "FORUM_ID smallint (6), "
	strSql = strSql & "TEMPLATE smallint (6), "
	strSql = strSql & "PRIMARY KEY (CATID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "SITE_LINKS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "SITE_LINKS ( "
	strSql = strSql & "LINKID int (11) NOT NULL auto_increment, "
	strSql = strSql & "CATID smallint (6), "
	strSql = strSql & "NAME varchar (100), "
	strSql = strSql & "URL varchar (100), "
	strSql = strSql & "AUTHOR varchar (100), "
	strSql = strSql & "IMG varchar (100), "
	strSql = strSql & "IMG_TYPE int (11), "
	strSql = strSql & "LINKTYPE int (11), "
	strSql = strSql & "LINKDESC text, "
	strSql = strSql & "SUBMITTEDBY varchar (100), "
	strSql = strSql & "ADDED varchar (100), "
	strSql = strSql & "PRICE varchar (100), "
	strSql = strSql & "HITS int (11) DEFAULT 0, "
	strSql = strSql & "SCORE int (11) DEFAULT 0, "
	strSql = strSql & "VOTES int (11) DEFAULT 0, "
	strSql = strSql & "VALIDATED smallint (6) DEFAULT 0, "
	strSql = strSql & "BADLINK smallint (6) DEFAULT 0, "
	strSql = strSql & "FORUM_TOPIC smallint (6), "
	strSql = strSql & "PRIMARY KEY (LINKID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "PM "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "PM ( "
	strSql = strSql & "M_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "M_SUBJECT varchar (100), "
	strSql = strSql & "M_FROM int (11), "
	strSql = strSql & "M_TO int (11), "
	strSql = strSql & "M_SENT varchar (50), "
	strSql = strSql & "M_MESSAGE text, "
	strSql = strSql & "M_PMCOUNT varchar (50), "
	strSql = strSql & "M_READ int (11) DEFAULT 0, "
	strSql = strSql & "M_MAIL varchar (50), "
	strSql = strSql & "M_OUTBOX smallint (6) DEFAULT 1, "
	strSql = strSql & "PRIMARY KEY (M_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "REV_OPTIONS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "REV_OPTIONS ( "
	strSql = strSql & "G_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "G_V1_SWITCH int (11), "
	strSql = strSql & "G_V2_SWITCH int (11), "
	strSql = strSql & "G_V3_SWITCH int (11), "
	strSql = strSql & "G_R_SHFNT int (11), "
	strSql = strSql & "G_R_SHTBL int (11), "
	strSql = strSql & "G_R_SHIMG int (11), "
	strSql = strSql & "G_REVMARG int (11), "
	strSql = strSql & "G_REVBOXMARG int (11), "
	strSql = strSql & "G_V1_REQ int (11), "
	strSql = strSql & "G_V2_REQ int (11), "
	strSql = strSql & "G_V3_REQ int (11), "
	strSql = strSql & "G_PAGECOUNT int (11), "
	strSql = strSql & "G_T_MAIL int (11), "
	strSql = strSql & "G_W_MAIL int (11), "
	strSql = strSql & "G_SHRBTBL int (11), "
	strSql = strSql & "G_SHRBTTL int (11), "
	strSql = strSql & "G_SHRANKR int (11), "
	strSql = strSql & "G_COLUMNS int (11), "
	strSql = strSql & "G_METH int (11), "
	strSql = strSql & "G_ORD int (11), "
	strSql = strSql & "G_FLD1 text, "
	strSql = strSql & "G_FLD2 text, "
	strSql = strSql & "G_FLD3 text, "
	strSql = strSql & "G_FLD4 text, "
	strSql = strSql & "G_FLD5 text, "
	strSql = strSql & "G_FLDTITLE text, "
	strSql = strSql & "G_FLDDAT text, "
	strSql = strSql & "G_T_AUTHOR varchar (150), "
	strSql = strSql & "G_T_REPLYTO varchar (150), "
	strSql = strSql & "G_LNK varchar (150), "
	strSql = strSql & "G_VARFIELD1 varchar (100), "
	strSql = strSql & "G_VARFIELD2 varchar (100), "
	strSql = strSql & "G_VARFIELD3 varchar (100), "
	strSql = strSql & "G_MESSAGE text, "
	strSql = strSql & "G_T_MESSAGE text, "
	strSql = strSql & "G_LNKS varchar (50), "
	strSql = strSql & "G_LNKF varchar (50), "
	strSql = strSql & "G_LNKC varchar (50), "
	strSql = strSql & "G_LNKA varchar (50), "
	strSql = strSql & "G_LKMES varchar (50), "
	strSql = strSql & "G_RKM varchar (50), "
	strSql = strSql & "G_RKF varchar (50), "
	strSql = strSql & "G_RKS varchar (50), "
	strSql = strSql & "G_RKC varchar (50), "
	strSql = strSql & "G_RKA varchar (50), "
	strSql = strSql & "G_RKM2 varchar (50), "
	strSql = strSql & "G_RKF2 varchar (50), "
	strSql = strSql & "G_RKS2 varchar (50), "
	strSql = strSql & "G_RKC2 varchar (50), "
	strSql = strSql & "G_RKA2 varchar (50), "
	strSql = strSql & "G_RKF3 varchar (50), "
	strSql = strSql & "G_RKS3 varchar (50), "
	strSql = strSql & "G_RKC3 varchar (50), "
	strSql = strSql & "G_RKA3 varchar (50), "
	strSql = strSql & "G_RKF4 varchar (50), "
	strSql = strSql & "G_RKS4 varchar (50), "
	strSql = strSql & "G_RKC4 varchar (50), "
	strSql = strSql & "G_MF varchar (50), "
	strSql = strSql & "G_MS varchar (50), "
	strSql = strSql & "G_MC varchar (50), "
	strSql = strSql & "G_MA varchar (50), "
	strSql = strSql & "G_SETUP int (11), "
	strSql = strSql & "G_SETUP2 int (11), "
	strSql = strSql & "G_BUTCODE int (11), "
	strSql = strSql & "G_PGSW int (11), "
	strSql = strSql & "G_IMGWW int (11), "
	strSql = strSql & "G_IMGWH int (11), "
	strSql = strSql & "G_RITORD int (11), "
	strSql = strSql & "G_RIIORD int (11), "
	strSql = strSql & "G_RIRORD int (11), "
	strSql = strSql & "G_RITSP int (11), "
	strSql = strSql & "G_RIISP int (11), "
	strSql = strSql & "G_RIRSP int (11), "
	strSql = strSql & "G_RISHT int (11), "
	strSql = strSql & "G_RISHV int (11), "
	strSql = strSql & "G_RBREQ int (11), "
	strSql = strSql & "PRIMARY KEY (G_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "REVIEWS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "REVIEWS ( "
	strSql = strSql & "G_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "G_GMEID int (11), "
	strSql = strSql & "G_NAME varchar (50), "
	strSql = strSql & "G_EMAIL varchar (100), "
	strSql = strSql & "G_WEBSITE varchar (100), "
	strSql = strSql & "G_ICQ varchar (30), "
	strSql = strSql & "G_MESSAGE text, "
	strSql = strSql & "G_DATE varchar (50), "
	strSql = strSql & "G_VARFIELD1 varchar (100), "
	strSql = strSql & "G_VARFIELD2 varchar (100), "
	strSql = strSql & "G_VARFIELD3 varchar (100), "
	strSql = strSql & "PRIMARY KEY (G_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "REV "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "REV ( "
	strSql = strSql & "G_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "G_F1 text, "
	strSql = strSql & "G_F2 text, "
	strSql = strSql & "G_F3 text, "
	strSql = strSql & "G_F4 text, "
	strSql = strSql & "G_F5 text, "
	strSql = strSql & "G_F2URL varchar (255), "
	strSql = strSql & "G_F3URL varchar (255), "
	strSql = strSql & "G_TITLE text, "
	strSql = strSql & "G_COMMENTS text, "
	strSql = strSql & "G_RELEASE text, "
	strSql = strSql & "G_IMAGE varchar (255), "
	strSql = strSql & "G_IMAGE2 varchar (255), "
	strSql = strSql & "G_FTSIZE varchar (50), "
	strSql = strSql & "G_F1SIZE varchar (50), "
	strSql = strSql & "G_F2SIZE varchar (50), "
	strSql = strSql & "G_F3SIZE varchar (50), "
	strSql = strSql & "G_F4SIZE varchar (50), "
	strSql = strSql & "G_F5SIZE varchar (50), "
	strSql = strSql & "G_FDATSIZE varchar (50), "
	strSql = strSql & "G_FTCOLOR varchar (50), "
	strSql = strSql & "G_F1COLOR varchar (50), "
	strSql = strSql & "G_F2COLOR varchar (50), "
	strSql = strSql & "G_F3COLOR varchar (50), "
	strSql = strSql & "G_F4COLOR varchar (50), "
	strSql = strSql & "G_F5COLOR varchar (50), "
	strSql = strSql & "G_FDATCOLOR varchar (50), "
	strSql = strSql & "G_FTFONT varchar (50), "
	strSql = strSql & "G_F1FONT varchar (50), "
	strSql = strSql & "G_F2FONT varchar (50), "
	strSql = strSql & "G_F3FONT varchar (50), "
	strSql = strSql & "G_F4FONT varchar (50), "
	strSql = strSql & "G_F5FONT varchar (50) , "
	strSql = strSql & "G_FDATFONT varchar (50), "
	strSql = strSql & "G_FTAN varchar (50), "
	strSql = strSql & "G_F1AN varchar (50), "
	strSql = strSql & "G_F2AN varchar (50), "
	strSql = strSql & "G_F3AN varchar (50), "
	strSql = strSql & "G_F4AN varchar (50), "
	strSql = strSql & "G_F5AN varchar (50), "
	strSql = strSql & "G_FIMGAN varchar (50), "
	strSql = strSql & "G_FRTAN varchar (50), "
	strSql = strSql & "G_FDATAN varchar (50), "
	strSql = strSql & "G_FRPGWIDTH int (11), "
	strSql = strSql & "G_FRPIMGWIDTH int (11), "
	strSql = strSql & "G_FRPIMGHEIGHT int (11), "
	strSql = strSql & "G_FRBWIDTH int (11), "
	strSql = strSql & "G_SHTITLE int (11), "
	strSql = strSql & "G_SHF1 int (11), "
	strSql = strSql & "G_SHF2 int (11), "
	strSql = strSql & "G_SHF3 int (11), "
	strSql = strSql & "G_SHF4 int (11), "
	strSql = strSql & "G_SHF5 int (11), "
	strSql = strSql & "G_SHDAT int (11), "
	strSql = strSql & "G_SHIMG int (11), "
	strSql = strSql & "G_SHRB int (11), "
	strSql = strSql & "G_SHRT int (11), "
	strSql = strSql & "G_SHTITLENM int (11), "
	strSql = strSql & "G_SHF1NM int (11), "
	strSql = strSql & "G_SHF2NM int (11), "
	strSql = strSql & "G_SHF3NM int (11), "
	strSql = strSql & "G_SHF4NM int (11), "
	strSql = strSql & "G_SHF5NM int (11), "
	strSql = strSql & "G_SHDATNM int (11), "
	strSql = strSql & "G_TVSP int (11), "
	strSql = strSql & "G_F1VSP int (11), "
	strSql = strSql & "G_F2VSP int (11), "
	strSql = strSql & "G_F3VSP int (11), "
	strSql = strSql & "G_F4VSP int (11), "
	strSql = strSql & "G_F5VSP int (11), "
	strSql = strSql & "G_IMGVSP int (11), "
	strSql = strSql & "G_RBVSP int (11), "
	strSql = strSql & "G_DTVSP int (11), "
	strSql = strSql & "G_RATVSP int (11), "
	strSql = strSql & "G_THORD int (11), "
	strSql = strSql & "G_F1HORD int (11), "
	strSql = strSql & "G_F2HORD int (11), "
	strSql = strSql & "G_F3HORD int (11), "
	strSql = strSql & "G_F4HORD int (11), "
	strSql = strSql & "G_F5HORD int (11), "
	strSql = strSql & "G_IMGHORD int (11), "
	strSql = strSql & "G_RBHORD int (11), "
	strSql = strSql & "G_DATHORD int (11), "
	strSql = strSql & "G_RTHORD int (11), "
	strSql = strSql & "G_SAD int (11), "
	strSql = strSql & "PRIMARY KEY (G_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "RATINGS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "RATINGS ( "
	strSql = strSql & "RATINGID int (11) NOT NULL auto_increment, "
	strSql = strSql & "RATING varchar (50), "
	strSql = strSql & "IP varchar (50), "
	strSql = strSql & "RMEID varchar (50), "
	strSql = strSql & "PRIMARY KEY (RATINGID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "RULES "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "RULES ( "
	strSql = strSql & "RULES_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "RULES_TITLE varchar (100) NOT NULL, "
	strSql = strSql & "RULES_DESCRIPTION text NOT NULL, "
	strSql = strSql & "RULES_ORDER int (11) NOT NULL DEFAULT 1, "
	strSql = strSql & "PRIMARY KEY (RULES_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "AVATAR2 "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "AVATAR2 ( "
	strSql = strSql & "A_HSIZE int (11), "
	strSql = strSql & "A_WSIZE int (11), "
	strSql = strSql & "A_BORDER int (11) "
	strSql = strSql & ") "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "SITESTAT "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "SITESTAT ( "
	strSql = strSql & "SITESTAT_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "SITESTAT_YEAR int (11), "
	strSql = strSql & "SITESTAT_MONTH int (11), "
	strSql = strSql & "SITESTAT_TODAY int (11), "
	strSql = strSql & "SITESTAT_MONTH_COUNT int (11), "
	strSql = strSql & "SITESTAT_DAY_COUNT int (11), "
	strSql = strSql & "SITESTAT_MONTH_VISITOR int (11), "
	strSql = strSql & "SITESTAT_DAY_VISITOR int (11), "
	strSql = strSql & "SITESTAT_YESTERDAY_VISITOR int (11), "
	strSql = strSql & "SITESTAT_YESTERDAY_COUNT int (11), "
	strSql = strSql & "PRIMARY KEY (SITESTAT_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "TETRIS "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "TETRIS ( "
	strSql = strSql & "USERID int (11) NOT NULL auto_increment, "
	strSql = strSql & "USERNAME varchar (50), "
	strSql = strSql & "USERPASSWORD varchar (70), "
	strSql = strSql & "PLAYINGTIMES int (11) DEFAULT 0, "
	strSql = strSql & "HIGHESTSCORE int (11) DEFAULT 0, "
	strSql = strSql & "PRIMARY KEY (USERID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "NOTES "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "NOTES ( "
	strSql = strSql & "ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "NOTE_IMAGE varchar (255), "
	strSql = strSql & "NOTE_TEXT varchar (100), "
	strSql = strSql & "NOTE_URL varchar (255), "
	strSql = strSql & "NOTE_FONT varchar (20), "
	strSql = strSql & "NOTE_SIZE smallint (6), "
	strSql = strSql & "NOTE_COLOR varchar (100), "
	strSql = strSql & "NOTE_WEIGHT varchar (1), "
	strSql = strSql & "NOTE_ALIGN varchar (14), "
	strSql = strSql & "NOTE_ENABLED int (11) DEFAULT 0, "
	strSql = strSql & "NOTE_IMAGE_TOP smallint (6), "
	strSql = strSql & "NOTE_IMAGE_RIGHT smallint (6), "
	strSql = strSql & "NOTE_TEXT_TOP smallint (6), "
	strSql = strSql & "NOTE_TEXT_RIGHT smallint (6), "
	strSql = strSql & "PRIMARY KEY (ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "IR_BA "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "IR_BA ( "
	strSql = strSql & "IR_BA_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "IR_BA_DEFINITION varchar (255), "
	strSql = strSql & "IR_BA_IMAGE varchar (255), "
	strSql = strSql & "IR_BA_IMAGE_WIDTH int (11), "
	strSql = strSql & "IR_BA_IMAGE_HEIGHT int (11), "
	strSql = strSql & "IR_BA_URL varchar (255), "
	strSql = strSql & "IR_BA_URLON int (11), "
	strSql = strSql & "IR_BA_TIME varchar (255), "
	strSql = strSql & "IR_BA_CLIENT int (11), "
	strSql = strSql & "IR_BA_LANGUAGE varchar (50), "
	strSql = strSql & "IR_BA_WEIGHT int (11), "
	strSql = strSql & "IR_BA_IMPRESSIONS int (11), "
	strSql = strSql & "IR_BA_CLICKS int (11), "
	strSql = strSql & "IR_BA_IMPRESSIONS_STAT int (11), "
	strSql = strSql & "IR_BA_CLICKS_STAT int (11), "
	strSql = strSql & "IR_BA_STARTDATE varchar (50), "
	strSql = strSql & "IR_BA_ENDDATE int (50), "
	strSql = strSql & "PRIMARY KEY (IR_BA_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "IR_BA_CLIENT "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "CREATE TABLE " & strTablePrefix & "IR_BA_CLIENT ( "
	strSql = strSql & "IR_BA_CLIENT_ID int (11) NOT NULL auto_increment, "
	strSql = strSql & "IR_BA_CLIENT_NAME varchar (255), "
	strSql = strSql & "IR_BA_CLIENT_EMAIL varchar (255), "
	strSql = strSql & "IR_BA_CLIENT_ADDRESS varchar (255), "
	strSql = strSql & "IR_BA_CLIENT_ADDRESS2 varchar (255), "
	strSql = strSql & "IR_BA_CLIENT_TOWN varchar (255), "
	strSql = strSql & "IR_BA_CLIENT_STATE varchar (255), "
	strSql = strSql & "IR_BA_CLIENT_ZIP varchar (255), "
	strSql = strSql & "IR_BA_CLIENT_COUNTRY varchar (255), "
	strSql = strSql & "IR_BA_CLIENT_TEL varchar (255), "
	strSql = strSql & "IR_BA_CLIENT_CONTACT varchar (255), "
	strSql = strSql & "PRIMARY KEY (IR_BA_CLIENT_ID)) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	

	'#####################################################
	'## Insert Default Configuration Data Into Database ##
	'#####################################################
%>
	<!--#INCLUDE FILE="inc_create_forum_configvalues.asp"-->
<%
	'#######################################
	'## Insert Default Data Into Database ##
	'#######################################

	strSql = "INSERT INTO " & strTablePrefix & "CATEGORY(CAT_STATUS, CAT_NAME) VALUES(1, 'Snitz Forums 2000')"

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strMemberTablePrefix & "MEMBERS (M_STATUS, M_NAME, M_USERNAME, M_PASSWORD, M_EMAIL, M_COUNTRY, "
	strSql = strSql & "M_HOMEPAGE, M_LINK1, M_LINK2, M_PHOTO_URL, M_SIG, M_VIEW_SIG, M_DEFAULT_VIEW, M_LEVEL, M_AIM, M_ICQ, M_MSN, M_YAHOO, "
	strSql = strSql & "M_POSTS, M_DATE, M_LASTHEREDATE, M_LASTPOSTDATE, M_TITLE, M_SUBSCRIPTION, "
	strSql = strSql & "M_HIDE_EMAIL, M_RECEIVE_EMAIL, M_LAST_IP, M_IP, M_AVATAR_WIDTH, M_AVATAR_HEIGHT, M_PMEMAIL, M_PMRECEIVE, M_PMAUDIOALERT) "
	strSql = strSql & "VALUES(1, '" & strAdminName & "', '" & strAdminName & "', '" & strAdminPassword & "', 'yourmail@server.com', ' ', ' ', ' ', ' ', ' ', ' ', 1, 1, 3, ' ', ' ', ' ', ' ', "
	strSql = strSql & "1, '" & strCurrentDateTime & "', '" & strlhDateTime & "', '" & strCurrentDateTime & "', 'Forum Admin', '0', '0', 1, '000.000.000.000', '000.000.000.000', "
	strSql = strSql & "100, 100, 0, 1, 1)"

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "FORUM(CAT_ID, F_STATUS, F_MAIL, F_SUBJECT, F_URL, F_DESCRIPTION, F_TOPICS, F_COUNT, F_LAST_POST, "
	strSql = strSql & "F_PASSWORD_NEW, F_PRIVATEFORUMS, F_TYPE, F_IP, F_LAST_POST_AUTHOR, F_LAST_POST_TOPIC_ID, F_LAST_POST_REPLY_ID, F_POLLS) "
	strSql = strSql & "VALUES(1, 1, '0', 'Testing Forums', '', 'This forum gives you a chance to become more familiar with how this product responds to different features and keeps testing in one place instead of posting tests all over. Happy Posting! [:)]', "
	strSql = strSql & "1, 1, '" & strCurrentDateTime & "', '', '0', '0', '000.000.000.000', 1, 1, 0, 0) "

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "TOPICS (CAT_ID, FORUM_ID, T_STATUS, T_MAIL, T_SUBJECT, T_MESSAGE, T_AUTHOR, "
	strSql = strSql & "T_REPLIES, T_UREPLIES, T_VIEW_COUNT, T_LAST_POST, T_DATE, T_LAST_POSTER, T_IP, T_LAST_POST_AUTHOR, T_LAST_POST_REPLY_ID, T_ARCHIVE_FLAG, "
	strSql = strSql & "T_ISPOLL, T_POLLSTATUS, T_MSGICON, T_ISEVENT) "
	strSql = strSql & "VALUES(1, 1, 1, '0', 'Welcome to Snitz Forums 2000', 'Thank you for downloading the Snitz Forums 2000. We hope you enjoy this great tool to support your organization!" & CHR(13) & CHR(10) & CHR(13) & CHR(10) &"Many thanks go out to John Penfold &lt;asp@asp-dev.com&gt; and Tim Teal &lt;tteal@tealnet.com&gt; for the original source code and to all the people of Snitz Forums 2000 at http://forum.snitz.com for continued support of this product.', "
	strSql = strSql & "1, '0', '0', '0', '" & strCurrentDateTime & "', '" & strCurrentDateTime & "', '0', '000.000.000.000', 1, 0, 1, "
	strSql = strSql & "0, 1, 1, 0)"

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "TOTALS (COUNT_ID, P_COUNT, T_COUNT, U_COUNT) "
	strSql = strSql & "VALUES(1,1,1,1)"

	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strFilterTablePrefix & "BADWORDS (B_BADWORD, B_REPLACE) VALUES ('fuck','****')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strFilterTablePrefix & "BADWORDS (B_BADWORD, B_REPLACE) VALUES ('wank','****')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strFilterTablePrefix & "BADWORDS (B_BADWORD, B_REPLACE) VALUES ('shit','****')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strFilterTablePrefix & "BADWORDS (B_BADWORD, B_REPLACE) VALUES ('pussy','*****')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strFilterTablePrefix & "BADWORDS (B_BADWORD, B_REPLACE) VALUES ('cunt','****')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "GROUP_NAMES (GROUP_NAME,GROUP_DESCRIPTION) VALUES ('All Categories you have access to','All Categories you have access to')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "GROUP_NAMES (GROUP_NAME,GROUP_DESCRIPTION) VALUES ('Default Categories','Default Categories')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "GROUPS (GROUP_ID, GROUP_CATID) VALUES (2,1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "BIRTHDAY_TS (BT_TS) VALUES ('01/01/1900')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES2 (S2_ALLOWEDIT) VALUES (1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	'############################### Begin Smilie Mod Updates ###########################################
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('alien_125.gif', '[:-alien]', 'yes', 1, 'Alien_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('angel_125.gif', '[:-angel]', 'yes', 1, 'Angel_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('apple_125.gif', '[:-apple]', 'yes', 1, 'Apple_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('ashamed_125.gif', '[:-ashamed]', 'yes', 1, 'Ashamed_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('banghead_125.gif', '[:-banghead]', 'yes', 1, 'Banghead_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('baseball_125.gif', '[:-baseball]', 'yes', 1, 'Baseball_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('basketball_125.gif', '[:-basketball]', 'yes', 1, 'Basketball_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('batman_125.gif', '[:-batman]', 'yes', 1, 'Batman_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('bigeyes_125.gif', '[:-bigeyes]', 'yes', 1, 'Bigeyes_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('bigeyes2_125.gif', '[:-bigeyes2]', 'yes', 1, 'Bigeyes2_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('bigmouth_125.gif', '[:-bigmouth]', 'yes', 1, 'Bigmouth_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('blindfold_125.gif', '[:-blindfold]', 'yes', 1, 'Blindfold_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('boggled_125.gif', '[:-boggled]', 'yes', 1, 'Boggled_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('boring_125.gif', '[:-boring]', 'yes', 1, 'Boring_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('bouncy_125.gif', '[:-bouncy]', 'yes', 1, 'Bouncy_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('brokenheart_125.gif', '[:-brokenheart]', 'yes', 1, 'Brokenheart_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('bulb_125.gif', '[:-bulb]', 'yes', 1, 'Bulb_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('bunny_125.gif', '[:-bunny]', 'yes', 1, 'Bunny_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('captain_125.gif', '[:-captain]', 'yes', 1, 'Captain_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('censored_125.gif', '[:-censored]', 'yes', 1, 'Censored_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('chef_125.gif', '[:-chef]', 'yes', 1, 'Chef_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('clock_125.gif', '[:-clock]', 'yes', 1, 'Clock_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('clover_125.gif', '[:-clover]', 'yes', 1, 'clover_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('clown_125.gif', '[:-clown]', 'yes', 1, 'clown_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('cold_125.gif', '[:-cold]', 'yes', 1, 'Cold_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('cowboy_125.gif', '[:-cowboy]', 'yes', 1, 'Cowboy_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('crazy_125.gif', '[:-crazy]', 'yes', 1, 'Crazy_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('cry_125.gif', '[:-cry]', 'yes', 1, 'Cry_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('cyclops_125.gif', '[:-cyclops]', 'yes', 1, 'Cyclops_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('devil_125.gif', '[:-devil]', 'yes', 1, 'Devil_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('disguise_125.gif', '[:-disguise]', 'yes', 1, 'Disguise_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('dog_125.gif', '[:-dog]', 'yes', 1, 'Dog_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('doggy_125.gif', '[:-doggy]', 'yes', 1, 'Doggy_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('dopey_125.gif', '[:-dopey]', 'yes', 1, 'Dopey_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('drool_125.gif', '[:-drool]', 'yes', 1, 'Drool_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('drunk_125.gif', '[:-drunk]', 'yes', 1, 'Drunk_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('dunce_125.gif', '[:-dunce]', 'yes', 1, 'Dunce_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('eyebrows_125.gif', '[:-eyebrows]', 'yes', 1, 'Eyebrows_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('fight_125.gif', '[:-fight]', 'yes', 1, 'Fight_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('football_125.gif', '[:-football]', 'yes', 1, 'Football_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('ghost_125.gif', '[:-ghost]', 'yes', 1, 'Ghost_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('glasses_125.gif', '[:-glasses]', 'yes', 1, 'Glasses_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('Gnasher_125.gif', '[:-gnasher]', 'yes', 1, 'Gnasher_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('goldfish_125.gif', '[:-goldfish]', 'yes', 1, 'Goldfish_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('golf_125.gif', '[:-golf]', 'yes', 1, 'Golf_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('graduate_125.gif', '[:-graduate]', 'yes', 1, 'Graduate_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('grumpy_125.gif', '[:-grumpy]', 'yes', 1, 'Grumpy_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('headache_125.gif', '[:-headache]', 'yes', 1, 'Headache_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('headphones_125.gif', '[:-headphones]', 'yes', 1, 'Headphones_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('hearts_125.gif', '[:-hearts]', 'yes', 1, 'Hearts_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('hockey_125.gif', '[:-hockey]', 'yes', 1, 'Hockey_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('hot_125.gif', '[:-hot]', 'yes', 1, 'Hot_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('hypnotized_125.gif', '[:-hypnotized]', 'yes', 1, 'Hypnotized_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('idea_125.gif', '[:-idea]', 'yes', 1, 'Idea_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('indifferent_125.gif', '[:-indifferent]', 'yes', 1, 'Indifferent_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('irked_125.gif', '[:-irked]', 'yes', 1, 'Irked_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('jester_125.gif', '[:-jester]', 'yes', 1, 'Jester_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('jump_125.gif', '[:-jump]', 'yes', 1, 'Jump_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('jump2_125.gif', '[:-jump2]', 'yes', 1, 'Jump2_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('jump2refection_125.gif', '[:-jumprefect]', 'yes', 1, 'jumprefect_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('king_125.gif', '[:-king]', 'yes', 1, 'King_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('kitty_125.gif', '[:-kitty]', 'yes', 1, 'Kitty_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('knockout_125.gif', '[:-knockout]', 'yes', 1, 'Knockout_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('love_125.gif', '[:-love]', 'yes', 1, 'Love_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('magnify_125.gif', '[:-magnify]', 'yes', 1, 'Magnify_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('masked_125.gif', '[:-masked]', 'yes', 1, 'Masked_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('mean_125.gif', '[:-mean]', 'yes', 1, 'Mean_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('mischievous_125.gif', '[:-mischievous]', 'yes', 1, 'Mischievous_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('mohawk_125.gif', '[:-mohawk]', 'yes', 1, 'Mohawk_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('moptop_125.gif', '[:-moptop]', 'yes', 1, 'Moptop_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('mouse_125.gif', '[:-mouse]', 'yes', 1, 'Mouse_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('mummy_125.gif', '[:-mummy]', 'yes', 1, 'Mummy_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('nonono_125.gif', '[:-nonono]', 'yes', 1, 'Nonono_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('ouch_125.gif', '[:-ouch]', 'yes', 1, 'Ouch_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('paperbag_125.gif', '[:-paperbag]', 'yes', 1, 'Paperbag_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('party_125.gif', '[:-party]', 'yes', 1, 'Party_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('piggy_125.gif', '[:-piggy]', 'yes', 1, 'Piggy_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('pirate_125.gif', '[:-pirate]', 'yes', 1, 'Pirate_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('propeller_125.gif', '[:-propeller]', 'yes', 1, 'Propeller_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('psst_125.gif', '[:-psst]', 'yes', 1, 'Psst_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('pumpkin_125.gif', '[:-pumpkin]', 'yes', 1, 'Pumpkin_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('scared_125.gif', '[:-scared]', 'yes', 1, 'Scared_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('shades_125.gif', '[:-shades]', 'yes', 1, 'Shades_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('shake_125.gif', '[:-shake]', 'yes', 1, 'Shake_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('sick_125.gif', '[:-sick]', 'yes', 1, 'Sick_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('sing_125.gif', '[:-sing]', 'yes', 1, 'Sing_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('skull_125.gif', '[:-skull]', 'yes', 1, 'Skull_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('slaphappy_125.gif', '[:-slaphappy]', 'yes', 1, 'Slaphappy_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('sleep_125.gif', '[:-sleep]', 'yes', 1, 'Sleep_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('slug_125.gif', '[:-slug]', 'yes', 1, 'Slug_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('sly_125.gif', '[:-sly]', 'yes', 1, 'Sly_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('smgreen_125.gif', '[:-smile_green]', 'yes', 1, 'Smgreen_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('smirk_125.gif', '[:-smirk]', 'yes', 1, 'Smirk_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('snooty_125.gif', '[:-snooty]', 'yes', 1, 'Snooty_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('snorkel_125.gif', '[:-snorkel]', 'yes', 1, 'Snorkel_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('soccer_125.gif', '[:-soccer]', 'yes', 1, 'soccer_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('sonar_125.gif', '[:-sonar]', 'yes', 1, 'Sonar_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('sour_125.gif', '[:-sour]', 'yes', 1, 'Sour_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('spin_125.gif', '[:-spin]', 'yes', 1, 'Spin_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('splat_125.gif', '[:-splat]', 'yes', 1, 'Splat_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('star_125.gif', '[:-star]', 'yes', 1, 'Star_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('tophat_125.gif', '[:-tophat]', 'yes', 1, 'Tapedshut_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('tapedshut_125.gif', '[:-taped]', 'yes', 1, 'Tapedshut_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('thumbdn_125.gif', '[:-thumbd]', 'yes', 1, 'Thumbdn_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('thumbup_125.gif', '[:-thumbu]', 'yes', 1, 'Thumbup_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('tiger_125.gif', '[:-tiger]', 'yes', 1, 'Tiger_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('timebomb_125.gif', '[:-timebm]', 'yes', 1, 'Timebomb_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('toast_125.gif', '[:-toast]', 'yes', 1, 'Toast_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('tongue_125.gif', '[:-tong2]', 'yes', 1, 'Tongue_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('tophat_125.gif', '[:-tophat]', 'yes', 1, 'Tophat_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('turtle_125.gif', '[:-turtle]', 'yes', 1, 'Turtle_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('vampire_125.gif', '[:-vamp]', 'yes', 1, 'Vampire_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_viking.gif', '[:-viking]', 'yes', 1, 'Viking_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('weeping_125.gif', '[:-weepn]', 'yes', 1, 'Weeping_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('williamtell_125.gif', '[:-wiltel]', 'yes', 1, 'Williamtell_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('witch_125.gif', '[:-witch]', 'yes', 1, 'Witch_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('xmas_125.gif', '[;-xmas]', 'yes', 1, 'Xmas_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('yawn_125.gif', '[:-yawn]', 'yes', 1, 'Yawn_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('yuck_125.gif', '[:-yuck]', 'yes', 1, 'Yuck_125', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_angry.gif', '[:(!]', 'yes', 1, 'Angry', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_blackeye.gif', '[B)]', 'yes', 1, 'Black Eye', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_dead.gif', '[xx(]', 'yes', 1, 'Dead', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_dead.gif', '[XX(]', 'yes', 0, 'Dead', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_shock.gif', '[:O]', 'yes', 1, 'Shock', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_shock.gif', '[:o]', 'yes', 0, 'Shock', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_shock.gif', '[:0]', 'yes', 0, 'Shock', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_blush.gif', '[:I]', 'yes', 1, 'Blush', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_sad.gif', '[:(]', 'yes', 1, 'Sad', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_shy.gif', '[8)]', 'yes', 1, 'Shy', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile.gif', '[:)]', 'yes', 1, 'Smile', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_evil.gif', '[}:)]', 'yes', 1, 'Evil', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_big.gif', '[:D]', 'yes', 1, 'Big Smile', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_cool.gif', '[8D]', 'yes', 1, 'Cool', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_sleepy.gif', '[|)]', 'yes', 1, 'Sleepy', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_clown.gif', '[:o)]', 'yes', 1, 'Clown', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_clown.gif', '[:O)]', 'yes', 0, 'Clown', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_clown.gif', '[:0)]', 'yes', 0, 'Clown', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_tongue.gif', '[:P]', 'yes', 1, 'Tongue', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_tongue.gif', '[:p]', 'yes', 0, 'Tongue', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_wink.gif', '[;)]', 'yes', 1, 'Wink', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_8ball.gif', '[8]', 'yes', 1, 'Eight Ball', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_question.gif', '[?]', 'yes', 1, 'Question', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_approve.gif', '[^]', 'yes', 1, 'Approve', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_disapprove.gif', '[V]', 'yes', 1, 'Disapprove', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_disapprove.gif', '[v]', 'yes', 0, 'Disapprove', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_kisses.gif', '[:X]', 'yes', 1, 'Kisses', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "SMILES (S_URL, S_CODE, S_ENABLED, S_VISIBLE, S_DESC, S_COLSPAN) VALUES ('icon_smile_kisses.gif', '[:x]', 'yes', 0, 'Kisses', 1)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	'######################## End Smilie Mod Updates ###############################
	
	strSql = "INSERT INTO " & strTablePrefix & "ADS_CATEGORY (CATEGORY_NAME, DESCRIPTION) VALUES ('Antiques', 'Coins, Furniture, Instruments, Collectibles, more...')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "ADS_CATEGORY (CATEGORY_NAME, DESCRIPTION) VALUES ('Computers', 'Accessories, Desktop, Laptop, more...')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "ADS_CATEGORY (CATEGORY_NAME, DESCRIPTION) VALUES ('Real Estate', 'Apartments, Condos, more...')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "ADS_CATEGORY (CATEGORY_NAME, DESCRIPTION) VALUES ('Automobiles', 'Cars, Imports, Motocycles, more...')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "ADS_CATEGORY (CATEGORY_NAME, DESCRIPTION) VALUES ('Wanted', 'Merchandise, Services,  more...')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "ADS_CATEGORY (CATEGORY_NAME, DESCRIPTION) VALUES ('Relationships', 'Man seeking Woman, Woman seeking man, etc...')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('Default')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('Administrative Tools')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('Communication and Email')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('Membership Management')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('Content & Management')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('Add-Ons')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('Graphics & Images')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('Design & Layout')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('Pre-Modified')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('* Official Releases')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILECAT (F_CAT) VALUES ('* Official Beta\'s')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILEVERSION (F_VERSION) VALUES ('Windows')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILEVERSION (F_VERSION) VALUES ('Mac')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILEVERSION (F_VERSION) VALUES ('Linux')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "FILEVERSION (F_VERSION) VALUES ('Any')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('Attachment', 'faMaxSize', '10240')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('Attachment', 'faAllowedForums', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('Attachment', 'faExtensions', '.zip:.rar:.mdb:.txt:.asp:.gif:.jpg:.bmp')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('language', 'de', 'German')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('language', 'en', 'English')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('language', 'es', 'Spanish')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('language', 'fr', 'French')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('language', 'ja', 'Japanese')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('language', 'ko', 'Korean')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('language', 'zh', 'Chinese')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('HModEnable', 'AllowAvatars', '0')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('HModEnable', 'CurrencySymbol', '$')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('HModEnable', 'MailPassword', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('HModEnable', 'UseFileLibrary', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('Attachment', 'attach', 'uploaded')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('Attachment', 'filelibrary', 'library')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('Attachment', 'updatelibrary', 'library')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()

	strSql = "INSERT INTO " & strTablePrefix & "MODS (M_NAME, M_CODE, M_VALUE) VALUES ('Attachment', 'my_upload', 'uploaded')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GAMES (IMAGEURL, NAME, GAMEURL, DISPLAY) VALUES ('./flash/spankmonkey_logo.gif', 'Spank Monkey', './flash/spankmonkey.swf', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GAMES (IMAGEURL, NAME, GAMEURL, DISPLAY) VALUES ('./flash/solitaire_logo.gif', 'Solitaire', './flash/solitaire.swf', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GAMES (IMAGEURL, NAME, GAMEURL, DISPLAY) VALUES ('./flash/shangai_dynasty_logo.gif', 'Shangai Dynasty', './flash/shangai_dynasty.swf', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GAMES (IMAGEURL, NAME, GAMEURL, DISPLAY) VALUES ('./flash/pingpong_logo.gif', 'Ping Pong', './flash/pingpong.swf', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GAMES (IMAGEURL, NAME, GAMEURL, DISPLAY) VALUES ('./flash/flash_sprint_logo.gif', 'Flash Sprint', './flash/flash_sprint.swf', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GAMES (IMAGEURL, NAME, GAMEURL, DISPLAY) VALUES ('./flash/black_jack_logo.gif', 'Blackjack', './flash/ace_blackjack.swf', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GAMES (IMAGEURL, NAME, GAMEURL, DISPLAY) VALUES ('./flash/ace_poker_logo.gif', 'Ace Poker', './flash/flash_poker.swf', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GAMES (IMAGEURL, NAME, GAMEURL, DISPLAY) VALUES ('./flash/hexxagon_logo.gif', 'Hexxagon', './flash/hexxagon.swf', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GAMES (IMAGEURL, NAME, GAMEURL, DISPLAY) VALUES ('./flash/pacman_logo.gif', 'Pac Man', './flash/pacman.swf', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GAMES (IMAGEURL, NAME, GAMEURL, DISPLAY) VALUES ('./flash/9ball_logo.gif', '9 Ball', './flash/9ball.swf', '1')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "GB_OPTIONS (G_VARFIELD1, G_VARFIELD2, G_VARFIELD3, G_V1_SWITCH, G_V2_SWITCH, G_V3_SWITCH, G_V1_REQ, G_V2_REQ, G_V3_REQ, G_PAGECOUNT, G_T_MAIL, G_W_MAIL, G_T_AUTHOR, G_T_REPLYTO, G_MESSAGE, G_T_MESSAGE) VALUES ('ab', 'ab', 'ab', '0', '0', '0', '0', '0', '0', '5', '0', '0', 'ADMIN', 'webmaster@snitz.com', ' ', 'Thank you for signing my Guestbook')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "CUSTOM_POLICY (CP_MODE, CP_CONTENT) VALUES (0, 'Your custom policy here')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
		
	strSql = "INSERT INTO " & strTablePrefix & "SITE_CATS (PARENTID, TITLE, CATDESC) VALUES (0, 'Example Top Level Category', 'This category is a demo to give you an idea of what this script can do.')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
		
	strSql = "INSERT INTO " & strTablePrefix & "SITE_CATS (PARENTID, TITLE, CATDESC) VALUES (1, 'Example 2nd Level Category', 'This category is a demo to give you an idea of what this script can do.')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
		
	strSql = "INSERT INTO " & strTablePrefix & "SITE_LINKS (CATID, NAME, URL, LINKDESC, AUTHOR, SUBMITTEDBY, ADDED) VALUES (0, 'Example Link', 'http://forum.snitz.com', 'This link is a demo to give you and idea of what this script can do.', 'admin', 'admin', '20010407232054')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/anamasinger.gif', 'Girl Singer 01', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/arabman.gif', 'Arab Man', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/astronautswing.gif', 'Astronaut Golfer', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/baker.gif', 'Baker', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/balancingplates.gif', 'Plate Spiner', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/bgkeepcool.gif', 'Keep It Cool', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/calvin.gif', 'Calvin Boom', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/camper.gif', 'Camping Fun', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/cavejam.gif', 'Cave Jam', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/cjcan4ani.gif', 'Death With Candle', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/cjmysticskull.gif', 'Follow The Skull', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/cjsmballani.gif', 'Lightning Ball', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/cobratoon.gif', 'Cartoon Cobra', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/computerhead.gif', 'Computer Head', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/coolcow.gif', 'Cool Cow', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/coolsmile.gif', 'Cool Smile', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/couchpotato.gif', 'Couch Potato', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/cow.gif', 'Cow', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/dazedboxer.gif', 'Dazed Boxer', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/demon.gif', 'Demon 001', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/demon5.gif', 'Demon 005', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/detective.gif', 'Detective', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/discodiva.gif', 'Disco Diva', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/doctorjudy.gif', 'Doctor Judy', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/dove.gif', 'Dove', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/dragonblack.gif', 'Dragon', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/drumsblue.gif', 'Drum Set Blue', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/duck_head.gif', 'Duck Head', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/dukefrange.gif', 'Duke Frange', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/earthspin.gif', 'Earth Spin', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/fireman.gif', 'Fire Man', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/frontendloader.gif', 'Front End Loader', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/gangster.gif', 'Gangster', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/gardener.gif', 'Gardener', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/gardener2.gif', 'Gardener 2', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/garfieldcat.gif', 'Garfield', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/gatling.gif', 'Gatling', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/geekpants.gif', 'Geek Pants', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/golferputt.gif', 'Golfer Putt', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/golfpin.gif', 'Golf Pin', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/harleydavidson.gif', 'Harleydavidson Bike', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/hockeypuck.gif', 'Hockey Puck', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/hummer.gif', 'Hummer', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/irishkid.gif', 'Irish Kid', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/janitor.gif', 'Janitor', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/jerry_camel.gif', 'Jerry Camel', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/jingles.gif', 'Jingles', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/jollyrogerbig.gif', 'Jollyroger Big', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/jumpingtobid.gif', 'Jumping To Bid', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/justhanging.gif', 'Just Hanging Out', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/kunosword.gif', 'Kuno Sword', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/lifeguard.gif', 'Life Guard', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/lumberjack.gif', 'Lumber Jack', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/martialart.gif', 'Martialart', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/mathstudent.gif', 'Math Student', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/mechanic.gif', 'Mechanic', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/mime.gif', 'Mime', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/monk.gif', 'Monk', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/nascarwin.gif', 'Nascar Win', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/ninja.gif', 'Ninja', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/oldman.gif', 'Old Man', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/oldusedshield.gif', 'Old Used Shield', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/omarscratch.gif', 'Omar Scratch', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/professor.gif', 'Professor', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/punkrocker.gif', 'Punk Rocker', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/racinghelmet.gif', 'Racing Helmet', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/reftouchdown.gif', 'Ref Touch Down', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/rockclimber.gif', 'Rock Climber', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/sailorsaluting.gif', 'Sailor Saluting', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/sbpirate.gif', 'Pirate Flag', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/secretservice.gif', 'Secret Service', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/sherrif.gif', 'Sherrif', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/shgrskull.gif', 'Shgr Skull', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/sittinggirl.gif', 'Sitting Girl', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/skeleton3.gif', 'Skeleton Dance', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/skydiver.gif', 'Sky Diver', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/smoking_gun.gif', 'Smoking Gun', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/soldierfiring.gif', 'Soldier Firing', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/spaceboyrckt.gif', 'Space Boy', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/spacewalker.gif', 'Space Walker', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/spiningsword.gif', 'Spining Sword', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/stickman.gif', 'Stick Man', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/stuckintraffic.gif', 'Stuck In Traffic', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/swordsclash.gif', 'Swords Clash', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/tubbytoober.gif', 'Tubby Toober', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/unclesam.gif', 'Uncle Sam', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/winkingdevil.gif', 'Winking Devil', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/wizard.gif', 'Wizard', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/wizard2.gif', 'Wizard 2', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR (A_URL, A_NAME, A_MEMBER_ID, A_WIDTH, A_HEIGHT) VALUES ('./avatars/yocco.gif', 'Yocco', '0', '100', '100')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "AVATAR2 (A_HSIZE, A_WSIZE, A_BORDER) VALUES (100, 100, 0)"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	strSql = "INSERT INTO " & strTablePrefix & "PAGEKEYS (PAGEKEYS_PAGEKEY) VALUES ('post.asp')"
	my_Conn.Execute (strSql),,adCmdText + adExecuteNoRecords
	ChkDBInstall()
	
	on error goto 0

end if

sub ChkDBInstall()
	for counter = 0 to my_Conn.Errors.Count -1
		ConnErrorNumber = my_Conn.Errors(counter).Number
		ConnErrorDescription = my_Conn.Errors(counter).Description

		if ConnErrorNumber <> 0 or Err.Number <> 0 then 
			Err_Msg = "<tr><td bgColor=""red"" align=""left"" width=""30%""><font face=""Verdana, Arial, Helvetica"" size=""2""><b>Error: " & ConnErrorNumber & "</b></font></td>"
			Err_Msg = Err_Msg & "<td bgColor=""lightsteelblue"" align=""left""><font face=""Verdana, Arial, Helvetica"" size=""2"">" & ConnErrorDescription & "</font></td></tr>"
			Err_Msg = Err_Msg & "<tr><td bgColor=""red"" align=""left"" width=""30%""><font face=""Verdana, Arial, Helvetica"" size=""2""><b>strSql: </b></font></td>"
			Err_Msg = Err_Msg & "<td bgColor=""lightsteelblue"" align=""left""><font face=""Verdana, Arial, Helvetica"" size=""2"">" & strSql & "</font></td></tr>"	

			Response.Write(Err_Msg)
			intCriticalErrors = intCriticalErrors + 1
		end if
	next
	my_Conn.Errors.Clear 
end sub
%>