<%
'function isEmptyNull(x)				' function isEmptyNull : returns TRUE if the parameter is empty or null or null string
'
'function DoesUserFieldExist(fMemberID,FUSerFieldID)	' return true if field for member has been given a a value
'
'function getUserFieldValue(fUser_Field_ID,fMemberID)	' return the value of field fUser_Field_ID for fMemberID
'
'sub inputUserFieldsInRegistrationOrProfile()		' display User Field 
'
'sub showUserFieldsInProfile()			' display current field values for member ppMember_ID
'
'sub updateUserFieldsInProfile(memID)	' UPDATE or INSERT user fields for memID using values from request.Form
'
'sub postUserFieldsInRegister(memID)	' INSERT user fields for memID using values from request.Form
'
'sub chkUserFieldsInRegister()			' checks for non-optional data, gives errors if not filled by user
'
'##############################################################################################


' function isEmtyNull : returns TRUE if the parameter is empty or null or null string
function isEmptyNull(x)
	if (isEmpty (x)) or (isNull (x)) or (trim(x)="")  then
		isEmptyNull = true
	else
		isEmptyNull = false
	end if
end function


' these were in inc_functions.asp
'Rem XXXMOD User Field Code #######################################
function DoesUserFieldExist(fMemberID,FUSerFieldID)
dim fieldSQL, rsGetFields
	fieldSQL = "SELECT * FROM " & strMemberTablePrefix & "MEMBERFIELDS WHERE " & strMemberTablePrefix & "MEMBERFIELDS.USR_FIELD_ID=" & FUSerFieldID 
	fieldSQL = fieldSQL & " AND " & strMemberTablePrefix & "MEMBERFIELDS.MEMBER_ID=" & fMemberID
	set rsGetFields = my_Conn.Execute(fieldSQL)
	DoesUserFieldExist = not rsGetFields.EOF
	rsGetFields.Close
end function

function getUserFieldValue(fUser_Field_ID,fMemberID)
dim strSql, rsgetUserFieldValue
	if fMemberID = 0 then
		getUserFieldValue = ""
	else
		strSql = "SELECT " & strMemberTablePrefix & "MEMBERFIELDS.USR_VALUE "
		strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERFIELDS "
		strSql = strSql & " WHERE " & strMemberTablePrefix & "MEMBERFIELDS.USR_FIELD_ID = " & fUser_Field_ID
		strSql = strSql & " AND " & strMemberTablePrefix & "MEMBERFIELDS.MEMBER_ID = " & fMemberID 
		set rsgetUserFieldValue = my_Conn.Execute(strSql)
		if Not (rsgetUserFieldValue.EOF AND rsgetUserFieldValue.BOF) then
			getUserFieldValue = rsgetUserFieldValue("USR_VALUE")
		else
			getUserFieldValue = ""
		end if
		rsgetUserFieldValue.close
	end if
end function

' these were in inc_profile.asp

sub inputUserFieldsInRegistrationOrProfile()
dim arrScript, strScript, memID, Conn, rs2, fieldValue, fieldDefault, fieldShortName, arrTemp, strTempVal, intTemp, strTemp1
dim rsTest, strTempColor
	Response.write vbNewLine & "<!-- Start User Fields Code intUserFields=" & intUserFields & " -->" & vbNewLine
	if (intUserFields = "1") then 
		'set Conn = Server.CreateObject("ADODB.Connection")
		'Conn.Open strConnString
		Set rs2 = Server.CreateObject("ADODB.Recordset")
		set rs2 = my_Conn.Execute("SELECT * FROM " & strMemberTablePrefix & "USERFIELDS ORDER BY USR_FIELD_ID")
		if rs2.EOF AND rs2.BOF then
			'no records, so skip it
		else
			arrScript = split(request.servervariables("SCRIPT_NAME"),"/")
			strScript = arrScript(ubound(arrScript))
			if strScript = "pop_profile.asp" then ' calling from pop_profile, so there is member_id
				memID = cInt(RS("MEMBER_ID"))
			else ' calling from register, so there is NO member_id
				memID = 0
			end if
			Response.write	"<tr><td align=""center"" bgcolor=""" & strCategoryCellColor & """ colspan=""2"">"
			Response.write	"<b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """>Optional User Information</font></b>"
			Response.write	"</td></tr>" &_
							"<tr><td colspan=""2""></td></tr>"
			do while not rs2.EOF
			  if (rs2("USR_PRIVATE") = "1" or rs2("USR_PRIVATE") = "2") and not ((mLev = 4) or (tmpMemberID=MemberID)) then
				' it is private/admin only, AND it is not the owner or admin, so do not show it
			  else
				fieldValue = getUserFieldValue(rs2("USR_FIELD_ID"), memID)
				fieldDefault = trim(rs2("USR_DEFAULT"))
				fieldShortName = rs2("USR_SHORTNAME")
				Response.write vbNewLine & "<!-- User Fields Code Field=" & fieldValue & " -->" & vbNewLine
				' if no value then use default (if any defined)
				if (isEmptyNull(fieldValue)) AND NOT(isEmptyNull(fieldDefault)) then
					fieldValue = fieldDefault
				end if
				Response.Write "<tr><td valign=""top"" align=""right"" bgColor=""" & strPopUpTableColor & """><b>" & vbNewLine
				' if the field is not optional, then put the red asterix
				if isEmptyNull(rs2("USR_OPTIONAL")) OR (rs2("USR_OPTIONAL")="0") then	'red
					Response.Write "<font color=""#ff0000"" size=""" & strHeaderFontSize & """>*&nbsp;</font>"
				elseif rs2("USR_OPTIONAL")<>"1" then
					select case rs2("USR_OPTIONAL")
					case "2" strTempColor = "#0000FF"	'blue
					case "3" strTempColor = "#00FF00"	'green
					case "4" strTempColor = "#FF00FF"	'magenta
					case "5" strTempColor = "#FFFF00"	'cyan
					case "6" strTempColor = "#00FFFF"	'yellow
					end select
					Response.Write "<font color=""" & strTempColor & """ size=""" & strHeaderFontSize & """>*&nbsp;</font>"
				end if
				' put the label and description (if exists)
				Response.Write "<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & chkString(rs2("USR_LABEL"),"display") & ":</font></b>"
				if not(isEmptyNull(rs2("USR_DESC"))) then 
					response.write "<br><font size=""-2"">" & chkString(rs2("USR_DESC"),"display") & "</font>"
				end if
				' next column: the form elements for user input
				Response.Write "</td>" & vbNewLine &_
				"<td valign=""top"" bgColor=""" & strPopUpTableColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine
				select case rs2("USR_FIELDTYPE")
				case "S"	' Simple Text Box
					Response.write "<INPUT name=""" & rs2("USR_SHORTNAME") & """ size=""20"" value=""" & fieldValue & """></font></td>"
				case "T"	' Multi-line Text Box (textarea)
				Response.Write	"<textarea maxLength=""255"" name=" & rs2("USR_SHORTNAME") &_
				" cols=""30"" rows=4>" & fieldValue & "</textarea></td>"
				case "C"	' CheckBox
					Response.write "<font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" &_
					"<INPUT name=""" & rs2("USR_SHORTNAME") & """ type=""checkbox"" value=""1"" " 
					If fieldValue = "1" then Response.write "checked"
					Response.write "></font></td>"
				case "O"	' Select-Option Box
					Response.write " <SELECT name=""" & fieldShortName & """ size=""1"">"
					arrTemp = split(rs2("USR_VALUES"),"|")
					strTempVal = fieldValue
					response.write "  <option value="""">==Select One</option>" & vbNewLine
					for intTemp = lbound(arrTemp) to ubound(arrTemp)
						strTemp1 = arrTemp(intTemp)
						response.write "  <option"
						if (strTempVal = strTemp1) then
							response.write " selected"
						end if
						response.write ">" & strTemp1 & "</option>" & vbNewLine
					next
					Response.write " </SELECT>"
				case "M"	' Multi-Select-Option Box
					Response.write " <SELECT name=""" & fieldShortName & """ size=""4"" multiple>"
					arrTemp = split(rs2("USR_VALUES"),"|")
					strTempVal = fieldValue
					if isEmptyNull(strTempVal) then
						strTempVal = null
					end if
					response.write "  <option value="""">==Select one or more (use ctrl)</option>" & vbNewLine
					for intTemp = lbound(arrTemp) to ubound(arrTemp)
						strTemp1 = arrTemp(intTemp)
						response.write "  <option"
						if instr(strTempVal, strTemp1) then
							response.write " selected"
						end if
						response.write ">" & strTemp1 & "</option>" & vbNewLine
					next
					Response.write " </SELECT>"
				case "H", "V"	' Horizontal Radio Buttons
					arrTemp = split(rs2("USR_VALUES"),"|")
					strTempVal = fieldValue
					for intTemp = lbound(arrTemp) to ubound(arrTemp)
						response.write "<input type=""radio"" name=""" & fieldShortName & """ value=""" & intTemp & """"
						if fieldValue = cStr(intTemp) then
							Response.Write(" checked")
						end if
						if rs2("USR_FIELDTYPE") = "H" then
							response.write ">&nbsp;" & arrTemp(intTemp) & "&nbsp;&nbsp;" & vbNewLine
						else
							response.write ">&nbsp;" & arrTemp(intTemp) & "<br>" & vbNewLine
						end if
					next
					Response.write " </SELECT>"
				case else
					' not a valid type, so do nothing
				End Select
				response.write "</font></tr>"
			  end if
				rs2.MoveNext
			loop
		end if
		rs2.Close
		'Conn.close
		'set Conn = Nothing
	end if
	Response.write vbNewLine & "<!-- End User Fields Code -->"
end sub


' these were in pop_profile.asp
sub showUserFieldsInProfile()
dim tmpMemberID, rs2, strValue, arrValues
	if (intUserFields > 0 ) then
		Response.write "<tr><td align=""center"" bgcolor=""" & strCategoryCellColor & """ colspan=""2"">" & vbNewLine
		Response.write "  <b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """>Optional User Information</font></b>" & vbNewLine
		Response.write "</td></tr>" & vbNewLine '& "<tr><td>&nbsp;</td></tr>" & vbNewLine
		tmpMemberID = ppMember_ID ' RS("MEMBER_ID")
		set rs2 = My_Conn.Execute("SELECT * FROM " & strMemberTablePrefix & "USERFIELDS ORDER BY USR_FIELD_ID")
		do until rs2.EOF
		  if (rs2("USR_PRIVATE") = "1" or rs2("USR_PRIVATE") = "2") and not ((mLev = 4) or (tmpMemberID=MemberID)) then
			' it is private/admin only, AND it is not the owner or admin, so do not show it
		  else
			Response.Write "<tr><td valign=""top"" width=150 align=""right"" bgColor=" & strAltForumCellColor & "><b><font face=""" & strDefaultFontFace & """ size=" & strDefaultFontSize & ">" & chkstring(rs2("USR_LABEL"),"message") & ":</font></b></td>" & vbNewLine
			Response.write "<td valign=""top"" bgColor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" 
			strValue = getUserFieldValue(rs2("USR_FIELD_ID"), tmpMemberID)
			select case rs2("USR_FIELDTYPE")
			Case "C"
				if not(isEmptyNull(strValue)) then 
					if strValue = "1" then 
						response.write "Yes"
					Else
						response.write "No"
					End If
				else
					response.write "-"
				end if
			Case "H", "V"
				arrValues = split(rs2("USR_VALUES"),"|")
				if not(isEmptyNull(strValue)) then 
					response.write arrValues(cInt(strValue))
				else
					response.write "-"
				End If
			Case Else 
				if not(isEmptyNull(strValue)) then 
					response.write strValue
				else
					response.write "-"
				End If
			End Select
			response.write	"</font></td>" & vbNewLine &_
							"</tr>" & vbNewLine
		  end if
		  rs2.MoveNext
		loop
		rs2.Close
	end if
end sub

sub updateUserFieldsInProfile(memID)
dim UserstrSql, rsIDs, sInputName, UpdSQL
	if (strUseExtendedProfile) then
		if (intUserFields > 0) then
			'memID = getMemberID(ChkString(Request.Form("Name"), "SQLString"))
			UserstrSql = "SELECT * FROM " & strMemberTablePrefix & "USERFIELDS "
			set rsIDs =My_Conn.Execute(UserstrSql)
			do until rsIDs.EOF
				sInputName = rsIDs("USR_SHORTNAME")
				sUpdateValue = chkstring(Request.Form(sInputName), "SQLString")
				if DoesUserFieldExist(memID,rsIDs("USR_FIELD_ID")) then
					UpdSQL=	"UPDATE " & strMemberTablePrefix & "MEMBERFIELDS" & _
							" SET " & strMemberTablePrefix & "MEMBERFIELDS.USR_VALUE ='" & sUpdateValue & "'" & _
							" WHERE " & strMemberTablePrefix & "MEMBERFIELDS.USR_FIELD_ID =" & rsIDs("USR_FIELD_ID") & _
							" AND " & strMemberTablePrefix & "MEMBERFIELDS.MEMBER_ID =" & memID
					My_Conn.Execute(UpdSQL)
				else
					UpdSql=	"INSERT INTO " & strMemberTablePrefix & "MEMBERFIELDS" &_
							"(MEMBER_ID, USR_FIELD_ID,USR_VALUE) " &_
							" VALUES ( " & memID & "," & rsIDs("USR_FIELD_ID") & ",'" &_
										sUpdateValue & "')"
					My_Conn.Execute(UpdSQL)
				end if
				rsIDs.MoveNext
			loop
			rsIDs.Close
			Err_Msg = "OK"
		end if
	end if
end sub

' these were in register.asp
sub postUserFieldsInRegister(memID)
dim rsIDs, UserstrSql, sInputName, UpdSql
	if (strUseExtendedProfile) then
		if (intUserFields > 0) then
			'memID = getMemberID(ChkString(Request.Form("Name"), "SQLString"))
			UserstrSql = "SELECT * FROM " & strTablePrefix & "USERFIELDS "
			set rsIDs = my_Conn.Execute(UserstrSql)
			do until rsIDs.EOF
				sInputName = rsIDs("USR_SHORTNAME")
				UpdSql = "INSERT INTO " & strMemberTablePrefix & "MEMBERFIELDS "
				UpdSql = Updsql & "(MEMBER_ID, USR_FIELD_ID,USR_VALUE) "
				UpdSql = UpdSql & "VALUES ( '" & memID & "','" & rsIDs("USR_FIELD_ID") & "','"
				UpdSql = UpdSql & chkstring(Request.Form(sInputName), "SQLString") & "')"
				my_Conn.Execute(UpdSQL)
				UpdSQL = ""
				rsIDs.MoveNext
			loop
			rsIDs.Close
		end if
	end if
end sub

' checks for non-optional data, gives errors if not filled by user
sub chkUserFieldsInRegister()
dim rsIDs, UserstrSql, sInputName, UpdSql
	if (strUseExtendedProfile) then
		if (intUserFields > 0) then
			UserstrSql = "SELECT * FROM " & strTablePrefix & "USERFIELDS "
			set rsIDs = my_Conn.Execute(UserstrSql)
			do until rsIDs.EOF
				if isEmptyNull(rsIDs("USR_OPTIONAL")) or (rsIDs("USR_OPTIONAL")<>"1") then ' if not optional
					strFormVal = Request.Form(rsIDs("USR_SHORTNAME"))
					if isEmptyNull(trim(strFormVal)) then  ' if not selected/empty
						Err_Msg = Err_Msg & "<li>The field is not optional: " & rsIDs("USR_LABEL") & "</li>"
					end if
				end if
				rsIDs.MoveNext
			loop
			rsIDs.Close
		end if
	end if
end sub
%>
