<%
'#################################################################################
'## Copyright (C) 2000-02 Michael Anderson, Pierre Gorissen,
'##                       Huw Reddick and Richard Kinser
'##
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'##
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'##
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'##
'## Support can be obtained from support forums at:
'## http://forum.snitz.com
'##
'## Correspondence and Marketing Questions can be sent to:
'## reinhold@bigfoot.com
'##
'## or
'##
'## Snitz Communications
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#################################################################################
' --------------------------------------------------------------------------------
' MOD HISTORY
'    SEARCH ENHANCMENT 1.01 - for Snitz 3.4.03
'       20020927:DRV <Search Modified>
'       20020928:DRV <Custom Months, strDateType used for display, SQL tweaks>
'       20020929:DRV <Results text for All Members>
' --------------------------------------------------------------------------------
%>
<!--#INCLUDE FILE="config.asp"-->
<%
Dim HasHigherSub
Dim HeldFound, UnApprovedFound, UnModeratedPosts, UnModeratedFPosts
Dim canView
HasHigherSub = false
Dim strUseMemberDropDownBox
Dim intForumStartYear, intSearch_MonthFormat,intSearch_StaffList, intSearch_StaffTotal
Dim arrMonths(12), arrStaffList
' ------------------------------------------------------------
' SETTINGS:

   'Display Member List vs. Text Box [0:Text Box;1:Member List]
   strUseMemberDropDownBox = 0

   'Set to the Year the forum started
   intForumStartYear = 2002 'Set to Year the forum started

   'Date Display Override ["dmy","mdy","ymd","ydm"]
   '...if empty, it uses the forum's global setting
   strSearch_DateType = ""

   'Display of Month [0:Full;1:Abbreviated;2:Numeric;3:Custom]
   intSearch_MonthFormat = 0
   
   'Customized Month Array (used if intSearch_MonthFormat = 3)
   arrMonths(0)="January"
   arrMonths(1)="February"
   arrMonths(2)="March"
   arrMonths(3)="April"
   arrMonths(4)="May"
   arrMonths(5)="June"
   arrMonths(6)="July"
   arrMonths(7)="August"
   arrMonths(8)="September"
   arrMonths(9)="October"
   arrMonths(10)="November"
   arrMonths(11)="December"

   'Staff List [0:Not Used;1:Database;2:Custom List]
   intSearch_StaffList = 0

   'Total Number of Staff (used if Staff List option set to 2)
   'This MUST match the total number of people in the staff list
   intSearch_StaffTotal = 3

' ------------------------------------------------------------
   If intSearch_StaffList = 2 Then
   redim arrStaffList(1,(intSearch_StaffTotal-1))
' ------------------------------------------------------------
   'STAFF LIST

   'arrStaffList(0,x) is the MEMBER ID
   'arrStaffList(1,x) is the MEMBER NAME (can be anything)
   '   x is the order

   arrStaffList(0,0)=1
   arrStaffList(1,0)="Mr. Slate (Head Honcho)"
   arrStaffList(0,1)=2
   arrStaffList(1,1)="Fred Flintsone (Moderator)"
   arrStaffList(0,2)=3
   arrStaffList(1,2)="Barney Rubble (Moderator)"
   
   'note: the 3 array records can be deleted/commented if
   '      intSearch_StaffList is not set 2
' ------------------------------------------------------------
   End If
%>
<!--#INCLUDE FILE="inc_sha256.asp"-->
<!--#INCLUDE FILE="inc_header.asp" -->
<!--#INCLUDE FILE="inc_func_secure.asp" -->
<!--#INCLUDE FILE="inc_func_chknew.asp" -->
<!--#INCLUDE FILE="inc_moderation.asp" -->
<!--#INCLUDE FILE="inc_subscription.asp" -->
<%
Response.Write	"<table border=""0"" cellspacing=""0"" cellpadding=""0"" width=""100%"" align=""center"" bgColor=""" & strForumCellColor & """>" & vbNewLine & _
		"  <tr>" & vbNewLine & _
		"    <td width=""100%"">" & vbNewLine

Dim ArchiveView
Dim AdminAllowed, ModerateAllowed
Dim SearchLink : SearchLink = ""
if request("ARCHIVE") = "true" then
	strActivePrefix = strArchiveTablePrefix
	ArchiveView = "true"
	ArchiveLink = "ARCHIVE=true&"
else
	strActivePrefix = strTablePrefix
	ArchiveView = ""
	ArchiveLink = ""
end if

select case cLng(Request.Form("andor"))
	case 1 : strAndOr = " and "
	case 2 : strAndOr = " or "
	case 3 : strAndOr = "phrase"
	case else : strAndOr = " and "
end select

dim strsearchsortord : strsearchsortord = Trim(request("sortorder"))
dim strsearchsortfld : strsearchsortfld = Trim(request("sortfield"))
dim intsearchresults : intsearchresults = Trim(request("results"))
dim start_date, start_day, start_month, start_year, end_date, end_day, end_month, end_year
dim searchtext, sqlsearchtext, strcommonwordexcl
dim strSortCol, strSortOrd

'If Search Initiated, define the variables...
if Request.QueryString("mode") = "DoIt" then
	Select Case strsearchsortord
		Case "asc"
			strSortOrd = " ASC"
		Case Else
			strSortOrd = " DESC"
	End Select

	Select Case strsearchsortfld
		Case "topic"
			strSortCol = "T.T_SUBJECT" & strSortOrd
		Case "author"
			strSortCol = "M.M_NAME" & strSortOrd
		Case "replies"
			strSortCol = "T.T_REPLIES" & strSortOrd
		Case "views"
			strSortCol = "T.T_VIEW_COUNT" & strSortOrd
		Case "lastpost"
			strSortCol = "T.T_LAST_POST" & strSortOrd
		Case "topicstart"
			strSortCol = "T.T_DATE" & strSortOrd
		Case Else
			strsearchsortfld = "topic"
			strSortCol = "T.T_LAST_POST" & strSortOrd
	End Select

	'Allow for over-ride
	If IsNumeric(intsearchresults) AND intsearchresults <> "" then
		intsearchresults = cInt(intsearchresults)
	Else
		intsearchresults = 20
	End If
	If intsearchresults > 0 Then
		strPageSize = intsearchresults
	End If

	'Set Date Variables (probably should validate these at some point...)
	start_day = Trim(Request("start_day"))
	start_month = Trim(Request("start_month"))
	start_year = Trim(Request("start_year"))
	end_day = Trim(Request("end_day"))
	end_month = Trim(Request("end_month"))
	end_year = Trim(Request("end_year"))

	start_date = start_month & "/" & start_day & "/" & start_year
	end_date = end_month & "/" & end_day & "/" & end_year
	
	If IsDate(start_date) Then
		start_date = DateToStr(start_date)
	Else
		'start_date = DateToStr(dateadd("d", -30, strForumTimeAdjust))
		start_date = ""
	End If
	If IsDate(end_date) Then
		end_date = DateToStr(end_date)
	Else
		'end_date = DateToStr(strForumTimeAdjust)
		end_date = ""
	End If

	'Common Word Filter
	searchtext = Trim(Request.Form("Search"))
	CommonWordFilter
else
	intsearchresults = 20
	strsearchsortfld = "lastpost"
end if

If strSearch_DateType = "" Then strSearch_DateType = strDateType
Select Case intSearch_MonthFormat '[0:Full;1:Abbreviated;2:Numeric;3:Custom]
	Case 1
		strSearchMonthFormat = "month_abbr"
	Case 2
		strSearchMonthFormat = "month_numeric"
	Case 3
		strSearchMonthFormat = "month_custom"
	Case Else
		strSearchMonthFormat = "month_name"
End Select

If scriptname = "" Then scriptname = request.servervariables("script_name")

Response.Write	"    <script language=""JavaScript"" type=""text/javascript"">" & vbNewLine & _
		"    function ChangePage(fnum){" & vbNewLine & _
		"    	if (fnum == 1) {" & vbNewLine & _
		"    		document.PageNum1.submit();" & vbNewLine & _
		"    		}" & vbNewLine & _
		"    	else {" & vbNewLine & _
		"    		document.PageNum2.submit();" & vbNewLine & _
		"    	}" & vbNewLine & _
		"    }" & vbNewLine & _
		"    </script>" & vbNewLine

' -- Get all the high level(board, category, forum) subscriptions being held by the user
Dim strSubString, strSubArray, strBoardSubs, strCatSubs, strForumSubs, strTopicSubs
if MySubCount > 0 then
	strSubString = PullSubscriptions(0,0,0)
	strSubArray  = Split(strSubString,";")
	if uBound(strSubArray) < 0 then
		strBoardSubs = ""
		strCatSubs = ""
		strForumSubs = ""
		strTopicSubs = ""
	else
		strBoardSubs = strSubArray(0)
		strCatSubs = strSubArray(1)
		strForumSubs = strSubArray(2)
		strTopicSubs = strSubArray(3)
	end if
end if

' DEM --> Added code for topic moderation
if mlev = 3 then
	strSql = "SELECT FORUM_ID FROM " & strTablePrefix & "MODERATOR " & _
		 " WHERE MEMBER_ID = " & MemberID

	Set rsMod = Server.CreateObject("ADODB.Recordset")
	rsMod.open strSql, my_Conn, adOpenForwardOnly, adLockReadOnly, adCmdText

	if rsMod.EOF then
		recModCount = ""
	else
		allModData = rsMod.GetRows(adGetRowsRest)
		recModCount = UBound(allModData,2)
	end if

	RsMod.close
	set RsMod = nothing

	if recModCount <> "" then
		for x = 0 to recModCount
			if x = 0 then
				ModOfForums = allModData(0,x)
			else
				ModOfForums = ModOfForums & "," & allModData(0,x)
			end if
		next
	else
		ModOfForums = ""
	end if
else
	ModOfForums = ""
end if

if strPrivateForums = "1" and mLev < 4 then
	allAllowedForums = ""

	allowSql = "SELECT FORUM_ID, F_PRIVATEFORUMS, F_PASSWORD_NEW"
	allowSql = allowSql & " FROM " & strTablePrefix & "FORUM"
	allowSql = allowSql & " WHERE F_TYPE = 0"
	allowSql = allowSql & " ORDER BY FORUM_ID"

	set rsAllowed = Server.CreateObject("ADODB.Recordset")
	rsAllowed.open allowSql, my_Conn, adOpenForwardOnly, adLockReadOnly, adCmdText

	if rsAllowed.EOF then
		recAllowedCount = ""
	else
		allAllowedData = rsAllowed.GetRows(adGetRowsRest)
		recAllowedCount = UBound(allAllowedData,2)
	end if

	rsAllowed.close
	set rsAllowed = nothing

	if recAllowedCount <> "" then
		fFORUM_ID = 0
		fF_PRIVATEFORUMS = 1
		fF_PASSWORD_NEW = 2

		for RowCount = 0 to recAllowedCount

			Forum_ID = allAllowedData(fFORUM_ID,RowCount)
			Forum_PrivateForums = allAllowedData(fF_PRIVATEFORUMS,RowCount)
			Forum_FPasswordNew = allAllowedData(fF_PASSWORD_NEW,RowCount)

			if mLev = 4 then
				ModerateAllowed = "Y"
			elseif mLev = 3 and ModOfForums <> "" then
				if (strAuthType = "nt") then
					if (chkForumModerator(Forum_ID, Session(strCookieURL & "username")) = "1") then ModerateAllowed = "Y" else ModerateAllowed = "N"
				else
					if (instr("," & ModOfForums & "," ,"," & Forum_ID & ",") > 0) then ModerateAllowed = "Y" else ModerateAllowed = "N"
				end if
			else
				ModerateAllowed = "N"
			end if
			if ChkDisplayForum(Forum_PrivateForums,Forum_FPasswordNew,Forum_ID,MemberID) = true then
				canView = true
				select case Forum_PrivateForums
					case 2 '## password
						select case Request.Cookies(strUniqueID & "Forum")("PRIVATE_" & Forum_Subject)
							case Forum_FPasswordNew
								canView = true
							case else
								canView = false
						end select
					case 3,7 '## Either Password or Allowed Member(already covered)/Member
						if MemberID > 0 then
							canView = true
						else
							select case Request.Cookies(strUniqueID & "Forum")("PRIVATE_" & Forum_Subject)
								case Forum_FPasswordNew
									canView = true
								case else
									canView = false
							end select
						end if
					case else
						canView = true
				end select
				if canView then
					if allAllowedForums = "" then
						allAllowedForums = Forum_ID
					else
						allAllowedForums = allAllowedForums & "," & Forum_ID
					end if
				end if
			end if
		next
	end if
	if allAllowedForums = "" then allAllowedForums = 0
end if

if Request.QueryString("mode") = "DoIt" then
	if sqlsearchtext <> "" or Request.QueryString("MEMBER_ID") <> "" or Request("SearchStaff") <> "" then
		if sqlsearchtext <> "" then
			keywords = split(sqlsearchtext, " ")
			keycnt = ubound(keywords)
			for i = 0 to keycnt
				if i = 0 then
					strKeywords = keywords(i)
				else
					strKeywords = strKeywords & "," & keywords(i)
				end if
			next
			if strAndOr = "phrase" then strKeyWords = replace(strKeyWords,",","+")
			SearchLink = "&SearchTerms=" & chkString(strKeyWords,"search")
		end if

		'## Forum_SQL - Find all records with the search criteria in them
		strSql = "SELECT DISTINCT C.CAT_STATUS, C.CAT_SUBSCRIPTION, C.CAT_NAME, C.CAT_ORDER"
		strSql = strSql & ", F.F_ORDER, F.FORUM_ID, F.F_SUBJECT, F.CAT_ID"
		strSql = strSql & ", F.F_SUBSCRIPTION, F.F_STATUS"
		strSql = strSql & ", T.TOPIC_ID, T.T_AUTHOR, T.T_SUBJECT, T.T_STATUS, T.T_LAST_POST, T.T_ISPOLL"
		strSql = strSql & ", T.T_LAST_POST_AUTHOR, T.T_LAST_POST_REPLY_ID, T.T_REPLIES, T.T_UREPLIES, T.T_VIEW_COUNT"
		strSql = strSql & ", M.MEMBER_ID, M.M_NAME, MEMBERS_1.M_NAME AS LAST_POST_AUTHOR_NAME"
		strSql = strSql & ", F.F_PRIVATEFORUMS, F.F_PASSWORD_NEW"

		strSql2 = " FROM ((((" & strTablePrefix & "FORUM F LEFT JOIN " & strActivePrefix & "TOPICS T"
		strSql2 = strSql2 & " ON F.FORUM_ID = T.FORUM_ID) LEFT JOIN " & strActivePrefix & "REPLY R"
		strSql2 = strSql2 & " ON T.TOPIC_ID = R.TOPIC_ID) LEFT JOIN " & strMemberTablePrefix & "MEMBERS M"
		strSql2 = strSql2 & " ON T.T_AUTHOR = M.MEMBER_ID) LEFT JOIN " & strTablePrefix & "CATEGORY C"
		strSql2 = strSql2 & " ON T.CAT_ID = C.CAT_ID) LEFT JOIN " & strMemberTablePrefix & "MEMBERS MEMBERS_1"
		strSql2 = strSql2 & " ON T.T_LAST_POST_AUTHOR = MEMBERS_1.MEMBER_ID"
		if sqlsearchtext <> "" then
			strSql3 = " WHERE ("
			'################# New Search Code #################################################
			if Request.Form("SearchMessage") = 1 then
				if strAndOr = "phrase" then
					strSql3 = strSql3 & " (T.T_SUBJECT LIKE '%" & ChkString(searchtext, "SQLString") & "%') "
				else
					For Each word in keywords
						SearchWord = ChkString(word, "SQLString")
						strSql3 = strSql3 & " (T.T_SUBJECT LIKE '%" & SearchWord & "%') "
						if cnt < keycnt then strSql3 = strSql3 & strAndOr
						cnt = cnt + 1
					next
				end if
			else
				if strAndOr = "phrase" then
					strSql3 = strSql3 & " (R.R_MESSAGE LIKE '%" & ChkString(searchtext, "SQLString") & "%'"
					strSql3 = strSql3 & " OR T.T_SUBJECT LIKE '%" & ChkString(searchtext, "SQLString") & "%'"
					strSql3 = strSql3 & " OR T.T_MESSAGE LIKE '%" & ChkString(searchtext, "SQLString") & "%') "
				else
					For Each word in keywords
						SearchWord = ChkString(word, "SQLString")
						strSql3 = strSql3 & " (R.R_MESSAGE LIKE '%" & SearchWord & "%'"
						strSql3 = strSql3 & " OR T.T_SUBJECT LIKE '%" & SearchWord & "%'"
						strSql3 = strSql3 & " OR T.T_MESSAGE LIKE '%" & SearchWord & "%') "
						if cnt < keycnt then strSql3 = strSql3 & strAndOr
						cnt = cnt + 1
					next
				end if
			'################# New Search Code #################################################
			end if
			strSql3 = strSql3 & " ) "
		else
			strSql3 = " WHERE (0 = 0)"
		end if
		' DEM --> Added code to ignore unmoderated/held posts...
		if mlev <> 4 then
			strSql3 = strSql3 & " AND ((T.T_AUTHOR <> " & MemberID
			strSql3 = strSql3 & " AND T.T_STATUS < 2)"  ' Ignore unapproved/held posts
			strSql3 = strSql3 & " OR T.T_AUTHOR = " & MemberID & ")"
		end if
		' DEM --> End of Code added to ignore unmoderated/held posts....
		cnt = 0
		if cLng(Request.Form("Forum")) <> 0 then
			strSql3 = strSql3 & " AND F.FORUM_ID = " & cLng(Request.Form("Forum")) & " "
		end if
		if start_date <> "" then
			strSql3 = strSql3 & " AND (T.T_DATE >= '" & start_date & "' OR R.R_DATE >= '" & start_date & "')"
		end if
		if end_date <> "" then
			strSql3 = strSql3 & " AND (T.T_DATE <= '" & end_date & "' OR R.R_DATE <= '" & end_date & "')"
		end if
		if IsNumeric(Request("SearchStaff")) AND Request("SearchStaff") <> "" then
			strSql3 = strSql3 & " AND (M.MEMBER_ID = " & cLng(Request("SearchStaff")) & " "
			strSql3 = strSql3 & " OR R.R_AUTHOR = " & cLng(Request("SearchStaff")) & ") "
		else
			if strUseMemberDropDownBox = 0 then
				intSearchMember = getMemberID(chkString(Request.Form("SearchMember"),"SQLString"))
				if intSearchMember <> 0 then
					strSql3 = strSql3 & " AND (M.MEMBER_ID = " & cLng(intSearchMember) & " "
					strSql3 = strSql3 & " OR R.R_AUTHOR = " & cLng(intSearchMember) & ") "
				end if
			else
				if cLng(Request.Form("SearchMember")) <> 0 then
					strSql3 = strSql3 & " AND (M.MEMBER_ID = " & cLng(Request.Form("SearchMember")) & " "
					strSql3 = strSql3 & " OR R.R_AUTHOR = " & cLng(Request.Form("SearchMember")) & ") "
				end if
			end if
			if cLng(Request.QueryString("MEMBER_ID")) <> 0 then
				strSql3 = strSql3 & " AND (M.MEMBER_ID = " & cLng(Request.QueryString("MEMBER_ID")) & " "
				strSql3 = strSql3 & " OR R.R_AUTHOR = " & cLng(Request.QueryString("MEMBER_ID")) & ") "
			end if
		end if
		if strPrivateForums = "1" and mLev < 4 then
			strSql3 = strSql3 & " AND F.FORUM_ID IN (" & allAllowedForums & ")"
		end if
		strSql3 = strSql3 & " AND F.F_TYPE = 0"

		strSql4 = " ORDER BY C.CAT_ORDER, C.CAT_NAME, F.F_ORDER, F.F_SUBJECT, " & strSortCol

		mypage = request("whichpage")
		if ((Trim(mypage) = "") or (IsNumeric(mypage) = False)) then mypage = 1
		mypage = cLng(mypage)

		if strDBType = "mysql" then 'MySql specific code
			if mypage > 1 then
				intOffset = cLng((mypage-1) * strPageSize)
				strSql5 = strSql5 & " LIMIT " & intOffset & ", " & strPageSize & " "
			end if

			'## Forum_SQL - Get the total pagecount
			strSql1 = "SELECT COUNT(DISTINCT T.TOPIC_ID) AS PAGECOUNT "

			set rsCount = my_Conn.Execute(strSql1 & strSql2 & strSql3)
			iPageTotal = rsCount(0).value
			rsCount.close
			set rsCount = nothing

			if iPageTotal > 0 then
				inttotaltopics = iPageTotal
				maxpages = (iPageTotal \ strPageSize )
				if iPageTotal mod strPageSize <> 0 then
					maxpages = maxpages + 1
				end if
				if iPageTotal < (strPageSize + 1) then
					intGetRows = iPageTotal
				elseif (mypage * strPageSize) > iPageTotal then
					intGetRows = strPageSize - ((mypage * strPageSize) - iPageTotal)
				else
					intGetRows = strPageSize
				end if
			else
				iPageTotal = 0
				inttotaltopics = iPageTotal
				maxpages = 0
			end if

			if iPageTotal > 0 then
				set rs = Server.CreateObject("ADODB.Recordset")
				rs.open strSql & strSql2 & strSql3 & strSql4 & strSql5, my_Conn, adOpenForwardOnly, adLockReadOnly, adCmdText
					arrTopicData = rs.GetRows(intGetRows)
					iTopicCount = UBound(arrTopicData, 2)
				rs.close
				set rs = nothing
			else
				iTopicCount = ""
			end if

		else 'end MySql specific code

			set rs = Server.CreateObject("ADODB.Recordset")
			rs.cachesize = strPageSize

			rs.open strSql & strSql2 & strSql3 & strSql4, my_Conn, adOpenStatic
				if not rs.EOF then
					rs.movefirst
					rs.pagesize = strPageSize
					inttotaltopics = cLng(rs.recordcount)
					rs.absolutepage = mypage '**
					maxpages = cLng(rs.pagecount)
					arrTopicData = rs.GetRows(strPageSize)
					iTopicCount = UBound(arrTopicData, 2)
				else
					iTopicCount = ""
					inttotaltopics = 0
				end if
			rs.Close
			set rs = nothing
		end if

		if strModeration = "1" and mLev > 2 then
			UnModeratedPosts = CheckForUnmoderatedPosts("BOARD", 0, 0, 0)
			UnModeratedFPosts = 0
		end if

		Response.Write	"      <table border=""0"" width=""100%"" align=""center"">" & vbNewline & _
				"        <tr>" & vbNewline & _
				"          <td width=""33%"" align=""left"" nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine & _
				"          " & getCurrentIcon(strIconFolderOpen,"","align=""absmiddle""") & "&nbsp;<a href=""default.asp"">All Forums</a><br />" & vbNewline
		Response.Write	"          " & getCurrentIcon(strIconBar,"","align=""absmiddle""") & getCurrentIcon(strIconFolderOpen,"","align=""absmiddle""") & "&nbsp;<a href=""" & scriptname & """>Search Form</a><br />" & vbNewLine
		Response.Write	"&nbsp;<br />" & vbNewLine
		DisplayCommonWordExclusions
		if searchtext <> "" then
			'Response.Write	"          " & getCurrentIcon(strIconBlank,"","align=""absmiddle""") & getCurrentIcon(strIconBar,"","align=""absmiddle""") & getCurrentIcon(strIconFolderOpenTopic,"","align=""absmiddle""") & "&nbsp;Search Results for: " & chkString(searchtext,"display")
			Response.Write	"Search Results for <b>"
			DisplayWordLinks searchtext
			Response.Write	"</b><br />" & vbNewLine & _
				"Searching Text in <b>"
			If Request.Form("SearchMessage") = 1 Then
				Response.Write	"Subject"
			Else
				Response.Write	"Subject & Message" 
			End If
			Response.Write	"</b> of posts"
			
			'by author
			If IsNumeric(Request("SearchStaff")) AND Trim(Request("SearchStaff")) <> "" Then
				Response.Write	" made by <b>" & getMemberName(Request("SearchStaff")) & "</b>"
			Else
				If strUseMemberDropDownBox = 0 AND Trim(Request.Form("SearchMember")) <> "" Then
					Response.Write	" made by <b>" & Request.Form("SearchMember") & "</b>"
				Else
					If IsNumeric(Request.Form("SearchMember")) AND Trim(Request.Form("SearchMember")) <> "" Then
						If Request.Form("SearchMember") = 0 Then
							Response.Write	" made by <b>All Members</b>"
						Else 
							Response.Write	" made by <b>" & getMemberName(cLng(Request.Form("SearchMember"))) & "</b>"
						End If
					Else
						If IsNumeric(Request.QueryString("MEMBER_ID")) AND Trim(Request.QueryString("MEMBER_ID")) <> "" Then
							Response.Write	" made by <b>" & getMemberName(cLng(Request.QueryString("MEMBER_ID"))) & "</b>"
						End If
					End If
				End If
			End If
			
			'by forum
			Response.Write	" in <b>"
			If cLng(Request.Form("Forum")) <> 0 then
				Response.Write GetForumTitle(Request.Form("Forum"))
			Else
				Response.Write "All Forums"
			End If
			If ArchiveView = "true" then
				Response.Write " (Archived)"
			Else
				Response.Write " (Non-Archived)"
			End If
			Response.Write	"</b>" & vbNewLine
			
			'from (date range)
			Response.Write "<br />Posted Between <b>"
			'Response.Write	StrToDate(start_date) & " - " & StrToDate(end_date)
			Response.Write  ChkDate(start_date, "" ,false) & " - " & ChkDate(end_date, "" ,false)
			Response.Write	"</b><br>" & vbNewLine
			
			'Response.Write "Number of Results: <b>" & inttotaltopics & "</b><br />" & vbNewLine
		
		elseif Request.QueryString("MEMBER_ID") <> "" then
			Response.Write	"          " & getCurrentIcon(strIconBlank,"","align=""absmiddle""") & getCurrentIcon(strIconBar,"","align=""absmiddle""") & getCurrentIcon(strIconFolderOpenTopic,"","align=""absmiddle""") & "&nbsp;Search Results for: All non-archived Topics that contain posts by " & getMemberName(cLng(Request.QueryString("MEMBER_ID")))
		end if
		Response.Write	"</font></td>" & vbNewline & _
				"        </tr>" & vbNewline
		if maxpages > 1 then
			Response.Write	"        <tr align=""right"">" & vbNewLine
			Call DropDownPaging(1)
			Response.Write	"        </tr>" & vbNewLine
		end if
		Response.Write	"      </table>" & vbNewLine

		Response.Write	"      <table border=""0"" width=""100%"" cellspacing=""0"" cellpadding=""0"" align=""center"">" & vbNewLine & _
				"        <tr>" & vbNewLine & _
				"          <td bgcolor=""" & strTableBorderColor & """>" & vbNewLine & _
				"            <table border=""0"" width=""100%"" cellspacing=""1"" cellpadding=""4"">" & vbNewLine & _
				"              <tr>" & vbNewLine & _
				"                <td align=""center"" bgcolor=""" & strHeadCellColor & """><b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """>&nbsp;</font></b></td>" & vbNewLine & _
				"                <td align=""center"" bgcolor=""" & strHeadCellColor & """><b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """>Topic</font></b></td>" & vbNewLine & _
				"                <td align=""center"" bgcolor=""" & strHeadCellColor & """><b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """>Author</font></b></td>" & vbNewLine & _
				"                <td align=""center"" bgcolor=""" & strHeadCellColor & """><b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """>Replies</font></b></td>" & vbNewLine & _
				"                <td align=""center"" bgcolor=""" & strHeadCellColor & """><b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """>Read</font></b></td>" & vbNewLine & _
				"                <td align=""center"" bgcolor=""" & strHeadCellColor & """><b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strHeadFontColor & """>Last Post</font></b></td>" & vbNewLine & _
				"              </tr>" & vbNewLine
		if iTopicCount = "" then '## No Search Results
			Response.Write	"              <tr>" & vbNewLine & _
					"                <td bgcolor=""" & strForumCellColor & """ colspan=""6""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """><b>No Matches Found</b></font></td>" & vbNewLine &_
			      "              </tr>" & vbNewLine
		else
			cCAT_STATUS = 0
			cCAT_SUBSCRIPTION = 1
			cCAT_NAME = 2
			fFORUM_ID = 5
			fF_SUBJECT = 6
			fCAT_ID = 7
			fF_SUBSCRIPTION = 8
			fF_STATUS = 9
			tTOPIC_ID = 10
			tT_AUTHOR = 11
			tT_SUBJECT = 12
			tT_STATUS = 13
			tT_LAST_POST = 14
			'################ Poll Mod #################
			tIS_POLL = 15
			'Make sure to increase all the numbers
			'below this line by 1 in your file, when
			'you add the poll mod code.
			'###########################################
			tT_LAST_POST_AUTHOR = 16
			tT_LAST_POST_REPLY_ID = 17
			tT_REPLIES = 18
			tT_UREPLIES = 19
			tT_VIEW_COUNT = 20
			mMEMBER_ID = 21
			mM_NAME = 22
			tLAST_POST_AUTHOR_NAME = 23
			fF_PRIVATEFORUMS = 24
			fF_PASSWORD_NEW = 25

			currForum = 0
			currTopic = 0
			dim Cat_Status
			dim Cat_Subscription
			dim Forum_Status
			dim Forum_Subscription
			dim mdisplayed
			mdisplayed = 0
			rec = 1

			for iTopic = 0 to iTopicCount
				if (rec = strPageSize + 1) then exit for

				Cat_Status = arrTopicData(cCAT_STATUS, iTopic)
				Cat_Subscription = arrTopicData(cCAT_SUBSCRIPTION, iTopic)
				Cat_Name = arrTopicData(cCAT_NAME, iTopic)
				Forum_ID = arrTopicData(fFORUM_ID, iTopic)
				Forum_Subject = arrTopicData(fF_SUBJECT, iTopic)
				Forum_Cat_ID = arrTopicData(fCAT_ID, iTopic)
				Forum_Subscription = arrTopicData(fF_SUBSCRIPTION, iTopic)
				Forum_Status = arrTopicData(fF_STATUS, iTopic)
				Topic_ID = arrTopicData(tTOPIC_ID, iTopic)
				Topic_Author = arrTopicData(tT_AUTHOR, iTopic)
				Topic_Subject = arrTopicData(tT_SUBJECT, iTopic)
				Topic_Status = arrTopicData(tT_STATUS, iTopic)
				Topic_LastPost = arrTopicData(tT_LAST_POST, iTopic)
				Topic_LastPostAuthor = arrTopicData(tT_LAST_POST_AUTHOR, iTopic)
				Topic_LastPostReplyID = arrTopicData(tT_LAST_POST_REPLY_ID, iTopic)
				Topic_Replies = arrTopicData(tT_REPLIES, iTopic)
				Topic_UReplies = arrTopicData(tT_UREPLIES, iTopic)
				Topic_ViewCount = arrTopicData(tT_VIEW_COUNT, iTopic)
				Topic_MemberID = arrTopicData(mMEMBER_ID, iTopic)
				Topic_MemberName = arrTopicData(mM_NAME, iTopic)
				Topic_LastPostAuthorName = arrTopicData(tLAST_POST_AUTHOR_NAME, iTopic)
				Forum_PrivateForums = arrTopicData(fF_PRIVATEFORUMS, iTopic)
				Forum_FPasswordNew = arrTopicData(fF_PASSWORD_NEW, iTopic)
				'############################# Poll Mod ###############################
				IsPoll = arrTopicData(tIS_POLL, iTopic)
				'######################################################################

				if mLev = 4 then
					AdminAllowed = 1
				else
				    	AdminAllowed = 0
				end if
				if mLev = 4 then
					ModerateAllowed = "Y"
				elseif mLev = 3 and ModOfForums <> "" then
					if (strAuthType = "nt") then
						if (chkForumModerator(Forum_ID, Session(strCookieURL & "username")) = "1") then ModerateAllowed = "Y" else ModerateAllowed = "N"
					else
						if (instr("," & ModOfForums & "," ,"," & Forum_ID & ",") > 0) then ModerateAllowed = "Y" else ModerateAllowed = "N"
					end if
				else
					ModerateAllowed = "N"
				end if

				if ModerateAllowed = "Y" and Topic_UReplies > 0 then
					Topic_Replies = Topic_Replies + Topic_UReplies
				end if
				if (currForum <> Forum_ID) and (currTopic <> Topic_ID) then
					Response.Write	"              <tr>" & vbNewLine & _
							"                <td height=""20"" colspan=""6"" bgcolor=""" & strCategoryCellColor & """ valign=""middle""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """><a href=""default.asp?CAT_ID=" & Forum_Cat_ID & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """><b>" & ChkString(Cat_Name,"display") & "</b></font></a>&nbsp;/&nbsp;<a href=""forum.asp?FORUM_ID=" & Forum_ID & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strCategoryFontColor & """><b>" & ChkString(Forum_Subject,"display") & "</b></font></a></td>" & vbNewline & _
							"              </tr>" & vbNewLine
					currForum = Forum_ID
				end if
				if currTopic <> Topic_ID then
					Response.Write	"              <tr>" & vbNewline
					if Cat_Status <> 0 and Forum_Status <> 0 and Topic_Status <> 0 then
						' DEM --> Added if statement to display topic status properly
						if Topic_Status = 2 then
							UnApprovedFound = "Y"
							Response.Write	"                <td bgcolor=""" & strForumCellColor & """ align=""center""><a href=""topic.asp?TOPIC_ID=" & Topic_ID & SearchLink & """>" & getCurrentIcon(strIconFolderUnmoderated,"Topic UnModerated","hspace=""0""") & "</a></td>" & vbNewline
						elseif Topic_Status = 3 then
							HeldFound = "Y"
							Response.Write	"                <td bgcolor=""" & strForumCellColor & """ align=""center""><a href=""topic.asp?TOPIC_ID=" & Topic_ID & SearchLink & """>" & getCurrentIcon(strIconFolderHold,"Topic Held","hspace=""0""") & "</a></td>" & vbNewline
						else
							Response.Write	"                <td bgcolor=""" & strForumCellColor & """ align=""center""><a href=""topic.asp?TOPIC_ID=" & Topic_ID & SearchLink & """>" & ChkIsNew(Topic_LastPost) & "</a></td>" & vbNewline
						end if
					else
						if Cat_Status = 0 then
							strAltText = "Category Locked"
						elseif Forum_Status = 0 then
							strAltText = "Forum Locked"
						else
							strAltText = "Topic Locked"
						end if
						Response.Write	"                <td bgcolor=""" & strForumCellColor & """ align=""center""><a href=""topic.asp?TOPIC_ID=" & Topic_ID & SearchLink & """>" & getCurrentIcon(strIconFolderLocked_f,strAltText,"hspace=""0""") & "</a></td>" & vbNewline
					end if
					Response.Write	"                <td bgcolor=""" & strForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>"
				'################# Poll Mod ##################
					if IsPoll then Response.Write("Poll: ")
				'#############################################
					Response.Write	"<span class=""spnMessageText""><a href=""topic.asp?TOPIC_ID=" & Topic_ID & SearchLink & """>" & ChkString(left(Topic_Subject, 50),"display") & "</a></span>&nbsp;</font>" & vbNewLine
					if strShowPaging = "1" then
						TopicPaging()
					end if
					Response.Write	"                </td>" & vbNewLine & _
							"                <td bgcolor=""" & strForumCellColor & """ valign=""middle"" align=""center""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><span class=""spnMessageText"">" & profileLink(chkString(Topic_MemberName,"display"),Topic_MemberID) & "</span></font></td>" & vbNewLine & _
							"                <td bgcolor=""" & strForumCellColor & """ valign=""middle"" align=""center""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>" & Topic_Replies & "</font></td>" & vbNewLine & _
							"                <td bgcolor=""" & strForumCellColor & """ valign=""middle"" align=""center""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>" & Topic_ViewCount & "</font></td>" & vbNewLine
					if IsNull(Topic_LastPostAuthor) then
						strLastAuthor = ""
					else
						strLastAuthor = "<br />by: <span class=""spnMessageText"">" & profileLink(Topic_LastPostAuthorName,Topic_LastPostAuthor) & "</span>"
						if (strJumpLastPost = "1" and ArchiveView = "") then strLastAuthor = strLastAuthor & "&nbsp;" & DoLastPostLink
					end if
					Response.Write	"                <td bgcolor=""" & strForumCellColor & """ valign=""middle"" align=""center"" nowrap><font face=""" & strDefaultFontFace & """ color=""" & strForumFontColor & """ size=""" & strFooterFontSize & """><b>" & ChkDate(Topic_LastPost, "</b>&nbsp" ,true) & strLastAuthor & "</font></td>" & vbNewLine
					Response.Write	"              </tr>" & vbNewLine
					currTopic = Topic_ID
					rec = rec + 1
				end if
				mdisplayed = mdisplayed + 1
			next
			if mdisplayed = 0 then
				Response.Write	"              <tr>" & vbNewLine & _
						"                <td bgcolor=""" & strForumCellColor & """ colspan=""6""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """><b>No Matches Found</b><br />" & vbNewLine &_
						"No results were found for the search that you made. Please try your search again with broader search terms.</font></td>" & vbNewLine
				if (mlev > 0) or (lcase(strNoCookies) = "1") then
					Response.Write	"                <td align=""center"" bgcolor=""" & strForumCellColor & """><b><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>&nbsp;</font></b></td>" & vbNewLine
				end if
				Response.Write	"              </tr>" & vbNewLine
			end if
		end if
		Response.Write	"            </table>" & vbNewLine & _
				"          </td>" & vbNewLine & _
				"        </tr>" & vbNewLine
		Response.Write	"      </table>" & vbNewLine

		if maxpages > 1 then
			Response.Write	"      <table border=""0"" width=""100%"" align=""center"">" & vbNewline & _
					"        <tr>" & vbNewLine
			Call DropDownPaging(2)
			Response.Write	"        </tr>" & vbNewLine & _
					"      </table>" & vbNewLine
		end if

Response.Write	"<table border=""0"" cellspacing=""0"" cellpadding=""0"" width=""100%"" align=""center"" bgcolor=""" & strForumCellColor & """>" & vbNewLine & _
		"  <tr>" & vbNewLine & _
		"    <td width=""100%"">" & vbNewLine

		Response.Write	"      <table width=""100%"" align=""center"" border=""0"">" & vbNewLine & _
				"        <tr>" & vbNewLine & _
				"          <td align=""left"" valign=""top"">" & vbNewLine & _
				"            <table>" & vbNewLine & _
				"              <tr>" & vbNewLine & _
				"                <td nowrap>" & vbNewLine & _
				"                <p><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>" & vbNewLine & _
				"                " & getCurrentIcon(strIconFolderNew,"New Posts","align=""absmiddle""") & " New posts since last logon.<br />" & vbNewLine & _
				"                " & getCurrentIcon(strIconFolder,"Old Posts","align=""absmiddle""") & " Old Posts."
		if lcase(strHotTopic) = "1" then Response.Write	(" (" & getCurrentIcon(strIconFolderHot,"Hot Topic","align=""absmiddle""") & "&nbsp;" & intHotTopicNum & " replies or more.)<br />" & vbNewLine)
		Response.Write	"                " & getCurrentIcon(strIconFolderLocked_f,"Locked Topic","align=""absmiddle""") & " Locked topic.<br />" & vbNewLine
		' DEM --> Start of Code added for moderation
		if HeldFound = "Y" then
			Response.Write "                " & getCurrentIcon(strIconFolderHold,"Held Topic","align=""absmiddle""") & " Held Topic.<br />" & vbNewline
		end if
		if UnApprovedFound = "Y" then
			Response.Write "                " & getCurrentIcon(strIconFolderUnmoderated,"UnModerated Topic","align=""absmiddle""") & " UnModerated Topic.<br />" & vbNewline
		end if
		' DEM --> End of Code added for moderation
		Response.Write	"                </font></p></td>" & vbNewLine & _
				"              </tr>" & vbNewLine & _
				"            </table>" & vbNewLine & _
				"          </td>" & vbNewLine & _
				"        </tr>" & vbNewLine & _
				"      </table>" & vbNewLine

	else
		Response.Write	"      <p align=""center""><font face=""" & strDefaultFontFace & """ size=""" & strHeaderFontSize & """>No Search Terms Entered</p>" & vbNewLine
		Response.Write	"      <font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine
		DisplayCommonWordExclusions
		Response.Write	"      </font>" & vbNewLine
		Response.Write	"      <p><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine & _
			"You must enter some search keywords and/or author or staff member in order to complete the search. There is no information with which to do a search." & _
			"      </p>" & vbNewLine
		Response.Write	"      <p align=""center""><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """><a href=""JavaScript:history.go(-1)"">Back To Search Page</a></p>" & vbNewLine & _
				"      <meta http-equiv=""Refresh"" content=""8; URL=JavaScript:history.go(-1)"">" & vbNewLine
	end if
else
	strRqForumID = cLng(Request.QueryString("FORUM_ID"))

Response.Write	"<table border=""0"" cellspacing=""0"" cellpadding=""0"" width=""100%"" align=""center"" bgcolor=""" & strForumCellColor & """>" & vbNewLine & _
		"  <tr>" & vbNewLine & _
		"    <td width=""100%"">" & vbNewLine

	Response.Write	"      <table border=""0"" width=""100%"" align=""center"">" & vbNewline & _
			"        <tr>" & vbNewline & _
			"          <td width=""33%"" align=""left"" nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine & _
			"          " & getCurrentIcon(strIconFolderOpen,"","align=""absmiddle""") & "&nbsp;<a href=""default.asp"">All Forums</a><br />" & vbNewline & _
			"          " & getCurrentIcon(strIconBar,"","align=""absmiddle""") & getCurrentIcon(strIconFolderOpen,"","align=""absmiddle""") & "&nbsp;Search Form</font></td>" & vbNewline & _
			"        </tr>" & vbNewline & _
			"      </table><br />" & vbNewLine

	'################# SEARCH CODE MOD 20020926 (DRV) #################################################

	'#TODOITEM (log x amount of searches so the member can go back to them)
	'Response.Write "<p>If you are logged in your search will be automatically saved and can be recalled.</p>" & vbNewline
	'-------------------------------------------------------
	Response.Write "      <form action=""" & scriptname & "?mode=DoIt"" name=""SearchForm"" id=""SearchForm"" method=""post"">" & vbNewLine & _
			"      <table border=""0"" width=""50%"" cellspacing=""0"" cellpadding=""0"" align=""center"">" & vbNewLine & _
			"        <tr>" & vbNewLine & _
			"          <td bgcolor=""" & strTableBorderColor & """>" & vbNewLine & _
			"            <table border=""0"" width=""100%"" cellspacing=""1"" cellpadding=""4"">" & vbNewLine & _
			"              <tr>" & vbNewLine & _
			"                <td colspan=""2"" align=""center"" bgcolor=""" & strHeadCellColor & """><table width=""100%""><tr><td align=""left"" width=""100%""><font size=""" & strHeadFontSize & """ color=""" & strHeadFontColor & """><b>&nbsp;Search Forums</b></font></td><td align=""right"" nowrap><font size=""1""><a href=""search.asp"">Quick Search</a>&nbsp;</font></td></tr></table></td>" & vbNewLine & _
			"              </tr>" & vbNewLine
	'-------------------------------------------------------
	'SEARCH TERMS
	Response.Write "              <tr>" & vbNewLine & _
			"                <td colspan=""2"" bgcolor=""" & strCategoryCellColor & """><b><font face=""" & strDefaultFontFace & """ color=""" & strCategoryFontColor & """ size=""" & strDefaultFontSize & """>Search Terms</font></b></td>" & vbNewLine & _
			"              </tr>" & vbNewLine

	'Keywords
	Response.Write "              <tr>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><b>Keywords</b><br /></font>" & vbNewLine & _
			"<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """>for good results choose words relevant to your search (e.g. if you are looking for posts on 'apples' do not use the word 'grapefruit', and also common words such as 'the' should be avoided.)" & vbNewLine & _
			"</font></td>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>"

	Response.Write "<input class=""newlogin"" type=""text"" name=""Search"" size=""25"" value=""" & ChkString(Request.QueryString("Search"),"display") & """><br />" & vbNewLine

	Response.Write "</font></td>" & vbNewLine & _
			"              </tr>" & vbNewLine

	'Search for
	Response.Write "              <tr>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><b>Search for:</b>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """ nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>"

	Response.Write "                <input type=""radio"" name=""andor"" value=""1"" checked><b>All</b> of these keywords (x <b>and</b> y)<br />" & vbNewLine & _
			"                <input type=""radio"" name=""andor"" value=""2""><b>Any</b> of these keywords (x <b>or</b> y)<br />" & vbNewLine & _
			"                <input type=""radio"" name=""andor"" value=""3""><b>Exact phrase</b>" & vbNewLine

	Response.Write "</font></td>" & vbNewLine & _
			"              </tr>" & vbNewLine
	'-------------------------------------------------------
	'POST OR TOPIC AUTHORS
	Response.Write "              <tr>" & vbNewLine & _
			"                <td colspan=""2"" bgcolor=""" & strCategoryCellColor & """><b><font face=""" & strDefaultFontFace & """ color=""" & strCategoryFontColor & """ size=""" & strDefaultFontSize & """>Post or Topic Authors</font></b></td>" & vbNewLine & _
			"              </tr>" & vbNewLine

	'Author
	Response.Write "              <tr>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><b>Author</b><br /></font>" & vbNewLine & _
			"<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """>(exact name must be entered)</font></td>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>"

	'List of Members vs. Empty input box
	if strUseMemberDropDownBox = 0 then
		Response.Write	"<input class=newlogin name=""SearchMember"" value="""" size=""25"">" & vbNewLine
	else
		Response.Write	"                <select name=""SearchMember"">" & vbNewLine & _
				"                	<option value=""0"">All Members</option>" & vbNewLine
		'## Forum_SQL
		strSql = "SELECT MEMBER_ID, M_NAME "
		strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS"
		strSql = strSql & " WHERE M_STATUS = " & 1
		strSql = strSql & " ORDER BY M_NAME ASC;"

		set rs = Server.CreateObject("ADODB.Recordset")
		rs.open strSql, my_Conn, adOpenForwardOnly, adLockReadOnly, adCmdText

		if rs.EOF then
			recMemberCount = ""
		else
			allMemberData = rs.GetRows(adGetRowsRest)
			recMemberCount = UBound(allMemberData,2)
			meMEMBER_ID = 0
			meM_NAME = 1
		end if

		rs.close
		set rs = nothing

		if recMemberCount <> "" then
			for iMember = 0 to recMemberCount
				MembersMemberID = allMemberData(meMEMBER_ID, iMember)
				MembersMemberName = allMemberData(meM_NAME, iMember)
				Response.Write	"                	<option value=""" & MembersMemberID & """>" & ChkString(MembersMemberName,"display") & "</option>" & vbNewline
			next
		end if
		Response.Write	"                </select>" & vbNewLine
	end if

	Response.Write "</font></td>" & vbNewLine & _
			"              </tr>" & vbNewLine

	'Search for Posts by Staff
	Select Case intSearch_StaffList
		Case 1,2
			Response.Write "              <tr>" & vbNewLine & _
					"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><b>Search for posts by Staff Member</b><br /></font>" & vbNewLine & _
					"<font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """ color=""" & strForumFontColor & """>('author' field entries will be ignored if you choose this)</font></td>" & vbNewLine & _
					"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>"

			Response.Write	"                <select name=""SearchStaff"">" & vbNewLine & _
					"                	<option value="""">Choose A Staff Member</option>" & vbNewLine

			If intSearch_StaffList = 2 Then
				allMemberData = arrStaffList
				recMemberCount = UBound(arrStaffList,2)
				meMEMBER_ID = 0
				meM_NAME = 1
			Else
				'## Forum_SQL - Retrieve list of Admin/Moderators
				strSql = "SELECT MEMBER_ID, M_NAME "
				strSql = strSql & " FROM " & strMemberTablePrefix & "MEMBERS"
				strSql = strSql & " WHERE M_STATUS = " & 1 & "AND M_LEVEL > " & 1
				strSql = strSql & " ORDER BY M_LEVEL DESC, M_NAME ASC;"
				set rs = Server.CreateObject("ADODB.Recordset")
				rs.open strSql, my_Conn, adOpenForwardOnly, adLockReadOnly, adCmdText
				if rs.EOF then
					recMemberCount = ""
				else
					allMemberData = rs.GetRows(adGetRowsRest)
					recMemberCount = UBound(allMemberData,2)
					meMEMBER_ID = 0
					meM_NAME = 1
				end if
				rs.close
				set rs = nothing
			End If

			if recMemberCount <> "" then
				for iMember = 0 to recMemberCount
					MembersMemberID = allMemberData(meMEMBER_ID, iMember)
					MembersMemberName = allMemberData(meM_NAME, iMember)
					Response.Write	"                	<option value=""" & MembersMemberID & """>" & ChkString(MembersMemberName,"display") & "</option>" & vbNewline
				next
			end if
			Response.Write	"                </select>" & vbNewLine

			Response.Write "</font></td>" & vbNewLine & _
					"              </tr>" & vbNewLine
	End Select
	'-------------------------------------------------------
	'TYPE OF SEARCH
	Response.Write "              <tr>" & vbNewLine & _
			"                <td colspan=""2"" bgcolor=""" & strCategoryCellColor & """><b><font face=""" & strDefaultFontFace & """ color=""" & strCategoryFontColor & """ size=""" & strDefaultFontSize & """>Type of Search</font></b></td>" & vbNewLine & _
			"              </tr>" & vbNewLine

	'Perform Search in
	Response.Write "              <tr>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><b>Perform Search in:</b></font></td>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>"

	Response.Write "                <select name=""SearchMessage"">" & vbNewLine & _
			"                	<option value=""0"">Entire Message</option>" & vbNewLine & _
			"                	<option value=""1"">Subject Only</option>" & vbNewLine & _
			"                </select>" & vbNewLine

	if strArchiveState = "1" then Response.Write("                &nbsp;&nbsp;<input type=""checkbox"" name=""ARCHIVE"" value=""true"">Archived Posts" & vbNewLine)

	Response.Write "</font></td>" & vbNewLine & _
			"              </tr>" & vbNewLine
	'-------------------------------------------------------
	'MISC SEARCH OPTIONS
	Response.Write "              <tr>" & vbNewLine & _
			"                <td colspan=""2"" bgcolor=""" & strCategoryCellColor & """><b><font face=""" & strDefaultFontFace & """ color=""" & strCategoryFontColor & """ size=""" & strDefaultFontSize & """>Misc. Search Options</font></b></td>" & vbNewLine & _
			"              </tr>" & vbNewLine

	'Choose Forum
	Response.Write "              <tr>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><b>Choose Forum</b></font></td>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>"

	Response.Write "                <select name=""Forum"" size=""1"">" & vbNewLine & _
			"                	<option value=""0"">All Forums</option>" & vbNewLine
	'## Forum_SQL
	strSql = "SELECT F.FORUM_ID, F.F_SUBJECT FROM " & strTablePrefix & "FORUM F, " & strTablePrefix & "CATEGORY C"
	strSql = strSql & " WHERE F_TYPE = " & 0
	if strPrivateForums = "1" and allAllowedForums <> "" and mLev < 4 then
		strSql = strSql & " AND F.FORUM_ID IN (" & allAllowedForums & ")"
	end if
	strSql = strSql & " AND C.CAT_ID = F.CAT_ID"
	strSql = strSql & " ORDER BY C.CAT_ORDER, C.CAT_NAME, F.F_ORDER, F.F_SUBJECT"

	set rs = Server.CreateObject("ADODB.Recordset")
	rs.open strSql, my_Conn, adOpenForwardOnly, adLockReadOnly, adCmdText

	if rs.EOF then
		recForumCount = ""
	else
		allForumData = rs.GetRows(adGetRowsRest)
		recForumCount = UBound(allForumData,2)
		fFORUM_ID = 0
		fF_SUBJECT = 1
	end if

	rs.close
	set rs = nothing

	if recForumCount <> "" then
		for iForum = 0 to recForumCount
			ForumForumID = allForumData(fFORUM_ID, iForum)
			ForumSubject = allForumData(fF_SUBJECT, iForum)
			Response.Write	"                	<option value=""" & ForumForumID & """"
			if strRqForumID = ForumForumID then Response.Write(" selected")
			Response.Write	">" & ChkString(left(ForumSubject, 50),"display") & "</option>" & vbNewline
		next
	end if
	Response.Write	"                </select>" & vbNewLine

	Response.Write "</font></td>" & vbNewLine & _
			"              </tr>" & vbNewLine

	'Search for Posts Starting
	Response.Write "              <tr>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><b>Search for Posts Starting:</b></font></td>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>"
	Select Case strSearch_DateType
		case "mdy","mmdy","mmmdy"
			DisplaySelectObject strSearchMonthFormat,"start_month", Month(now()-30)
			DisplaySelectObject "date_numeric","start_day", Day(now())
			DisplaySelectObject "years_forum","start_year", Year(now())
		case "ymd","ymmd","ymmmd"
			DisplaySelectObject "years_forum","start_year", Year(now())
			DisplaySelectObject strSearchMonthFormat,"start_month", Month(now()-30)
			DisplaySelectObject "date_numeric","start_day", Day(now())
		case "ydm","ydmm","ydmmm"
			DisplaySelectObject "years_forum","start_year", Year(now())
			DisplaySelectObject "date_numeric","start_day", Day(now())
			DisplaySelectObject strSearchMonthFormat,"start_month", Month(now()-30)
		case Else '"dmy","dmmy","dmmmy"
			DisplaySelectObject "date_numeric","start_day", Day(now())
			DisplaySelectObject strSearchMonthFormat,"start_month", Month(now()-30)
			DisplaySelectObject "years_forum","start_year", Year(now())
	End Select
	Response.Write "</font></td>" & vbNewLine & _
			"              </tr>" & vbNewLine

	'And Ending...
	Response.Write "              <tr>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><b>And Ending:</b></font></td>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>"
	Select Case strSearch_DateType
		case "mdy","mmdy","mmmdy"
			DisplaySelectObject strSearchMonthFormat,"end_month", Month(now())
			DisplaySelectObject "date_numeric","end_day", Day(now())
			DisplaySelectObject "years_forum","end_year", Year(now())
		case "ymd","ymmd","ymmmd"
			DisplaySelectObject "years_forum","end_year", Year(now())
			DisplaySelectObject strSearchMonthFormat,"end_month", Month(now())
			DisplaySelectObject "date_numeric","end_day", Day(now())
		case "ydm","ydmm","ydmmm"
			DisplaySelectObject "years_forum","end_year", Year(now())
			DisplaySelectObject "date_numeric","end_day", Day(now())
			DisplaySelectObject strSearchMonthFormat,"end_month", Month(now())
		case Else '"dmy","dmmy","dmmmy"
			DisplaySelectObject "date_numeric","end_day", Day(now())
			DisplaySelectObject strSearchMonthFormat,"end_month", Month(now())
			DisplaySelectObject "years_forum","end_year", Year(now())
	End Select
	Response.Write "</font></td>" & vbNewLine & _
			"              </tr>" & vbNewLine

	'Sort By
	Response.Write "              <tr>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><b>Sort Topics By</b></font></td>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>"

	Response.Write	"                      <select name=""sortfield"">" & vbNewLine & _
			"                      <option value=""topic""" & CheckSelected(strsearchsortfld,"topic") & ">Title</option>" & vbNewLine & _
			"                      <option value=""author""" & CheckSelected(strsearchsortfld,"author") & ">Author</option>" & vbNewLine & _
			"                      <option value=""topicstart""" & CheckSelected(strsearchsortfld,"topicstart") & ">Start Date</option>" & vbNewLine & _
			"                      <option value=""lastpost""" & CheckSelected(strsearchsortfld,"lastpost") & ">Last Post Date</option>" & vbNewLine & _
			"                      <option value=""replies""" & CheckSelected(strsearchsortfld,"replies") & ">Number of Replies</option>" & vbNewLine & _
			"                      <option value=""views""" & CheckSelected(strsearchsortfld,"views") & ">Number of Views</option>" & vbNewLine & _
			"                      </select>"

	Response.Write	"                      <select name=""sortorder"">" & vbNewLine & _
			"                      <option value=""desc""" & CheckSelected(strsearchsortord,"desc") & ">descending</option>" & vbNewLine & _
			"                      <option value=""asc""" & CheckSelected(strsearchsortord,"asc") & ">ascending</option>" & vbNewLine & _
			"                      </select>"

	Response.Write "</font></td>" & vbNewLine & _
			"              </tr>" & vbNewLine

	'Results per page
	Response.Write "              <tr>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """><b>Results per page:</b></font></td>" & vbNewLine & _
			"                <td width=""50%"" bgcolor=""" & strAltForumCellColor & """><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """ color=""" & strForumFontColor & """>"

	Response.Write	"                      <select name=""results"">" & vbNewLine & _
			"                      <option value=""10""" & CheckSelected(intsearchresults,10) & ">10</option>" & vbNewLine & _
			"                      <option value=""20""" & CheckSelected(intsearchresults,20) & ">20</option>" & vbNewLine & _
			"                      <option value=""30""" & CheckSelected(intsearchresults,30) & ">30</option>" & vbNewLine & _
			"                      <option value=""40""" & CheckSelected(intsearchresults,40) & ">40</option>" & vbNewLine & _
			"                      <option value=""50""" & CheckSelected(intsearchresults,50) & ">50</option>" & vbNewLine & _
			"                      </select>"

	Response.Write "</font></td>" & vbNewLine & _
			"              </tr>" & vbNewLine & _
			"        <tr>" & vbNewLine & _
			"        <td align=""center"" colspan=""2"" bgcolor=""" & StrPopupTableColor & """>" & vbNewLine & _
			"      <br><input class=buttons type=""submit"" value=""Search""><br><br>" & vbNewLine & _
			"        </td>" & vbNewLine & _
			"        </tr>" & vbNewLine
	'-------------------------------------------------------
	 Response.Write "            </table>" & vbNewLine & _
			"          </td>" & vbNewLine & _
			"        </tr>" & vbNewLine & _
			"      </table>" & vbNewLine & _
			"          </td>" & vbNewLine & _
			"        </tr>" & vbNewLine & _
			"      </table>" & vbNewLine & _
			"    </form>" & vbNewLine
	'################# SEARCH CODE MOD 20020926 (DRV) #################################################

end if

Response.Write "<br></td></tr></table>" & vbNewLine

WriteFooter
Response.End

sub TopicPaging()
	page_limit  = 10
	first_pages  = 3
	last_pages = 0
	mxpages = (Topic_Replies / strPageSize)
	if mxPages <> cLng(mxPages) then
		mxpages = int(mxpages) + 1
	end if
	if mxpages > 1 then
		Response.Write("                  <table border=""0"" cellspacing=""0"" cellpadding=""0"">" & vbNewLine)
		Response.Write("                    <tr>" & vbNewLine)
		Response.Write("                      <td valign=""bottom""><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>" & getCurrentIcon(strIconPosticon,"","") & "</font></td>" & vbNewLine)
                if mxpages > page_limit then
                        ref = "                      <td align=""left"" valign=""bottom"" bgcolor=""" & strForumCellColor  & """><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>" 
  			ref = ref & "&nbsp;Pages&nbsp;("& mxpages & "):&nbsp;</font></td>" 
  			for counter = 1 to first_pages
  			  ref = ref & "                      <td align=""right"" valign=""bottom"" bgcolor=""" & strForumCellColor  & """><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>" 
                          ref = ref & widenum(counter) & "<span class=""spnMessageText"">&nbsp;<a href=""topic.asp?"
			  ref = ref & ArchiveLink
		          ref = ref & "TOPIC_ID=" & Topic_ID
			  ref = ref & "&whichpage=" & counter
			  ref = ref & """>" & counter & "</a></span></font></td>"  			  
                       next
                        ref = ref & "                      <td align=""left"" valign=""bottom"" bgcolor=""" & strForumCellColor  & """><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>" 
  			ref = ref & "&nbsp;....</font></td>" 
                       if last_pages = 0 then
  			  ref = ref & "                      <td align=""left"" valign=""bottom"" bgcolor=""" & strForumCellColor  & """><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>" 
                          ref = ref & widenum(counter) & "<span class=""spnMessageText"">&nbsp;<a href=""topic.asp?"
			  ref = ref & ArchiveLink
		          ref = ref & "TOPIC_ID=" & Topic_ID
			  ref = ref & "&whichpage=" & mxpages
			  ref = ref & """>Last </a></span></font></td>"                            
  		       else
                          for counter = (mxpages-last_pages+1) to mxpages
  			    ref = ref & "                      <td align=""left"" valign=""bottom"" bgcolor=""" & strForumCellColor  & """><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>" 
                            ref = ref & widenum(counter) & "<span class=""spnMessageText"">&nbsp;<a href=""topic.asp?"
			    ref = ref & ArchiveLink
		            ref = ref & "TOPIC_ID=" & Topic_ID
			    ref = ref & "&whichpage=" & counter
			    ref = ref & """>" & counter & "</a></span></font></td>"  			  
                          next		       
        	        end if
			Response.Write ref & vbNewLine
              else
		for counter = 1 to mxpages
			ref = "                      <td align=""right"" valign=""bottom"" bgcolor=""" & strForumCellColor  & """><font face=""" & strDefaultFontFace & """ size=""" & strFooterFontSize & """>" 
			if ((mxpages > 9) and (mxpages > strPageNumberSize)) or ((counter > 9) and (mxpages < strPageNumberSize)) then
				ref = ref & "&nbsp;"
			end if		
			ref = ref & widenum(counter) & "<span class=""spnMessageText""><a href=""topic.asp?"
			ref = ref & ArchiveLink
		        ref = ref & "TOPIC_ID=" & Topic_ID
			ref = ref & "&whichpage=" & counter
			ref = ref & """>" & counter & "</a></span></font></td>"
			Response.Write ref & vbNewLine
			if counter mod strPageNumberSize = 0 and counter < mxpages then
				Response.Write("                    </tr>" & vbNewLine)
				Response.Write("                    <tr>" & vbNewLine)
				Response.Write("                      <td>&nbsp;</td>" & vbNewLine)
			end if
		next				
              end if
        Response.Write("                    </tr>" & vbNewLine)
        Response.Write("                  </table>" & vbNewLine)
	end if
end sub

sub DropDownPaging(fnum)
	if maxpages > 1 then
		if mypage = "" then
			pge = 1
		else
			pge = mypage
		end if
		scriptname = request.servervariables("script_name")
		Response.Write	"          <form name=""PageNum" & fnum & """ action=""" & scriptname & "?" & chkString(Request.QueryString,"SQLString") & """ method=""post"">" & vbNewLine
		Response.Write	"          <td><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine
		Response.Write	"          <input name=""Search"" type=""hidden"" value=""" & trim(chkString(searchtext,"search")) & """>" & vbNewLine
		Response.Write	"          <input name=""andor"" type=""hidden"" value=""" & cLng(Request.Form("andor")) & """>" & vbNewLine
		Response.Write	"          <input name=""Forum"" type=""hidden"" value=""" & cLng(Request.Form("Forum")) & """>" & vbNewLine
		Response.Write	"          <input name=""SearchMessage"" type=""hidden"" value=""" & cLng(Request.Form("SearchMessage")) & """>" & vbNewLine
		if strArchiveState = "1" and ArchiveView = "true" then Response.Write("          <input name=""ARCHIVE"" type=""hidden"" value=""" & ArchiveView & """>" & vbNewLine)
		Response.Write	"          <input name=""sortorder"" type=""hidden"" value=""" & Request.Form("sortorder") & """>" & vbNewLine
		Response.Write	"          <input name=""sortfield"" type=""hidden"" value=""" & Request.Form("sortfield") & """>" & vbNewLine
		Response.Write	"          <input name=""results"" type=""hidden"" value=""" & Request.Form("results") & """>" & vbNewLine
		Response.Write	"          <input name=""start_day"" type=""hidden"" value=""" & Request.Form("start_day") & """>" & vbNewLine
		Response.Write	"          <input name=""start_month"" type=""hidden"" value=""" & Request.Form("start_month") & """>" & vbNewLine
		Response.Write	"          <input name=""start_year"" type=""hidden"" value=""" & Request.Form("start_year") & """>" & vbNewLine
		Response.Write	"          <input name=""end_day"" type=""hidden"" value=""" & Request.Form("end_day") & """>" & vbNewLine
		Response.Write	"          <input name=""end_month"" type=""hidden"" value=""" & Request.Form("end_month") & """>" & vbNewLine
		Response.Write	"          <input name=""end_year"" type=""hidden"" value=""" & Request.Form("end_year") & """>" & vbNewLine
      if strUseMemberDropDownBox = 0 then
			Response.Write	"          <input name=""SearchMember"" type=""hidden"" value=""" & chkString(Request.Form("SearchMember"),"display") & """>" & vbNewLine
		else
			Response.Write	"          <input name=""SearchMember"" type=""hidden"" value=""" & cLng(Request.Form("SearchMember")) & """>" & vbNewLine
		end if
		Response.Write	"          <input name=""SearchStaff"" type=""hidden"" value=""" & Request.Form("SearchStaff") & """>" & vbNewLine
		if fnum = 1 then
			Response.Write("          <b>Page: </b><select name=""whichpage"" size=""1"" onchange=""ChangePage(" & fnum & ");"">" & vbNewLine)
		else
			Response.Write("          <b>There are " & maxpages & " Pages of Search Results: </b><select name=""whichpage"" size=""1"" onchange=""ChangePage(" & fnum & ");"">" & vbNewLine)
		end if
		for counter = 1 to maxpages
			if counter <> cLng(pge) then
				Response.Write "          	<option value=""" & counter &  """>" & counter & "</option>" & vbNewLine
			else
				Response.Write "          	<option selected value=""" & counter &  """>" & counter & "</option>" & vbNewLine
			end if
		next
		if fnum = 1 then
			Response.Write("          </select><b> of " & maxPages & "</b>" & vbNewLine)
		else
			Response.Write("          </select>" & vbNewLine)
		end if
		Response.Write("          </font></td>" & vbNewLine)
		Response.Write("          </form>" & vbNewLine)
	end if
end sub

Function DoLastPostLink()
	if Topic_Replies < 1 or Topic_LastPostReplyID = 0 then
		DoLastPostLink = "<a href=""topic.asp?" & ArchiveLink & "TOPIC_ID=" & Topic_ID & """>" & getCurrentIcon(strIconLastpost,"Jump to Last Post","align=""absmiddle""") & "</a>"
	elseif Topic_LastPostReplyID <> 0 then
		PageLink = "whichpage=-1&"
		AnchorLink = "&REPLY_ID="
		DoLastPostLink = "<a href=""topic.asp?" & ArchiveLink & PageLink & "TOPIC_ID=" & Topic_ID & AnchorLink & Topic_LastPostReplyID & """>" & getCurrentIcon(strIconLastpost,"Jump to Last Post","align=""absmiddle""") & "</a>"
	else
		DoLastPostLink = ""
	end if
end function

Sub DisplaySelectObject(dsolist,dsoname,dsovalue)

	'dsolist	 - type of select object (generic)
	'dsoname	 - name of select object
	'dsovalue	 - passed value

	response.write "<select name=""" & dsoname & """>" & vbCrLf
	Select Case LCase(dsolist)
		Case "years_forum"
			if IsNumeric(dsovalue) then dsovalue = CInt(dsovalue)
			dsoYear = intForumStartYear 'earliest post date
			for i = dsoYear to Year(now())
				response.write "<option value=""" & i & """"
				if (i = dsovalue) then response.write " selected"
				response.write ">" & i & "</option>" & vbCrLf
			next
		Case "month_name","month_abbr","month_numeric","month_custom"
			if IsNumeric(dsovalue) then dsovalue = CInt(dsovalue)
			for i = 1 to 12
				response.write "<option value=""" & i & """"
				if (i = dsovalue) then response.write " selected"
				response.write ">"
				Select Case LCase(dsolist)
					Case "month_name"
						response.write monthname(i,false)
					Case "month_abbr"
						response.write monthname(i,true)
					Case "month_numeric"
						response.write doublenum(i)
					Case "month_custom"
						response.write arrMonths(i-1)
				End Select				
				response.write "</option>" & vbCrLf
			next
		Case "date_numeric" 'for dates stored in text - two char format
			for i = 1 to 31
				response.write "<option value=""" & i & """"
				if (i = dsovalue) then response.write " selected"
				response.write ">" & doublenum(i) & "</option>" & vbCrLf
			next
	End Select
	response.write "</select>" & vbCrLf
End Sub

function CheckSelected(chkval1, chkval2)
	if IsNumeric(chkval1) then chkval1 = cLng(chkval1)
	if (chkval1 = chkval2) then
		CheckSelected = " selected"
	else
		CheckSelected = ""
	end if
end function

function GetForumTitle(id)
	strTempForum = cLng(id)
	Dim strForumTitle
	if strTempForum <> 0 then
		strsql = "SELECT F_SUBJECT FROM " & strTablePrefix & "FORUM WHERE FORUM_ID=" & strTempForum
		set tforums = my_conn.execute(strsql)
		if tforums.bof or tforums.eof then
			strForumTitle = ""
			set tforums = nothing
		else
			strForumTitle = chkString(tforums("F_SUBJECT"),"display")
			set tforums = nothing
		end if
	else
		strForumTitle = ""
	end if
	GetForumTitle = strForumTitle
End Function

'----------------------------------------------------------

	Private Sub DisplayCommonWordExclusions()
		If strcommonwordexcl <> "" Then
			response.write "<div style=""color:#6f6f6f;"">"
			response.write "<b>""" & strcommonwordexcl & """</b>"
			If Instr(strcommonwordexcl,",") > 0 Then
				response.write " are very common words and were not included in your search."
			Else
				response.write " is a very common word and was not included in your search."
			End If
			response.write "</div>"
			response.write "<div style=""font-size:6px"">&nbsp;</div>"
		End If
	End Sub

	Private Sub CommonWordFilter()
		'set common words array
		Dim arrayCommonWords
		arrayCommonWords = "|a|all|an|and|are|as|at|be|by|do|for|from|had|has|have|he|his|I|if|in|is|it|no|of|on|one|or|so|that|the|then|they|this|to|was|we|with|you|"

		sqlsearchtext = " " & searchtext & " "
		Dim arraySearchWords
		arraySearchWords = Split(searchtext," ")

		If IsArray(arraySearchWords) Then
			'check array of search words to see if it's a common word.
			Dim i
			For i = LBound(arraySearchWords) To UBound(arraySearchWords)
				If InStr(arrayCommonWords,"|" & Trim(arraySearchWords(i)) & "|") > 0 Then
					sqlsearchtext = Replace(sqlsearchtext," " & arraySearchWords(i) & " "," ")
					strcommonwordexcl = strcommonwordexcl & " " & arraySearchWords(i)
				End If
			Next
		Else
			'check the single word to see if it's a common word.
			If InStr(arrayCommonWords,sqlsearchtext) > 0 Then
				sqlsearchtext = Replace(sqlsearchtext," " & sqlsearchtext & " "," ")
				strcommonwordexcl = strcommonwordexcl & " " & sqlsearchtext
			End If
		End If

		sqlsearchtext = Trim(sqlsearchtext)
		strcommonwordexcl = Replace(Trim(strcommonwordexcl)," ",", ")

		'strip out punctuation & clean up double spacing
		If sqlsearchtext <> "" Then
			sqlsearchtext = Replace(sqlsearchtext,","," ")
			sqlsearchtext = Replace(sqlsearchtext,"."," ")
			sqlsearchtext = Replace(sqlsearchtext,"!"," ")
			sqlsearchtext = Replace(sqlsearchtext,";"," ")
			sqlsearchtext = Replace(sqlsearchtext,"-"," ")
			sqlsearchtext = Replace(sqlsearchtext,""""," ")
			sqlsearchtext = Replace(sqlsearchtext,"  "," ")
			sqlsearchtext = Trim(sqlsearchtext)
		End If

	End Sub

	Private Sub DisplayWordLinks(wordlist)
		If wordlist = "" Then Exit Sub
		Dim strLinkList
		Dim arraySearchWords
		arraySearchWords = Split(wordlist," ")
		If IsArray(arraySearchWords) Then
			'check array of search words to see if it's a common word.
			Dim i
			For i = LBound(arraySearchWords) To UBound(arraySearchWords)
				response.write "<a href=""" & scriptname & "?search=" & Server.URLEncode(arraySearchWords(i)) & """>" & arraySearchWords(i) & "</a> "
			Next
		Else
			'check the single word to see if it's a common word.
			response.write "<a href=""" & scriptname & "?search=" & Server.URLEncode(wordlist) & """>" & wordlist & "</a> "
		End If
	End Sub

%>