<!--#INCLUDE FILE="config.asp"-->
<!--#INCLUDE FILE="inc_func_secure.asp" -->
<!--#INCLUDE FILE="inc_sha256.asp"-->
<!--#INCLUDE FILE="inc_header.asp"-->
<!--#INCLUDE FILE="topsite_config.asp"-->
<!--#INCLUDE FILE="topsite_sendmail.asp"-->
<%

Function VerifyName( sName )

	
	If sName = "" Then
		VerifyName = "Must enter a name"
		Exit Function
	End If

	VerifyName = ""
End Function

Function VerifyPasswords( s1, s2 )
	If s1 = "" Then
		VerifyPasswords = "Must enter passwords"		
		Exit Function
	End If
	If s1 <> s2 Then
		VerifyPasswords = "Password and password again not equal"		
		Exit Function
	End If
	If Len(s1) < 5 Then
		VerifyPasswords = "Password must be at least 5 chars"
	End If
End Function


Function IsValidEmail( ByVal sString )
    Dim sEmail, nIndex, nDotIndex
    IsValidEmail = False
    sString = Trim(sString)
	
	'Check if it does contain any '@'
    nIndex = InStr(1, sString, "@")
    If nIndex < 2 Then 'Cant be first either
    	Exit Function
    End If
    
    'Now check where the dot is
	nDotIndex = InStrRev(sString, "." )
	If nDotIndex < nIndex + 1 Then
    	Exit Function
	End If
	
	'String can only have one '@'
	If InStr( nIndex + 1, sString, "@" ) > nIndex Then
    	Exit Function
	End If
	
	'Check domain - at least two characters
'	Response.Write "DOTINDEX:" &nDotIndex &":::Len(sString)" &Len(sString) & "<br>"
'	Response.Write "Minus:" &Len(sString)-nDotIndex &"<br>"

	If nDotIndex > Len( sString ) - 2  Then
		Exit Function
	End If

	If Len(sString)-nDotIndex >3  Then
		Exit Function
	End If

	IsValidEmail = True
End Function



Function VerifyEmail( s1 )
	If s1 = "" Then
		VerifyEmail = "Not a valid email address"		
		Exit Function
	End If
	If IsValidEmail(s1)=False Then
		VerifyEmail="Not an valid email address"
	End If
End Function

Function VerifyUrl( s1 )
	If s1 = "" Then
		VerifyUrl = "Not a valid url"		
		Exit Function
	End If
End Function

Function VerifyBannerUrl( s1 )
	If s1 = "" Then
		VerifyBannerUrl = "Not a valid url"		
		Exit Function
	End If
End Function



'Some before doings...
Dim oConn, sRubrik
Set oConn = IncTopsite_GetDatabaseConn()

Dim sPassword, sPasswordAgain, sBannerUrl, sUrl, sEmail, sSiteName, sSiteDescr, sCat
Dim sPasswordError, sBannerUrlError, sUrlError, sEmailError, sSiteNameError, sSiteDescrError


'1. Are we saving
If Request.QueryString("save")="yes" Then
	'
	sPassword=Request.Form("password")
	sPasswordAgain=Request.Form("password1")
	sUrl=Request.Form("url")
	sEmail=Request.Form("email")
	sSiteName=Request.Form("sitename")
	sSiteDescr=Request.Form("sitedescr")
	sCat = Request.Form("cat")
	
	sSiteNameError = VerifyName( sSiteName )
'	sSiteDescrError = VerifyDescr( sSiteDescr )
	sPasswordError = VerifyPasswords( sPassword, sPasswordAgain )
	sEmailError = VerifyEmail( sEmail )
	sUrlError=VerifyBannerUrl( sUrl )
	
	If sSiteNameError="" And sSiteDescrError="" And sPasswordError="" And sEmailError="" And sUrlError="" Then
		'Save it...
		Dim oRSTC
		Set oRSTC = Server.CreateObject("ADODB.Recordset")
		oRSTC.Open "select * from  " & IncTopsite_GetTablePrefix() & "site where id=-1", oConn,1,3
		oRSTC.AddNew()
		oRSTC("sitename")=sSiteName
		oRSTC("sitedescr")=Left(sSiteDescr,255)
		oRSTC("password")=sPassword
		oRSTC("url")=sUrl
		oRSTC("email")=sEmail
		oRSTC("catid")=sCat
		oRSTC("joinedwhen")=Now()
		oRSTC("incount")=0
		oRSTC("outcount")=0
		oRSTC.Update
		Dim nNewId
		nNewId = oRSTC("id").Value
		oRSTC.Close
		Set oRSTC = Nothing
		If nNewId = "" Then
			Set oRSTC = oConn.Execute("select @@identity as newid")
			nNewId = oRSTC("newid").Value
			oRSTC.Close
			Set oRSTC = Nothing
		End If
		oConn.Close		
		Set oConn = Nothing
		
		'Send a mail...
		Dim sMsg
		sMsg = "Thanks for joining " & g_strTitle & "!" & vbCrLf & vbCrLf
		sMsg = sMsg & "Here are some info you need:" & vbCrLf
		sMsg = sMsg & "-----------------------------"  & vbCrLf
		sMsg = sMsg & "Userid:" & nNewId  & vbCrLf
		sMsg = sMsg & "Password:" & sPassword &  vbCrLf
		sMsg = sMsg & "-----------------------------" & vbCrLf
		sMsg = sMsg & "1. HTML to place on your website:" & vbCrLf& vbCrLf
		sMsg = sMsg & "<a href='" & g_strPath & "/topsite_in.asp?manager=aspcode.net&id=" & CStr(nNewId) & "'><img src='" & g_strButtonImagePath & "'></a>" & vbCrLf& vbCrLf
		sMsg = sMsg & "2. To change your profile login at: " & g_strPath & "/topsite_edit_account.asp" & vbCrLf
		sMsg = sMsg & "3. See the list at: " & g_strPath & "/top_sites.asp" & vbCrLf& vbCrLf
		
		
		
		'SendEmail g_MailServer,  g_OutgoingMailFrom, sEmail, g_strTitle & " information", sMsg  		

		'Redirect to show page
		'Response.Redirect "topsite_newurladded.asp?id=" & nNewId


Response.Write	"      <table border=""0"" width=""100%"">" & vbNewLine & _
				"        <tr>" & vbNewLine & _
				"          <td width=""50%"" align=""left"" nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine & _
				"          <a href=""top_sites.asp"">" & getCurrentIcon(strIconFolderOpen,"Topsites","align=""absmiddle""") & "</a>&nbsp;<a href=""top_sites.asp"">Topsite</a><br />" & vbNewLine & _
				"          " & getCurrentIcon(strIconBar,"","align=""absmiddle""")

%><img src="<%= strImageURL %>icon_folder_open_topic.gif" height=15 width=15 border="0">&nbsp;<a href="topsite_user_admin.asp">Registration Completed</a><br><%


Response.Write  "<br><table width=""80%"" & align=""center"" border=""0"" bordercolor=""" & strTableBorderColor & """ cellspacing=""1"" cellpadding=""0"" bgcolor=""" & strPopupBorderColor & """>" & vbNewLine & _
		"<tr>" & vbNewLine & _
		"<td bgcolor=""" & StrHeadCellColor & """>" & vbNewLine & _
		"<font size=""4"" color=""" & StrHeadFontColor & """>&nbsp;Registration Completed</font>" & vbNewLine & _
		
		"</td>" & vbNewLine & _
		"</tr>" & vbNewLine &_
		"<tr><td align=""center"" bgcolor=""" & strAltForumCellColor & """>"& vbNewLine &_
		"<br><br><b><font size=""4"" color=""" & StrForumFontColor & """>No email will be sent so write down your details</b>:</font><br> " & vbNewline &_
		"<font size=""2"" color=""" & StrForumFontColor & """><br><b>User id</b>:" & nNewId & vbNewLine &_
		"<br><b>Password</b>:" & sPassword & vbNewLine &_
		"<br><br><b>Send all traffic here:</b><br>(please copy and paste this url):" & vbNewline &_
		"<a href='" & g_strPath & "topsite_in.asp?id=" & CStr(nNewId) & "'>" & vbnewline &_
		"<br><br>" & g_strPath & "" & "topsite_in.asp?ID=" & nNewId & "</a>" & vbnewline &_
		"<br><br><b>You can edit your account here</b>:<br> " & g_strPath & "topsite_edit_account.asp" & vbnewline &_
		"<br><br><b>See the list at</b>:<br> " & g_strPath & "top_site.asp" & "<br><br><br></font></td></tr></table></td></tr></table>" & vbnewline &_
		
		Response.Flush
		WriteFooter
		Response.End
	End If
End If
%>

<html>
<!-- folder navigatoin -->
<%
Response.Write	"      <table border=""0"" width=""100%"">" & vbNewLine & _
				"        <tr>" & vbNewLine & _
				"          <td width=""50%"" align=""left"" nowrap><font face=""" & strDefaultFontFace & """ size=""" & strDefaultFontSize & """>" & vbNewLine & _
				"          <a href=""top_sites.asp"">" & getCurrentIcon(strIconFolderOpen,"Topsites","align=""absmiddle""") & "</a>&nbsp;<a href=""top_sites.asp"">Topsite</a><br />" & vbNewLine & _
				"          " & getCurrentIcon(strIconBar,"","align=""absmiddle""")
%>
<img src="<%= strImageURL %>icon_folder_open_topic.gif" height=15 width=15 border="0">&nbsp;<a href="topsite_user_admin.asp">Register</a><br>


<!-- /folder navigatoin -->


<%
Response.Write  "<table width=""50%"" align=""center"" border=""0"" bordercolor=""" & strTableBorderColor & """ cellspacing=""1"" cellpadding=""0"" bgcolor=""" & strPopupBorderColor & """>" & vbNewLine & _
		"<tr>" & vbNewLine & _
		"<td bgcolor=""" & StrHeadCellColor & """>" & vbNewLine & _
		"<font size=""4"" color=""" & StrHeadFontColor & """>&nbsp;Register</font>" & vbNewLine & _
		"</td>" & vbNewLine & _
		"</tr>" & vbNewLine
%>

			<tr>
			   <td align="left" bgcolor="<%= strAltForumCellColor %>">
				<font face="<% =strDefaultFontFace %>" size="<% =strFooterFontSize %>">

			   <TABLE border="0" cellspacing="0" cellpadding="2" width="100%">
				
<table border="0" width="100%">
  <tr>
    <td valign="top" align="center">
       <table border="0" width="100%">
      </table>
            <form method="POST" action="topsite_register.asp?save=yes" id=form1 name=form1>
      <table border="0">
        <tr>
          <td width="50%" align="right"><font face="<% =strDefaultFontFace %>" size="<% =strDefaultFontSize %>" color="<% =strDefaultFontColor %>">Email address:</td>
          <td width="50%">
              <input type="text" name="email" size="20" value="<%=sEmail%>">
              <%If sEmailError <> "" Then%><br><font size="1" color="#FF0000"><%=sEmailError%></font><%End If%>
          </td>
        </tr>
        <tr>
          <td width="50%" align="right"><font face="<% =strDefaultFontFace %>" size="<% =strDefaultFontSize %>" color="<% =strDefaultFontColor %>">Desired password:</td>
          <td width="50%"><input type="password" name="password" size="20">
          <%If sPasswordError <> "" Then%><br><font size="1" color="#FF0000"><%=sPasswordError%></font><%End If%>
          </td>
        </tr>
        
        <tr>
          <td width="50%" align="right"><font face="<% =strDefaultFontFace %>" size="<% =strDefaultFontSize %>" color="<% =strDefaultFontColor %>">Password again:</td>
          <td width="50%"><input type="password" name="password1" size="20"></td>
        </tr>
        
        <tr>
          <td width="50%" align="right"><font face="<% =strDefaultFontFace %>" size="<% =strDefaultFontSize %>" color="<% =strDefaultFontColor %>">Site name:</td>
          <td width="50%"><input type="text" name="sitename" size="20"  value="<%=sSiteName%>">
          <%If sSitenameError <> "" Then%><br><font size="1" color="#FF0000"><%=sSitenameError%></font><%End If%>
          </td>
        </tr>
        
        <tr>
          <td width="50%" align="right"><font face="<% =strDefaultFontFace %>" size="<% =strDefaultFontSize %>" color="<% =strDefaultFontColor %>">Site description ( max 255 letters ):</td>
          <td width="50%"><textarea rows="2" name="sitedescr" cols="20"><%=sSiteDescr%></textarea>
          <%If sSiteDescrError <> "" Then%><br><font size="1" color="#FF0000"><%=sSiteDescrError%></font><%End If%>
          </td>
        </tr>
        
        <tr>
          <td width="50%" align="right"><font face="<% =strDefaultFontFace %>" size="<% =strDefaultFontSize %>" color="<% =strDefaultFontColor %>">Site url:</td>
          <td width="50%"><input type="text" name="url" size="20" value="<%=sUrl%>">
          <%If sUrlError <> "" Then%><br><font size="1" color="#FF0000"><%=sUrlError%></font><%End If%>
          </td>
        </tr>
        
        <tr>
          <td width="50%" align="right"><font face="<% =strDefaultFontFace %>" size="<% =strDefaultFontSize %>" color="<% =strDefaultFontColor %>">Category:</td>
          <td width="50%"><select size="1" name="cat">
				<% ListCategories 1, False %>
            </select></td>
        </tr>
        
        <tr>
          <td width="50%"></td>
          <td width="50%"></td>
        </tr>
        
        <tr>
          <td width="50%"></td>
          <td width="50%"></td>
        </tr>
        
        </table>
        <table width=100%>
        <tr>
          <td align=center width="100%">
          <input class="buttons" type="submit" value="Submit" name="B1"></td>
        
        </tr>
      </table>
            </form>
    </td>
  </tr>
</table>

</body>
<%
oConn.Close		
Set oConn = Nothing
%>
			    
			    
			     </table>
			   </td>
			</tr></form>
		   </table>

<br>

</html>
<%
WriteFooter %>